FAQ - kable do Nokii

Strona główna/Main page
Kody do Nokii/Codes for Nokia phones

Poniżej zostały zebrane wszystkie (?) kody do telefonów Nokia, które można wpisać w momencie, gdy na wyświetlaczu jest widoczna nazwa sieci/logo i odblokowana jest klawiatura:

To enter code with chars: when have char to enter, look, where it's written and press this numeric key.
Example: *EFR0# ---> *3370#

You have here all (?) codes for Nokia phones. You can enter them, when see on the screen network name/logo and keypad is unlocked.

  • GSM/DCS/PCN:
    • *#06# - sprawdzanie IMEI/checking IMEI. Więcej o IMEI/More about IMEI
    • *EFR0# włącza/enables EFR , #EFR0# wyłącza/disables EFR . Jeżeli działa w Twoim telefonie (GSM/DCS/PCN), telefon się zrestartuje po jego użyciu/If it works for your GSM/DCS/PCN phone, phone will restart after using it. Jeżeli nie, możesz użyć np. mygnokii ze strony Pliki do pobrania do jego włączenia/If not, you can use mygnokii from Files for download page to enable it. Więcej o EFR/More about EFR
    • *HRC0# włącza/enables HR , #HRC0# wyłącza/disables HR . Jeżeli działa w Twoim telefonie (GSM/DCS/PCN), telefon się zrestartuje po jego użyciu/If it works for your GSM/DCS/PCN phone, phone will restart after using it. Jeżeli nie, możesz użyć np. mygnokii ze strony Pliki do pobrania do jego włączenia/If not, you can use mygnokii from Files for download page to enable it. Więcej o HR/More about HR
    • *#sim0clock# - sprawdza, czy możliwe jest zatrzymanie zegara karty SIM/checks, if SIM card can stop its' clock (GSM/DCS/PCN)
  • analog:
    • *3001#12345, *#639# - Menu do programowania NAM/NAM programming menu. W niektórych modelach pozwala włączyć monitor sieci (nazywany Field Test)/In some models allows to enable netmonitor (called Field Test).
    • *#92772689# - checking ISDN number/sprawdzanie numeru ISDN (N6120/6160/6162)
    • *#EVRC# - włącza i wyłącza AMPS (Enhanced Variable Rate Codec)/enables and disables AMPS (Enhanced Variable Rate Codec) (N6185)
  • *#9999#, *#170602112302#, *#682371158412125#, *#3110#, *#0000#, *#3810#, *#5190#, *#6120# , *#837#, *#6190#, *#8110# - sprawdzanie wersji i daty firmware, modelu telefonu/checking firmware date & version and phone model. Więcej o firmware/More about firmware
  • #pw+Master code+Y# - kod pozwalający zdjąć simlocka o numerze Y (jeżeli podano prawidłowy 10-cyfrowy MasterCode) - wtedy zobaczysz "SIM protection turn off". Jeżeli telefon ma simlocka i podano zły MasterCode, zobaczysz "Code error". Jeżeli telefon nie ma simlocka, zobaczysz "SIM was not restricted". Możesz sprawdzić stan simlocka również przy użyciu mygnokii ze strony Pliki do pobrania This is code for disabling simlock number Y (if you gave correct 10-digits MasterCode) - you will see "SIM protection turn off". If phone has simlock and MasterCode was wrong, you will see "Code error" . If phone doesn't have simlock, you will see "SIM was not restricted" . You can also check simlock state using mygnokii from page Files for download too
  • *pw+code+Y# - what does it do ? code must be 5 digits long, Y can be digit from 1 to 6.
  • *#war0anty#, *#warranty# - wejście do menu serwisowego/entering service menu. W niektórych telefonach należy usunąć moduł analogowy przed jego użyciem/In some phones you have to remove analog module before using it. W niektórych starszych telefonach (np. Nokii 3110) trzeba tu podać dodatkowy kod/ In some older phones (like Nokia 3110) you have to enter additional code here:
    • 6232 (OK): Pokazuje miesiąc i rok produkcji/Displays the Month and Year of Manufacture
    • 7332 (OK): Pokazuje datę ostatniej naprawy/Displays the date of the last repairment, if found ('DATE NOT SAVED'...)
    • 7832 (OK): Pokazuje datę kupna telefonu/Displays (if found) the date where the phone was purchased ('DATE NOT SAVED'...)
    • 9268 (OK): Pokazuje numer seryjny/Displays Serial Number
    • 37832 (OK): Zmienia datę kupna (TYLKO RAZ!)/Set the Purchasing Date MMYY (Warning: You can only do this once - So be careful ...)
    • 87267 (OK): Transfer danych do następnego telefonu/Transfers ALL phone numbers, pictures, sounds from one phone to another
  • *#7780# or *#7370# - reset ustawień telefonu do fabrycznych (np. Nokia 3110)/reset settings to Factory (for example, Nokia 3110)
  • *#2820# - info about Bluetooth in DCT4 phones (info about next lines): Device Address, ??? (unknown data), (Local)Software version, MCU SW Version
  • *#pcc0# - enables GPRS PCCCH (Packet common control channel) support
  • *#dwallet# - deletes Wallet (example, in Nokia 6310/6310i)
  • *#date# - pokazuje datę produkcji/data date of production (N2110)
  • *#srn0# - pokazuje numer seryjny/shows Serial Number (N6150)
  • *#opr0logo# - kasuje logo operatora. Działa w Nokii 3310 4.06 i nowszych/clears operator logo. Works in Nokia 3310 4.06 and newer, 3330...
  • *#slot1# or *#slot2# - Nokia 6188 lub 6185
Na początek/Back to the top
Marcin Wiącek ( WWW)
Ostatnia aktualizacja: 18 sierpnia 2002/Last modification: 18 August 2002


Why you should and why shouldn't buy Nokia phones

Strona główna/Main page
Why you should and why shouldn't buy Nokia phones

I write/update this page 21.11.2002. I decided to make this list and publish as separate subpage, because more and more people write me, that current Nokia products don't have this or other feature. I will try to show, which features are important for users and which can make problems. If you have in plans buying phone from this company, first just read this list...and don't say later, that I didn't warn...

First start from advantages of Nokia phones (why you should buy Nokia products):

  1. good menu almost the same in each model (if you know one, you won't have very big problems with using another)
  2. general user friendly interface - for example, big battery/network bars, sometimes even 7 bars (not like in other phones very small and 3 level only). It's currently - in the UMTS phones it can change to WORSE (see infos from 6650)
  3. quite big screens (when compare for example to Panasonic GD 90, it's like TV)
  4. many things (like chargers in almost all popular models or system connector in Nokia 51xx/61xx/6210/63xx) are compatible
  5. antennas are built inside phones
  6. many models can be very easy repaired or easy updated after releasing new firmware (I say, that flashers for DCT3 phones are very cheap)
  7. there are firmwares to some models with new functions (example: 3315 firmware to 3310, possibility of flashing 6250 firmware to 6210, etc.)
  8. long standby times and in majority big batteries
  9. possibility of personalizing many things in phones - example, logos, ringtones, etc.
And then go to the disadvantages (why you shouldn't buy Nokia products):
  1. very weak support (see for example Forum Nokia and words to me from one of Nokia workers: "have fun with your Siemens phones")
  2. many times you pay only for name and not for good quality. Example: 5510 don't have memory cards, 3410 don't have GPRS, etc.
  3. no using some standards. Example: although there is fast USB, it's not used anywhere to connect with PC...
  4. in fact Nokia is othe often one the last one, which make phones with some technologies. Example: phones with GPRS
  5. ERRORS in firmware. Often they're not corrected. Example: in 6310i 5.10 there are many small problems, which were reported to Nokia support are WERE IGNORED. I say about bug in calendar connected with displaying week numbers, translating things (for example after turning OFF Buletooth phone says in Polish "Bluetooth ENABLED"), Info Messages are very often not centered on the screen, etc. etc. etc. For full list see my subpage about firmware. Sometimes errors don't allow to ENABLE phone and Nokia says, that such errors are NOT CRITICAL and WON'T be corrected.
  6. not too many opened standards and no official support from Nokia to Linux. They say, that everything won't be published. Because of it projects like my own Gammu (available on my www) still don't have some functions. Some things (like format of binary ringtones) are different in each model and they look like done in last moment.
  7. new models don't contains some things, which were earlier USEFULL for users:
    1. no sending caller logos over infrared
    2. no possibility of forwarding SMS to another phone WITHOUT editing. Additionaly another nice thing: in Nokia 6210 forwarding function sent some SMS incorrectly without informing user
    3. NETMONITOR. The only way to check SMS counters, battery info, full firmware info, network info, etc. THE ONLY possibility to disabling phone light AT ALL. The only answer from Nokia is, that it's NOT USEFULL. Of course officialy in Forum Nokia they don't add, that everyone who have friends, can buy such phone for NORMAL price. It sometimes hurt more, because netmonitor IS in firmware in each new model sold in shops. The only problem is, that it can't be activated using old methods. Words from Nokia workers: "it's because of operators requests".
    4. can't change tones for Info messages no more (6310i 5.10). Even, when you will set tone in current phone profile to discreet, you will hear loud "BEEEPPPPP" after receiving such message. Because of it this function can't be used anymore.
    5. Cell Info is displayed in THE SAME line with Profile name in the phones with bigger display (in old Nokias with smaller screen it's in different lines).
  8. although there is no info from phone and no info in manual, GPRS Online function by default doesn't work after selecting selection in phone menu. Words from Nokia workers: "it's because of operators requests". So, currently it seems, that users have to check each phone setting and compare it with own bills (without working GPRS Online in the time, when operator takes money from each started 10, 20, ... kB, bills can increase dramatically). Many people don't use internet and don't have idea, that it can happen and because of it operators have additional money. Nice. Of course, Gammu from my www can unlock this option and it works like should
  9. buying some models don't have sence. For example, it looks that there is much worse support for 6310 that for 6310i. I don't know, how will be with 3510 after releasing 3510i. Hope, first one will be continued - currently Nokia don't have any other cheap model with mono display and calendar and big phonebook. Hope it also because it's cheap model - in practice cheap Nokia models are continued the longest one and Nokia adds some features to them. The more expensive model, the shorter continued.
  10. can't update model X to model Y. Ericsson make update to T68 to T68i and now T68j, Siemens from SL45 to SL45i. Nokia officialy doesn't allow such things.
  11. after years some easy things are still not implemented. Example: info about using SMS memory in SIM, human support for Unicode SMS (each model has it different), no possibility of sending SMS Class 0 from phone menus, no selecting frequency band in phone menu, very weak support for AT commands, some models (lik 6310i) don't have keypad locking with code/after specified time, etc.
Generally currently from Nokia products I can suggest only 3310/3315, 3410 (they have all access to Netmonitor), 3510 (no netmon), 6310i. All 3xxx seems to be continued the longest one. All other have in majority very similiar functions - many times the same firmware in different cover.

If you have phone with MMS and color screen, wait - first Nokia models have probably many errors. You will also pay for name only. Wait to the moment, when prices will establish. Old models should be cheaper and maybe only one from old models will be for you - in new Nokia offer there won't be very probably cheap DCT3 phone with Java (like 3410), probably no more cheap phones with mono display and calendar/big phonebook (like 3510).

For now I suggest Ericsson T68 family. When want use AT commands, buy Siemens product.

My last comment: currently Nokia products don't have "something". Company works more and more like Microsoft and more and more old users don't like more and more solutions in products from it. People of course will buy these products...up to the first moment when will find something so functional...

Na początek/Back to the top


Nokia identification & firmware/Identyfikacja i oprogramowanie telefonów Nokia

Main page/Strona główna

Nokia identification & firmware

  1. What is firmware ?
  2. What is DCT3, DCT4, ... ?
  3. What is NSE-1, NHM-1, ... ?
  4. What are characteristic features and bugs of DCT3, DCT4,... ?
  5. What are changes/bugs for specific phone models ?
  6. General IMEI informations
  7. How can I check firmware version ?
  8. Can I change firmware in my phone at home ?
  9. Can I change language version in my phone ?
  10. Is changing firmware expensive ?
  11. What is DSP ROM ?
  12. Information sources

NOTE (January 2003): page is totally rewritten and still can have bugs inside. If you will notify them, please let me know.

1. What is firmware ?

Each modern electronic device is the most often made with (special) microprocessor, memory, input and output devices, some power source, internal software, which manage everything and some other. Cellular phones are the same. They contains own special made microprocessors, keyboard and loudspeaker for entering data, screen(s), speaker, buzzer for giving data to user, battery and software, which manage it and other parts for sending and receiving data to and from network.

Software, which manage everything, is called here (and not only) firmware. When you change or modify it, you can change partially functionality of device (here phone). Often firmware is written specially for one device (phone) model and can't be used for other (because they have different hardware). But not always it's the rule - sometimes it's better (cheaper and easier) to make family of similiar phones (with similiar or the same hardware). They will look different and will have the same/very similiar generic firmware or the same generic firmware, which has only disabled or enabled some functions according to device model.

This page tries to describe some things connected with firmware in Nokia cellular phones.

Back to the top/Na początek

2. What is DCT3, DCT4, ... ?

Each corporation from time to time decide to start new generation of own products. Reasons are different - for example, old solutions are too old and not allow for some modern things, sometimes new products require better protection, etc.

Generations of Nokia phones are called DCT1, DCT2, DCT3, DCT4,... Sometimes (like during creating DCT3 generation) there is recreated everything, sometimes (like during creating DCT4 phones) are used some small parts from previous generation (like batteries).

Back to the top/Na początek

3. What is NSE-1, NHM-1, ... ?

Internal code names for each model are listed below.

Back to the top/Na początek

4. What are characteristic features and bugs of DCT3, DCT4,... ?

Here is general info about these phones. I give short list of new functions (which didn't exist earlier) and info about possible (firmware) problems. It sorted from the latest phones to the oldest one.

Future models

  • changes:
    • big battery and networks bars can be smaller in the UMTS phones (visible on the some infos from preview versions of 6650)
    • phones will have only English and one additional language (visible on the some infos from preview versions of 6650)

      • My comment: big step ahead made probably because of memory limitations or trying to earn more money (for changing language in services).
Current DCT4 phones
  • new features in all models:
    • GPRS for data calls or WAP
  • new features in some models:
    • Bluetooth, polyphonic ringtones, ToDo, MMS
    • operating on three frequences (like 900/1800/1900 Mhz)
  • changes:
    • can't activate netmonitor function using service software (netmonitor is in each sold phone, but can't be just used, because people don't know command for activating it)

      • My note: it's normal, that Nokia wants to make money on giving netmonitor for GSM operators. But why it isn't possible to buy at least part of netmonitor functionality ?
    • phone remember state of games after resetting
    • phones don't display filled screen with some color(s) after enabling.

      • My note: with phones with mono screen it was very good test to check, if screen is OK or not. Why is it removed ?
    • totally rewritten API used for communication with phone from PC or second phone

      • My note: see below. Sometimes it's possible to crash totally phone using new API (see below). Also many times, even when info inside phone responses is few bytes, frames contains 100 or 200 or 300 bytes (example, sms folders locations).
    • SMS counter in SMS editor uses format "number of used sms/chars left in sms"
    • firmware (MCU SW and PPM) is now encrypted
    • no 'Pending' delivery reports in SMS

      • My note: 'Pending' reports made problems, when GSM network sent 'Delivered'/'Failed' report from different SMSC number. But in some situations were REALLY usefull.
    • much better protected IMEI
    • my Numbers - can't edit...

      • My note: when it's empty on SIM card, you have just another empty menu.
    • caller groups - no sending using irda

      • My note: why user is forced to send logos over SMS ?
    • keypad code *#0000# for checking firmware version works without SIM card
    • fade keypad and screen light (it's firmware thing - for DCT3 it's not available in firmwares from Nokia)
    • when you disable tones in phone profile, have some voice tags and enter voice tag function, you will hear short melody...

      • My note: some people during long meetings some times scroll menus. When will call by accident this function (in the place, where should be silent)...
    • (6310, 6310i) when want to access voice dialling function, press longer key for making volume more silent.
  • disadvantages and problems:
    • can't change tone for info messages. Current is very loud and annoying.

      • My note: Nokia ignores requests for changing this behaviour and adding ability to changing tone
    • when made playback of voice notes (for example, in 6310i 4.80) and you have set ringtone to incoming call and somebody will call you in this moment, you will hear it with phone near ear (firmware doesn't beep or something - just incoming call is notified as set in phone profile). Not nice ;-)
    • old 5 Volt SIM cards can't be used with it
    • MBUS works with single MBUS cables only. Phones don't work with some universal MBUS/FBUS cables (they worked in MBUS with 6210 or 6110)
    • default caller logos can't be read to PC.
    • Cell Info is cut after 20 chars

      • My note: ignored by Nokia
    • can't read/save full calendar info from/to PC side. There are problems with such notes:
      • birthday with alarm. When set in phone, it always set it (time) to 23:59
      • reminders with alarm. Can't get/set alarm time
      • notes other than Birthday with alarm. Can't get/set alarm type (silent or with tone)
      • notes with different start date/time than end date/time. Don't have info in frames about end date/time
      My note: There isn't changed anything in the protocols from 62xx/7110 time (all returned to PC things are like from these older phones). Ignored by Nokia
    • when have GPRS session active, can't (sometimes) use cell info.

      • My note: I don't know, if it happen only in Nokia phones or not.
    • if you receive a new SMS while browsing Inbox you'll have to exit and reenter to see it.
    • info about used Voice Tags ID can be now get from phone to PC. When you will restore to phone phonebook with different Voice Tag ID info, phone can go crazy:
      1. phone menu, which normally display all assigned to phonebook entries, is empty
      2. when you try to use Dial Voice feature, it works "as if" there are some Voice Tags in phone
      My note: You have to use method decribed in Gammu's readme.txt to clear Voice Tags entries.
    • it isn't good, when phone sometimes sold for big money can have destroyed firmware because of internal firmware bugs. It's visible expecially in commands used in internal Nokia FBUS protocol.

      • My comment: Nokia says, that this protocol is not published officialy and everyone uses it on own risk (so, using Logo Manager and other software is on own risk) and some known bugs won't be corrected. Everything correct, but the same protocol is used in official Pc Suite and probably the same problems can happen with it in some situations. Additionaly phone should be "safe" in each situation. Older models were better protected (I write it from my few years MyGnokii*/Gammu software programmer experiences). Currently each user should be carefull using software saving SMS to phone (when software uses AT commands, it's OK; when uses FBUS, it can make problems).
    • When you have saved SMS to your SIM card/phone memory and want to forward to another phone (from phone menu), phone force to edit it. With some SMS (8 bit with UDH header or SMS with UDH header) it changes SMS contenst.

      • My note: Nokia says, that this is "protection" and ignores requests for changing it.
    • GPRS Online for WAP (such behaviour, that GPRS session is not end after leaving WAP browser) can be not enabled even when it's set in phone menu. This behaviour can increase bills in such GSM networks, which take money for started new 10 kb sent or received data.

      • My comments: Nokia says, that disabling GPRS Online is done upon requests of operators. Seems that users are not important for this corporation. Happy, that it can be "unlocked" using Gammu. Also check carefull, if GPRS session is really not terminated after leaving WAP (there is "G" char on the standby screen, when it's active)

My comment to this generation: There was falstart with 8310 and now with 7210 (many phones returned to Nokia because of firmware). But generally Nokia has got generally good and stable solutions now.

The only problem is, that nobody take care about small problems according to the rule "it's good enough for majority of users". Additionaly some functions are such constructed, that users pay for using them more than they should or they're such constructed, that they have worse functionality than in older models. Also phone with netmonitor is very big atraction.

Current DCT3 phones (62xx/71xx models)

  • new features available in all models:
    • SMS memory, big screens
  • new features available in some models:
    • can display call time after ending call, keypad locking after time/with code, Automatic Volume Control
    • very precise 7 level indicator for battery and network level
  • changes:
    • removed possibility of interpreting char 0x00, 0x01 as blinking code in Unicode SMS and char 0x00, 0x00 as hiding something in Unicode SMS
    • part of firmware (PPM) is now encrypted
    • using only Unicode for phonebook, calendar, etc.
    • after receiving Delivery Report phone doesn't display "1 message received" (the only mark of receiving it is unread sms envelope)
    • different graphic interface doesn't display info about full menu shortcut on the top of the screen

      • Note: probably done, because Nokia wants to force people to use "normal" scrolling method of entering menus.
  • disadvantages and problems:
    • very long response after pressing key or user action
    • when you set such ID for ringtone in caller group, which doesn't exist in phone, you can't set it (ringtone) from phone's menu...
    • incompatibilities with some SIM cards. Normally, when set in menu confirming SIM actions, phone should confirm sending SMS from SIM Application Toolkit menu. And it works with Polish Plus GSM SIM card, doesn't work with SIM card from Polish Era.
    • it's possible to hang up or damage firmware in phone by sending to it some sms
    • Try few times, because sometimes doesn't work:
      • unlock keypad
      • press Power button (should go to the Profiles menu)
      • press Power button double
      • scroll menu to "Switch off" (or similiar) using Down key
      • wait second or longer
      • when press Power button now, phone will jump always to "Switch off" (not go into next position)
    • In 6210 (probably also 6250 and 7110) phone doesn't display, that received null text SMS (SMS without text - 0 chars). It can be used to check, if phone is enabled and in network coverage or not :-))
    • info about used Voice Tags ID can be now get from phone to PC. When you will restore to phone phonebook with different Voice Tag ID info, phone can go crazy:
      1. phone menu, which normally display all assigned to phonebook entries, is empty
      2. when you try to use Dial Voice feature, it works "as if" there are some Voice Tags in phone
      3. netmonitor shows some Voice Tags entries used
      My note: You have to upload clean EEPROM (clean PMM) into phone or use method decribed in Gammu's readme.txt to clear Voice Tags entries.
    • displaying Cell Info in the same line with profile name

      • My note: IGNORED by Nokia
    • When you have saved SMS to your SIM card/phone memory and want to forward it to another phone (from phone menu), with some SMS (8 bit with UDH header or SMS with UDH header) there is changed SMS contenst.

      • My note: IGNORED by Nokia

My comment to this generation: Nokia started to experiment with big screens, shared memories and some other things. In the result they have big problems with it (especially with first 7110) and in the results these products aren't very good. Generally big falstart.

Current DCT3 phones (other than 62xx/71xx models)

  • changes:
    • using Unicode (partially and in different models different) for phonebook, calendar, etc.
    • firmware version can be checked using *#0000# keypad code (earlier almost each model had own code)
  • new features available in some models:
    • T9 dictionary, WAP browser, Java (N3410), Radio (N5510), calendar or reminders, Picture Images, downloadable/user ringtones, possibility of sending linked/Unicode SMS, vibra in phone (not in battery), Voice Tags, Picture editors
    • operating on two frequences (like 900/1800 Mhz)
    • no data connector on the bottom of phone and possibility of making data calls
    • char 0x00, 0x00 in Unicode SMS hides SMS contents, when try to read it from phone's menu
    • char 0x00, 0x01 in Unicode SMS enables/disables blinking of chars in SMS, when try to read it from phone's menu
    • (tested for N5110, 3310) when want to delete SMS Centre Number (you don't want to see it from phone's menu), write "*" inside
    • (tested for N5110, 3310) when you put "#" char as SMS Centre Number, phone will replace it by "3"
    • (in models with two functions keys - for example 6110): when you see network name/logo, press "Menu" key longer (about 2 secs.) and you will enter to menu available during calls
    • (tested for N5110, 3310) when you're in phone's menu, press "C" key (to go higher level) and press fast "#" key - keypad will be blocked "as if" you pressed "Menu" and "#" combination
    • (in phones with Navi key, for example N5110, 3310): when edit SMS and don't want to lost it/don't want to send or save, press "Options" (you will see available options), then "C" for longer time. Contents of SMS will be in memory (to the moment, when you disable phone) and you will be able to return to it.
    • SIM Application Toolkit
    • longer pressing '0' on the standby screen moves into WAP homepage
  • new features in all models:
    • games, calculator, counter displaying chars left in SMS (in format "chars left in sms" or "number of used sms/number of chars left in sms sequence")
    • more than 1 phone profile
  • disadvantages and problems:
    • no possibility of disabling light
    • (for some models) when have unreaded messages (let's say 4 SMS and one delivery report) and you will receive next one, you will see "6 messages received", not "1 message received".
    • when you set such ID for ringtone in caller group, which doesn't exist in phone, you can't set it (ringtone) from phone's menu...
    • phone with composer (3310,...) doesn't have "Send" for ringtone.

      • Solution1: you have to reenter ringtone in composer (first delete it, later enter again).
      Solution2: go to the composer menu and rename the ringtone to any name but be sure to put "$" at the begining of the tone name. Example: old name: "WALEED" new name: "$WALEED"
    • (in some older firmware versions and models) it's possible to hang up or damage firmware in phone by sending to it some sms.
    • after entering some menu using shortcuts, phone screen looks a little "messy". Example: in 3310 after using Menu 6-1-1-2 you have info about it and 'no' (mixed on the screen). When use for example Menu 6-5-2, you have 'Done' message (like after normal entering this menu).
    • Try few times, because sometimes doesn't work:
      • unlock keypad
      • press Power button (should go to the Profiles menu)
      • press Power button double
      • scroll menu to "Switch off" (or similiar) using Down key
      • wait second or longer
      • when press Power button now, phone will jump always to "Switch off" (not go into next position)
    • there are sometimes problems with Voice Tags:
      1. phone menu, which normally display all assigned to phonebook entries, is empty
      2. when you try to use Dial Voice feature, it works "as if" there are some Voice Tags in phone
      3. netmonitor shows some Voice Tags entries used
      My note: Before changing firmware it's required to remove all Voice Tags from phone. During changing firmware (resetting phone settings) info about them is removed only partially. If you have such phone, you have to upload clean EEPROM (clean PMM) into it.
    • in some models (3310 5.79 and 3410 4.26) it isn't possible to select, if phone should use Unicode is SMS or not. There isn't also displayed separate indicator for Unicode mode or not.

      • My comment: Nokia says, that it's done for "users" and functionality. I don't really believe - one Unicode SMS can contains national chars, but it's maximally 70 chars long, not 160 chars. It's taken from user.

My comment to this generation: Here were made first time separation into cheap (made from a little worse plastique) and more expensive models (made from better materials, with more functions). Many people have/had first phone(s) from it and they very like(d) it. Fast, modern products, working without very big problems up to today (for many people they're enough good up to today). This generation made Nokia very strong.

DCT1 and DCT2

Now history. Nokia conquer here confidence. Everything was in very good quality.

Some other general info and wrong things

  • (GSM phones) "Check status" in the "Call divert if not available" is missing. It's not bug. It's because it's combined diverting
  • (three band phones like 6310i) you can use 112, 08 and 911 as emergency number with keypad locked
  • (DCT3) when you set SMS message tone to "Ascending" ('Long & Loud' with older firmware), phone plays "Connecting people" with Morse alphabet. When select "Special", "SMS" is played.
  • (DCT3, DCT4) when have menu for sms, by default "Delete" is displayed. You can delete by accident important info...
  • (DCT3 only ?) after receiving some SMS phone enables light/vibra (like after receiving SMS), but doesn't display anything. Example (Gammu homepage is here): try to save some short text into "file" file and use "gammu --sendsms TEXT destination -voidsms < file".
  • (DCT3, DCT4) pressing '#' in many places gives additional info (for example, on the phonebook entry name shows phone number) or moves into current day (in calendar)
Back to the top/Na początek

5. What are changes/bugs for specific phone models ?

Generally new versions of firmware can repair some bugs or (sometimes) add some functions or remove them. Some examples:

  • Nokia 3210 - latest firmware versions add React and Logic games (V5.31) and animated startup menu (V5.22).
  • Nokia 3310 - version 4.06 adds *#opr0logo# code for clearing operator logo from keypad, version 4.45 add Polish T9 dictionary, version 5.11 makes phone more compatible with some corrupted SMS, which earlier could damage firmware or restart phone or make other strange things. After 5.13 you have Picture Editor, automatic keypad locking or personal sms tone or deleting sms from SIM folders...
  • Nokia 3330 - V4.12 adds Polish T9 and allows to use 8 voicetags
  • Nokia 6110 - with 5.47 or 5.48 firmware has much worse netmonitor (less tests)
  • Nokia 6150 - with P5.23 firmware has T9 dictionary, animations in menu, Picture Images...and problems with netmonitor ;-))
  • Nokia 6210 - V5.02 adds Bluetooth support, V5.17 adds USSD for WAP
  • Nokia 6310i - V4.80 makes phone really fast in scrolling menus. It's very nice now.
  • Nokia 7110 - very buggy phone after 4.94 firmware has new WAP browser. It's organised like in 6210 and much better than in earlier versions. Almost each version had different size of SMS memory ;-)
  • Nokia 8310 - put silence into V3.xx and V4.xx versions. Many, many errors...
Some info about my description, which is available on subpages:
  • when I write firmware version before text (for example "(V 3.41)") - something is changed, when compare to this firmware version (here 3.41)
  • when I write "(OLDER ?)" before text - this bug/info, etc. can be connected with older firmware versions, here is confirmed
  • when I write "(NEWER TOO ?)" before text - this bug/info, etc. wasn't checked in newer versions
Please also notice, that changes between the same firmware versions in different models are not the same.

DCT4

  • 3510 (NHM-8), 3510i/3530 (RH-9), 3650 (NHL-8)
  • 6100 (NPL-2), 6310 (NPE-4), 6310i (NPL-1), 6360 (NPW-2), 6510 (NPM-9), 6610(NHL-4U), 6650 (NHM-1)
  • 7210 (NHL-4), 7650 (NHL-2)
  • 8310 (NHM-7), 8910 (NHM-4)
  • Communicator 9210i (RAE-5)

DCT3

  • 3210 (NSE-8/9), 3310/3315 (NHM-5), 3330 (NHM-6), 3350 (NHM-9), 3360 (NPW-1), 3390 (NPB-1), 3410 (NHM-2), 3610 (NAM-1)
  • 5110 (NSE-1), 5110i (NSE-2), 5120 (NSC-1), 5130 (NSK-1), 5160 (NSW-1), 5190 (NSB-1), 5210 (NSM-5), 5510 (NPM-5)
  • 6090 (NME-3), 6110 (NSE-3), 6120 (NSC-3), 6130 (NSK-3), 6138 (NSK-3), 6150 (NSM-1), 6160/6162 (NSW-3), 6185/6188 (NSD-3AX), 6190 (NSB-3), 6210 (NPE-3), 6250 (NHM-3)
  • 7110 (NSE-5), 7160 (NSW-5), 7190 (NSB-5)
  • 8210 (NSM-3), 8250 (NMS-3D), 8290 (NSB-7), 8810 (NSE-6), 8850 (NSM-2), 8855 (NSM-4), 8890 (NSB-6)
  • Communicator 9110 (RAE-2), Communicator 9210 (RAE-3)
  • Card Phone 1.0 (RPE-1), Card Phone 2.0 (RPM-1)

DCT1 & DCT2

  • 100 (THX-9L)
  • 450 (THF-9)
  • 540 (THF-11), 550 (THF-10)
  • 640 (THF-13), 650 (THF-12)
  • 800 (NHE-1XB)
  • 1011 (NHE-2), 1610 (NHE-5), 1611 (NHE-5SX), 1630 (NHE-5NA), 1631 (NHE-5SA), 16?? (NHE-5NX)
  • 2010 (NHE-3), 2110 (NHE-1XN), 2110i, 2110e for GSM 900 (NHE-4), 2110i, 2110e for GSM 900 (NHE-4NX), 2110i, 2110e for GSM 1800 (NHK-IEA), 2140 (NHK-1XA), 2148 (NHK-1), 2148i (NHK-4), 2160 (NHC-4NE)
  • 3110 (NHE-8), 3810 (NHE-9)
  • 6050 (NME-1), 6080 (NME-2), 6081 (NME-2E)
  • 8110 (NHE-6, NHE-6BX), 8110i (NHE-6, NHE-6BM), 8146 (NHK-6), 8148 (NHK-6), 8148i (NHK-6V)
  • Communicator 9000 (RAE-1), Communicator 9000i (RAE-4), Communicator 9000il (GE-9)

Back to the top/Na początek

6. General IMEI informations

IMEI is written as:

XXXXXX/XX/XXXXXX/X
TAC/FAC/SNR/SP

where:

TAC (Type Approval Code):
first two digits of are for Nokia: 35, 44, 49

Note: in the table there are listed only some example TAC. All known for me are listed with firmware info for each model.
last four digits | model
8890,8896,8903, 9142, 9143, 9149, 9150, 9203, 9204, 9206,9314,9340 | 3210
0005, 0101, 0845 | 3310
0150, 0151, 0836 | 3330
9218, 0520, 0542, 0546, 0547, 0549 , 0550 | 5110
9210 | 5130
0523 | 6110
3002 | 6150
9214, 9337, 9597 | 6210
8904, 8895 | 7110
8902, 9306 | 8210
0525 | 8810
8901 | 8850
0003 | 8890

FAC (Final Assembly Code)
FAC | Country
07, 08, 20 | Germany
10, 70 | Finland
19, 40 | UK
30 | Korea
67 | USA
80 | China

Back to the top/Na początek

7. How can I check firmware version ?

Use codes described on Codes subpage (in all new models it's generally *#0000# code)

Back to the top/Na początek

8. Can I change firmware in my phone at home ?

First of all, I will NOT answer for questions, where to find described software and how to make some things. I will IGNORE them.

In old Nokia phones (DCT1 & DCT2) software was probably mixed with language texts and it wasn't possible easy to make new national versions. I didn't see working flashers for these old phones.

Now main software in Nokia phones consist of:

  • MCU SW - software for phone. Saved in flash memory.
  • PPM - part with texts, T9 dictonaries, codepages, etc. specific for concrete languages. There are prepared many PPM for each phone, because normally flash memory is too small for info for all languages. Saved in flash memory
  • EEPROM - in older phones in separate small memory chip (8, 16, 32 kB, etc.). It was possible to read or write it using special EEPROM programator ;-)). In this moment is emulated in flash memory. Contains configuration for phone like IMEI, simlock data, etc.
    • PMM blocks - available in some new phones with emulated EEPROM in flash. Contains phonebook, WAP cache, SMS memory, etc. When you will clear it and use phone reset function, every (really) every setting will be reseted (clearing PPM is, for example, solution for 6210 hanging during opening SMS folder). PMM blocks are very often included into EEPROM memory.
All (?) new Nokia phones have 1, 2 or 4 or 8 MB flash memory. It contains MCU SW and PPM. In newer phones also EEPROM (with PMM, if available).

It's unofficialy possible to make some things outside services with flash (like reading or writing) - details shown below are in the info connected with concrete generation.

It makes, that:

  1. many phones from second hand (especially DCT3 and older) can have firmware, which not tested by Nokia and which partially damage hardware.
  2. it's possible to change identify of stolen phones for everyone (especially for DCT3 and older)
  3. it's possible to write firmware, which will track his owner or will make some other strange things (although it's very hard - I don't know, if anyone outside Nokia have source for it; because of it it is so possible like writing Windows by 3'rd company compatible with MS Windows from analizing Windows libraries and source)
From the second hand:
  1. normally it's required to pay for repairing phones in service. So, when you pay hard money for some phones and you need to pay the same hard money for repairing them, it's not OK. In this moment many software reparations can be done "at home" (especially for DCT3 and older).
  2. it's possible to remove simlocks without any problems (especially for DCT3, where info about them is saved in EEPROM and where it's possible to change them, add and remove in 100%).
  3. it's possible to change firmware to latest one without paying for it money.
  4. it's possible to change firmware to firmware from other (the most often: the more expensive or newer) models and have new functions
  5. it's possible add new functions (like fade light)
  6. it's possible to give some old phones new functions and still using them - will you need 3310 with T9, if you can have 6150 with better made hardware and your national T9 ?
  7. it will also force Nokia to improve quality of her products (more usefull functions in software) and will end some nonsence things - like selling 3330 for much higher money than 3310, which has ONLY different two chips and software.
Generally please be carefull. It's possible to buy phone, which work from time to time only...

DCT4

For DCT4 phones (Nokia 6310/6510/8310) and all new software also consist of these parts (MCU SW, PPM, EEPROM, etc.), but it's coded now (MCU SW and PPM). So, it won't be easy to decode or change it for normal people.

There are many less or more expensive flashers for writing flash. Cheap flashers can not correctly flash phones with Bluetooth and later it can not work.

You can exchange firmware between 6510 and 8310 (after changing display)

DCT3

In Internet there are available flashers, which can read flash memory and change it. First was Dejan flasher, now there are many other available (Rollis, knok, etc.)...

Using them you can repair damaged software or EEPROM. You can also take software from one phone and upload it to another one. Of course, you should remember that some models are or were in few hardware versions and there were few firmware lines for them. For example, Nokia 5110/5130/6110/6130 were in DSP3 or DSP4 versions. But this is NOT problem. You can check hardware version by *#0000# code - if firmware version is written with leading "0" ("05.30"), it'd DSP4. If not "5.27", it's DSP3. For some other (like Nokia 8210 - DSP5 or DSP6) you can use some programs (for example Gammu) to check it.

Anyway, after uploading different software version phone will not log into network, will not have sound (or have horrible noise sound) and phone will restart after few seconds. This is made, because datas with checksums doesn't match with checksums from uploaded software. You need to use loggers - after using them everything will be OK.

There are also available some other possibilities like uploading software from one phone to another. Few combinations (of course, I speak only about changing from worse to better ;-)):

  • 3310 -> 3330. If you change memory chips to bigger (from 2 MB to 4 MB), it should work. There are probably also some series of 3310 with 3330 memory chips (Not confirmed. Works for some people. It's possible, that phone with 3310 cover and sticker was originally 3330, but somebody "changed" it to 3310 before flashing (maybe Nokia, when there were too much 3310 required ?)
  • 6210 -> 6250. Gives some new possibilities like noise metter, changing LCD contrast, automatic keyboard blocking, time profiles, keyboad locking with code, task journal, 7 level network and battery indicators. Phone is a little slower (Nokia in 6210 5.56 increased a little speed and it's visible), has smaller phonebook (225, not 500 entries) and SMS memory (75, not 150 SMS), no HSCSD, Bluetooth (all these things are normal and like in original 6250)...and problems with weak 1800 Mhz coverage (partially resolved and solutions are in Internet - anyway, even after using them phone has small problems during moving and over fast handovers there is voice lost after moment)...and problems with power management (it seems to discharge battery in carkit and sometimes charger and shows incorrect capacity of battery in netmonitor). Last two problems can be probably resolved by tuning phone in professional service kit.
  • 8210 -> 8250. It's possible to upgrade only hardware version ROM6 8210 phones. No disadvangates known.
  • 8210 -> 8850. Works, but not at all, because 8210 doesn't have the slide
  • 3310 -> 3315. 3315 is Asian version of 3310. After 5.45 firmware for both is the same. You can have additional 3315 features in 3310 by flashing 3315 EEPROM or setting Product Profile Setting 30 to "1" (for example, by Pc-Locals 1.3). New features - pictures editor, timed profiles and some other (see 3310 info)
  • 3330 -> 3350. Needs some hardware (LCD) changes. Can be used in quite new 3330 only
There are also work some other like changing 8210 to 8x90 (but they don't have sence because of different network frequencies - they can be problems with it). Some other (like 3330->3350) will NOT work without hardware changes.

Some people also upload PPM from one model to another. In many times it works and you have phone with different language, but not always...And remember: you can find such phone from second hand and it can generally work, but hangs (or reset) in some concrete places.

It's also possible to edit software. In this moment in Internet you can find software for

  • tracking phone software (like WinArm)
  • changing phone pictures (in menu, animating startup logos and similiar - like NokHex)
  • adding ringtone during enabling/disabling phone.
  • adding fade keypad and screen light
  • changing default ringtones and adding new (for example, it's possible to have 60 ringtones in Nokia 5110 5.30) like FlashTone or RingtoneMan. Of course, in many times it's possible to upload ringtones (if they're not too big) in binary format without flashing to many phones (like 61xx/62x0/3210) using Gammu. The only limitation is, that it can be only these ringtones available originally for uploading (in 61xx - 1 ringtone, 62x0 - 5 ringtones, 3210 - 2 ringtones) ;-)
  • changing SMS tones (in 62x0 and 7110) using the same FlashTone or RingtoneMan. Name stays the same in phone menu, tone is new one.
  • changing all phone sounds
  • making new national versions. Some versions of firmware (like P5.23 for 6150) were created only in few language versions. Now it's possible (better or worse) to add your language for it.
  • changing sorting or names for phone menus
  • changing network names
  • adding new T9 dictionaries to phones, which didn't originally have them (like 3210 with Polish T9)
and other... There are first www sities with some info with info for programmers about Nokia firmware.

Back to the top/Na początek

9. Can I change language version in my phone ?

See previous question

Back to the top/Na początek

10. Is changing firmware expensive ?

If you want to change firmware in official Nokia service, it depends on it, if you have guarantee for phone if. If yes, they will ask, what is wrong (very often it's enough to give some generall things like - it hangs) and will replace it for free. If phone is after guarantee, you will have to pay it for it. How much ? It depends on service, country, phone model...

As you can read in previous point, it's possible to make it for DCT3 phones not only in service. If you will use this way, it will be probably cheaper and you can have some new functions in your phone, but you don't have guarantee, that it will work...

Back to the top/Na początek

11. What is DSP ROM ?

Nokia changes hardware just to make it better or more protected from all hackers changes. DSP ROM is version of ROM (Read Only Memory) in DSP (Digital Sound Processor) and it's enough to know, that it's connected with hardware. So, phone with lower DSP ROM is older than this one with higher.

Back to the top/Na początek

12. Information sources

I want thank Tomasz Stępski (admin of newsgroup server news://212.160.228.194) for special help in creating this page...and some other people too (Martin F. Schlögl, jsp_m, marOOn, etc.) :-)))

Some used materials are from WWW pages:

  1. http://www.webit.com/tw/nokia.shtml
  2. http://vzone.virgin.net/neil.hobbs/Nokia/Phone.htm
  3. http://www.worldofcellularsecrets.com/free.htm
  4. http://www.telephone.ru/faq/nokia6100/
  5. http://gsm.erc.bc.ca/553software.html
  6. http://www.users.bigpond.com/Scotth/
  7. http://www.yaws.dk/communicator/faq/imei/home.html
  8. http://www.yaws.dk/communicator/faq/versions/phone.html
  9. http://www.nokiainfo.f2s.com/software_versions.html (12-07-2001)
  10. www.vosper.prv.pl
  11. http://www.unofficial7110.co.uk/bugs/bugs.htm
  12. http://slashdot.org/articles/00/09/03/1515202.shtml
  13. http://www.arcx.com/sites/6190Tips.htm
  14. http://www.wapterror.de/index.shtml
  15. http://www.wapterror.de/6210.html
  16. http://bugzilla.punknet.cz/long_list.cgi
  17. http://www.artie.force9.co.uk/8850/about.htm
  18. http://www.fponticelli.com/bug8210.html
  19. http://members.aon.at/mfs/ (14-01-2002)
  20. http://www.2thumbswap.com/products/secrets/nokia_8110.htm
  21. http://www.nokia4u.cz/Nokia/firmware/fw-zmeny.htm (12-07-2001)
  22. http://www.indocell.net/id37.htm
  23. http://www.xinfo.net
  24. http://unlockers.hyperlink.cz/dl/
  1. http://www.gsmmagic.com/forums/
  2. http://www.flash.net.ph/cgi-bin/ikonboard/forums.cgi?forum=4&show=30 (03-02)
  3. http://www.ponticellinks.com/bug_sw.html (02-02)
  4. http://www.blue-mobile.co.uk/ (18-03-02)

Back to the top/Na początek

Marcin Wiącek (WWW)
Ostatnia aktualizacja: 23 stycznia 2003/ Last modification: 23 January 2003


NetMonitor in Nokia phones (1/7)

Main page
NetMonitor in Nokia phones (1/7)

[Part 1] [Part 2] [Part 3] [Part 4] [Part 5] [Part 6] [Part 7]

I’d like to write, that I’m not professionally connected with any cellular network or phone company. This NetMonitor guide is based on many different materials and exists thanks to the support of many different people (see Information sources). This is a guide made by user. It may lack description to some functions or contain errors and mistakes (resulting from wrong translation or my ignorance) and some strange expressions. Many questions remain unanswered. Furthermore, this page is still "under construction". Encouraging, isn’t it? But that’s the (sad) true: Nokia doesn’t make appropriate materials available... I can only assure you, that I do my best to make this NetMonitor description as reliable and complete as possible.

In this moment on my homepage you can also find Polish version of this FAQ. English language version was created with help of Michal Jerz - author of excellent page My Communictaor: http://my-communicator.com.

I’ll be very thankful for any help in creating and maintaining this guide - please send me any information (or URLs where I can find it), suggestions and remarks. My FAQ currently concerns Nokia 2110i, 2120, 2140, 2160, 3110, 3210, 3310, 5110, 5130, 5160, 5190, 6110, 6130, 6150, 6160, 6185/6188, 6210, 6250, 7110, 8210, 8810, 9110 and 9210 series of phones. If you have NetMonitor enabled in any other model (for example in 2110i, 6090, 8xxx, 9000), please contact me (to let me know about the differences and possible new tests).

Herewith I inform, that I don’t bear any responsibility for any damages and other consequences caused by applying following information (you use it on your own responsibility) !

  1. What is it ?
  2. Do I need it ?
  3. Does my phone use more power with NetMonitor enabled ?
  4. How to activate it ?
  5. Which NetMonitor version can be activated in my phone ?
  6. Does NetMonitor activation void warranty ?
  7. NetMonitor menu in my phone has different number than 10. Is it normal ?
  8. NetMonitor menu in my phone has 11 number, hovewer previous position has 9 number. Is it normal ?
  9. How to use it ?
  10. Can I damage my phone ?
  11. Glossary
  12. Description of the individual tests
  13. You can also use a program...
  14. Can I use NetMonitor without SIM card inserted, without PIN number entered or when SIM card is not active ?
  15. How can I disable NetMonitor ?
  16. Do I need to disable NetMonitor before sending my phone to the service ?
  17. Is it possible to re-activate NetMonitor after disabling it ?
  18. Is NetMonitor available in analog Nokia phones ?
  19. Does NetMonitor allow to use phone like broadcast station ?
  20. I don't have all described tests in my phone. Why ? Can I increase their number ?
  21. Does NetMonitor allow to identify place, where is my interlocutor ?
  22. Does NetMonitor allow to identify place, where am I ?
  23. What are NetMonitor codes ?
  24. Is it the truth, that in phones with additional hardware changing frequency band NetMonitor doesn't work correct ?
  25. Where can I find description of FBUS/MBUS protocol and commands connected with NetMonitor ?
  26. I have non existing networks on the list of forbidden networks...
  27. How to check frequency band (900 or 1800 Mhz), where phone work in this moment ?
  28. Can I use DLR-2/DLR-3 cables for activating netmonitor ?
  29. Can I activate netmonitor using Init File Editor (Nokia 9110) ?
  30. Can I force phone to use one frequency band (900 or 1800 Mhz) only ?
  31. How to change settings in tests ?
  32. My phone has very short snandby time - it is possible to see the reason of it ?
  33. Is netmonitor available in English version only ?
  34. Information sources
  35. Additional information
  36. Does using/activating netmonitor cost anything ?
  37. Does using netmonitor is legall ?
  38. Which entries on SIM card are used in netmonitor tests ?
  39. Can I activate netmonitor in 3310 using soft working with 3210 ?
  40. After activating netmonitor/BTS TEST my phone can't find network...
  41. Netmonitor shows different battery capacity than info on it...
  42. NetMonitor in Nokia 6310, 8310,...

1. What is it ?

Net Monitor is just a special mode, which – when activated – shows different information about the network and about phone modules, SIM card, etc. After activation your phone will usually display a new, additional menu containing strange and constantly changing letters and digits. There are no standards here – each phone shows different data and there are different methods of activation (my description concerns NetMonitor mode in Nokia phones – if you have some other phone, you have to go somewhere else). I can even say, that NetMonitor (in some form) can be found in practically each present mobile phone (because it is unprofitable for the producers to make two separate software versions – with and without NetMonitor). Here you can find some URLs to the pages describing activation and/or individual NetMonitor menus in other phones:

  • in English:

    • Alcatel One Touch Easy
    • Motorola
    • Siemens S1, S3, S3+, S3 Com i S4

  • in German:

    • AEG Telecar D 902
    • AEG Teleport TP 9070 DTFX
    • AEG Teleport TP 9082
    • Siemens S4
    • Siemens S15, S16, Bosch DualCom 738, World 718, GSM-COM 607 i 908

  • in Polish: see Polish version of this manual.

Other types: try searching on the links page www.mobilserver.com/Phone_info/.

Back to the top

2. Do I need it ?

"Normal" users surely don’t need any NetMonitor, because simply most of the data included there can be of any interest and use only for specialists (who can find out almost everything about the network). You also can:

  • feel better and be able to brag that your phone has such a BBIIIIIGGGGGG choice of different options
  • observe different network and phone parameters (I tried to explain their meaning in my description) and find out how cellular network works
  • affect some functions in your phone and sometimes make your life easier (using these new options) – I did my best to point at many useful NetMonitor applications

If you still think, that you don’t need it, read other pages concerning Nokia phones.

Back to the top

3. Does my phone use more power with NetMonitor enabled ?

I’d say: NO. Each phone monitors the network even when there is no NetMonitor menu active.

But why some users say, that they have to charge their batteries more often after enabling NetMonitor? It is easy to explain: they frequently switch from one test to another (some people cannot stop ;-) and do it habitually) and the phone after each key press (by default) turns on the light (and uses much power - see test 23). This can be partially cured by using test 18. Additionally, some tests (for example test 17 or test 19) can put your phone in a state of constant network searching (which drains the battery).

To recap, NetMonitor activation itself doesn’t affect power consumption. It can be only changed by some conscious user operations...

Back to the top

4. How to activate it ?

Older phones (for example, 1610, 2110, 3110, 8110i, 8810 and 9000 series) don't have to have this option. When it's available: I don't know exactly which programs to use (I heard only, that probably version 0.6 of PC-Locals allows to make it in older models) or how to modify EEPROM memory (if you know anything about that, please contact me). In this moment I can send you to:

  • Polish company Datex (www.datex.pl)
  • http://discserver.snap.com/Indices/16654.html
  • http://www.mobil.cz/triky/netmonstarsinok000322.html
  • http://www.mobil.cz/triky/nokia000511.html
  • www.odblokovani.cz/nokia/3110mon2.phtml

only.

Phones from DCT3 generation (3210, 33xx, 3410, 51xx, 61xx, 62xx, 7110, 82xx, 9110, 9210, etc.) You can do it in two ways:

  1. by connecting your phone to the computer with a cable (in 3210 it has to be connected inside the casing) and using appropriate software (RECOMMENDED !) working in:

    • DOS:

      • version 1.3 of PC-Locals - supports both FBUS and MBUS cable connections.

    • Unix:

      • gnokii (main project page: www.gnokii.org; newest versions: ftp://ftp.linux.cz/pub/linux/people/pavel_janik/Gnokii/) - supports FBUS\MBUS cable or IrDA connection)

    • Windows CE:

      • Light Sabre IDE (working over IrDA) from Light Sabre project (www.binet.lv/personal/nokia/ppc.htm).

    • Windows 95/98 i NT:

      • Logo Express (http://memsu1.iam.ntu.edu.tw/~jrywu/ or http://logoexpress.bizland.com/) - works with FBUS cable and IrDA port.
      • Logo Manager (http://www.logomanager.co.uk) - uses FBUS/MBUS, DLR-3 cables or IrDA.
      • gnokii
      • Andreas Schmidt program (www.aschmidt.de/) working with FBUS cable
      • version 1.3 of PC-Locals
      • NetMonitor (MBUS cable)
      • Nokia Wrench (www.wildies.de/nokia/index.html) - needs MBUS cable
      • Nok Commander (http://netcity3.web.hinet.net/userdata/nokiacmd/eng/) - working over FBUS/MBUS cable or IrDA port

    All above programs work with majority of Nokia phones with letter "S" in middle of codename (for example, 5110, 5130, 5190, 6110, 6130, 6150, 3210 series). With Nokia 7110 (NSE-5) over DAU-9P cable (from Nokia 5xxx/6xxx series phones) worked Pc-Locals and Logo Manager only. In Nokia 9110 (RAE-2) NetMonitor can be enabled with all above programs working with MBUS cable - Logo Manager, Pc-Locals or Nokia Wrench.

    When you want to check codename of your phone, try to use one of these codes: *#0000#, *#9999#, *#3110#, *#3810#, *#5190#, *#6190#, *#8110#, *#837#, *#170602112302# or *#682371158412125# (for more information about phone identification click here). If phone will display something, codename will be written in 3'rd line of screen (it will be something like NSE-1).

  2. by direct changing the contents of EEPROM (Electrically Erasable and Programmable Read-Only Memory). This method requires opening your phone and leaves visible traces inside it. I DON’T RECOMMEND THIS METHOD! But if you want to do it:

    • www.eeprom.w.pl - a full description on how to do it in Nokia 5110, 6110, 6130
    • www.utg-bi.de/netmonitor.htm - a full description on how to do it in Nokia 5110, 5130, 6110, 6130 and 6150
    • www.cs.unibo.it/~lanconel/ - a description of the EEPROM memory programmer.

You can also:

  • ask people from GSM newsgroups to do it for you
  • commission it to some specialized company

I also heard, that in some copies of Nokia 6110 and 5110 phones it is possible to activate NetMonitor by a key combination (by pressing Menu key and typing 10 – this should work even when NetMonitor menu is not visible).

In analog phones using special menu, which allow to programm NAM code (in some models only - like Nokia 2160, 2120, 5160, 6160, 6185 and 6188):

  • use *3001#12345# code (sometimes pressing additionaly Menu is required; some sources write, that you have to write security code instead of 12345) to enter this menu
  • set "Field Test Mode" to "On"/"Enable"
  • restart your phone

or entering Menu 3 3 (according to http://www.ras.ru/~sashka/nokia/550/ in Nokia 550) and setting it to "ext. test". Later you should restart phone (?)

Phones from DCT4 generation (3510, 6310, 6310i, 6510, 8310,etc.) seems to have netmonitor in each firmare version (for example, in 6310i, when you try to enter Menu 15, you could see "Shortcut not available", not "Incorrect shortcut"). In this moment it isn't known, how to activate it - Nokia hides it and sell phones with this option separately. It was activated in prototypes of these models given to some magazines to make user tests.

If you don’t know how to activate NetMonitor, you better ask some more experienced person to do it for you (you can damage your phone during this operation) ! !

I’d like to draw your attention to one detail - in Nokia phones you just activate the monitor and not upload it (it is always in your phone – described methods just reveal it as an additional menu).

Back to the top

5. Which NetMonitor version can be activated in my phone ?

Each program described in previous point allows you to activate one of two NetMonitor versions:

  1. limited, including tests from 1 to 19 (concerning cellular network only). This version is usually called "Field Test" or "Operator field tests" (or you have to enter 242 code to activate it)
  2. full, also including phone (and sometimes SIM card) tests. It is called "Engineering" (or "R&D field tests") and its activation code is 243.

I recommend you enable full version of NetMonitor – you can always replace it with a limited version (by choosing test 242 in your phone). It doesn’t work in reverse direction (you cannot activate full menu from within the phone – it doesn’t accept test 243 when limited version is active; of course you can still use methods described in previous point).

Back to the top

6. Does NetMonitor activation void warranty ?

The method of re-programming EEPROM memory is connected with opening the casing and making modifications in your phone (which leaves many traces, scratches etc. and voids warranty).

However, these problems don’t appear (you don't have to be affraid) when using one of the described programs or code (but I can be wrong . there are opinions that this method leaves a trace in phone.s memory, too)...

Of course, before getting phone to service, is better to deactivate NetMonitor. Sometimes, for example, when phone's energy system is damaged, it could be impossible - you can have some problems then (some of people working in service can think, that you broke warranty - it depends on concrete people)..

Back to the top

7. NetMonitor menu in my phone has different number than 10. Is it normal ?

NetMonitor menu in Nokia 3210 NetMonitor menu in Nokia 3310 NetMonitor menu in Nokia 5110 NetMonitor menu in Nokia 6150 NetMonitor menu in Nokia 6190 NetMonitor menu in Nokia 8210/8250 NetMonitor menu in Nokia 8310 NetMonitor menu in Nokia 9110 NetMonitor menu in Nokia 9210

NetMonitor menu in Nokia 7110
NetMonitor menu in Nokia 6210
NetMonitor menu in Nokia 6310 		Of course, Number of NetMonitor menu (called "Net monitor" or "Field Test") is different (depends on firmware version and phone series) in different Nokia phones.

It can be: Menu 7 (Nokia 3110 and 9110), Menu 10 (Nokia 5110, 5130, 6110, 6130), Menu 11 (Nokia 5190 and 3210) or Menu 12 (Nokia 8210 or some 6150). Nokia 3210 also has a completely different icon for this menu, 6250 doesn't have any icon. So, it's normal and don't be affraid.

There is also interesting thing connected with it: in Nokia 8210 icon of phone in netmonitor's menu is DIFFERENT from icons of phones in other menus in this model, but THE SAME to icon in Nokia 8250...

Back to the top

8. NetMonitor menu in my phone has 11 number, hovewer previous position has 9 number. Is it normal ?

Menu 9 in Nokia 3210 Menu 10 in Nokia 3210 Menu 11 in Nokia 3210 YES - It's normal. We have such situation in Nokia 3210. "Lost" Menu 10 is reserved for SIM application toolkit and you will see it, when you will have access to them (when your SIM card will have this feature built in - you CAN'T activate it different way).

Back to the top

9. How to use it ?

GSM/DCS/PCS phones:

NetMonitor menu in Nokia 5110 NetMonitor menu in Nokia 5110 After activation you gain access to the new position (called "Net monitor" or "Field Test") in main phone menu.

NetMonitor menu in Nokia 5110 When you enter this menu, you can type number of the test, which should be displayed (1 to 19 in limited version, higher numbers in full version - Caution! Entering number 241 removes NetMonitor menu and 242 switches it to the limited version – you’ll have to use one of the methods described in How to activate it ? to regain access to the full version !). Before number of test you can add "+". Unfortunately, in Nokia 6210/7110 there is one wrong thing here: before entering number of new test you must delete old number using right function key (in other models you can enter it without it).

NetMonitor menu in Nokia 5110 After pressing OK the chosen test appears on screen (and its number is shown on the top) in place of your network name/operator logo (BTW: in some phones (like Nokia 3310), when you will enable clock, alarm clock, stopwatch, countdown timer, second line (ALS function), test in netmonitor and lock keypad, time will disappear :-)). If you enter incorrect test number, NO TEST appears on screen and the phone returns to the last correctly displayed test. If entered number is greater than 256, 512 or 768, then 256 (or its multiple) is subtracted and resulting menu number is displayed (for example numbers 300 and 556 run test 44). Some test when accessed this way (by typing its number and pressing OK to enter them directly) modify its contents (details are described later, I call this "DIRECT" menu access’ - for example, see test 18).

NetMonitor menu in Nokia 5110 You can look at different tests by scrolling them using up/down arrows (don’t worry – this method doesn’t change any settings in tests) – each key press moves you to the next/previous available test. In some models (for example in 5110) these keys have different functions (like displaying last dialed numbers, opening and scrolling phonebook or changing the volume) – unfortunately they don’t work while NetMonitor is on screen:-(. However, you can still adjust volume during a call in Nokia 5xxx/3210/3310/6188/6185/6160/6120 – by pressing and holding (longer than normally - about a second) one of the arrow keys. Interesting fact from 5120 - when enter "+" as test number, previous used test will be displayed and Up/Down keys will function normally.

NetMonitor menu in Nokia 5110 Help (description) to the current test can be displayed by pressing and holding * key (repeat this to return to test values). However, this shortcut works only in some phones (my explanation to this fact can be found in Description of the individual tests). That's why I've added these help screens using a bold font in most of the tests... If they are currently displayed, entering menu directly doesn't change its settings.

NetMonitor menu in Nokia 5110 NetMonitor menu in Nokia 5110 NetMonitor menu in Nokia 5110 You can return to the main screen with name/logo of your network by entering 0 in this menu.

If you enter 0 as a test number and then add a number of a non-existing test (for example 52), your phone will act as when NetMonitor is active (for example up/down arrows can be used to change test number – you can check this in Menu 10). Unfortunately, in this case counters from test 82 don’t work. Tests chosen this way appear right after switching the phone on. You can use this feature to:
  • temporarily "damage" your phone (to cheat your friend?)
  • block access to your phonebook (Nokia 5xxx and 6xxx)
  • prevent viewing your last dialed numbers list on the main screen with network logo/name (Nokia 5xxx)
  • make it difficult to change volume during a call (Nokia 5xxx) – the arrow keys must be pressed and hold longer than normally
  • make it impossible to change volume (Nokia 3110)

With any test on screen (in phones other than Nokia 3110), your phone doesn’t display some of the messages (for example. "...calling") and there is no calling party identification recognition (the only exception to the rule is a message: 'Note: you have active diverts'). When you type a phone number the test screen disappears (it will come back after you get connected or when you cancel this number from your display).

Remember: your phone is like computer. If you won't disable it and enable (only then it saves all values in EEPROM), it can lost values from tests (for example, info about number of sent/received SMS from test 64, when you will use tips above...

There is one firmware bug connected with using helps (descriptions) to the tests (in this moment, it's confirmed for Nokia 5110, 3210, 3310). If you want to see it:

Menu monitora w Nokii 5110 Menu monitora w Nokii 5110 Menu monitora w Nokii 5110 Menu monitora w Nokii 5110 Menu monitora w Nokii 5110
  • Press and keep * key. In a moment, when * desappear from the screen (but before moment, when test values will be replaced with help or help with test values), let * key.
  • Now you must do everything fast - * can't be written on the screen and text below NaviKey can't change: instantly press * for a moment and let it. You can repeat this point - effects will depend on repeat numbers. For example, with firmware 5.07 (or 5.11) and 0 repeats you will have access to first "hidden menu", with 1 repeat you phone hangs and turn off (see test 36 - it can be interesting), with 2 repeats it changes language ;-)), with 3 you can enter to another "hidden menu", sometimes (I don't know exactly, when) you can see "CONTACT SERVICE" message (restart you phone and everything will be OK). With firmware 5.24 result are different: with 0 repeats you can enter second "hidden menu", with 1 or 2 repeats desappear NaviKey description, with 3 its description changes to "Send".
  • wait longer moment
  • press for a moment and let one of the keys: *, 0 to 9 or #

You can restart your Nokia 5110, if it has older firmware (it doesn't work with 5.24, but with 5.07 and 5.11 works):

  • Press and keep * key. In a moment, when * desappear from the screen (but before moment, when test values will be replaced with help or help with test values), let * key.
  • Now you must do everything fast - * can't be written on the screen and text below NaviKey can't change: instantly press * for a moment and let it, instantly press * for longer time (2 sec. or longer) and let, instantly press * for a moment and let it

The reason of it is stack overflow (see test 35 and test 57). If it doesn't work with your phone and you have Nokia 6110, you can also use another trick to reboot phone:

  1. Go to the Calendar (Menu-8)
  2. Make a note or reminder.
  3. Enter some text into the edit box.
  4. Hold "Clear" until the whole text is cleared, then press "Back".
  5. Press "0". The main screen will now be showing but a space appears on the screen. (you can't see it)
  6. Enter 4 digits (e.g. 1234).
  7. Use the down arrow to move the cursor to the left side of the numbers and the space (Down arrow twice).
  8. Now enter 6 digits and press the call button.

TDMA 800/TDMA 1900 phones:

After activation you gain access to the new position (called "Field Test") in main phone menu.

When you enter this menu, you can type number of the test, which should be displayed (1-7 in Nokia 6160) or enter 0 to disable it.

You can look at different tests by scrolling them using up/down arrows. During voice calls, depending on how NetMonitor was entered, the arrow keys may switch tests (you can't change volume then) or adjust volume.

If the keypad is locked while a NetMonitor tests are active, pressing 0-9, *, or # will toggle the screen back to the User Interface Display. Pressing Talk, End, the arrow keys, or the soft menu keys will return the test.

In Nokia 2120 or 2160 you can also display description (help) to displayed tests by pressing and holding "ABC" key.

Back to the top

10. Can I damage my phone ?

Probably only during NetMonitor activation (especially in phones with NAM programming menu) or in Nokia 6210 or 3210 (more in description for test 17).

I’ve never heard of such accident (my own strange and hard attempts :-) failed, too) during using it in different phones. But of course you should be careful - netmonitor is "unofficial" part of phone's firmware.

If something doesn't work correctly, switch the phone off and then back on - all tests, you can set (excluding test 17), should be set to their default values...

Back to the top

[Part 1] [Part 2] [Part 3] [Part 4] [Part 5] [Part 6] [Part 7]

Marcin Wiacek (WWW)
Last modification: 6 October 2002


NetMonitor in Nokia phones (2/7)

Main page
NetMonitor in Nokia phones (2/7)

[Part 1] [Part 2] [Part 3] [Part 4] [Part 5] [Part 6] [Part 7]

  1. What is it ?
  2. Do I need it ?
  3. Does my phone use more power with NetMonitor enabled ?
  4. How to activate it ?
  5. Which NetMonitor version can be activated in my phone ?
  6. Does NetMonitor activation void warranty ?
  7. NetMonitor menu in my phone has different number than 10. Is it normal ?
  8. NetMonitor menu in my phone has 11 number, hovewer previous position has 9 number. Is it normal ?
  9. How to use it ?
  10. Can I damage my phone ?
  11. Glossary
  12. Description of the individual tests
  13. You can also use a program...
  14. Can I use NetMonitor without SIM card inserted, without PIN number entered or when SIM card is not active ?
  15. How can I disable NetMonitor ?
  16. Do I need to disable NetMonitor before sending my phone to the service ?
  17. Is it possible to re-activate NetMonitor after disabling it ?
  18. Is NetMonitor available in analog Nokia phones ?
  19. Does NetMonitor allow to use phone like broadcast station ?
  20. I don't have all described tests in my phone. Why ? Can I increase their number ?
  21. Does NetMonitor allow to identify place, where is my interlocutor ?
  22. Does NetMonitor allow to identify place, where am I ?
  23. What are NetMonitor codes ?
  24. Is it the truth, that in phones with additional hardware changing frequency band NetMonitor doesn't work correct ?
  25. Where can I find description of FBUS/MBUS protocol and commands connected with NetMonitor ?
  26. I have non existing networks on the list of forbidden networks...
  27. How to check frequency band (900 or 1800 Mhz), where phone work in this moment ?
  28. Can I use DLR-2/DLR-3 cables for activating netmonitor ?
  29. Can I activate netmonitor using Init File Editor (Nokia 9110) ?
  30. Can I force phone to use one frequency band (900 or 1800 Mhz) only ?
  31. How to change settings in tests ?
  32. My phone has very short snandby time - it is possible to see the reason of it ?
  33. Is netmonitor available in English version only ?
  34. Information sources
  35. Additional information
  36. Does using/activating netmonitor cost anything ?
  37. Does using netmonitor is legall ?
  38. Which entries on SIM card are used in netmonitor tests ?
  39. Can I activate netmonitor in 3310 using soft working with 3210 ?
  40. After activating netmonitor/BTS TEST my phone can't find network...
  41. Netmonitor shows different battery capacity than info on it...
  42. NetMonitor in Nokia 6310, 8310,...

11. Glossary

Here you can find explanation to some terms, which can be found in this FAQ:

ACCH (Analog Control Channel) (TDMA 800/TDMA 1900)

AMPS (Advanced Mobile Phone Service)
Analogue cellular system working in 800 Mhz used, for example, in North America.

ASIC (Application Specific Integrated Circuit)
Electronic chips designed for some concrete purposes (for example, in phone it controlls communication between MCU and DSP) They're designed and produced by the companies which use them.

AVCH (Analog Voice Channel) (TDMA 800/TDMA 1900)

BCC (Base-station Color Code) (GSM/DCS/PCS)
3-bit number (from 0-7 range) used to distinguish neighbor cells of the same operator, transmitting using BCCH in the same FDMA channel. Such distinguish is not needed when the cells belong to different operators (they use different channels and their BCCH are in different FDMA channels). It is given in BSIC of each BTS (you can check it for example in test 2).

BSC (Base Station Controller) (GSM/DCS/PCS)
It controls and supervises one or more BTSes.

BSIC (Base Station Identity Code or Base transceiver Station Identity Code) (GSM/DCS/PCS)
Unique ID number of each BTS. If we code this value binary, first three digits (in decimal format) are NCC and next three are BCC. These values range from 0 - 63. BSIC values can be found among others in test 2.

BTS (Base Transceiver Station) (GSM/DCS/PCS)
This device allows communication between phones and cellular network (many parameters, like current communication channel, distance to BTS and signal quality can be found, for example, in test 1).

And here are another classes with maximum power of BTS:

GSM 900 | GSM 1800
320 W (55 dBm) 160 W (52 dBm) 80 W (49 dBm) 40 W (46 dBm) | - - - -
20 W (43 dBm) 10 W (40 dBm) 5 W (37 dBm) 2,5 W (34 dBm)

In Polish version of this FAQ I give many links to WWW pages with BTS lists, their descriptions, pictures (in Poland).

From English pages I recommend www.geckobeach.com/cellular/cellpixs/cellid.htm site - it's about networks and BTSes in North America.

Another links connected with it:

  • http://go.to/nokia.info - photos of BTSes
  • www.club.cz/nokia.monitor/ - BTSes bases for Czech networks

C1 (path loss-criterium) (GSM/DCS/PCS)
This is a parameter (ranging from -99 to 99 dBm) calculated by the phone to decide which cells to use (it uses the cell only if its C1 is positive). This value is based on:

  • RX
    Strength of signal received in BCCH channel. If it is equal or less than RxLevAm, the phone searches for next BCCH channel. It is shown in test 1 (for current channel) and also in test 3, test 4 and test 5 (for neighbor channels). The amount of measurements of the quality of transmission with BCCH channels in neighbor cells is given in test 62
  • RxLevAm (Rx Level Access minimum)
    Min. level of the received signal (usually from -100 dBm to -110 dBm) needed by the phone to use particular cell.
  • MSTxPwr
    Max power, which can be transmitted by phone to get access to RACH channel (i.e. max power allowed by current cell). Actually, it is lower in towns (where cells are small) and higher outside them.
  • MSMaxTxPwr
    Max permissible transmission power of the phone (its classes are described in TX description).

It is calculated using following formula: C1 = (RX - RxLevAm - MAX ( ( MSTxPwr - MSMaxTxPwr ), 0) ) , where MAX(x,y) is obviously a mathematical function giving the bigger one of the discussed numbers. The phone shows C1 value in test 1 (for current channel) and in test 3, test 4 and test 5 (for neighbor channels).

C2 (cell-reselection criterion) (GSM/DCS/PCS)
This parameter (-99 to 99 dBm) is calculated with following formula: C2 = C1 + Cell reselect offset - Temporary offset * H (Penalty time - T). If this value for some other cell (C2 for neighbor channels can be found in test 3, test 4 and test 5) is higher than this value for current cell (shown in test 1 and test 3) for a period of time longer than 5 seconds, the phone switches cells. There are two exceptions to the rule:

  • if the new cell is located on different ‘Location Area (this parameter for current cell can be checked in test 11), C2 for this cell must be (during more than 5 seconds) higher than C2+CELL_RESELECT_HYSTERESIS for old cell (where CELL_RESELECT_HYSTERESIS is a special parameter sent in BCCH channel).
  • if the phone switched cells during last 15 seconds, C2 for a new cell must be higher at least 5 dBm from C2 value of the old cell.

H(x) function for currently not used cells is 0 (if x<0) or 1 (if x>=0). For current cell H(x) is always equal 0.
By a skillful manipulation of this parameter (through CELL_RESELECT_HYSTERESIS), operators can direct connections to specific cells (thus lightening load of the network).

CDMA (Code Division Multiple Access; also known as IS-95)
One of the newer digital technologies in 800 or 1900 Mhz. Used in North America, Australia and some southeastern Asian countries (e.g. Hong Kong and South Korea). It doesn't divide the radio frequency spectrum into separate user channels by frequency slices or time slots, but separates users by assigning them digital codes within the same broad spectrum.

DCCH (Digital Control Channel) (TDMA 800/TDMA 1900)

DCS (Digital Cellular System)
Cellular communication system working in 1800 MHz frequency band (currently more often called GSM 1800) – a changed version of GSM (900 MHz) system. Its new features allowed to increase network capacity (that’s why this system is used in urban areas with huge number of subscribers) at the cost of thick net of the base stations (BTSes) and to provide roaming within one country. GSM 1800 has different channel numbers (see test 17), different phone (see RX description) and BTSes transmission power and also different max speed of the user, at which he can use his phone (250 km/h in GSM and 130 km/h in DCS).

DSP (Digital Signal Processor)
Signal processor (digital signals processing chip - controls radio interface and speech coding/decoding). Its version can be checked in test 88.

DTCH (Digital Traffic Channel) (TDMA 800/TDMA 1900)

DTX (Discontinous Transmission Exchange)
Some phones and networks "care" ;-) about battery life using so called discontinuous transmission (DTX), which turns off phone’s transmitter when we don’t talk (but – for example - listen to the calling party). During that period the phone generates a so called comfortable :-) noise, because if our interlocutor heard the silence, he could think that the connection was broken.

(GSM/DCS/PCS):
DTX must be supported by the phone (Nokia does - see test 78) and BTS - you can check and (sometimes) change this in test 12 and test 13.

FDMA (Frequency Division Multiple Access) (GSM/DCS/PCS)
This name means multiaccess on frequency field: transmission proceeds on different frequencies at the same time (this is a "full duplex" connection): there is a “down-link” from BTS to the phone and “up-link” - from the phone to BTS (this is called "up" and "down" because BTS antennas are usually higher than phone ones, so the signal from BTS to the phone really must go down (and vice versa)).

Frequency hopping (channel hopping) (GSM/DCS/PCS)
During connection your phone can continuously change used frequency (used channel) in communication with cell. It's used, when some channel is still troubled - without channel hopping communication with phone could not be possible, with it it's - only this part of transmition, which is made on this frequency, is lost (so, if gives less number of signal loss, but doesn't change sound quality - methods of coding it are always the same). You can check (during a call) if your phone uses this function in test 1. test 12 informs if it is allowed by the cell (these values are updated only during a call). Channel hopping requires Hopping Sequence Number (frenquencies are changed according to known for phone and network sequence) - see test 2.

GSM (Global System for Mobile Communication)
Cellular telecommunication system working at 900 MHz. It also has a 1800 MHz (DCS) and 1900 MHz (PCS) version.

HLR (Home Location Register) (GSM/DCS/PCS)
Network register containing information about subscribers (i.e. about their subscribed services, tariff, last network they were logged in, etc.).

IMEI (International Mobile Equipment Identification code) (GSM/DCS/PCS)
Unique 15-digit identification number of every GSM phone on the world. It can be checked using *#06# code (all phones) or in service menu (Nokia), which can be activated by typing a code *#WAR0ANTY# or *#WARRANTY# (Nokia 6130). In Nokia 3110 after entering service menu (*#WAR0ANTY#) you have to additionally enter a code 9268. IMEI contains information about the manufacturer, place of production and serial number (check www.tele-servizi.com/janus/texts/imei.txt for such list for Motorola phones, here is my list for Nokia phones). Operators can restrict network access for particular phones – for example the stolen ones (identified using IMEI number). Different operators can exchange such lists too.

IMSI (International Mobile Subscriber Identify) (GSM/DCS/PCS)
Unique (max 15-digit) number given to the phone:

  • first three digits are MCC
  • next three digits are MNC
  • the rest is a unique number

It's saved on SIM card

IMSI attach (GSM/DCS/PCS)
It is a procedure executed after each power on. The phone informs network that it is active (and is ready for communication - receiving waiting SMS, etc.) and then it receives the TMSI number assigned to IMSI from SIM card. The counter connected with IMSI attach is located in test 64, test 7 informs whether this is allowed by the current cell.

IMSI detach (GSM/DCS/PCS)
The phone informs network that it is going to switch off and the communication won’t be possible (its IMSI expires). The counter connected with IMSI detach is located in test 64. test 7 informs whether this is allowed by the current cell.

Location Update (GSM/DCS/PCS)
Every GSM phone periodically informs network about its current location. This function is called Location Update. It is executed after changing Location Area (phone makes it "intelligent" - when it's moved out of network coverage and the logs again to the network, makes Location Update only when current BTS has different LAC than previous one – before losing the signal) or PLMN (after leaving the range of one network and trying to log in to another). Then information about Location Update is transferred to a new MSC/VLR, which in turn passes this information to HLR. When the phone works in new MSC/VLR, HLR doesn’t identify the user by the number received from old MSC/VLR anymore. Location Update has a couple of varieties: PLU, IMSI attach and IMSI detach (they're distinquished in test 64). Current Location Area code can be checked in test 11.

MCU (Master Control Unit processor)
Main processor in phone.

MSC (Mobile Switching Center) (GSM/DCS/PCS)
Part of the system responsible for communication between subscribers and other users (also from other networks).

NCC (National Color Code or Network Color Code) (GSM/DCS/PCS)
3-bit number (from 0-7 range) used to differentiate cells of the operators from different countries (for example near the border, where the phone is in range of several different networks) transmitting using BCCH in the same FDMA channel. This number is constant within PLMN. It is given in BSIC of every BTS (you can check it in test 2).

PLMN (Public Land Mobile Network) (GSM/DCS/PCS)
Area covered by one operator (one network). After changing this area, the phone executes Location Update.

  • Coverage maps of different operators worldwide can be found at www.subcam.freeserve.co.uk/mark/orange/ora.html.

PLU (Periodic Location Update) (GSM/DCS/PCS)
The phone informs network, on which country area (in the range of which cells) it is located. This procedure is executed periodically (depending on the network, for example in polish Era GSM and Plus GSM networks every 3rd hour, in Idea every 2th hour) - this can be checked in test 10. This period is counted from the last „contact” with network (the counter doesn’t stop even if the phone loses network signal!) – from the last call, sending/receiving SMS, requesting some services (for example enabling call diverting), because the network is then informed about phone’s location (but this is not registered in test 64). The counter connected with PLU is in test 64.

TCH (Traffic Channels) (GSM/DCS/PCS)
Two way user data (computer data or digitized voice) channels. They can be divided to:

  • HR (Half Rate Traffic): max data transfer rate is 6.5 kbit/sec (introduced in GSM phase 2). HR channels offer worse sound quality but also longer phone standby time (even up to 30%), because the phone using HR uses less power. The main advantage of this kind of channels is that they enable the network to double its capacity (the number of subscribers able to make a call at the same time – see TS parameter description for more details) or to double the max range of the BTS. Using these channels must be allowed and supported by the network (this can be checked in test 7) and the phone. Activation code is *HRC0#, deactivation code is #HRC0#. Unfortunately, not all Nokia phones accept these codes (the phone should reset itself after entering them) – in older models they're not supported, in never they're deactivated, when the phone is directed to countries with networks, which doesn't support it. Interesting fact is that in Nokia 6110 (firmware 5.24) you can decide whether the phone can use this channel or not by modifying following EEPROM memory cells values:
    enabling disabling
    cell 0070 value for 78
    cell 011F value for 84     		cell 0070 value for 70
    cell 011F value for 7C
  • FR (Full Rate Traffic):transmission at 13 kbit/sec, coding using LPC-RPE (Linear Prediction Coding with Regular Pulse Excitation) algorithm
  • EFR (Enhanced Full Rate): 13 kbit/sek, coding algorithm different than in FR (ASELP (AlgebraicCode Excitation Linear Prediction) created by Nokia and Sherbrooke University; recognized as an industrial standard for GSM). EFR provides better sound quality at the same data transmission rate (and up to 5% faster battery drain compared to FR). This mode can be enabled using *EFR0# code (the phone then tries to use TCH channels in following order: EFR, FR, (HR)) and disabled with #EFR0# (order: FR, (HR)). These codes may be not recognized by some models (for example 6110 with some firmware versions) - if your phone accepts them, it should reset itself right after typing them (if this doesn’t happen, you won’t be able to enable/disable EFR using a keyboard code). This channel is not supported in all older models (for example, 2110). The type of channel used by your phone can be checked only during connection.

When you network doesn't support one of these channel and phone recognizes its activation code, you may see "Not ready" message.

You can check this in test 1. The sequence of TCH channels can be freely set using some of the service programs (for example WinTesla – in Software/Product Profile menu) - it can be only possibility to enable HR channel in phone.

TDMA (Time Division Multiple Access) (GSM/DCS/PCS)
This means multiaccess in time: several phones can transmit signal (either digitized voice or computer data) in the same time on the same channel (its number can be checked in test 1) – actually, this period of time is divided into very small parts (see TS description), invisible for us, so we can assume it happens simultaneously).

TMSI (Temporary Mobile Subscriber Identity): (GSM/DCS/PCS)
During signalization procedures encrypted on radio channel (for example, during location update) this number is assigned by MSC to phone. In the moment, when network wants to contact with concrete phone and transmission on radio channel is not encrypted, it's send instead of IMSI and allows phone to indentify, that concrete call concern on it. It doesn't have global meaning and it's structure is definited by network administrator. Actual TMSI you can check in test 10.

TS (Time Slot)
Each radio channel used in communication between phone and BTS is divided into 8 parts (called TS - time slots). If in all BTSes (available for your phone) all time slots are in use, you won't be able to make/receive a call and you'll get a 'Network busy' message (information about reason of connection failure is given among others in test 39). Unfortunately, each type of connection has the same priority in networks not supporting GSM Phase 2+ (it isn't available in older GSM Phases) - so if you want to dial emergency number 112 and the network is busy, no other call will be interrupted and you won't get connected. This problem can also be solved by adding more BTSes (for example in dual GSM 900/1800 MHz network) or by modifying current stations to allow the use of HR channels (FR and EFR transmission uses whole assigned time slot, while HR (defined in GSM Phase 2) only half of it). Max data transmission speed using one TS is 9.6 kbit/sec (or 14.4 kbit/sec, but only in some additional conditions). There are new systems allowing higher transmission speeds (for example GPRS (Generic Packet Radio Services) or HSCSD (High Speed Circuit Switched Data), but they achieve this using several time slots at the same time (which decreases network capacity). Actual used TS can be checked in test 1, in phones with HSCSD (like Nokia 6210) use also test 8 for it...

VLR (Visitor Location Register) (GSM/DCS/PCS)
This register contains the same data as HLR, but for roaming guests (their data are taken from their home network HLR).

Back to the top

[Part 1] [Part 2] [Part 3] [Part 4] [Part 5] [Part 6] [Part 7]

Marcin Wiacek (WWW)
Last modification: 6 October 2002


NetMonitor in Nokia phones (3/7)

Main page
NetMonitor in Nokia phones (3/7)

[Part 1] [Part 2] [Part 3] [Part 4] [Part 5] [Part 6] [Part 7]

  1. What is it ?
  2. Do I need it ?
  3. Does my phone use more power with NetMonitor enabled ?
  4. How to activate it ?
  5. Which NetMonitor version can be activated in my phone ?
  6. Does NetMonitor activation void warranty ?
  7. NetMonitor menu in my phone has different number than 10. Is it normal ?
  8. NetMonitor menu in my phone has 11 number, hovewer previous position has 9 number. Is it normal ?
  9. How to use it ?
  10. Can I damage my phone ?
  11. Glossary
  12. Description of the individual tests
  13. You can also use a program...
  14. Can I use NetMonitor without SIM card inserted, without PIN number entered or when SIM card is not active ?
  15. How can I disable NetMonitor ?
  16. Do I need to disable NetMonitor before sending my phone to the service ?
  17. Is it possible to re-activate NetMonitor after disabling it ?
  18. Is NetMonitor available in analog Nokia phones ?
  19. Does NetMonitor allow to use phone like broadcast station ?
  20. I don't have all described tests in my phone. Why ? Can I increase their number ?
  21. Does NetMonitor allow to identify place, where is my interlocutor ?
  22. Does NetMonitor allow to identify place, where am I ?
  23. What are NetMonitor codes ?
  24. Is it the truth, that in phones with additional hardware changing frequency band NetMonitor doesn't work correct ?
  25. Where can I find description of FBUS/MBUS protocol and commands connected with NetMonitor ?
  26. I have non existing networks on the list of forbidden networks...
  27. How to check frequency band (900 or 1800 Mhz), where phone work in this moment ?
  28. Can I use DLR-2/DLR-3 cables for activating netmonitor ?
  29. Can I activate netmonitor using Init File Editor (Nokia 9110) ?
  30. Can I force phone to use one frequency band (900 or 1800 Mhz) only ?
  31. How to change settings in tests ?
  32. My phone has very short snandby time - it is possible to see the reason of it ?
  33. Is netmonitor available in English version only ?
  34. Information sources
  35. Additional information
  36. Does using/activating netmonitor cost anything ?
  37. Does using netmonitor is legall ?
  38. Which entries on SIM card are used in netmonitor tests ?
  39. Can I activate netmonitor in 3310 using soft working with 3210 ?
  40. After activating netmonitor/BTS TEST my phone can't find network...
  41. Netmonitor shows different battery capacity than info on it...
  42. NetMonitor in Nokia 6310, 8310,...

12. Description of the individual tests

Existence of the individual test in your phone depends on:

  • phone model: generally, never and more complicated models (with more functions and options) have more tests (for example, Nokia 9110 has more tests than 5110, 7110 more than 9110). There is one (only ?) exception: less complicated Nokia 5110 has bigger NetMonitor than 6110 (and that’s why I think that this model is better, even though it doesn’t have some functions).
  • software version - usually the newer version, the more options it has (software can be upgraded in service and its version can be checked in most models with *#0000# code, in Nokia 6130 with *#9999# and in 3110 with *#3110#) – for instance in Nokia 5110 in test 89 bbbbbb parameter is shown only from firmware 5.07. Firmware upgrade has also additional advantage: newer versions don’t contain some bugs (also in NetMonitor).
  • who uploaded firmware to the phone: it is usually written in C (and then translated (compiled) to the code of phone’s microprocessor). According to my own private theory existence (and running) of an individual tests depends on some constants set (or not) in the source code (programmers :-) surely understand, what I’m trying to write). The best example for this can be test 38: according to the some English documentation it doesn't exist in phones to be sold, because DEV_FT_MEMORY_DUMP_IN_USE constant in file ftd_conf.h (one of the firmware source code files) wasn't set before compiling. I think, that the same applies to the help screens – their presence doesn’t depend on firmware version but on where the phone was purchased (where it comes from – where was its firmware uploaded). How to solve this problem? Unfortunatelly, you can only download firmware again (compiled from source with set constants).

    Aha, I’m also not quite sure, whether DSP tests (test 70, 10-73, 10-74, 10-76 (except for ab parameter), 10-77, 10-78 and 10-79) don’t have to be enabled this way (or whether their existence (or not) depends on the network).

Help screens for tests are written with bold font, concrete (example) values in tests with italic (I put them there, where I didn't have more details about test).

  • sample screenshoots from Nokia 2110i, 5110, 6110 and 9110 (of course, with NetMonitor) are on the www.yaws.dk/communicator/faq/miscellanous/mbus/ or www.fan.net.au/~mrvfone/vfone/techtop/ page. First of them contains NetMonitor manual for Nokia 9110 signed with my and Michal Jerz (http://my-communicator.com/) name. Unfortunatelly, author of this site doesn't want to update it and I suggest rather to read this FAQ..
  • http://www.mobil.cz/triky/netmonstarsinok000322.html (Nokia 2110 and 3110)

Back to the top

Test 1
Information about communication with cell

abbb ccc ddd
 e ff g mmmm
 nnn     ppp
    oooo
CH RxL TxPwr
TS TA RQ RLT
 C1     C2
    CHT

  • a - contains H, if frequency hopping is enabled (otherwise empty). This information can also be found in test 11 and test 12.
  • bbb - CH (channel): number of the channel used in communication with cell (decimal). If frequency hopping is enabled, this number changes when the display gets refreshed. This parameter determines frequencies used in communication with BTS:

    carrier (middle) frequency of the transmission channel (MHz)
    GSM 900
    GSM 1800
    transmission phone-BTS
    890 + CH * 0,2
    1710 + (CH - 511) * 0,2
    transmission BTS-phone
    935 + CH * 0,2
    1805 + (CH - 511) * 0,2

    and informs, whether phone use cell working in GSM 900 or 1800 MHz (I write more about channel numbers in test 17).

  • ccc - RX: minus is not show if <=-100. This parameter affects following functions:

    • if all channels’ signal is weaker than -110 dBm, the phone doesn’t monitor channels.
    • if the phone loses signal of your home network, it tries to monitor next available networks and if you don't have access to them, you’ll see a network presence symbol and no signal strength bars (but you can make emergency calls)
    • if some other network has a very strong signal (say -85 dBm) and your home network is very weak on that area (for example, -100 dBm), your phone can have big problems with logging into it (you will have to use test 17 to manually force the phone to use proper channel).
    • RXLev parameter value:

      RX (from) | RX (up to) | RXLev
      less than | -110 dBm | 0
      -110 dBm | -109 dBm | 1
      -109 dBm | -108 dBm | 2
      ... ... ...
      -49 dBm | -48 dBm | 62
      -48 dBm | morej | 63

    • signal strength indicator value on the left side of the display (approximately):

      RX (from - to) | amount of bars
      from -105 to -100 dBm | 0
      from -100 to -95 dBm | 1
      from -95 to -90 dBm | 2
      from -90 to -85 dBm | 3
      more than -85 dBm | 4

  • ddd - TX: level of the transmitted signal (only during connection). If the phone’s transmitter is active, there is an * (asterisk) before the value. The lower value, the higher power level (also the one received by your head!) and energy consumption.

    TX (GSM 900) | 16 | 15 | 14 | 13 | 12 | 11 | 10 | 9
    TX (GSM 1800) | 9 | 8 | 7 | 6 | 5 | 4 | 3 | 2
    dBm | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20 | 21 | 22 | 23 | 24 | 25 | 26
    Watts | 0,012 | 0,016 | 0,02 | 0,025 | 0,032 | 0,04 | 0,05 | 0,063 | 0,079 | 0,1 | 0,125 | 0,158 | 0,2 | 0,251 | 0,316 | 0,398

    and continue...

    TX (GSM 900) | 8 | 7 | 6 | 5 | 4 | 3 | 2-0
    TX (GSM 1800) | 1 | 0 | 31 | 30 | 29
    dBm | 27 | 28 | 29 | 30 | 31 | 32 | 33 | 34 | 35 | 36 | 37 | 38 | 39 | 40 | 41 | 42 | 43
    Watts | 0,501 | 0,631 | 0,794 | 1 | 1,26 | 1,58 | 2 | 2,51 | 3,16 | 3,98 | 5 | 6,31 | 8 | 10 | 12 | 15,8 | 20

    Watt = 10(dBm/10)*0,001
    dBm = 10*log(Watt/0,001)

    There are following classes describing max phone transmission power:

    GSM 900
    GSM 1800
    20 W (not in use)
    8 W (car/mobile phone)
    5 W (car/mobile phone)
    2 W (hand phone)
    0,8 (hand phone)
    1 W (hand phone)
    0,25 W (hand phone)

    Min. phone transmission power in GSM 900 is 0,02 W and in GSM 1800 is 0,0025 W (4 dBm).

    Max BTS power level can be found in their description.

  • e - This TS indicator shows number of the used time slot (0..7 for FR (EFR) or 0..15 for HR). For phones with HSCSD (like Nokia 6210) use also test 8 for it.

  • ff - TA (Timing Advance): BTS informs the phone, when it should start transmission (so that it reaches BTS in time). This information is shown by this indicator. It lets us calculate approximate distance between phone and BTS, which is a value between TA*550 m and (TA+1)*550 m (remember, that sometimes signal is refracted and distance evaluated with this parameter can be wrong). This parameter is updated during communication with network (sending/receiving SMSes, calling, requesting services), for example when using SDCC and TFR channels. It ranges from 0 to 63 (up to 35 km) with FR and EFR channels. HR channels offer theoretically (for example with a car antenna (higher transmitting power) and a flat terrain) twice this range (up to 70 km) and TA contains value up to 128 (English descriptions which I use don’t say a word about it - so, it's possible, that for values bigger than 64 phone (?) decreases 64 from it and displays such value in this menu).

    Tip: you can use ALS (Alternative Line Service) function or try to call for "*" number, when you want to refresh it...

  • g - RXQUAL_SUB (rate of transmission errors with DTX active (DTX state can be checked in test 12)): it determines, how many errors during connection have to be corrected by the phone for the call to be possible. Range 0 - 7 (0 – means no errors; more than 5 – connection may be interrupted). The higher it is, the worse quality you have...

    RQ value | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7
    Max error amount | <0,2% | <0,4% | <0,8% | <1,6% | <3,2% | <6,4% | <12,8% | >12,8%

  • mmmm - RLT (Radio Link Timeout): if it is negative, 0 is shown. Max value of this parameter is 64. If the phone uses a channel different than TCH or SDCC, xx is displayed

  • nnn - C1 parameter

  • ppp - C2 parameter. If network supports only GSM Phase 1, C1 value is displayed here.

  • oooo - type of channel currently used by the phone (visit www.pins.co.uk/upages/stratfordc/ to find C programs containing algorithms used to encode different channels). With HR channels phone even show, if first or second part of TS is used (subchannel 0 or 1 is written):

    AGCH | (Access Grant Channel) - a channel used by BTS to inform the phone about what channel it should use (it is a BTS answer to RACH) – it assigns the phone to SDCCH
    BCCH (Broadcast Control Channel) - a channel in direction BTS-phone, containing precise information about network (needed for identification and access) – for example
    • how often the phone should inform network about its location (T3212 counter value – more detailed description in test 10)
    • whether frequency hopping is supported by the network
    • CELL_RESELECT_HYSTERESIS parameter (see C2 parameter description)
    • CELL_BARRED parameter (which informs, whether this cell is in test phase or is available for public use – but the phone can ignore this and use test cells too - see test 19)
    THR0 | TCH HR subchannel 0
    THR1 | TCH HR subchannel 1
    TFR | TCH FR
    TEFR | TCH EFR
    F144 | TCH FR - data transmission, speed 14.4 kbit/sec.
    F96 | TCH FR - data transmission, speed 9.6 kbit/sec.
    F72 | TCH FR - data transmission, speed 7.2 kbit/sec.
    F48 | TCH FR - data transmission, speed 4.8 kbit/sec.
    F24 | TCH FR - data transmission, speed 2.4 kbit/sec.
    H480 | TCH HR - data transmission, speed 4.8 kbit/sec., subchannel 0
    H481 | TCH HR - data transmission, speed 4.8 kbit/sec., subchannel 1
    H240 | TCH HR - data transmission, speed 2.4 kbit/sec., subchannel 0
    H241 | TCH HR - data transmission, speed 2.4 kbit/sec., subchannel 1
    FA TCH FR - used only for quick signalization, for example in case of handovers
    (FACCH - Fast Associated Control Channel)
    FAH0 TCH HR -used only for quick signalization, for example in case of handovers
    (FACCH - Fast Associated ControlChannel), subchannel 0
    FAH1 TCH HR - used only for quick signalization, for example in case of handovers
    (FACCH - Fast Associated Control Channel), subchannel 1
    SDCC SDCCH (Stand-alone Dedicated Control Channel) - used for system signalization of:
    • establishing connection
    • user verification
    • Location Update executing
    • assigning to TCH
    • sending SMSes
    CCCH | (Common Control Channel ?) - used, when the phone is in standby mode (it doesn’t transmit not receive data)
    CBCH | (Cell Broadcast Channel) - a channel in BTS-phone direction used for cell broadcast (for example in Nokia 5110 it can be enabled in Menu 2-5 and Menu 4-2-2, in Nokia 6110 in Menu 1-5 and Menu 4-4-2)
    CCHR | CCCH and CBCH joined in one
    SEAR | the phone is searching for network
    NSPS | (No Serve Power Save) - the phone is not in range of any network, energy saving has been activated (information, whether your SIM card can stop its clock in energy saving mode, can be found in test 51)

Interesting thing: In firmware in Nokia 3210 and 3310 there are strings which shows info about data transmission state ("officialy" these phones don't have this function)...

In Nokia 3110 this test looks similiar:

abbb cccc ddd
 e ff g qqrr
s Bttuu mmmm
w ppp oonnn z
 CH RxL TxPwr
TS TA QPM RAR
Ro BsiCLK RLT
S C2 CHT C1 B

  • cccc - in this phone minus is always shown
  • ooo - hex values
  • qq - paging mode (see test 2)
  • rr - RAR (description in test 2)
  • s - roaming indicator (description in test 2)
  • tt - BSIC for current cell (see test 2)

Level of received signal (RX) is connected with phone transmission power (TX): the weaker the former, the stronger the latter (take a look at example indications of 6110 using SDCC and TFR channels):

RX | TX
from -38 to -49 dBm | 19
from -68 to -75 dBm | 9-14 (0,032 - 0,316 Watt)
from -79 to -85 dBm | 7-9 (0,794 - 0,032 Watt)
from -85 to -93 dBm | 5-7 (2 - 0,794 Watt)

For curious people: some of these data can also be found in Nokia service programs (for example in WinTesla in "Testing" / "RF Information" menu).

Using CCCH or CBCH channel by the phone (if the cell doesn’t support cell broadcast – you can check this in test 7) depends on its firmware version and whether cell broadcasting has been enabled (or not) by the user. For example: Nokia 5110 v 5.04 uses CBCH channel, if you enable this feature in Menu 2-5 or Menu 4-2-2 (and CCCH channel, if you disable it). I think, that cell broadcast should be disabled when it is not supported by the network – probably you can save some battery power. It has been corrected in version 5.07 (when CB is not supported by the network, the phone uses CCCH regardless of "Info service" and "Cell info display" settings).

Additionally, ccc (RX) parameter can be used to set the direction of your antenna (especially directional one) much more precisely than when using the indicator on the left side of phone’s display ! I also have a piece of advice for you: never touch the antenna (in any case, you can check how it affects level of received signal just by holding it with your fingers) !

TA parameter can be also used (apart from calculating the distance to BTS) to measure speed (for example of the care you’re driving). I’m serious! But this can be done only when:

  • the road is straight (no bends)
  • the phone uses only one BTS
  • BTS must be located near the road

A little bit of mathematics:

From Pitagoras’ theorem:

a2 = c2 + e2
b2 = c2 + f2

So:
e =
f =

Now d = e - f = [image] -

If you know:

  1. the way traveled by the car (on the drawing: length of "d" segment; it can be calculated form the lengths of "a" and "b" segments (multiples of 513 m (for simplification) read from TA) and c (described later))
  2. time, in which TA has changed (measured by a stopwatch)

you can measure your speed.
Inaccuracy of this measure depends on:

  • distance between BTS and road (segment "c")
  • velocity itself
  • distance between car and BTS (with longer distance inaccuracy depends less from "c" segment)

And here is a concrete example:
The original value of TA was 2 and after 15 seconds it has changed to 1. You will get following results:

  • 123,120 km/h (BTS 0 m from road)
  • 124,320 km/h (100 m from road)
  • 128,160 km/h (200 m)
  • 135,600 km/h (300 m)

You can assume, that "c" segment is 100 m (or 0 if you count in memory - then d = e - f) and the inaccuracy of the measured velocity is 5 km/h.

In Nokia 2110i/2140 this test looks like follows:

When transmitter works - call or Location Update
CH  C1 RXl
Pwr TS  Ql
TA RLT  RA
During standby
CH  C1 Rxl
Pwr TS  Ql
TAXXXXX RA

  • CH - channel number
  • C1 - value of C1
  • Rxl - RX level (in dBm)
  • Pwr - TX level or "*" (enabled transmitter) or "S" (SDCCH) or "T" (TCH)
  • TS - Time Slot
  • Ql - quality or received signal
  • TA - Timing Advance
  • RLT - Radio Link Timeout
  • RA - maximal number of Random Access retransmission
  • XXXXX - type of actual channel
    • ACCESS
    • CCCH
    • BCCH
    • SEARCH
    • NSPS

In Nokia 2120 this test looks as follows:

Digital mode
rssi DVC d
chan  l  a
S   BB  TT
Analog mode
rssi  s  d
chan  l  a
CS-state

and in Nokia 2160 is different:

DCCH mode
rssi DVC S
chan  Pw A
CS-state

DTCH mode
rssi   s d
chan   l a
CS-state

ACCH mode
rssi   D d
chan  Pw A
CS-state
AVCH mode
rssi DVC S
chan   l a
CS-state

for Nokia 6160 it looks like follows:

DCCH mode
rssi DVC S
Bchan Pw A
CS-state

DTCH mode
rssi DVC s
Bchan Be l
CS-state

ACCH mode
rssi D d
Bchan Pw A
CS-state

AVCH mode
rssi s d
Bchan l a
CS-state

  • B = current network/frequency

    • a = a-side 800mhz cellular
    • b = b-side 800mhz cellular
    • A = A-block (30 mhz) 1900mhz PCS
    • B = B-block (30 mhz) 1900mhz PCS
    • C = C-block (30 mhz) 1900mhz PCS
    • D = D-block (10 mhz) narrowband 1900mhz PCS
    • E = E-block (10 mhz) narrowband 1900mhz PCS
    • F = F-block (10 mhz) narrowband 1900mhz PCS

  • Be = Bit Error rate in % (0-16)
  • TT = last received time alignment value (0-31)
  • rssi = received signal strength (dBm) (min= -113dBm, max= -51dBm, 2dB steps)
  • DVC = Digital Verification Color code (1-255, - = not locked)
  • D = DCC (Digital Color Code) on ACCH (0-3, - = not locked)
  • s = SAT color (0-2, - = not locked)
  • d = data receiving status

    1. no sync/no data
    2. sync/not able to read
    3. reading correcting
    4. reading no correction

  • S = slot (1-3)
  • chan = channel number (0001-1023)
  • Pw = Max access power

    • DCCH: MS-ACC-PWR (0-10, - = not locked)
    • ACCH: CMAC (0-7, - = not locked)

  • l = Tx level (0-10, - = TxOff)
  • a = audio state (0=off, 1=on)
  • CS-state = Cellular State

    • DCCH: SCAN-LOCK : Scanning and locking of DCCH
    • DCCH: DCCH-SEL  : DCCH selection
    • DCCH: CAMPING   : Camping
    • DCCH: REGISTR   : Registration proceeding
    • DCCH: WAIT-ORDER: Waiting for order
    • DCCH: ORIGINAT  : Origination proceeding
    • DCCH: RSELECT   : Reselection
    • DCCH: ORIG-SMS  : Sending SMS proceeding
    • DCCH: TERM-SMS  : Receiving SMS proceeding
    • DTCH: TCH       : Confirm traffic channel
    • ATCH or DTCH: CONVERSAT : Conversation
    • ACCH: OOR       : Out of range
    • ACCH: SCAN-PDCH : Scan primary dedicated control channels
    • ACCH: SCAN-SDCH : Scan secondary dedicated control channels
    • ACCH: SCAN-PCH  : Scan paging channels
    • ACCH: IDLE      : Idle
    • ACCH: ACCESS    : Access
    • ACCH: VCH      : Confirm voice channel

This test in Nokia 6185/6188 is, of course ;-), different:

CDMA control
CSST CHAN SP
PPN EC/SO XF
LOS XHO FR B
-Rxx-Txx FER

CDMA traffic
CONV 0450 NP
8000 2
000 0D9 00 0
-093+006 000

AMPS control
RSSI S D
CHAN P A
CSST SID E
XTBY MINMAX
AMPS traffic
-095 2 3
0273 0 0
CONV 16427 0
Y
CDMA AMPS
  • CSST - Cellular State: IDLE, CONVE, PLIOS, TIME, SYNC, RELE, PAGE, TRFIN, W_OR
  • Chan - Channel
  • NP, NC, SC, SP - xC for 800 MHz CDMA, xP for 1900 MHz CDMA.
  • PPN - PseudoNoise offset
  • EC/SO - Energy per chip per noise
  • B - Current network/frequency. a,b are A and B 800 MHz AMPS (analog). A-F indicate the digital block in use
  • Rxx - Receive power in dB
  • Txx - Transmit power in dB
  • FER - Frame Error Rate
  • In CDMA traffic screen you have current used codec too (one from these below):

    • 8000 - 13 kbit/sec
    • 0001 - 8 kbit/sec
    • 0003 - EVRC
  • RSSI - Received signal strength
  • S - Slot (1-3)
  • D - Digital Colour Code on analog control channel (0-3 or - for not locked)
  • CHAN - Channel
  • CSST - Cellular State: IDLE, CONVE, PLIOS, TIME, SYNC, RELE, PAGE, TRFIN, W_OR
  • SID - System ID (Cantel = odd number)
  • MINMAX: Minimum and Maximum RSSI over last time period ?

Test 2
More information about used cell

 aa b c Bdd
 ee f
 ggg hh iii
 H=j mm nn
PM RAR Ro BC
RelR QLF
CRO TO PenT
H MAIO HSN

  • aa - paging mode:

    • NO : normal
    • EX : extended
    • RO lub SB : paging reorganization

  • b - RAR (Random Access Retransmission): max amount of transmissions using RACH channel (Random Access Channel - a phone-BTS channel used to send a network access request – for example during logging in)
  • c - if your phone is in roaming, R is displayed (otherwise empty). This information is also shown on the top of the display.
  • dd - BSIC value for current cell
  • ee - reason of last connection end (this parameter is also present in test 63 and test 39 (you will find explanation there – see description of the first parameter))
  • f - RXQUAL_FULL (error rate in transmission with DTX disabled (DTX state can be checked in test 12)): it determines, how many errors have to be corrected by the phone, for the connection to be possible. Range 0 - 7 (0 – means none, more than 5 – connection may be interrupted).

    RQ value | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7
    Max amount of errors | <0,2% | <0,4% | <0,8% | <1,6% | <3,2% | <6,4% | <12,8% | >12,8%

  • ggg - Cell reselect offset: range 0 - 63 (this value should be multiplied by 2 dB), 'xxx' when transmitting. Needed to calculate C2.

  • hh - Temporary offset: range 0 - 7 (this value should be multiplied by 10 dB, 70 dB means infinitely long time), 'xx' when transmitting. Needed to calculate C2.

  • iii - Penalty time: range 0 - 31 (it should be multiplied by 20 s), 'xxx' when transmitting. Needed to calculate C2.

  • j - information about frequency hopping:

    • 0 - not used (single frequency used – so called RF (Radio Frequency))
    • 1 - used (different RF (Radio Frequencies) used)

  • mm - MAIO (Mobile Allocation Index Offset). Range 0 - 63, 'xx' when j=0 (when frequency hopping is disabled – you can check this in test 12)

  • nn - HSN (Hopping Sequence Number).Range 0 - 63, 'xx' when j=0 (when frequency hopping is disabled – you can check this in test 12)

In some phones (for example, Nokia 8810 or Nokia 5110 with older firmware) you will see parameters in two first lines only...

In Nokia 3110 this test looks as follows:

aaabbbccccddd
aaabbbccccddd
aaabbbccccddd
w           z
S CH C1 rx C2
1 CH C1 rx C2
2 CH C1 rx C2
S    1N 2N  B

Description of the parameters can be found in menu test 3 (in this model cccc parameters are always preceded by minus).

This test looks similiar in Nokia 2110i/2140 (description is also in test 3):

aaabbbcccc
aaabbbcccc
aaabbbcccc
Serv cell
1. neighb
2. neighb

In Nokia 2120 this test looks as follows:

ENCR  CIPH
DTX  XSTBY
CS-state

  • ENCR = when message encryption is on
  • CIPH = when Ciphering is on
  • DTX = when DTX is on
  • XSTBY= when enabled standby is on
  • CS-state = see previous parameter for details

and in Nokia 2160 is different:

DCCH mode
mode   DTX
ENCR  CIPH
d    Be TA

DTCH mode
mode   DTX
ENCR  CIPH
d    Be TA

ACCH mode
mode
XSTBY
       SID
AVCH mode
mode

       SAT

and here is for Nokia 6160:

DCCH mode
mode M C
FB E SP pc
net SID..

DTCH mode
mode DTX
ENCR CIPR
d a TA S
CODEC...

ACCH mode
mode
XSTBY
 SID

AVCH mode
mode

 SAT

  • mode = DCCH, DTCH, ACCH, AVCH
  • SID = system ID [0-32767, - = not locked]
  • DCCH mode

    • M = maximum paging frame class supported by network (1-8)
    • C = current PFC (Paging Frame Class) (1-8)
    • FB = number of F-BCCH slots
    • E = number of E-BCCH slots
    • SP = number of SPACH slots
    • pc = PCH subchannel
    • net = supported network types, bit map (1=suported, 0=not, C=current): first bit for Public, second for Private, third for Residential

  • DTCH mode

    • DTX = shown when DTX is on
    • ENCR = shown when message encryption is on
    • CIPH or CIPR = shown when voice ciphering is on
    • d = data receiving status (0=no sync, 1=sync)
    • Be = Bit Error rate in % (0-16)
    • TA = current time alignment (0-30)
    • a = audio state (0=off, 1=on)
    • CODEC... = current codec:

      • -EFR- = IS-136A ACELP coder

  • ACCH mode

    • XSTBY = shown when extended standby is on

  • AVCH mode

    • SAT = SAT validity as measured by DSP (0-32767)

and for Nokia 6185/6188:

CDMA control
PN1
ECK

CDMA traffic
PN1 PN3 PN5
ECK ECK ECK
PN2 PN4 PN6
ECK ECK ECK

AMPS control
X F S N N C
SLEEP EMC
SCC STC M
RSSCPLCC CAL
AMPS traffic
2 2 1 0 4 1
00015F927B13
0029B 0A0 2
140 372 0000
CDMA

  • PNx: CDMA PN offsets handoff canidate listing. Shows only the current offset while idling. Shows 1 to 6 additional choices during traffic.

Test 3
Information about current and neighbor cells

aaabbbcccddd
aaabbbcccddd
aaabbbcccddd
   ef gh
SCH C1 rx C2
1CH C1 rx C2
2CH C1 rx C2
    1N 2N

Meaning of these lines:

  1. information about current cell
  2. 1st neighbor cell
  3. 2nd neighbor cell
  4. e,f concern 1st neighbor cell, g,h concern 2nd neighbor cell

  • aaa - CH (channel): number of channel used for communication with cell (decimal)
  • bbb - C1 values displayed only in standby mode. In active mode (ie. during connection) letter B and BSIC for current cell are displayed.
  • ccc - RX: minus is not shown if <=-100. Lets us calculate RXLev parameter value:

    RX (from) | RX (up to) | RXLev
    less than | -110 dBm | 0
    -110 dBm | -109 dBm | 1
    -109 dBm | -108 dBm | 2
    ... ... ...
    -49 dBm | -48 dBm | 62
    -48 dBm | more | 63

  • ddd - C2 parameter
  • e,g - contains F, if current cell is located on a restricted area (otherwise empty)
  • f,h:

    • B means a cell in test phase (your phone can use barred cells – this can be enabled in test 19)
    • N - a cell given for normal use
    • L - means low level
    • otherwise empty

If you want to see, if actual used cell is barred or not, see on test 19 (it depends on setting in that test)

Sometimes phone shows, that both C1 and C2 for channel are equal -99 - it means probably, that it wouldn't be able to log into it...

In Nokia 3110 this test looks like test 4.

It looks similiar in Nokia 2110i/2140 (desciption is in test 4 too):

aaabbbcccc
aaabbbcccc
aaabbbcccc
3. neighb
4. neighb
5. neighb

In Nokia 2120 this test looks like test 4 in Nokia 2160.

In Nokia 2160 this test looks different (is displayed in DCCH mode only):

RS SS SI b
NA ND

and here is for Nokia 6160:

RS SS SI b
NA ND
MA MD MO

  • RS = minimum Received signal Strength required to access cell (0-31, where 0=-113 dBm and 31=-51 dBm)
  • SS = minimum signal Strength Sufficient for candidate of reselection (0-31, where 0=-113 dBm and 31=-51 dBm)
  • SI = Scan Interval between consecutive strength measurements in hyperframes (1-16)
  • b = access burst size (0=normal, 1=abbreviated RACH)
  • NA = Number of Analog neighbors (0-24)
  • ND = Number of Digital neighbors (0-24)

and for Nokia 6185/6188:

OWNNUMBER
ESN-00000000
ESN-HEX
SL P MD PC

  • OWNNUMBER - phone number
  • ESN - Electronic Serial Number
  • ESN-HEX - hexadecimal ESN
  • MD - [AD] changes to [DI] at 800 CDMA

Test 4
Information about neighbor cells

aaabbbcccddd
aaabbbcccddd
aaabbbcccddd
  ef gh ij
3CH C1 rx C2
4CH C1 rx C2
5CH C1 rx C2
  3N 4N 5N

Meaning of the lines:

  1. 3rd neighbor cell
  2. 4th neighbor cell
  3. 5th neighbor cell
  4. e,f concern 3rd neighbor cell, g,h 4th neighbor cell, i,j 5th neighbor cell

Meaning of the letters is the same as in test 3 (i is the same as e, j is the same as f)

Sometimes phone shows, that both C1 and C2 for channel are equal -99 - it means probably, that it wouldn't be able to log into it...

In Nokia 3110 this test looks like test 5.

It looks similiar in Nokia 2110i/2140 (description is in test 5 too):

aaabbbcccc
aaabbbcccc
aaabbbcccc
6. neighb
7. neighb
8. neighb

In Nokia 2160 this test looks different:

bVo mod bs
Tbat1 Tb2
Wpwm FCmAh

  • bVo = battery voltage
  • mod = charging mode

    • FAS = Fast charging
    • COL = Cold battery charging
    • MAI = Maintenance charging
    • ERR = wrong charger or battery not OK
    • LIC = LiION battery charging
    • TXO = charging, transmitter active (connection in progress)
    • *** = charger disconnected

  • bs = battery is full or reason for fast charge termination

    • TI = max. charge Time elapsed
    • DV = dV/peak value detected (full)
    • BV = Battery voltage max limit
    • BT = Battery temp max limit (overheat)
    • ** = battery is not full

  • Tbat1 = battery temp. a/d reading (subtracted from 1023)
  • Tb2 = battery temp. in C (not implemented)
  • Wpwm = PWM charge control output (000-250)
  • FCmAh = mAh rating of charge given to the battery

In Nokia 2120 this test looks like follows

ChargV:NNN
ST hex des
B:LLLL KKK

but it was not implemented.

In Nokia 6160 this test looks like follows

SID #####
NN NT NR
Alphatag

  • SID = System Identification Number (0 to 32767, odd for 'A' carriers, even for 'B' carriers, - = not locked)
  • Alphatag.. = textual end-user display of current system

and for Nokia 6185/6188:

CSST CHAN
A B
SID
SD IT TM CAP

  • CSST - Cellular state: IDLE, CONVE, PLIOS, TIME, SYNC, RELE, PAGE, TRFIN, W_OR
  • CHAN - Channel
  • B - Network Band and Frequency (lowercase a,b = 800 MHz band; uppercase A,B = 1900 MHz band)
  • SID - System ID:

    • [17500] - Clearnet PCS
    • [16422] - BC Tel Mobility
    • [16xxx odd number] - Cantel AT&T

Test 5
Information about neighbor cells

aaabbbcccddd
aaabbbcccddd
aaabbbcccddd
  ef gh ij
6CH C1 rx C2
7CH C1 rx C2
8CH C1 rx C2
  6N 7N 8N

Meaning of the lines:

  1. 6th neighbor cell
  2. 7th neighbor cell
  3. 8th neighbor cell
  4. e,f concern 6th neighbor cell, g,h 7th neighbor cell, i,j 8th neighbor cell

Meaning of the letters is the same as in test 3 (i is the same as e, j is the same as f)

Sometimes phone shows, that both C1 and C2 for channel are equal -99 - it means probably, that it wouldn't be able to log into it...

In Nokia 3110 this test looks like test 6.

This test allows you to recognize, how many neighbor cells can "observe" phone in the same time. Examples: in Nokia 6150 you can see info in all rows (8 cells), in Nokia 5110/3310/6210 only in first row (6 cells).

In Nokia 3310/6210 parameters "ef" are never displayed (you can see "xx" only)... These models during standby mode can see only 6 cells, during call 8...

In Nokia 2160 this test looks different:

ROM SW
EPROM SW
Prod type

  • ROM SW = ROM software version, e.g. V 65.08
  • EPROM SW = EPROM (flash) version, e.g. V 1.45
  • Prod type = product type, e.g. NHC-4NE

And here is for Nokia 6160:

S bandorde
NC NP IRC
RSCO RSLO

  • S = system indicator:

    • H = hometype system
    • P = partner roam
    • F = preffered roam
    • N = normal roam
    • X = no service
    • a, b, A, B, C, D, E, F = current band while scanning for a control channel (see next parameter for details)

  • bandorde = network search order:

    • a = a-side 800mhz cellular
    • b = b-side 800mhz cellular
    • A = A-block (30 mhz) 1900mhz PCS
    • B = B-block (30 mhz) 1900mhz PCS
    • C = C-block (30 mhz) 1900mhz PCS
    • D = D-block (10 mhz) narrowband 1900mhz PCS
    • E = E-block (10 mhz) narrowband 1900mhz PCS
    • F = F-block (10 mhz) narrowband 1900mhz PCS

  • NC = Number of Cellular = number of probability blocks to scan in cellular bands
  • NP = Number of PCS - number of sub blocks to scan in PCS bands
  • IRC = IR Control:

    • 1 = only systems with home SID or SOC are accepted
    • 0 = any system not listed as forbidden is accepted

  • RSCO = Rescan Count - rescan time in hyperframes
  • RSLO = Rescan Loop - defines when all the bands in bandorder are to be scanned

and for Nokia 6185/6188:

1YNC_OK_097B
SYNC_FAI4CC1
FOCC_WOR587C
WORD_OK_3E65

Test 6
Information about preferred and restricted networks of the inserted SIM card.

aaabb  aaabb
aaabb  aaabb
aaabb  aaabb
aaabb  aaabb
LReg   1_For
1_Pre  2_For
2_Pre  3_For
3_Pre  4_For

In Nokia 6250:

LReg   1?For
1?Pre  2?For
2?Pre  3?For
3?Pre  4?For

Meaning of the individual lines:

last registered network | 1st forbidden network
1st preferred network | 2nd forbidden network
2nd preferred network | 3rd forbidden network
3rd preferred network | 4rd forbidden network

  • last registered network - you used it last time. When you're in home country, it can be your home network (you pay them for your calls - if it is, after choosing it manually (in Nokia 5110 - Menu 4-2-4) phone displays "Home network selected"). 00000, when phone wasn't registered in any network after enabling.
  • preferred network - network, to which your SIM card was logged (when it was in its range) – for example in roaming.
  • forbidden network – your SIM card was in range of that network, but wasn’t allowed to log in...

  • aaa - MCC (Mobile Country Code) - code of the network home country (260 for Poland). Decimal value.

  • bb - MNC (Mobile Network Code) - network code (different for networks with the same MCC).

    Generally values here are decimal. Sometimes are exceptions (when and why ?) and you can find hexadecimal value here: if you will convert it into decimal and result treat as hexadecimal value (convert it into decimal value again), you will have decimal value of this parameter (for example, 3F hex=63 dec; 63 hex=99 dec). More about it in the question 23.

    When you use phone working in PCS 1900 system (for example, Nokia 6190), this number can be 3-digit long. It's decimal (always ?). If it consist of two digits, you will see "F" instead of last (for example, you will see "30237F" for 302-37 network)

What are these lists stored on SIM card for? Because:

  1. the phone doesn’t have to waste its power while trying to log to the network, which is forbidden for SIM card (it is checked only once and then stored, so the phone doesn’t have to repeat this procedure anymore)
  2. when you have automatic network selection enabled, your phone in first turn searches for networks it was previously using ("preferred").

The list of "preferred" and "forbidden" networks is written by the phone (Nokia saves last chosen networks). Preffered networks can be also edited – for example in Motorola and Alcatel phones (not in Nokia). Sometimes it is done by the operator (he writes preferred and forbidden networks to the SIM card before selling it (it's known, that you cannot log to competitive network – it can be stored in card programming phase). Both these lists can be changed using a Czech program called SIMedit (www.compelson.cz/simedit.htm)...

URL http://kbs.cs.tu-berlin.de/~jutta/gsm/gsm-list.html contains list of the MCC and MNC parameters for different networks.

Using this menu you can check (probably – NOT ALWAYS!), where SIM card was used lately (in your country, abroad) and where its owner was traveling

In Nokia 2160 use this test, when you want to "disable" NetMonitor tests.

And here is for Nokia 6160:

PSC PSD
FSC FSD
XSC XSD

Intelligent Roaming Database (IRDB) statistics:

This lists the total count of SOCs and SIDs in each category. The database has a total memory limit of 82 entries, which may be distributed amongst these categories:

PSC = number of Partner SOCs
PSD = number of Partner SIDs
FSC = number of Preffered SOCs
FSD = number of Preffered SIDs
XSC = number of Forbidden SOCs
XSD = number of Forbidden SIDs

Partner SOC/SID = treated like the home system by the phone
Preffered SOC/SID = preferred over neutral (undefined) systems when available
Forbidden SOC/SID = rejected by the phone as service providers

and for Nokia 6185/6188:

CDMA
SID NID
BASE ID
P_REV
MIN_P_REV
AMPS
0ORD_COR0CE3
WORD_FAI0E76
CTRL_FIL787D
SAT_V_OK0004

CDMA

  • SID - System ID:

    • [17500] - Clearnet PCS
    • [16422] - BCTel Mobility
    • [16xxx odd number] - Cantel AT&T
    • [00000]: Second SID assignment

Are lines 3,4 CDMA specs ? [ANSI] for 1900 MHz, [TSB74] for 800 MHz CDMA

Test 7
Information about current (recently monitored) cell

E A H C I BR
a b c d e fg
ECSC 2Ter MB
h    i    j
Serving Cell
system info
bits

  • a - 1, if emergency calls (112) are possible
  • b - 1, if IMSI attach and IMSI detach are possible
  • c - 1, if the cell supports HR channels
  • d - 1, if C2 values are broadcasted
  • e - 1, system information 7 and 8 are broadcasted
  • f - 1, if the cell supports cell broadcasting (CBCH channel)
  • g - 1, if cell re-establishment is possible

Last two lines are present only in dual phones (GSM 900/1800 – for example Nokia 6150 and 3210):

  • h - 1 in standby mode, if ECSC (Early Classmark) sending is supported. During a call "x" is displayed.
  • i - 1 in standby mode, if 2-Ter messages are supported. During call "x" is displayed
  • j - information (if supported) which cells from both frequencies bands (900 and 1800 MHz) are shown (MULTIBAND_REPORTING parameter value). Description from Phase2+ ETSI GSM 05.08 version 5.4.0, section 8.4.3 "Additional cell reporting requirements for multi band MS" specification:

    • 0 - 6 strongest cells (with known and allowed NCC from BSIC), regardless their frequency band (900 or 1800 MHz)
    • 1 - strongest cell (with known and allowed NCC from BSIC) in each frequency band on BA list, except for frequency band of the current cell. Remaining positions should be used to show cells in frequency band of the current cell. If there are free positions left, further strongest and recognized cells from other bands are shown (their frequencies bands are not important).
    • 2 - like in 1, but two strongest cells are shown first (with known and allowed NCC from BSIC) in each band...
    • 3 - three strongest cells are shown first...

If your phone wasn’t logged to any network, some default values are shown.

In Nokia 6160 this test is different:

User
interface
display

and here is for Nokia 6185/6188:

CDMA
CSST
DATE
TIME

AMPS
1AT_V_FA0000
FVC_S_FA0000
WFLG_INT7046
NORMALRXFE25

CDMA

  • CSST - Cellular state: [IDLE], [CONVE], [PLIOS], [TIME], [SYNC], [RELE], [PAGE], [TRFIN], [W_OR]
  • DATE - CDMA Network date
  • TIME - CDMA Network time

Back to the top

[Part 1] [Part 2] [Part 3] [Part 4] [Part 5] [Part 6] [Part 7]

Marcin Wiacek (WWW)
Last modification: 6 October 2002


NetMonitor in Nokia phones (7/7)

Main page
NetMonitor in Nokia phones (7/7)

[Part 1] [Part 2] [Part 3] [Part 4] [Part 5] [Part 6] [Part 7]

  1. What is it ?
  2. Do I need it ?
  3. Does my phone use more power with NetMonitor enabled ?
  4. How to activate it ?
  5. Which NetMonitor version can be activated in my phone ?
  6. Does NetMonitor activation void warranty ?
  7. NetMonitor menu in my phone has different number than 10. Is it normal ?
  8. NetMonitor menu in my phone has 11 number, hovewer previous position has 9 number. Is it normal ?
  9. How to use it ?
  10. Can I damage my phone ?
  11. Glossary
  12. Description of the individual tests
  13. You can also use a program...
  14. Can I use NetMonitor without SIM card inserted, without PIN number entered or when SIM card is not active ?
  15. How can I disable NetMonitor ?
  16. Do I need to disable NetMonitor before sending my phone to the service ?
  17. Is it possible to re-activate NetMonitor after disabling it ?
  18. Is NetMonitor available in analog Nokia phones ?
  19. Does NetMonitor allow to use phone like broadcast station ?
  20. I don't have all described tests in my phone. Why ? Can I increase their number ?
  21. Does NetMonitor allow to identify place, where is my interlocutor ?
  22. Does NetMonitor allow to identify place, where am I ?
  23. What are NetMonitor codes ?
  24. Is it the truth, that in phones with additional hardware changing frequency band NetMonitor doesn't work correct ?
  25. Where can I find description of FBUS/MBUS protocol and commands connected with NetMonitor ?
  26. I have non existing networks on the list of forbidden networks...
  27. How to check frequency band (900 or 1800 Mhz), where phone work in this moment ?
  28. Can I use DLR-2/DLR-3 cables for activating netmonitor ?
  29. Can I activate netmonitor using Init File Editor (Nokia 9110) ?
  30. Can I force phone to use one frequency band (900 or 1800 Mhz) only ?
  31. How to change settings in tests ?
  32. My phone has very short snandby time - it is possible to see the reason of it ?
  33. Is netmonitor available in English version only ?
  34. Information sources
  35. Additional information
  36. Does using/activating netmonitor cost anything ?
  37. Does using netmonitor is legall ?
  38. Which entries on SIM card are used in netmonitor tests ?
  39. Can I activate netmonitor in 3310 using soft working with 3210 ?
  40. After activating netmonitor/BTS TEST my phone can't find network...
  41. Netmonitor shows different battery capacity than info on it...
  42. NetMonitor in Nokia 6310, 8310,...

Test 90

In Nokia 9110 this test looks like follows:

 Cover  aaaa
 CarKit bbbb
 Heads  cccc

CoverCnt
CarKitCnt
HeadsetCnt

  • aaaa - how many times Communicator's cover was opened
  • bbbb - how many times carkit was connected
  • cccc - how many times headset was used

Because Nokia 9110 seems to be 100% hardware compatible with 6110, method of simulating headset and car kit should be the same (see test 75). First of them you can simulate using test 92 too (when you use it, value of the counter from this test doesn't change !). I recommend to read page http://my-communicator.com/, where you will find more informations about it (for example, another ways to simulate them)...

In Nokia 9210:

 Cover  aaaa
 CarKit bbbb
 Heads  cccc
 Desks  dddd
CoverCnt
CarKitCnt
HeadsetCnt
DeskStandCnt

  • aaaa - how many times Communicator's cover was opened
  • bbbb - how many times carkit was connected
  • cccc - how many times headset was used

here's for Nokia 5190:

M:DCS:DO4100
D:HPA:NTM:NC
D:REA:OFS:RU
0000000:000
MODESERVSIM
DCS AMPSMOD
DPWRAPWRSMC
PRILIST

and in Nokia 7110/8210/6210/6250/3310 looks like follows:

PS0 aaaa
EC0 bbbbbbbb
PS1 cccc
EC1 dddddddd
PS0 FFFE
EC0 00000003
PS1 FFF8
EC1 00000002
Page0 Status
EraseCounter
Page1 Status
EraseCounter

  • aaaa - the same to the parameter bbbb from test 92
  • bbbbbbbb - the same to the parameter dddddddd from test 92
  • cccc - the same to the parameter bbbb from test 93
  • dddddddd - the same to the parameter dddddddd from test 93

Probably it's about one of phone's memory. Parameters "aaaa" and "cccc" show, whether banks of this memory are free (fffe) or not (fff8). Parameters "bbbbbbbb" and "dddddddd" show, how many times they were erased.

Test 91

In Nokia 9110/9210:

   RESET
   MISC
  COUNTERS

  Use menu
  to reset
    misc
  counters

By direct enter to this test you can reset counters from test 90.

In Nokia 7110/8210/6210/6250/3310 this test is different:

FL  005FC998
E2    0    0
PR   30    1
OM    0 0000
Help from Nokia 7110:

NextEntry
Addr  Length
Small   Long
ErCnt ErMask

and 8210/6210/6250/3310:

 NextEntry
Addr  Length
Small Long
ErCnt ErMask

Test 92

In Nokia 9110/9210 it looks different:

  Headset
    xxx

 Use menu to
   toggle
   headset
   ON/OFF

By direct enter to this test you can enable "headset" profile normally accesible after connecting headset (of course, you don't have to have it ;-)) - xxx can have ON or OFF values. When you will use it, value of counter from test 90 don't change. I recommend to read page http://my-communicator.com/, where you will find more informations about it (for example, another ways to simulate them)...

Use this test, when you need 'Automatic Answer' function, which allow to receive incoming call without pressing phone's key. This function is normally enable in never Nokia phones with connected set only (in older phones - like Nokia 2110i - it's always visible)

and in Nokia 7110/8210/6210/6250/3310 it looks like follows:

EP aaaa bbbb
#0      cccc
    dddddddd
eeeeffffffff
EP F0F0 FFFE
#0      0000
    00000003
FFFFFFFFFFFF
Help from Nokia 7110:

EMark PgStat
PgType
EraseCount
PpInd PpECnt

and 8210/6210/6250/3310:

EMark PgStat
      PgType
  EraseCount
PpInd PpECnt

  • bbbb - the same to the parameter aaaa from test 90
  • dddddddd - the same to the parameter bbbbbbbb from test 90

It's info about first bank of one of phone's memories. When it's free (parameter bbbb=FFFE), parameters "eeeeffffffff" are equal "FFFFFFFFFFFF". Parameter "dddddddd" shows, how many times bank was erased.

Test 93

EP aaaa bbbb
#1      cccc
    dddddddd
eeeeffffffff
EP F0F0 FFF8
#1      0001
    00000002
000000000002
Help from Nokia 7110:

EMark PgStat
PgType
EraseCount
PpInd PpECnt

and 8210/6210/6250/3310:

EMark PgStat
      PgType
  EraseCount
PpInd PpECnt

  • bbbb - the same to the parameter cccc from test 90
  • dddddddd - the same to the parameter dddddddd from test 90

It's info about second bank of one of phone's memories. When it's free (parameter bbbb=FFFE), parameters "eeeeffffffff" are equal "FFFFFFFFFFFF". Parameter "dddddddd" shows, how many times bank was erased.

In Nokia 9210 it's different:

  Power on
 CMT wakeup
  enabled

Use menu to
  toogle
   state
  ON/OFF

You can set here (by direct enter), that phone module will be automatically enabled after each removing battery or software reset (for example, using Task Manager).

Test 94

Test in Nokia 3210:

Vo:  aaa bbb
Pins:      c
Mode:   dddd
State:  eeee
V: Req ADC
Pin Status
Mode
Band Ch

  • dddd - one of values is AUTO
  • eeee - example values are GS05, GS09, PS01

and 7110/6210/6250:

IN E111 F000
ST      0000
        0000
        0000

Help from Nokia 7110:

InExc  InRec
      EmuErr
      EnvErr
      RecEr

and Nokia 6210/6250:

InExc InRec
      EmuErr
      EnvErr
      RecErr

In Nokia 9210:

DEALLOC:   0
EEPROM:    0

Error
counters

Test 95

In Nokia 3210

1:aaa 4:ddd
2:bbb 5:eee
3:ccc 6:fff

6 lowest
values at
shut down

and newer versions of firmware in Nokia 6210 (confirmed for 5.17 and higher):

GSM pwrcls:
4(2W)
Modified:No

Curr Band-3
Pwr-Cls
(Watt)
Pwr-Cls Mod

In Nokia 9210:

   0      0
   0      0
00000000  00
00000000  00
OpCod AccVio
Aligm PageFa
CodeAdd Exec
DataAdd CPSR

Test 96

In Nokia 3210:

VCX0ADC: aaa
TEMP(C):  bb
TEMP(K): ccc

ADC VALUE
RF TEMP(C)
RF TEMP(K)

  • ccc - temperature of bb counter (in Kelvin degrees: K = C + 273)

and 7110:

Co: 49 A: 279
Tu: 49 K: 305
Of:  0  C:+32
V5:  2
Contrast ADC
Tuned Kelvin
Offset     C

In Nokia 9210:

Crash Info

Test 98

WR  00000000
      0 0000
ER  00000000
        0000

Help from Nokia 7110:

WrErrCnt
WrRtry WrSta
ErErrCnt
ErSta

and 6210/6250:

    WrErrCnt
WrRtry WrSta
    ErErrCnt
       ErSta

Test 99

For Nokia 8810:

ENTERING
FBUS
MODE

Switches
phone
to FBUS
mode

It's probably for enabling FBUS protocol instead of normal used infrared connection. I don't have additional info...

And here is for Nokia 7110:

Ead:aaaa
Mod:bb
MODE: cccc

EAD value
Acc. status
FBUS mode

  • bb - type of connected sound accesories (example values: HP in normal state, HD with headset - for example, HDC-9P). In other phones this information is displayed in test 75
  • cccc - "FBUS" in connection made during FBUS or MBUS cable from older Nokia phone (5xxx, 6xxx) or during Irda connection

Very similiar is in Nokia 6210/6250:

Ead: 03FF
Mod: HP

EAD value
Acc. status

In Nokia 9210:

    0    0
    0    0
   24   24
    0    0
CCove PDAdis
BatLatch BSI
Bmax    Bmin
TxOnTime MMC

Test 100

Test from Nokia 9110:

a  b
c  ddd    e

UWS DWS
T1   N1   T2

and 7110/6210/6250:

004D63   5.0
0018D1   1.6
05B1DD  94.0

MemUseT %Use
MemRelT %Rel
MemUnuT %Unu

Information about using phone's memory. I'm not sure exactly, what memory (when position to phonebook is added, information displayed here is probably about phonebook memory).

And in Nokia 8210/3310 is different (they're information about the voice dialling feature):

ND  a  b  c
    d  e  f

ggggg hhhhhh
ND  2  1  0
    0  0  0

02.81 120399
ND mm cs ps
   ss po da

Vers: Date:

  • a - number of recorded voice tags in phone. Maximal value is 8 (for Nokia 8210/3310) or 10 (for Nokia 6210). It's displayed in test 101 and test 102 (Nokia 8210/3310) or test 108 and test 109 (Nokia 6210)
  • c - info about using voice dialling engine:
    • 0 - it wasn't used after enabling phone
    • 1 - voice tag was not recognized or Play/Save function were used
    • 5 - voice tag was recognized
    • 7 - user was in voice dialling function menu and selected Cancel function
    • 8 - voice dial in progress (in use)
  • ggggg - version of voice dialling engine (?)
  • hhhhhh - date of releasing voice dialling engine (?)

Values of counters (without "a" parameter) are not saved to EEPROM, when phone is disabled.

WARNING: in some phones (like Nokia 3310), if you want to give phone to service for upgrading firmware, remove earlier ALL voice tags from its' memory. In other case memory for them can be decreased for so many voice tags, as were saved in memory in the moment, when it was given to service (example: in Nokia 3310 with two voice tags before upgrading firmware, after it it was possible to save maximal 6 voice tags, counter "a" showed 2, but phone in Menu 1-10 displayed, that memory for them is empty)

Test 101

Test from Nokia 9110/9210:

  aaaaaaaa
  bbbbbbbb
  cccccccc
  dddddddd
TX Frame Cnt
RX Frame Cnt
TX Retx Cnt
RX Tetx Cnt

All values are in hexadecimal values.

and 7110/6210/6250:

#0  0  #1  0
#2  0  #3  0
#4  0  #5  0

Pn LoCPn LoC
Pn LoCPn LoC
Pn LoCPn LoC

In Nokia 8210/3310 it's different (information about the recording voice tags in voice dialling feature):

Train
   a   b   c
dddd    eeee
ffff    gggg
Train
   0   0   2
   0       0
0000    0000
Train
   r  ii  mm
strt    durn
minm    maxm

  • a - number of voice tags failed to record (it increases for example, when phone didn't recognize any voice to record)
  • b - number of recorded tags, when this test was enabled
  • c - number of recorded tags in phone. Maximal value is 8 (for Nokia 8210/3310) or 10 (for Nokia 6210). It's displayed in test 100 and test 102 (Nokia 8210/3310) or test 107 and test 109 (Nokia 6210).
  • dddd - how loud was start of recorded voice during last recording (the higher, the more loud) (?)
  • eeee - how loud was recorded voice during last recording (the higher, the more loud) (?)
  • ffff,gggg - another parameters unique to each recorded voice (hex values ?)

Values of counters (without "c" parameter) are not saved to EEPROM, when phone is disabled.

WARNING: in some phones (like Nokia 3310), if you want to give phone to service for upgrading firmware, remove earlier ALL voice tags from its' memory. In other case memory for them can be decreased for so many voice tags, as were saved in memory in the moment, when it was given to service (example: in Nokia 3310 with two voice tags before upgrading firmware, after it it was possible to save maximal 6 voice tags, counter "c" showed 2, but phone in Menu 1-10 displayed, that memory for them is empty)

Test 102

Test from Nokia 9110:

aaaaaaaaaa
bbbbbbbbbbbb
ccccccccccc

Data call
flow control
info

From Nokia 9210:

Data call
type:
PSTN

Data call
type

In Nokia 8210/3310 it's different (information about the recognizing voice tags in voice dialling feature):

Recog a    b
 c dddd eeee
 f gggg hhhh
 i jjjj kkkk
Recog 0    2
 0 0000 0000
 0 0000 0000
 0 0000 0000
Recog r   mm
i1 scr1 minm
i2 penH maxm
i3 penL penC

b - number of recorded tags in phone. Maximal value is 8 (for Nokia 8210/3310) or 10 (for Nokia 6210). It's displayed in test 100 and test 101 (Nokia 8210/3310) or test 107 and test 108 (Nokia 6210)

2'nd line - info about last recognized by phone voice tag (c=number of voice tag)
3'nd line - info about previous recognized by phone voice tag (f=number of voice tag)
4'td line - info about previous recognized by phone voice tag (i=number of voice tag)

Values of counters (without "b" parameter) are not saved to EEPROM, when phone is disabled.

WARNING: in some phones (like Nokia 3310), if you want to give phone to service for upgrading firmware, remove earlier ALL voice tags from its' memory. In other case memory for them can be decreased for so many voice tags, as were saved in memory in the moment, when it was given to service (example: in Nokia 3310 with two voice tags before upgrading firmware, after it it was possible to save maximal 6 voice tags, counter "b" showed 2, but phone in Menu 1-10 displayed, that memory for them is empty)

and from Nokia 6210/6250:

Pn LoCPn LoC
Pn LoCPn LoC
Pn LoC

Test 103

In Nokia 7110:

100    0  00
PoolS 01EA6E
RsrvS 031386

%FW %BW FrCo
PoolSizeLeft
Reservations

and 6210/6250:

92   8  00

%FW %BW FrCo

From Nokia 9210:

Incoming
call type:
Speech

Incoming
call type

Test 104

LOG 00000000
COD 00000000
WrA 00000000
RdA 00000000
ErrorLogAddr
ErrorCode
WrErrorAddrs
RdErrorAddrs

Test 105

WrC 00000000
RdC 00000000
Group     00
Index   0000
DevWrErrorCo
DevRdErrorCo
CallingGroup
CallingIndex

Test 106

In Nokia 7110:

RtyDaRd 0000
RtyDaWr 0000
RtyHeRd 0000
RtyHeWr 0000
RtyDataRead
RtyDataWrite
RtyHeadRead
RtyHeadWrite

and 6210/6250:

GT-Call 0000
GT-Ok   0000
Cl-Task 0000
RtyHewr 0000
Call To BGOT
Success BGOT
CleanUpTask
RtyHeadWrite

Test 107

In Nokia 7110:

  1  1  1  1
LLRS: 000000
DchsmEr:0000

PB GB  HB PB
LastLostSize
DtChsmErrCo

In Nokia 6210/6250 contains information about the voice dialling feature:

ND  a  b  c
    d  e  f
ggggg hhhhhh

ND  2  1  0
    0  0  0
02.93 030300

ND mm cs ps
   ss po da
Ver   Date

  • a - number of recorded voice tags in phone. Maximal value is 8 (for Nokia 8210/3310) or 10 (for Nokia 6210). It's displayed in test 101 and test 102 (Nokia 8210/3310) or test 108 and test 109 (Nokia 6210)
  • c - info about using voice dialling engine:
    • 0 - it wasn't used after enabling phone
    • 1 - voice tag was not recognized or Play/Save function were used
    • 5 - voice tag was recognized
    • 7 - user was in voice dialling function menu and selected Cancel function
    • 8 - voice dial in progress (in use)
  • ggggg - version of voice dialling engine (?)
  • hhhhhh - date of releasing voice dialling engine (?)

Values of counters (without "a" parameter) are not saved to EEPROM, when phone is disabled.

Test 108

In Nokia 7110:

FF:FF FF:FF
FF:FF 00:00
FF:FF FF:FF
FF:FF FF:FF
Link&LID 0-1
Link&LID 2-3
Link&LID 4-5
Link&LID 6-7

In Nokia 6210/6250 it's like test 101 in Nokia 8210...

Test 109

Recog r   mm
i1 scr1 minm
i2 penu maxm
i3 penl curp

and is connected with recognizing numbers in voice dialing...

Test 110, 111, 112, 113, 114, 115 (115 ONLY IN NOKIA 7110 !)

 a bbbbccccc
dddddd eeeee
ffffff ggggg
 h  i j kkkk
 0 FFFE  0.0
000002   0.0
000000 100.0
 3  1 0 FFE0

Help from Nokia 7110:

Pn  Sta %Use
EraseCn %Rel
NextRec %Unu
Cu Cl Cc MmC

and 6210/6250:

 Pn Sta %Use
EraseCn %Rel
NextRec %Unu
Cu Sl Cc MnC

Nokia 6210/6250/7110 and newer (new generations) save ALL settings and datas (phonebook, SMS, ringtones, WAP, etc.) in flash memory as part of EEPROM. This part is called PMM (I don't know official meaning - unofficial it can be "Post Multiple Memory"). These tests show probably info about next banks of PMM:

  • a - number of bank
  • bbbb - shows, if bank is used (fff8 in Nokia 6210/7110) or not (fff0 in Nokia 6210, fffe in Nokia 7110)
  • ccccc - how many percent of memory is used
  • dddddd - erase counter
  • eeeee - how many percent of memory was free
  • ffffff - next (free in bank ?) position shown as absolute address
  • ggggg - how many percent of memory is free (when add to ccccc, you have 100%)

In Nokia 9210 test 110 looks like test 100 in Nokia 6210, test 111 like test 101 in Nokia 6210, test 112 is here:

100   0  00
PoolS 003CC7
RsrvS 0022B6

%FW %BW FrCo
PoolSizeLeft
Reservations

Test 117, 118, 119

Ea bbbb
cccccc

E0 FFF8
00001A

Ptn Sta
EraseCount

Is it info about PMM banks ?

  • a - 0, 1 or 2
  • bbbb - FFFF8 (bank is used ?) or FFFE (bank is empty ?)
  • cccccc - 00001A or 00001B

Test 120, 121, 122, 123

Info about PMM in Nokia 9210. These tests look like tests 110-115, empty bank is marked as FFFE (like in Nokia 7110)

Test 129

Test from Nokia 3315:

           0
           0
    00000000

OK COUNT
ERR COUNT
ERR ADD
FLASH TEST

Test 130

Test from Nokia 7110:

aaa   bbbbbb

Slide   Open

  • bbbbbb - how many times phone's sliding cover was opened (hex value)

and 3310:

DSP_RST:aaaa
CS: bbbbbbbb
 cc dd ee ff
0000    gggg
DSP_RST:0000
CS: 00000000
 00 00 00 00
0000    0000
DSP resetcnt
CStandbyLoss
 sw as pw st
BadPwr insim

  • aaaa - number of DSP resets. Displayed also in test 36

and newer versions of firmware in Nokia 6210 (confirmed for 5.17 and higher):

LRW-1 SW:
XXXXXX
PN mode
NOT DETECTED
Shows
Connectivity
Battery
information.

Connected with BlueTooth module (in this phone it wasn't available).

Test 131

STO:aaaaaaaa
NB:bbLB:cc
HOF:dddddddd
eeee ZR:ffff
STO:00000000
NB:00LB:00
HOF:00000005
0000 ZR:05CA
Stack overfl
NoBuf LongBu
HandOver Cnt
HOfail ZonFa

  • dddddddd - sum of handovers from test 41 (?). Unfortunately, values don't match always (firmware bug ?)

Counters are in hexadecimal form...

Test 132

BS: aaaaaaaa
MO: bbbbbbbb
DRC:cccccccc
TIM:dddddddd
BS: 00000000
MO: 00000005
DRC:00000000
TIM:00000000
BS_Call Cnt
MO_Call cnt
Dropped call
Call time

  • aaaaaaaa - how many times you received call. Please notice one difference to MTOK parameter from test 63 - you can't reset this value from phone's menu
  • bbbbbbbb - how many times you made successfull outgoing call from your phone. Please notice one difference to MOOK parameter from test 63 - you can't reset this value from phone's menu. One interesting thing: this counter can have bigger value than MOOK from test 63 (firmware bug ?)
  • dddddddd - counter shows, how long (in second) there were calls made. Doesn't work in all firmware versions

Counters are in hexadecimal form...

Test 133

BFu:aaaaaaaa
ChC:bbbb  cc
StB:
NSe:
BFu:00000002
ChC:0004  00
StB:
NSe:
FullChargCnt
ChaCon Wrong
Standby time
NoServTimer

  • aaaaaaaa - how many times info about full charged battery was displayed (when it was done correctly - for example FullM info in test 20...or not - for example MaBFD info in the same test). Counter doesn't increase value, when phone is disabled.
  • bbbb - how many times charger was connected. Counter increases value, when (each time, when you will do it):
    1. phone is enabled, you connect charger
    2. phone is disabled, you connect changer and enable phone
    Counter doesn't increase, when phone is disabled.

Test 140

Test from Nokia 6250:

AVC:  02
SLM:  00
VOL:  09

AVC state
SLM  state
BIAS  volume

Second line changes to 02, when phone measure noise level.

and 8210/5210:

Driver nr:01
ManuDeviAddi
00B000480000

Return value
from MFS

Test 240
It doesn't show any values, but:

  • clears counter reset normally by direct enter to test 40, test 60 and test 80
  • enables counters from test 82 (you can make it by direct enter to test 81 too).

Test 241
NetMonitor menu in Nokia 5110 Disables netmonitor (it means, deactivates its' menu) ! To again activate it you will have to use methods described in How to activate it ? Probably after using it you will have to disable and enable phone (to make arrows up/down usable). It's possible too, that these arrows will work only, when you will deactivate netmonitor from computer...

Test 242
Enables limited netmonitor (tests from 1 to 19 only). To enable full netmonitor version you will have to use methods described in How to activate it ? question (phone doesn't allow to use it from its' menu test 243, which normally enable full netmonitor version - you will be able to enter it in program enabling netmonitor in computer only).

Test 243
Enables full netmonitor.

Test 250
Some English descriptions write, that this test cleans information from test 57 (I didn't notice it).

Test 497
It should deactivate netmonitor like test 241 (497-256=241). But some sites (for example, www.versamart.com/Nokia5110/nokia5110code.shtml) show, that it could make more:

The tips needs Net Monitor enabled.
Be aware that the trick wil remove Netmonitor in some
sw versions like v4.73 and v5.04.

  1. Laungh the NetMonitor in your Nokia 51xx / 61xx
  2. Execute the test number 497
  3. Free calling for about 90 sec should now have been activated.

The trick has not been comfirmed working yet.

For me, it's rather joke...

Back to the top

13. You can also use a program...

There are programs, which allow to track some of these parameters on computer's screen (of course, phone must be connected to computer):

  • program created by Andreas Schmidt (www.aschmidt.de/): shows values displayed by phone in given test and allows to track BTSes (for example, compare their signal level)
  • gnokii: it's the name of project (official page - www.gnokii.org) and software (nevest versions - ftp://ftp.linux.cz/pub/linux/people/pavel_janik/Gnokii/), which want to be Nokia Cellular Data Suite for Unix and Linux. In this moment it displays information similiar to these displayed by program described earlier.
  • Logo Manager (http://www.logomanager.co.uk/) it shows view of netmonitor tests.
  • created by N. Hüttisch (www.nobbi.com/). It can work with differenet phones (for example, Siemens C10). When you want to use it with Nokia, Nokia Cellular Data Suite is required (program communicates using AT commands). When you will unpack it, in file monitor.ini (it's in archive with program) change comport parameter (you will give there name of port, where 'Nokia GSM Data' and 'Nokia GSM Voice' modems are installed). And that's all...
  • http://www.club.cz/nokia.monitor/ - it has the similiar possibilities to program below.
  • Logo Express (http://memsu1.iam.ntu.edu.tw/~jrywu/ or http://logoexpress.bizland.com/): shows LAC and CID.
  • from http://members.tripod.com/smssend/gsm_csq.htm (versions for PSION, DOS and Windows): display chart of signal level (besed on signal from phone), work probably with Nokia 6xxx phones only.
  • WinTesla: this commercional service program displays many detailed information (for details search some description on pages somewhere in Internet)
  • software from http://members.tripod.de/gsmplanet/psion.html for Psion 5mx (MX 218) and Psion Revo. It requires additional software supporting IrDa (see http://www.symbiandevnet.com/downloads/opl/projectopx/scomms.zip) Works with Nokia 7110, 6210, 8210 and with Siemens S35i, S25. Options depends on phone.
  • version 1.3 of PC-Locals: there two ways to make it:

    1. in the window, where netmonitor is normally activated, enter number of test - computer will display everything, what could be displayed by phone in this test.
    2. enabling internal program's netmonitor:

      1. select menu 8 (Event Trace)
      2. select menu 9 (Load TRC file)
      3. write name of TRC file (with PC-Locals 1.3 in Internet you can find nse3_433.trc file for Nokia 6110 firmware 4.33) correct for phone's model and firmware (or press Enter and select adequate file). When version from file and phone's version is not the same, computer will confirm, that you really want to load it (it won't damage phone, but parameters displayed by program will be different than adequate parameters from netmonitor in phone).
      4. select menu 1 (MCU Events)
      5. change status of events, which will be tracked in Trace window - you can make it using gray + on the right side of keyboard (you can disable tracking, enable normal or extended tracking). If you want to enable netmonitor displayed after pressing F8 key, you have to enable tracking event CONSTANT_WINDOW_TRA (change to NORM or EXT).
      6. select menu 2 (Event Control) and change to On.

      3. In "Trace" window you will see now tracked events. Network parameters can be observed after pressing F8. Menu 6 (Break Trace Functions) breakes tracking events.

Back to the top

14. Can I use NetMonitor without SIM card inserted, without PIN number entered or when SIM card is not active ?

GSM standards say, that cellular phone always should allow to make emergency calls (usually 112) - even, when it's was blocked by GSM operator (it means, when normally you can't use this phone - with this IMEI - in network) or when it's without SIM card (eventually it was blocked too). It makes, that after enabling your Nokia looks for available cellular networks. There are some programs in this moment (see in You can also use a program...), which display on computer's screen everything, what could be displayed by phone in this test. Or I will write it different: when you will connect your Nokia to computer and use (for example) Pc-Locals 1.3 or program written by Andreas Schmidt, you can see some information given normally in "Net Monitor" menu. In some phones (I checked it with Nokia 5110) you can have access to this menu (generally, to phone's menu) using gnokii: you should send dtmf sequence to phone (for example, run gnokii with parameter "--senddtmf sequence", where sequence consists of some digits).

When you will enter PIN code, you will be "normally" able to use "Net monitor" menu from phone's keyboard (of course, if it was activated) and all settings and tests inside (for example, not till then in test 6 you will see "preffered" and "forbidden" networks). You can still display tests using described above programs (it can be usefull, when you want to monitor network state and when you don't want to loose caller identification or when you want to check kind of channel after entering PIN code) - they work independent of it, if you have "Net monitor" menu activated and which test is displayed in phone...

SIM card data can be readed in test 51 (of course, if your phone supports this test) using these programs independent of it, if you entered PIN code or not. When you don't have SIM card in phone, you will see there "ERROR1".

When you use deactived SIM card, you have access to tests in netmonitor (of course, when its' menu was activated earlier). Network of SIM card is normally monitored. Phone tries to communicate with it only once after enabling phone (netmonitor shows, that CCCH, AGCH, SDCC (phone refreshes TA then), BCCH and CCCH channels are used then - like in normal SIM card). Later it's impossible. It's made againg after reseting phone. Of course, you don't have name of monitored network on screen or cellinfo. Interesting thing is, that, for example, you can normally use BTS test...

Back to the top

15. How can I disable NetMonitor ?

GSM/DCS/PCS phones:

NetMonitor menu in Nokia 5110 Enter 241 test in phone or use one of described in question How to activate it ? programs (you enter number 241 there, select "OFF" or something similiar...).

TDMA 800/TDMA 1900 phones:

Enter NAM programming menu (*3001#12345# code - some sources write, that you have to write security code instead of 12345), set "Field Test display" to "Off"/"Disable" and reboot phone.

Na pocz±tek

16. Do I need to disable NetMonitor before sending my phone to the service ?

Normally Nokia phones don't have activated netmonitor. When you will give your handy to service, somebody there can think, that you made some strange things with it (of course, it isn't any maxim - it depends on concrete service and people, who will repair your phone)... But I think, that it will be better to save eventually problems connected with it and deactivate netmonitor's menu before giving phone to service (I repeat: it isn't sometimes required, but it's better to make it, when you don't want to have problems)...

Back to the top

17. Is it possible to re-activate NetMonitor after disabling it ?

YES ! You can activate (and deactivate) netmonitor's menu repeat infinitely (and once more ;-))

Back to the top

18. Is NetMonitor available in analog Nokia phones ?

Yes, it seems, that is available in majority of Nokia phones (working in different cellular systems).

Back to the top

19. Does NetMonitor allow to use phone like broadcast station ?

No - if you want to speak without costs with people, which are near to you, you have to use broadcasting station or walkie-takie.

Back to the top

20. I don't have all described tests in my phone. Why ? Can I increase their number ?

This FAQ describes tests from DIFFERENT Nokia phones (models). If you want to increase number of available tests, you can only change your phone to new, which has more tests (like Nokia 7110) or change it's firmware to never - sometimes (like in Nokia 5110) you can have ONE :-) new test (firmware 5.04 and never has additionaly test 89).

If you have ONLY 19 first tests, you have activated ONLY standard netmonitor - enable full (here is more details).

Sometimes you can find concrete copies of phones, where is really a little number of tests. For example: I read about Nokia 6110 with 5.48 firmware, where it wasn't possible to activate full netmonitor and where first tests didn't have some parameters (for example, test 7 was empty). In such "cases" I can find one explanation only: phone had not "full" firmware donwloaded. User of such phone should take it to the service to download new firmware...

Back to the top

21. Does NetMonitor allow to identify place, where is my interlocutor ?

NO. This information are in networks registry, but they're not sent to your phone. NetMonitor allows however (at least theoretically) to look into parameters of sound, which is sent from his(her) phone...

Back to the top

22. Does NetMonitor allow to identify place, where am I ?

It's possible, but not too precisely. Why ?

Phone can read such parameters required to identify (location of) BTSes like their numbers (see test 11) or TA (see test 1), but readed TA couldn't have been distance from BTS station in straight line (signal can break down) and continuosly isn't possible finding, in what direction (what corner) BTS stations are located (which are "seen" by your phone). So, it's possible to identify area only, where you're (in cities, where BTSes are located more close, it will be more precisely). And it can be done by you or your operator...

More info about implementing Mobile Station Location in GSM: www.willassen.no/msl/

Back to the top

23. What are NetMonitor codes ?

Sometimes I read advertisements with requests about NetMonitor codes and I don't know exactly, what is it... It simple: in Poland (my country) rather only GSM/DCS phones are used and you don't have rather some special "secret" codes, which activate NetMonitor... When you need it's description - it's in this FAQ.

Back to the top

24. Is it the truth, that in phones with additional hardware changing frequency band NetMonitor doesn't work correct ?

I didn't heard about such hardware. Article about it in Polish Twoja Komorka number 4/2000 (page 18) was only joke...

Back to the top

25. Where can I find description of FBUS/MBUS protocol and commands connected with NetMonitor ?

There are not official information about it. All pages below were created by different people, which observed work of compiled software:

  • page of gnokii project. You can find free software published with full source (it's very good to read it to understand protocol) there (on the ftp://ftp.linux.cz/pub/linux/people/pavel_janik/Gnokii/ you will find the nevest test versions), which work with more and more Nokia phones (Nokia Mobile Phones changed protocols 3 or more times). On discussion list of this project you can find some addresses with pages with list protocol commands:

    • www.gadgets.co.uk/nokia21xx/index.html (Nokia 2110)
    • http://priv5.onet.pl/wa/junk/mbus/ (Nokia 2110 and old phones)
    • www.tec.puv.fi/~s98114/GSM/FBUS.html (NHx models)
    • http://lsc.kva.hu/dl/README.MSGTYPES.txt (NSx models)
    • www.venia.net/tdma/ (TDMA phones)

  • you can look on http://atrey.karlin.mff.cuni.cz/~short/sw/ for source to the program for sending logos for Nokia 9110 too
  • some information about it are on the page www.gadgets.demon.co.uk/nokia61xx/ too

On the pages above you will find information about commands connected with NetMonitor for NSx models (if you don't know model of you phone, read this page). Always you can use ready and free ActiveX control (http://www.gertjaap.com) working with these models too...

Back to the top

26. I have non existing networks on the list of forbidden networks...

You should remember, that it's possible to change list of forbidden and preffered networks, for example, using SIM card readers ot some phones (it's possible, this "strange" position was entered this way).

When we speak about 260-99 network (260-3F position) - it was number of test network run by the operator of Era GSM network on the exhibition for Day of Telecommunication in Warsaw (May 2000). It presented GPRS.

Back to the top

27. How to check frequency band (900 or 1800 Mhz), where phone work in this moment ?

Everything depends on used channel (for GSM 900 1-124, for GSM 1800 512-885) - see description of 1'st test...

Back to the top

28. Can I use DLR-2/DLR-3 cables for activating netmonitor ?

Yes, Logo Manager (http://www.logomanager.co.uk) works with DLR-3 cable. I don't know software supporting DLR-2...

Back to the top

29. Can I activate netmonitor using Init File Editor (Nokia 9110) ?

NO, Init File Editor is connected with PDA part of phone, netmonitor not...

Back to the top

30. Can I force phone to use one frequency band (900 or 1800 Mhz) only ?

Unfortunatelly not (of course, some other phones - for example, Motorola - have such function). The only thing, you can do: you can force phone to use one selected channel from concrete frequency (see test 18). Of course, there are some disadvantiges of it - for example, when phone will lost signal on this channel, will report, that network not found (in normal situation it would try to find another channel).

Back to the top

31. How to change settings in tests ?

Netmonitor menu in Nokia 5110 Netmonitor menu in Nokia 5110 Netmonitor menu in Nokia 5110 By direct enter to them. How ? You should enter to phone's menu, go into "Netmonitor/Field Test" menu, enter the number of test, where you want to change setting and ENTER DIRECTLY INTO IT. It's described more detailed in question 9.

Sometimes (I write it in such tests) you have to change values in some positions in phonebook before entering to them (see, for example, test 18).

Back to the top

32. My phone has very short snandby time - it is possible to see the reason of it ?

Here are some possible to check reasons:

  • if it depends of configuration of your network - see test 10 (PRP parameter), test 12 and test 13 (DTX; or test 2 in Nokia 2120/2160/6160)
  • general energy consumption (it can depend on older firmware version or enabled "Info service") or "Cell info display") functions - test 23 (in Nokia 6185/6188 test 45)
  • capacity of the battery (test 20; in Nokia 6185/6188 test 42) and their age (LiION) (test 23; in Nokia 6185/6188 test 45)

Back to the top

33. Is netmonitor available in English version only ?

Menu 9 in Nokia 3210 Menu 11 in Nokia 3210 In Nokia phones only, in some other (for example, Motorola) in different languages... Menu 9 in Nokia 3210 Menu 11 in Nokia 3210

Back to the top

34. Information sources

To make this FAQ I used:

  • netmonitor's descriptions from Internet (for example, from "The Nokia page", N. Hüttisch page (www.nobbi.com/) and from www.arcx.com/sites/Nokia6188.htm, http://www.windows.to/wireless/nokia.htm, http://www3.l0pht.com/~oblivion/blkcrwl/cell/nokia/ i www.geckobeach.com/cellular/)
  • information from Polish GSM FAQ "PeSTKa" (http://193.193.73.3/gsm/) and Polish site www.fkn.pl (there is, for example, page created by Andrzej Gorny (www.fkn.pl/agorny/) - first description of netmonitor in Polish language - I used parts about handovers and channel types from it)
  • knowledge and help from people from Polish discussion groups pl.misc.telefonia.gsm and fkn-l (www.fkn.pl/fkn-l/index.html)
  • help from many people (I will write here about some of them: Maciek Oksienciuk (http://angel.qdnet.pl), Jerzy Wozniakiewicz (http://student.wsp.krakow.pl/~jwozni), Juliusz Orlikowski, Slawomir Niemkiewicz, Andzej Bobek, Wojtek, Piotr Glowka (www.gsm.alpha.pl), Michal Jerz (http://my-communicator.com/), Andrzej Wilczynski, Krzysztof, Marcin Dembinski, Pawel Zerdzicki (http://republika.pl/vosper/, Tomasz Rolewski, Dawid Lorenz (http://shit.prawda.pl), B.B. (www.nokiainfo.f2s.com, Bjornar Ness, jsp_m www.zamir.net/~josipm/Nokia/nokiafaq/, Johan Van Bogaert, Dennis Steinhilber (www.steinae.de), Andreas Garzotto, Nico Netzker and author of http://www.ras.ru/~sashka/nokia/550/ page)... They helped me with collecting all these information...

People, which are not on this list, should write to me :-) !

Back to the top

35. Additional information

  • Some basic ;-) information about GSM:

    • description from Javier Gozálvez Sempere - www.comms.eee.strath.ac.uk/~gozalvez/gsm/gsm.html
    • description from John Scourias (more detailed) - http://ccnga.uwaterloo.ca/~jscouria/GSM/
    • www.tns.lcs.mit.edu/~turletti/gsm-overview/

  • GSM specifications are on the www.etsi.org
  • parts and photos from Nokia 6190 - http://jeff.trilli.com/6190.html
  • page from "MobSim - A GSM Network Simulator" project (it makes software for Unix, which allow to simulate cellular network in computer's memory) - http://mordor.cs.hut.fi/tik-76.115/95-96/palautukset/Mobiili/lt/manual.html
  • some interesting description can be in GSM ring too - www.flashback.net/~lesve/gsmring.html.

For links to pages and sources in Polish language see Polish version of this description.

Back to the top

36. Does using/activating netmonitor cost anything ?

Your phone HAS TO monitor network state/signal level, etc. to normal work (and your operator DOESN'T TAKE MONEY for it !). You only can decide, if info about it will be displayed or not - it depends ONLY on you. The same situation is with other parameters connected with phone (for example, battery charging).

You can activate netmonitor FREE using methods from How to activate it ?, eventually pay somebody for it ANY money ;-)) - he will do it the same thing...

Back to the top

37. Does using netmonitor is legall ?

Pryvatly I think: I received (free ;-)) software for it and I don't make anything wrong. So, why I can't observe parameters ?

BTW - different thing is with simlocks (especially, when phone was bought in promotion and signed agreement is not expired ;-)))) ....

Back to the top

38. Which entries on SIM card are used in netmonitor tests ?

In new Nokia phones you have to write/read some values changed in some tests in/from some entries in phonebook on SIM card:

  • 31 - test 71 (AUDIO ENHANCEMENT). You should write value 0-65536 there
  • 32 - test 72 (AUDIO ENHANCEMENT). You should write value 0-65536 there
  • 33 - test 17 (BTS TEST). You should write channel number (for GSM 900 1-124, for GSM 1800 512-885) there
  • 34, 35, 36 - test 52 (reading files from SIM) and test 53 (writing files to SIM). In entry 34 will be put address of file, 35 its' contenst and in 36 info about success/failure of reading/writing

Similiar activities in older models (2110i, etc.) were connected with writing values into (for example) internal phone phonebook in entry 98.

Back to the top

39. Can I activate netmonitor in 3310 using soft working with 3210 ?

YES - in all new models of Nokia phones you can use the same computer soft. I advice reading point How to activate it ?...

Back to the top

40. After activating netmonitor/BTS TEST my phone can't find network...

Nokia phones had always good firmware without too many errors, bugs and mistakes. Some new models (like 6210) make more problems, but even they're so good, that simple activating netmonitor menu doesn't make problems. They can be sometimes visible (like hanging phone) when use concrete tests. It's good to update firmware of phone then and inform me about problem :-))) -> I collect firmware bugs in my pages.

Finding and loosing network signal doesn't depend rather on netmonitor - it's possible, that in concrete place and time you don't have transmitters of your operator or network is busy. It happens and is rather normal.

Different situation is, when BTS TEST is enabled. Your operator can use set in test channel on small area only and outside it your phone will not show network signal. So, disable it then (see description of test 17).

Back to the top

41. Netmonitor shows different battery capacity than info on it...

Phone takes info about battery capacity from resistor inside. If it's different than should be, you see such incorrect info in netmonitor. You can only check (and compare with original), if phone has longer standby/speech time. If yes, you have bigger battery...

You have to remember about one detail: In case of LiION battery you will find in netmonitor (test 20) the same value as on battery casing, in NiMH batteries this value can differ even by 200 mAh (and it changes)...

42. NetMonitor in Nokia 6310, 8310,...

With generation DCT4 of phones Nokia again started to "hide" this option and sell phones with it for big money. But it seems to be available in phones "normally" sold to people - for example, in 6310i. The problem is only in activating it.

Back to the top

[Part 1] [Part 2] [Part 3] [Part 4] [Part 5] [Part 6] [Part 7]

Marcin Wiacek (WWW)
Last modification: 6 October 2002


 GSM for offline reading

Two notes:

  • I cannot sometimes answer, on a frequent basis, all emails sent to me. Please understand this and have patience if you have to wait a little longer for my answer... I apologise for this.
  • All info and software here is for free. If you want to receive more from me (for example, about Nokia phones) and questions will be detailed and (especially) connected with commercional projects, I will answer answer rather only then, when I will receive back some other info (now will be only some examples - help can be given many other ways too), for example, helpful in improving mygnokii2 like bug report or specification or firmware info for Nokia phone, etc.
    My site/software is like Linux: without help from many people can't be excellent... Thanks for EVERYONE, who have seen it in the past and wrote me....

You opened offline version of my documents connected with GSM. Remember, that the nevest and always actual version is on my homepage. In this version you can read description of NetMonitor in Nokia phones, Nokia identification & firmware info, compare phones & read codes info.

There is info also about weak and strong things in Nokia phones.

When you will print netmonitor manual in Internet Explorer 5 or never, some things (like "Back to the top") won't be displayed...

Marcin Wiacek


  1. What is firmware ?
  2. What is DCT3, DCT4, ... ?
  3. What is NSE-1, NHM-1, ... ?
  4. What are characteristic features and bugs of DCT3, DCT4,... ?
  5. What are changes/bugs for specific phone models ?
  6. General IMEI informations
  7. How can I check firmware version ?
  8. Can I change firmware in my phone at home ?
  9. Can I change language version in my phone ?
  10. Is changing firmware expensive ?
  11. What is DSP ROM ?
  12. Information sources
Nokia 1xxx/2xxx, Nokia 31xx/32xx/33xx, Nokia 34xx/35xx/36xx, Nokia 5xxx, Nokia 60xx/61xx/62xx, Nokia 63xx/65xx, Nokia 7xxx, Nokia 8xxx, Nokia 9xxx
Phone (telefon) | Model number (Oznaczenie) | Firmware version code (kod do sprawdzania wersji oprogramowania) | TAC in IMEI (TAC w IMEI)
3110 | NHE-8 | *#3110# | 490165, 490184 (Finland)
V6.52 15-05-97
V7.11 24-09-97

An updated GSM operators' list.
Uaktualniona lista operatorów.

By pressing C during a call which then changes the NaviKey's function to Options that include putting the call on hold, address book, sending DTMF and ending the Call (it can be activated via a settting menu item "In Call functions").
Przez naciśnięcie klawisza C w czasie rozmowy oznaczenie NaviKey zmienia się na "Opcje" dając dostęp do menu zawierającego różne opcje przydatne podczas rozmowy (może być ono włączane przy pomocy opcji "Funkcje równoległe" w menu).

The hold function is complemented by a new Menu function "call waiting service".
Funkcja zawieszenia połączenia jest obecna w postaci nowej pozycji menu ("Usługa połączeń oczekując.").

The leaflet also indicates that the volume of all ringing tones have been raised.
Zwiększono głośność wszystkich dzwonków.

The option to add a number directly from the dialled/received/missed calls to the phonebook - When a number in those registers is highlighted and is not in the phonebook already, the Navikey displays "Options" which include save and dial.
Dodano opcję zapisu numeru do książki telefonicznej z menu z wybieranymi/odebranymi i nieodebranymi połączeniami - jeżeli nie ma jakiego w książce, oznaczenie Navikey zmienia się na "Options", które pozwala właśnie na zapis (i dzwonienie).

A "fast silent mode" (like in 8110) - press Menu and #.
Szybkie przejście do cichego trybu (jak w Nokii 8110) - wystarczy nacisnąć Menu i #.

Any answer key function removed.
Usunięto funkcję odbioru jednym klawiszem.

V7.72 18-12-97

Support for vibra battery - added menu in option.
Obsługa baterii wibracyjnych - odpowiednia opcja w menu.

Added "Cell Info Display" and "Broadcast Messages" options in menu.
Dodana obsługa cell info i cell broadcast (pozycje "Informacje o sieciach" i "Wiadomości sieciowe" w menu)

V7.73 30-01-98
V8.11 27-02-98

(NEWER TOO ?): when you're in menu and press (c) key, phone leaves menu (it doesn't go to one level higher)
(NOWSZE TEŻ ?): jeżeli użytkownik jest w menu i naciśnie klawisz (c), opuści całkowicie menu (a nie przejdzie do jednego poziomu wyżej).

V8.30 16-04-98
V8.32 21-09-98
V8.50 20-10-98

BŁĄD (nie wiem, czy z również z najnowszym oprogramowaniem): nie można doładować karty SIM+ (zadzwonić pod 5555) po wyczerpaniu limitu do 0 PLN lub zablokowaniu rozmów wychodzących (należy kartę przełożyć do innego telefonu i ją tam doładować albo skorzystać z numeru 0-22 6075555).
3210 | NSE-8/9 | *#0000# | 448896, 448903 (Finland), 449142 (Finland), 449143, 499149 (Germany), 449150, 449203 (Germany), 449204 (Germany), 449314
V2.54 20-01-99
V3.00 07-06-99
V3.01 10-06-99
V3.10 17-06-99
V4.02 20-07-99
V4.41 17-08-99
V4.43 14-09-99
  • Improvement to charger detection and clock stoppings (in the display)
  • Menu support for OTA prepaid service implemented
  • Improved Short Term Memory: the number from e.g. missed calls list can now be edited
  • SIM ATK message sent note improved. Now SMS message send indication is shown only once when the message is sent.
  • SIM-card busy note implemented in SIM ATK. SIM card busy note is now displayed when entering SIM ATK menu while SIM card is waiting for response to send SMS or send SS command.
  • Keyguard can now be on, when the phone is connected to PPH-1 car kit
  • Operator name changed "KB Impuls" -> "Bee Line" (250/99)
  • T9 language databases updated
  • T9 case handling improved: Automatical change between upper and lower cases after dot (.). Spell mode now uses the present case instead of always starting in upper case.
  • Improvements in T9 special character handling and Matches menu
  • Improvement to T9 ('Insert word' and 'Insert number')
  • Improvement to USSD
  • Improvement to CPHS Information number handling
  • Improved reception of two consecutive OTA ringing tones.
  • Postponing alarm for over 90 minutes, improved. When the alarm is set and activated, it is possible to postpone (snooze) it continuously (before it was limited to 90 min.)
  • Destination number is now given as default if Picture Message sending fails. This means that the user does not have to enter the destination number again.
V4.65 07-10-99
  • Improvement to charger detection and clock stoppings (in the display)
  • Menu support for OTA prepaid service implemented
  • Improved Short Term Memory: the number from e.g. missed calls list can now be edited
  • SIM ATK message sent note improved. Now SMS message send indication is shown only once when the message is sent.
  • SIM-card busy note implemented in SIM ATK. SIM card busy note is now displayed when entering SIM ATK menu while SIM card is waiting for response to send SMS or send SS command.
  • Keyguard can now be on, when the phone is connected to PPH-1 car kit
  • Operator name changed "KB Impuls" -> "Bee Line" (250/99)
  • T9 language databases updated
  • T9 case handling improved: Automatical change between upper and lower cases after dot (.). Spell mode now uses the present case instead of always starting in upper case.
  • Improvements in T9 special character handling and Matches menu
  • Improvement to T9 ('Insert word' and 'Insert number')
  • Improvement to USSD
  • Improvement to CPHS Information number handling
  • Improved reception of two consecutive OTA ringing tones.
  • Postponing alarm for over 90 minutes, improved. When the alarm is set and activated, it is possible to postpone (snooze) it continuously (before it was limited to 90 min.)
  • Destination number is now given as default if Picture Message sending fails. This means that the user does not have to enter the destination number again.
V5.01 26-11-99
  • The sidetone gains for headset have been activated and adjusted to support the new loopset
  • Hitachi Power Amplifier now uses base-level compensation instead of power level coefficients compensation
  • Front End Gain (FEG) switch on/off point changed
  • Backlight control improved
  • Full support for Poll Interval and Polling Off proactive commands (SIM Application Toolkit)
  • Number of PLMNs increased from seven to eight
  • Picture Message Uni Code support (UCS2) improved
  • Hindi language support implemented
  • SIM Application Toolkit is now able to send messages even if the keyguard is active
  • New mixed case "Abc" indicator for T9. Icon that shows that the first letter is automatically added in uppercase - T9 dictionaries updated
  • Multi-page Cell Broadcast and cell changes improved. If several multi-page cell broadcast messages were broadcasted in the same cell, messages might be received partially
  • Improvement to Latvian key mapping. In every key (except 9-key) one of two question marks (?) were located in the row of characters
  • Note changed after erasing a Fixed Dialing Number (FDN). When editing an FDN number and afterwards erasing it from the FDN list, the phone previously displayed an error note "Invalid location" even though the FDN number was erased from the FDN list. Now note "Erased" is displayed.
  • When inserting an euro sign in a SMS the message length counter could suddenly show 65535. This has changed now.
  • Now the menu index in Hebrew is written the same way as in English, only Arabic menu index is turned, e.g. 4-4-1 -> 1-4-4
  • Improvement to prepaid credit menu: After selecting menu 3-8-1-1 (on) the phone retured to menu 3-8. Now it returns to menu item 3-8-1 when selecting 3-8-1-1 (on)
  • When playing a newly composed ringing tone in the Composer, the first tone was cut off when the keypad tones were on. Now all tones can be heard.
(V4.02) With connected headset the light turn on all time (previously not always).
(V4.02) Przy podłączaniu zestawu słuchawkowego zawsze zapala się podświetlenie (poprzednio nie zawsze).

Added Menu 3-8 ("Prepaid credit").
Dodane Menu 3-8 ("Opłacony kredyt"). Nie działa z SIM+.

V5.10 21-01-00

Information Number correction: If any of the information numbers on the SIM card had fewer digits than the last information number in the list, the information number dialling would fail. (Note: Information Numbers can be found under menu 1-10, if the SIM card supports this CPHS feature)

Changes in parts connected with charging battery.
Zmiany w części odpowiedzialnej za ładowanie baterii.

V5.22 29-03-00

  • Improvement to automatic answering in Carkit-mode
  • An error message is now displayed when the phone is blacklisted
  • Improvement to Information/Emergency numbers. Now 112 is treated as an emergency number even though it is in the Information Number list
  • Ringing tones (Ring ring, Mosquito, Nokia Tone, Fuga, Auld Lang, Syne, Jumping, William Tell, Matilda, Brave Scotland, Reveille, Hiphop, Bossanova, Salsa, Running Horse and Fusion) are raised one octave to improve sound pressure
  • Operator names (MOU list) updated
  • Animated Wake-Up Graphics added (this affects all operator variants having the Standard Nokia Wake-Up Graphics logo ĺthe Nokia handsĺ)
  • New feature added: If a missed call is registered, it is now possible to select "Send SMS" directly from the Missed calls menu.
  • Improvement to SMS editor
  • Charging indication now appears as soon as charger is connected
V5.26 07-04-00

Some improvements for production purposes Note: As far as functionality is concerned, software version 5.26 is identical to version 5.22.

V5.31 24-05-00

  • (V5.01): when you edit SMS and enter "*" key (symbols), pressing "#" will move cursor to the next line
  • Can't open simlocks using NokiaTool only - must use EEPROM method
  • Dodano dwie ukryte gry (React i Logika). Aby je uaktywnić (opis dla PC-LOCALS 1.3):
    • Uruchom PCLOCALS
    • Wejdź w menu 3 ( ME Function)
    • Wybierz PRODUCT PROFILE SETTINGS
    • Zmień bit 29 (pozycja 1D) z 0 na 1
    • Wciśnij F2, aby zapisać zmiany w EEPROMie
  • Added two hidden games (React and Logic). To activate them (description for PC-LOCALS 1.3):
    • RUN PC Locals
    • Goto menu 3 ( ME Functions )
    • Choose PRODUCT PROFILE SETTINGS section
    • Change bit 29 ( place 1D ) from 0 to 1
    • Press F2 to save to EEPROM
  • (NOWSZE TEŻ ?) BŁĄD: Po wybraniu czasu 12-godzinnego i języka polskiego w godzinach popołudniowych w menu ustawiającym zegarek pojawia się godzina, "po poł." (po południu) i różne dziwne znaczki...
  • (NEWER TOO ?) BUG: Test 45 in NetMonitor and parameter ChCur in test 23 don't work correctly.

    • (NOWSZE TEŻ ?) BŁĄD: Test 45 w monitorze sieci i parametr ChCur w teście 23 nie działają poprawnie.
  • (NEWER TOO ?) BUG: When you're in Composer (Menu 9-3), haven't set tempo before and use "Tempo", will see blank screen with indicator on the right side of screen. To change tempo must press any key.

    • (NOWSZE TEŻ ?) BŁĄD: Kiedy jesteś w Kompozytorze (Menu 9-3), nie ustawiałeś tempa melodii i użyjesz opcji "Tempo", zobaczysz pusty ekran ze wzkaźnikiem po prawej stronie ekranu. Musisz teraz nacisnąć jeden raz dowolny klawisz...
  • (NOWSZE TEŻ ?) BŁĄD: Niedokładne tłumaczenie w Menu 1-8-2 i Menu 1-4-1
  • Improvement to RF signal bars: When RX was reduced by e.g. 50 dB in phones with software version 5.22 or 5.26, the RF signal bars may only decrease by one bar instead of two-three bars.
  • Improvement to Picture messages: In previous versions Picture messages couldn't be forwarded unless the text was edited.
  • SMS editor speed improved: In previous versions the SMS editor could appear slow when entering long messages (100-160 characters)
  • Improvement to composer: In previous versions certain sequences of tones could cause the phone to reset.
  • Operator list updated
V5.36 25-07-00 or 08-08-20 or 27-07-00
V5.38

(?) When read info about simlocks via cable some programs (for example, NokiaTool), they're CLOSED !
(?) Przy odczycie informacji o simlockach przez kabel przy użyciu pewnych programów (np. NokiaTool), są one ZAMYKANE !

V6.00 13-10-00 or 03-10-00
V6.00 23-08-01 (ROM6?)

  • (V5.24) In call register menu new option Send SMS in Dialled/Missed/Received list
  • (V5.24)Changed ringing tones (for example, "Hurdy-gurdy")
  • (V5.36) "SIM card registration failed" message is shown when the SIM card or phone is unknown or rejected from the network.

    • (V5.36) Komunikat "Rejestracja karty SIM nieudana" , gdy karta SIM lub telefon nie może być zalogowany w sieci
  • (V5.36) Unknown callers (private/unlisted numbers) are now registered as missed calls (for example, in the Call register (Menu 3-1)). They are listed as "(no number)" and it is now possible to see Time of call
  • (V5.36) Arabic (Indian) numbers are used correctly
  • (V5.36) Improvement to receiving an over the air ringing tone. Earlier when receiving an over the air ringing tone and selecting playback directly, the first tone would be partially cut off during the playback (only when the keypad tones were activated)
  • (V5.36) Improvement to SIM Application Toolkit
  • (V5.36) Improvements to T9
  • (V5.36) When using Options menu to insert a symbol twice in an empty SMS editor (e.g. @@) (This problem was presented only in SW versions 5.31 and 5.36)
  • phone remembers the T9 state after entering and leaving the options menu (earlier when entering and leaving the options menu from the SMS editor after having disabled T9 with the #-key, the phone would activate T9 again automatically)
  • (V5.36) Operator list updated
  • (V5.36) BUG REPAIRED: When edit long SMS (about 160 chars) and press Up/Down key very long (until will scroll all SMS context - 160 chars) without releasing, phone will restart after it - info from SkyBoy

    • (V5.36) POPRAWIONO BŁĄD: Przy edycji długiego SMSa (około 160 znaków) po naciśnięciu klawisza Góra/Dół i przytrzymaniu (bez zwalniania), aż cały SMS (160 znaków) zostanie przewinięty, telefon zresetuje się... - informacja od SkyBoy
  • (V5.31) Memory game is named "memory", not "pairs"

If you Activate and Deactivate the Phone Security (Menu 4-3-4) on Software versions 5.26 - 5.36 the tick is incomplete.

I have signals, that sometimes after making some things over cable (uploading logo, etc.), contrast of LCD is changed ! Probably using Logo Manager makes problem!

Interesting facts: firmware seems to be cut version of firmware from more expensive phones. There still some help texts inside, texts from some functions (does it mean, that phone support them ?) - ("Rename this set" - it can be done via cable !), text with name of "full" profiles - the same question (Meeting, Outdoor, Pager, General), texts "Save to another memory?, Saved to phone memory,Saved to SIM Card", "List of own numbers"...

Asian versions have built in vibra in phone. European doesn't have vibra motor, but have place for it and disabled option in firmware (so, it's possible to easy add it).

3310, 3315 | NHM-5 | *#0000# | 350005, 350101 (Finland), 350845
V3.24 22-08-00

BUG (NEWER TOO ?): With voice dialing and HF, when phone understand your voice, "hanges". You can see "Dialing too..." and "End". When you press "End" and keypad is locked, you will see "Press Unlock and then *" and then (something lika that) "Enable SIM application?". When press "OK", everything is again normal...
Błąd (Nowsze też ?): Przy wybieraniu głosowym (przez zestaw HF) i pozytywnym rozpoznaniu znaku, telefon "zamiera". Widać "Dzwoni do..." i "Zakończ". Gdy chcemy Zakończyć i są zablokowane klawisze pojawia się "Naciśnij odblokuj, a potem *", a następnie (coś w rodzaju) "Włączyć aplikacje SIM?". Naciskamy "OK" i wszystko wraca do "normy"...

V4.02 05-10-00

  • Turkish and Greek T9 dictionary added to language packages with T9
  • New pictures added to Picture Messages and Screen Saver
  • Improvement to Half Rate audio quality
  • OTA Reminder can now be sent with alarm
  • Game option menu exit improved
  • Correction to case where phone goes to idle when headset is connected/disconnected in ringing tone menu
  • Correction to case where active settings is changed temporarily when OTA profile is saved
  • Improvement to handling Emergency call during active call
V4.06 21-11-00
  • Handling (e.g. sorting/adding/replacing) of names in phonebook corrected in Turkish and Greek languages
  • Special characters corrected in Danish language (when sent to 8210/3210)
  • Improvements to SIM-ATK, e.g.:
    • When USSD notify is send, the phone sends the response to the SIM card
    • Long press 'C' and short press 'C' gives correct value to SIM card
    • Call coming with SIM ATK gives correct result back to SIM
    • Display Text works with scroll key
  • Improvements to SMS and T9:
    • Delivery report 'pending' in Chat-mode corrected
    • Name were missing on delivery reports
    • Changes in cursor movements in SMS (with active T9)
    • Adding words to dictionary can be recognised
  • Improvements to Reminder:
    • Corrections on functionality when erasing one by one, pressing Clear during erase
    • Receiving calendar requests from other phones improved
  • USSD commands activated from AND (Abbreviated Dialling Numbers) when Speed Dial selected
  • New code - you can Clear Operator Logo using *#67705646# command
  • Returning from game settings improved
  • Service numbers do not open anymore an empty screen
  • Improvement to phonebook number query count
  • Caller groups in names on SIM card were not always removed
  • Improvements to OTA functionality
V4.18 12-01-01 (18-12-00 ?)
Support for new Power Amplifier added

V4.23 25-01-01

  • Improvements to SIM-ATK: Setup Call could reset phone, if text sent with Setup Call was very long
  • Improvements to SMS and T9:
    • Receiving Picture Messages with Euro sign
    • Counter in Picture Messages when Unicode is selected (Adding character counter for message writen other than English ?)
    • 'Send to many' option after reply
    • Not able to fetch Phonebook (blank display) when forward / reply to SMS
    • Errors receiving Concatenated SMS
    • Inserting a Smiley
  • Improvements to Reminder: letter counter (earlier: when edit reminder text, number of free chars is displayed incorrectly. First: one additional byte is used for indicating coding (in fact you have maximally 35, not 36 chars), second: some chars are saved as two 8 bit chars (indicator doesn't show it) and when write only them, you can write only 17 chars. Summary: you can write 17 - 35 chars (number of it depends, what chars are in text) and indicator doesn't show number of free chars correctly...)
  • Improvements to Settings: Light managing in carkit
  • Improvements to Composer: Screen blanked when selecting Tempo option with some OTA ringing tones
  • Improvements to Phonebook:
    • Indicator shown while sending message
    • Long number correction
V4.19 03-01-01
The same functionality as version 4.18

Note: New text strings (localisation), which were implemented in V4.23, contained some specific characters (i.e. Clear Key when writing SMS). Software version 4.19 will correct these failures.

V4.24 23-02-01

  • Note: When using V4.23, deleting character with 'C' key was not possible in language pack B, G and H. This has been corrected.
  • Contains all improvements made in V4.23
  • Support for RFMD Power Amplifier added
  • Improvements to SIM-ATK: If Display text was (8n-1) long, an @ would show at the end
  • Improvements to SMS and T9:
    • Wrong counter in query
    • Letter counter
    • Euro-sign as second-last character in Reminder Text
  • Improvements to Reminder: Euro-sign as second-last character in Reminder Text
  • Improvements to ALS: Missing blinking indicator for non selected line
  • Improvements to Phonebook:
    • Voice Mailbox DDI Interface improved
    • (removed bug) Can read phonebook and other memories via cable
  • Corrections to Turkish language (menu items, translations, message in Voice dialling)
V4.35 29-03-01
  • 'Insert SIM' problem with certain 32K SIM cards improved
  • (?) 'Uppercase ABC' in Chinese Language package corrected
  • (?) 'Multi Sim Lock' included
V4.45 21-06-01:
V4.45 05-07-01 (ROM6?):
  • Language:
    • General update of Dictionary in all languages
      • New T9-languages
        • Czech
        • Polish
        • Hebrew
      • New UI-language
        • Ukrainian (No T9 input)
        • Chinese
    • Selected 'word' shown as "square" in traditional Chinese
    • Special word not selectable when Bopomofo
    • Vietnamese: Translation to 'Countdown Timer' corrected
    • German: Translation of 'Highscore' corrected
    • Hebrew: input in all editors
  • Composer
    • Vibrating in Composer stops when receiving an SMS
    • Vibra active when composing a ringing tone
    • Not possible to forward received ringing tones anymore
  • Phonebook
    • Mixed case multitap ('Abc') in phonebook implemented
    • Alphabetic sorting order corrected when spaces in the beginning of a name
    • Search in Phonebook now starts from the top
    • Scrolling error in Chinese Phonebook corrected
    • Leading blanks ignored in sorting
    • When trying to save "no. too long, max. 20" next screen is number editor but with name query
  • Dictionary / SMS / GMS
    • 'Insert word' works without adding spaces
    • 'Insert symbol' will be placed at cursor position
    • Mixed numbers and characters handeled correctly
    • Phone freeze / reset when sending GMS if Message Center Number missing is corrected
    • From Option menu in Write Message 'Upper / Lower' case latin input can be selected from menu in chinese language packs
  • MISC
    • Calculator: Exchange rate now done with higher precision
    • SIM ATK: Clear key is now working properly in Play Tone
    • Shortcut: Missing functionality in Reminder and Tone menu implemented
    • General update of Operator Name List (#41) and UI Text
Users info (corrected or changed things compared with V4.02):
  1. the same:
    1. Picture Images:
      1. You can write Unicode chars. You can write, but when send image or get via cable, they're converted to latin chars (I quess: for backward compatibility with older phones)
      2. You can have sender number for each Picture. Phone can't put alphanumeric numbers (only "normal" and "international") there...
    2. SMS:
      1. Unicode SMS's saved in Outbox have Details in Options and "Sender" and "Message centre: 0" there (sometimes date too)...
      2. No differences between "Automatic" and "GSM alphabet" (Menu 2-7-6-3) - Unicode SMS chars are translated to chars from GSM alphabet. IMHO, when set to Automatic and write Unicode specific chars, Unicode should be used; if don't use such chars, GSM Alphabet should be used (you should see in editing screen info about this - different number of maximal chars)
      3. When edit SMS, have some contenst inside, T9 dictionary is disabled and write with large chars (ABC on the tope of the screen) and use any of functions from Options (at least enter into it and return to editing), size of chars for new text is set to small (abc on the top of the screen).
      4. When open SMS from Outbox for editing, T9 dictionary is disabled, size of chars for new text is set to small (abc on the top of the screen).
      5. When save Linked SMS in Outbox, they're visible double...
      6. (???) Some business cards (from 3210 ?), which contains some additional data after correct business card contents are not recognized and you have problems with editing them...
      7. (???) Blinking SMS Unicode messages (contains 0x00,0x01 chars) can be edit and forwared (GREAT!), but wrote appears few spaces in front of the cursor (as if cursor was there, but it's not - it's few characters behind!)
      8. T9 dictionary:
        1. When enable T9 dictionary, have "Insert number", "Insert symbol" and "Insert word" in Options during editing SMS. They don't seem to be connected with T9 (at least two first)
    3. Reminders menu (very limited version of Calendar) is like joke:
      1. When use Menu 10-3-2 with empty reminders memory, phone goes out from Reminders menu
      2. when set notes via cable, year of them is set to 2090
      3. (???) can receive notes from more expensive models (61xx) and send them in one SMS (can not edit); when create reminder in phone and send it to more expensive model (61xx), two SMS are required...
      4. (???) don't display date from notes from more expensive models (61xx)
      5. (???) when send note to more expensive models (61xx), date of it is 13.07.2041
      6. (???) loss birthday date in note (in such situation: forward note from 61xx to 3310, from 3310 to 61xx)
    4. Ringtones:
      1. Phone incorrectly decodes some tones (their scale) in received tones (only ?) in Composer - to avoid this you must save Scale info with each ringtone (--scale option in --saveringtone/--sendringtone in mygnokii).
      2. (???) When receiving an over the air ringing tone and selecting playback directly, the first tone would be partially cut off during the playback (only when the keypad tones were activated)
    5. Games:
      1. Go into Bantumi game, select New Game, during animation press Navi key and then C, select Continue and press any key. Interesting...
      2. You must enable Warning Tones (Menu 5-7), when want to use Sound (Menu 8-6-1). Old code (in older Nokias these options were connected)
      3. You must enable Vibrating alert (Menu 5-8), when want to use Shakes (Menu 8-6-3)
      4. When select maze in Snake II, must play and end at least one game - maze state is saved then into EEPROM
      5. (???) Sometimes phones doesn't vibrate (with enabling shaking option) in Snake II after eating food
      6. (???) When play games (Space Impact only ?) and have "Battery full" message, phone leaves menu...
      7. (???) Sometimes doesn't write line in border in Snake II
      8. (???) When end game with high score and press key during displaying score info/animation, new score is not saved
    6. Language specific:
      1. PL: kiedy w Menu 8-6-4 masz zapisany identyfikator i wybierzesz Wybierz, telefon pyta się: Zastapic poprzedni identyfikator ? (niedokładne tłumaczenie).
      2. PL: Niedokładne tłumaczenie w Menu 1-8-2 i Menu 1-4-1 i Menu 10-3-1
      3. To use some chars specific for some languages you need to activate them (what, when phone doesn't have correct PPM package with specific language ?)
      4. PL: Komunikat "Mikrofon wyłączon"
    7. Warranty menu (*#war0anty#):
      1. if you haven't entered Purchasing date, press Edit, use up/down keys, press any digit char and then you will have menu for editing Purchasing date...
      2. (???) Life Timer doesn't work from the start (it starts showing correct values, when all calls were longer than 1 h)
    8. Other:
      1. In netmonitor (all versions ?) in test 55 you have small type (one 's' too much in last line) in help and info displayed in first line only
      2. (???) After changing SIM card, voice tags weren't erased (manual connected to phone writes, that they should be....) and T9 dictionary was enabled and first number selected on SIM card and Cell info display (Menu 6-2-2) set to off and and all tones assigned in Menu 1-6 set to default (manual doesn't write about it).
      3. Where is Menu 8-5 ?
      4. (???) well, in Reminders and phonebook can have numbers of chars < 0 (indicator on top screen). If it happens, phone informs about it or cut some chars...
      5. (???) Shortcut to Menu 6-1-1 doesn't work correctly
  2. corrected or changed:
    1. Phonebook:
      1. Better sorting of entries with national chars. Phonebook is also returned in Unicode now (via cable).
    2. SMS:
      1. (corrected - in some V4.02 it wasn't OK) In delivery reports don't have names, only numbers (even, if numbers are in the phonebook)
      2. T9 dictionary:
        1. (corrected) T9 dictionary state is not saved during disabling phone
    3. Other:
      1. (new) Abc mode when write texts, SMS, etc.
      2. (V4.06) when somebody calls you and will press "C" (drop a call or divert it), for a moment (one, two seconds) screen looks like after answering call...
    4. Ringtones:
      1. Phone is not compliant with Smart Messaging 2.0.

        2. Earlier: For received ringtones with some speed values (according to SM2.0), when you edit them in Composer and use "Tempo", will see blank screen with indicator on the right side of screen. To change tempo must press any key.
        In version 4.23 it was probably corrected
        Now: when enter Composer, don't see even ringtone contenst
    5. Reminders menu (very limited version of Calendar) is like joke:
      1. (corrected) sometimes doesn't delete notes (when memory is full):
        1. use Add new (Menu 10-1)
        2. phone will display: "Memory full. Replace old reminder ?" - press NaviKey (OK)
        3. you will be able to select, which reminder should be deleted (NaviKey=Erase). Select such reminder, which has default name (when created it, didn't write anything in "Remind about" and phone write "Reminder" now)
        4. Press NaviKey (Erase)
        5. Phone will ask "Erase ?"
        6. Press NaviKey (OK)
        7. Phone will display "Reminder erased" and will display empty screen. When will come back to viewing reminders, will see, that ist wasn't erased !
    6. Netmonitor:
      1. (new - earlier it was always equal 0) Works "TIM" parameter in test 132
      2. (new - earlier this test only reseted timers) Test 80 resets timers from test 82 and enables them (works as test 81)
  3. Other: after upgrading firmware all Picture Images with sender numbers have them changed (last digit changed to "0")
(V4.35) BUG (need enabled T9 dictionary):
  1. go into editing Welcome note
  2. enable T9 and try to write some text using it
  3. press "*" - you will go into special chars
  4. select different than 1 and last char
  5. when you will press "#", you will go into next line. when you will press other key (like 1-9), screens with text and special chars will be MIXED
Similiar is during editing SMS - screens are not mixed, but phone works similiary incorrect (thanks to Carnifex for this bug)

V5.03 10-10-01

  • Possibility for user to delete SIM-created SMS from inbox
  • Operator Name List updated (#44)
V5.11 19-12-01
  • Following T9 languages have been added: Arabic, Hungarian, Slovakian
  • Dictionary/SMS:
    • Phone virus (SMS with corrupt header) can be deleted and only deleted
    • Chat: editing Chatname cursor placement is fixed
    • Hebrew: Templates, Searching and Keymap (in 'spell' state) improved. Writing more than one capital letter is now possible
    • Russian: Unicode and Latin letters in same SMS are now received correctly
    • Picture Message: Blank screen after a call is now removed
    • Improvement to Smiley editor counter
  • Phonebook:
    • Change Phone Line (with #) is now only possible from Idle
    • Numbers matched even with + in it
    • Incoming call is now indicated while erasing all in phonebook
    • Possible to add new entries to internal Phonebook when FDN is on (but not possible to dial)
    • Missing information note added when copying entries between SIM and Phone memory (Security level: Memory)
    • Scrolling Phonebook entries with leading spaces possible for Latin as well as for Chinese names
    • Keypad lock can no longer be unlocked using special key string
  • Emergency call:
    • During snooze softkey text is changed to 'call'
    • Possible while entering new PIN-code
  • Euro-sign in picture message received successfully on other phones
  • Counter overflow corrected (language pack G) in Reminder and Phonebook
  • Alignment corrected in Stop Watch and Unit Price Editor (when charging interrupted)
  • Time:
    • Improvement to 12-hour setting.
    • Input contains now 4 digits in year in Russian Time/Date.
    • Russian Date is with a colon instead of a dot
  • Reminder: Calendar date corrected on receiving end. Now DISPLAY TEXT with the option 'wait for user to clear text' waits for user to clear the text (earlier it was cleared automatically after 5 sec.)
  • Display Text length increased (it was too short for Send SS)
  • General vibration level increased to make it easier to feel that the vibra function has been activated
  • NITZ: (Automatic update of time/date) Time set, even if the user hasn't activated and set the clock
  • SIM ATK: Refresh command no longer jams the keypad. Selectable header in SIM ATK menu has been removed
Older versions (like 4.45) had unofficialy possibility of saving to calendar not only Reminders. Now it's blocked.

V5.13 11-01-02

Production has taken in use MCU software version 05.13.
Testing in production has been changed from version 05.11 to version 05.13, otherwise version 05.13 is equal to 05.11.

Because the change effects only to production, MCU version 05.13 will not be available for service purposes. (ie Nokia Service Centres).

NOTE: some people write in Net, that this version has some problems and 5.11 should be used instead of it.

Phone doesn't work correctly with some SAT (SIM Application Toolkit) SIM cards. I don't know, if problem depends on phone or these SIM cards bugs.... If I have correctly info, users of Polish Plus GSM (260-01) network with SIM cards with HRL 91 should change them...

BUGS (all versions):

  • When use shortcut for Menu 8-1, Menu 8-2, Menu 8-3, Menu 8-4,Menu 8-6, for a moment displays incorrect data...
  • No Menu 8-5
  • You need to enter Menu 1-10-1 (after pressing 1 wait about 3 seconds until you will see "-" in right side of "1" and menu will go higher level, then enter 10 and 1). Now press Up or Down or wait small moment. You will see now strange things - screen isn't refreshed, but keys work:
    • When press C once, Navi description is deleted. After it press any key and everything is OK.
    • When press Up or Down, you select person from phonebook (but of course you won't see it).
    • Navi selects person
  • when select shortcut to game (like Menu 8-1) and image disappear, press fast C or Navi many times. Until they will be pressed, menu won't change.
  • shortcuts Menu 8-6-1-1, Menu 8-6-1-2, Menu 8-6-2-1, Menu 8-6-2-2,Menu 8-6-3-1, Menu 8-6-3-2 and Menu 8-6-4 don't work too correctly
  • after enabling phone and entering PIN, very fast (before reading phonebook from SIM card) enter Menu 1-9 (can be entered normally without shortcut). Now leave. And enter again... Each time, when you will enter it, you will different results. Sometimes phone can reboot...
  • when have assigned uploaded ringtone to name and will use reseting phone settings to factory (from phone menu), uploaded ringtones are removed, but assignment of names is not changed to "default" and after reseting they're assigned to empty ringtones
Interesting facts: firmware seems to be cut version of firmware from more expensive phones. There still some help texts inside, texts from some functions (does it mean, that phone support them ?) - ("Rename this set"- it can be done via cable !), texts from "full" calendar ("Meeting", "Birthday", etc.), texts "Save to another memory?, Saved to phone memory,Saved to SIM Card","List of own numbers" (update: own numbers memory is available via cable)...

V5.45 09-04-02

Seems to be first version used both in 3310 and 3315 (Asian version of 3310). To have 3315 features in 3310 you need to have 3315 EEPROM or change Product Profile bit 30 from "0" to "1" (for example, with Pc-Locals 1.3)..

3315 has additional:

  1. logos editor
  2. few new tests in Netmonitor
  3. can set received ringtone as SMS tone
  4. timed profiles
  5. automatic blocking keypad after specified time
  6. deleting SMS from specified SIM folders
  7. removed few "old" 3310 bugs (like mixing chars during editing startup note text, when T9 is enabled)
There are also changed PPM packs (for example, Polish is now saved in "N", not in "J").

V5.47 22-04-02

  • Following T9 language has been added: Romanian
  • Support for 45 SMS messages in SIM card added
  • "Roaming Broker/Event Download" feature implemented
  • Wake Up Graphics (WUG) at Startup improved when using a SIM Toolkit Application
  • SIM ATK 'Display Text' improvement
  • Unicode support for SIM ATK
  • Operator list updated
V5.55 31-05-02
  1. Hungarian Language package - Characters added.
  2. Russian Language package - Support of fonts added.
  3. "Calls" text now appears as "Erase Recent calls List" in Hebrew Language package.
  4. Operators List updated.
  5. Plmn search time improvement.
  6. Corrections to Business Card reception.
  7. Implementation of timed-emergency call with keylock on.
  8. When opening a 256-character SMS a message "Message cannot be displayed here" appeares. This has been corrected.
  9. Error Correction - Autoscroll missing when SMS T9 spell option provided by phone.
  10. Error Correction - Cursor disappears when a chat message have been sent with success and the user hits ok or back from history.
  11. Improvement to USSD capability - Added dsc (in SMS format) when returning terminal response.
  12. Default ringing tone for profile "My style" changed from Nokia tune to "Get cool".
  13. Removed Russian T9 Dictionary and Russian keymap, and replaced it with normal GSM characters.
  14. Focus Prompt Corrections in Chinese Simplified language package.
  15. Placement of the character ":" corrected. Now appears at the end of the sentence. (Example - Enter PUK 2 code: )
  16. Word wrapping in latin & non-latin now working correctly.
  17. Corrections to Hebrew/Arabic: some words were not displayed while typing them.
  18. Error Correction - Some of the Russian characters were missing in package L.
V5.57 05-07-02
(V5.13) When edit sender for SMS, there is number of chars displayed...

BUG (didn't checked for other 33xx and earlier versions): \ char is lost during saving SMS to SIM (after editing SMS)

BUG (didn't checked for other 33xx and earlier versions of 3310/3315) checked for Polish PPM, probably will work for each other PPM with national chars:

  • save some entry in phonebook (name and number is not important; I will use Polish name "Poczta" to show problem)
  • enter editing this phonebook entry
  • add something to entry name (for example "Glosowa") and add any chars as long as indicator in right top part of screen will show 0 (0 chars left)
  • delete one char (for example, "l") and add "ł" (can be used any other national char) - indicator for left chars will show -3.
  • Press OK and you will enter to editing number. Don't edit it.
  • Press OK. Phone ask, what should do (replace old name or save as new entry). We want to replace - select it.
  • Phone will show, that name is too long and return to editing name. Don't change anything in name
  • Press OK. Phone ask, what should do (replace old name or save as new entry). Don't select anything.
  • Press "C" key and you will return to editing name again. Don't change it and press OK.
  • Screen will be empty, up and down keys don't work.
BUG:
  • Send a message to your own number - you will receive a message from yourself
  • Select "Reply"
  • compose a message (any length would do)
  • "Send"
  • when your number display in the "Phone number" box, erase your number and select "Search"
  • Look for a different number in the phonebook and "Send" the message.
  • You will be surprised that eventhough you sent the message to a different number, the message will still be sent to the original phone number to which you replied the message.
  • When you have long SMS written using T9 and you press shortly C key (it should delete one char) all sms text is deleted.
V5.59 12-09-02

Seems to be version for APAC (Asia Pacific)

V5.75

  • SMS:
    • Counter in SMS will count down continuously regardless of use of UNICODE or GSM characters
    • If one UNICODE character is included in the SMS then the whole SMS will be converted to UNICODE automatically
    • Delivery reports improvement
  • Picture messages:
    • Possibility to write 16 characters in picture message regardless of use of UNICODE or GSM characters
  • Cell Broadcast:
    • Improvements to language list used in Cell Broadcast
  • SIM ATK:
    • Get input/Inkey sends Terminal response "help requested" when a timeout will be occurred
  • Languages:
    • Updates to language packages C, D, K and Q
    • Russian native input re-entered in language package L
    • Language Pack T created with following languages: English, French, Afrikaans, Zulu, Xhosa, Swahili, Sesotho
    • Key mapping changed in Russian so that full stop is first character on 1-key
    • T9 updates:
      • Brazilian Portuguese, Serbian, Croatian, Slovenian
      • Added: Word completion is active when pressing star key with T9 ON
      • T9 accent support for the following languages: Turkish, Portuguese, Czech, Slovak, Romania, Hungarian and Polish
  • Operator name list updated:
    • New Operators: "MTS BY" (257/02) "TUNISIANA" (605/03) "AFRICELL" (607/02) "MR MATTEL" (609/01) "T-Mobile UK" (234/31) "T-Mobile UK" (234/32) "RUS: INDIGO" (250/19) "IN-DOLPHIN" (404/98) "SyriaTel" (417/01) "YEM-SABA" (421/01) "UZMACOM" (434/00) "UZMACOM" (434/02) "UZB-UZD" (434/07) "TANGO LAO" (457/08) "STP CSTmovel" (626/01) "TELE2" (250/20) "TJK MLT" (436/03) "H3GA" (505/06) "I.C.E" (712/01) "SETAR GSM" (363/01) "UNITEL" (631/02) "I.C.E" (188/01) "MTS AD" (294/02) "SETAR GSM" (362/01) "TeleG" (746/02)
    • Name changed: "E VODAFONE" "vodafone ES" (214/01) "GSY TEL" "C&W" (234/55) "PRONTO GSM" "Manx Pronto" (234/58) "INA AIRTEL" "AirTel" (404/31) "AIRTEL" "AirTel" (404/45) "AIRTEL" "AirTel" (404/49) "94 SYRIA" "SYRIATEL" (417/02) "SyriaTal" "SYRIATEL" (417/93) "Egy Vodafone" "vodafone EG" (602/02) "CELTEL RC" "CELTEL CD" (629/01) "CELTEL CD" "CELTEL RC" (630/02) "UTL_TELECEL" "UTL Telecel" (641/11) "GR VODAFONE" "vodafone GR" (202/05) "NL Vodafone" "vodafone NL" (204/04) "P VODAFONE" "vodafone P" (268/01) "VODAFONE MLA" "vodafone MT" (278/01) "ESSARH" "ESSAR" (404/01) "INA AirTel" "AirTel" (404/02) "INA AirTel" "AirTel" (404/03) "ESSARU" "ESSAR" (404/15) "AT&T" "IDEA" (404/22) "AT&T" "IDEA" (404/24) "ESSARR" "ESSAR" (404/60) "RPG MP" "IDEA" (404/78) "INA AirTel" "AirTel" (404/90) "INA AirTel" "AirTel" (404/92) "INA AirTel" "AirTel" (404/93) "INA AirTel" "AirTel" (404/94) "INA AirTel" "AirTel" (404/95) "INA AirTel" "AirTel" (404/96) "INA AirTel" "AirTel" (404/97) "INA AirTel" "AirTel" (404/98) "GP" "BGD GP" (470/01) "CLICK" "Egy Vodafone" (602/02) "OMNITEL" "vodafone IT" (222/10) "VODAFONE" "vodafone AL" (276/02) "ST GSM" "SingTel G9" (525/01) "SingTel" "SingTel G18" (525/02) "Mobilis" "Orange CAM" (624/02) "ZM ZAMCELL" "ZM CELTEL" (645/01) "O2 DE" "o2 de" (262/07) "SPACETEL" "94 SYRIA" (417/02) "HELLO" "TH GSM 1800" (520/23) "NWGSM" "MegaFon" (250/02) "ST GSM1800" "SingTel" (525/02) "Ivoiris" "Orange CI" (612/03) "TD CELTEL" "CELTEL TCD" (622/01)
    • New country name: "MR" (609) "STP" (626) "TJK" (436) "ABW" (363) "AGO" (631) "CRI" (188)
    • Removed operator: "I.C.E" (188/01)
    • Country number changed: "CRI" 188 -> 712
V5.79 11-11-02
  • The regulation of Chinese font set was enforced recently by the authority in China. The size of font is unchanged but drawing of Chinese characters have been updated to follow the new standard. Update means that only some characters have been changed from end user point of view.
BUGS:
  • This firmware still has bugs connected with accessing menu shortcuts 12-1-3, 12-2-3, 12-3-3, 12-4-3, 12-5-3 and 12-6-3. Errors were added in version 4.45
  • startup text editor disables T9 dictionary.
  • T9 has such bug:
    • when write SMS with enabled T9 write for example word 'My' using keys 6 and 9
    • press longer # key. It will change mode 'abc' do '123'
    • set cursor between 'm' and 'y' chars. In the screen it will look: 'M|y'
    • press longer # key to return for 'abc' mode
    And here is bug: word 'My' is changed
3330 | NHM-6 | *#0000# | 350150, 350151, 350836
V2.49 19-03-01
V3.05 05-04-01

BUG:

  • when have more than 3 voice tags, during using this function (voice dialling) phone hangs and resets
  • Games:
    • If you try to download (via wap) new "game levels". The problem is that after it phone do not display the "ranking list" of "snake2" and/or "space impact". Problem appeared after downloading new "labirints" and "new mission". When you try to download the same mission (promo 1, gratis) after it. Result was the phone always don't display the ranking list and also "space impact" don't run. "Bumper" runs ok.
    • Snake, if you reach an high level of scoring, when you select "continue" the phone go locked.
  • "ascending" attribute doesn' t work
  • bug connected with assigning ringtones: when I changed a name with a specific ringtone, and I look at other names I see that also some one other name was changed the ringtone. The I changed back this second name to original ringtone, and also the first came back to original ring tone. It seems that you can change a ringtone for a specific position number, that is in use simultaneously in use in SIM and Phone memory, without possibility to distinguish them.
V3.10 12-05-01

Inprovements in Voice Tags

BUG removed: when trying to write a message with an uppercase accented character (i.e. character <?>) and saving SMS without sending it, then entering "Own messages" the charater <?> become an <E>. To solve this use "left accent" insetad of right accent. (Ú) instead of (Ŕ).

BUG: if I set the alarm clock, phone "reset" (it go off and then on). in about 20% when alarm clock ring, and I press a key, phone go OFF, and when I tryed to go ON it ask the calendar date.

V3.12

Changed operator names

Problems with games: snake, if you start a game and you exit from menu when you return to the game you don't find ther item "continue" but only a "new game".

V4.12

  • Languages:
    • General update of Dictionary in all languages
    • New T9-languages: Check and Polish
    • New UI-language: Ukrainian (no T9 input)
    • In German language: Translation of 'Highscore' corrected
  • Composer:
    • Vibrating in Composer stops when receiving an SMS
    • Vibra active when composing a ringing tone
    • Not possible to forward received ringing tones anymore
  • Phonebook
    • It is now possible to erase all entries (earlier phone wrote "memory deleted" and didn't erase it)
    • Mixed case multitap ('Abc') in phonebook implemented
    • Alphabetic sorting order corrected when spaces in the beginning of a name
    • Search in Phonebook now starts from the top
    • Leading blanks ignored in sorting
  • Dictionary/SMS/Picture Messaging
    • Phone reset sending Picture Message + 120 char text corrected
    • C-key no longer deletes all SMS if used twice in the end of a long SMS
    • 'Insert word' works without adding spaces
    • 'Insert symbol' will be placed at cursor position
  • WAP
    • Over The Air settings can now be saved and viewed
    • Freeze/reset using WAP combined with FDN corrected
    • Blank menu removed
    • #-key press: stays in WAP-session
    • Layout updated several places
    • After saving bookmark phone now returns to idle state
  • USSD
    • Never ending request (spinning globe) corrected
    • Connection timeout problem fixed
    • Memory leak fixed
    • Bearer setting "Address Type" removed
  • Games
    • Now it is possible to download games

      • WML page replies with "Download failed" if there is an error
  • SIM ATK
    • SIM ATK opened for WAP (send and receive SMS etc.)
    • Now showing more than only first error message
    • Clear key is now working properly in Play Tone
  • Voicetag feature improved: 8 voicetags possible
  • Screensaver selection improved
  • Exchange rate now done with higher precision in Calculator
  • In Shortcut, missing functionality in Reminder and Tone menu implemented
  • Operator Name List and UI Text updated
BUG: If you are playing with "space impact", and a new SMS come in, and you try to read it, when you continue the game after the 1st startship lost, the game go on but without the starship.

V4.16 25-06-01

  • Operator Name List and UI Text updated
  • Service indicator was missing totally with some new SIM-cards
V4.30 20-08-01 (ROM6?):
  • New features implemented
    • Conference Call
    • T9 in WAP - Based on CUI editors
    • Languages:
      • Chinese (T9 support)
      • Czech (T9 support)
      • Polish (T9 support)
      • Hebrew (T9 support)
      • Hungarian (T9 support)
      • Slovak (T9 support)
      • Ukrainian (no T9 support)
  • Improvement to Phonebook
    • Matching the dialled phone number containing special character "+" is now possible
  • Improvements to SMS
    • when changing T9 language
    • under Message Write it is now possible to write in Insert Word more than one capital letter
    • SMS Input indicator changed (showed '123' after Send cancellation)
    • when receiving SMS containing special set-up
  • Improvements to Tones
    • possibility to save received OTA ringing tone
    • in Profile menu Use of Warnings Tones changed
  • Improvements in charging (using ACP-7U in 110V/60Hz environment)
  • Improvements to Russian WML (Random Phone texts were shown)
  • SIM ATK: Selectable Header (menu_display_item) removed
  • Improvements to Activating/Deactivating of Cell Broadcast
  • Emergency dialling snooze; softkey text appears changed from 'Clear' to 'Call'
  • Operator Name list (#42) and UI Text updated
V4.50 12-10-01:
  • Improvements to WAP
    • Word wrapping default is active ('On')
    • Input element indicator set up for numeric element dialog box added
  • Improvements to Phonebook:
    • Possible to edit/add/replace name/number in phonebook when SIM card memory is full
    • Blank screen not shown anymore when replacing an entry and SIM card memory is full
    • Scrolling Phonebook entries with leading spaces possible for Latin as well for Chinese names
    • Missing information note added when copying entries between SIM and Phone memory (Security level: Memory)
    • Possible to add new entries in Phonebook when FDN is no (.but not to dial)
    • Erase all entries in Phonebook will continue in background when interrupted by a MT call
  • Improvement to Dictionary/SMS
    • Possible to save/view/send SMS containing only one character
    • Reminder sending; Correct Calendar date on receiving end (e.g. NPE-3)
    • Picture message: Euro-sign in message received successfully on other phones
    • Stop Watch and Unit Price Editor: Correct alignment in editors (when charging interrupted)
  • General vibration level increased, in order to make it easier to feel the vibra function has been activated
  • Possibility for user, to delete SIM-created SMS from Inbox, added (if deleted SIM will recreate the items)
  • Display Text length changed (it was too short for Send SS)
  • Change Phone Line (with #) is now only possible from Idle
  • DISPLAY TEXT with the option 'wait for user to clear text' now waits for user to clear text (was cleared automatically after 5 sec.)
  • Operator Name list (#44) updated
BUGS:
  • in Pinball game ball sometimes go over wall
  • in Pinball game phone sometimes returns to previous game
  • in Bumper: While i was playing Bumper, table snake, i realised after losing the 1st ball that i had made a high score. I go then immediately to see my previous score, but it didn't enter. I tried then to continue the game, but again it didn't enter! I left the Games menu and got back in and i saw the Continue option is gone! I tried to see the high scores, but it didn't respond. Then, i restarted the phone and evertything was ok, but i lost the high score i had made...
  • Bug:
    • Enter Menu 2-10
    • write some text (not important, what)
    • move cursor before first char
    • press "C" and phone will hang
  • sometimes there are some ringtones in Menu 12 (Preferences) invisible (in Menu 5 - Tones are OK). Need to restart phone.
  • sometimes no Menu 5-4 (Composer). Need to restart phone.
  • in Polish language (only ?). Works, when name for "Own profile" ("Profil wlasny") wasn't changed and is default:
    • enter to Menu 12 (Preferences)
    • select "Own profile"
    • Change
    • Rename
    • now phone shows, that there could be 65533 chars to enter, although maximal length can be 10 (first bug)
    • don't change anything and return to network name/logo by longer pressing (c) key
    • now there are deleted settings for "General" profile - Menu 5-1, Menu 5-2 shows empty values, ringtone volume is shown as 1 (although it's off), vibra is shown as enabled (although doesn't work). Second bug.
V5.06

No idea personally, if this is version from Nokia or version made by hackers (no info from Nokia up to now). According to some people:

"5.06 NHM-6 was released, but it had a bug in it, so was withdrawn a few hours after release on the partners wesbsite, thats why only the arabic PPM pack is around. The bug was to do with the symbols when writing a message, cant remember exactly sorry."

Note: When use shortcut for Menu 8-3, for a moment displays incorrect data...

(all versions ? tested for 4.50) BUG (need enabled T9 dictionary):

  1. go into editing Welcome note
  2. enable T9 and try to write some text using it
  3. press "*" - you will go into special chars
  4. select different than 1 and last char
  5. when you will press "#", you will go into next line. when you will press other key (like 1-9), screens with text and special chars will be MIXED
Similiar is during editing SMS - screens are not mixed, but phone works similiary incorrect (thanks to Carnifex for this bug)
3350 | NHM-9
V5.05 26-12-01
V5.11 03-02-02
3360 | NPW-1 | *#0000#
V1.04 28-08-01
V2.06 04-12-01
3390 | NPB-1 | *#0000#
V7.03 10-11-00
V7.05 05-01-01
V7.07 18-04-01
V7.13 18-01-02
Back to the top/Na początek


  1. What is firmware ?
  2. What is DCT3, DCT4, ... ?
  3. What is NSE-1, NHM-1, ... ?
  4. What are characteristic features and bugs of DCT3, DCT4,... ?
  5. What are changes/bugs for specific phone models ?
  6. General IMEI informations
  7. How can I check firmware version ?
  8. Can I change firmware in my phone at home ?
  9. Can I change language version in my phone ?
  10. Is changing firmware expensive ?
  11. What is DSP ROM ?
  12. Information sources
Nokia 1xxx/2xxx, Nokia 31xx/32xx/33xx, Nokia 34xx/35xx/36xx, Nokia 5xxx, Nokia 60xx/61xx/62xx, Nokia 63xx/65xx, Nokia 7xxx, Nokia 8xxx, Nokia 9xxx
Phone (telefon) | Model number (Oznaczenie) | Firmware version code (kod do sprawdzania wersji oprogramowania) | TAC in IMEI (TAC w IMEI)
3410 | NHM-2 | *#0000#
V3.06 24-04-02
V3.09
  • Improvements to Slovenian and Russian T9
  • Improved WUG (visual improvement)
  • Warranty transfer from phone to phone improved
  • Send USSD improvement; SIM Application Toolkit is able to handle the SAT SEND USSD response correctly
  • Improvements to display text and icons
V4.08
  • WAP Online indicator
  • Greek keymapping in Pack C
  • Russian T9 improvement in pack E.
  • Java Arabic/Hebrew support for Pack i, J
  • Russian added in language pack i.
  • WAP Push for D2 Vodafone
  • SAT Setup menu fix for Omnitel/Orange
  • SMS as Reminder: text can now be stored when over 35 chars.
  • Autoscroll when SMS T9 spell option provided by phone.
  • Vibra not active when a reminder expires during a call
  • Improvements for receiving of SMS from a PC
  • The freeze of Phone or the appearance of an empty screen when scrolling a picture message is eliminated
  • Downloaded java files can be opened right after download.
  • Display behaviour when receiving call while sending SMS.
V4.09 05-07-02

Info from user:

  • Space Impact game updated
  • Default java game (Munkiki) updated from 1.0 to 1.03
  • Problems with animated screensavers (Either the screensaver does not active at all, or it goes active but sometimes the screensaver animation freezes few minutes after.
  • (V3.06) java application's/games loading time is lot faster (about 40% faster than it was V03.06)
  • (V3.06) java application's/games is more stable. (In V03.06 my java application's/games crashed sometimes and menus didn't work right. I use now same application/games software in V4.09 and there is no problems now.)
V4.11
  • Support for 16-bit reference numbers added to concatenated short messages
  • Improvement to note buffer when establishing multiconference calls
  • SC-address check removed from reception of status reports
  • ......
V4.26 04-09-02
  • Java
    • Applied SUN security patch 1, from 9 July 2002.
    • Improvement in Java SMS API where garbage characters were appended to the messages sent when sending non-ASCII characters.
    • Java KVM where the size of Clip Area for Static Gauge has been improved
    • Improvement in receiving SMS messages. SMS is decoded correctly when received by a Java application.
    • The JAD attribute, Nokia-SMS-Handler must now start with a value that starts by com.nokia.sms://
    • Increased Java download size to 60 kB.
    • During Java download, do not accept JADs containing empty lines with spaces since these JADs are not accepted by the KVM and the MIDlet suite cannot be run.
    • Optimization of native application shut down, when the KVM has been shut down.
    • Certificates now processed properly when connecting via http using a secure connection.
    • Details in MIDlet Suite option menu now show MIDlet-properties.
    • If the download server responds with a 200 OK message with a non-empty string, an error message must not be shown.
    • Support for 254 character JAR URLs added.
    • Change to ensure that long MIDlet names in JAD files are handled properly.
    • When download is followed up by sending an HTTP POST request with the download status, the phone doesnt display an error message, when it received the reply to this request.
    • Java compliance improvement
    • Having a textbox open and simultaneously initiate a HTTP connection functionality improved
  • Language, Display Text, Icon
    • Added accent support in Hungarian, Czech, Polish, Romanian, Slovenian, and Turkish T9 languages.
    • Implementation of Serbian and Croatian input.
    • Arabic/Hebrew Language Pack improvements:
    • Display of texts with more than 42 characters in Arabic has been improved.
    • Square sign shows in confirmation note "T9 dictionary on/off" messages, has now been improved.
    • In "Missed Calls " the text (no number) in Arabic is shown correctly.
    • The level bars, (e.g., volume bars or game level bars) is displayed correctly.
    • Alterations to the Analogue Clock display. Updated background bitmap, so it now has same width and height.
    • The following softkeys have been changed
      • When exiting a GMS, the softkey has been changed from VIEW to OK, but the functionality when pressing OK is still the same as when pressing VIEW.
      • Right softkey 'Quit' in game settings is now 'Back'
      • When pressing exit after receiving a picture message, the softkey in the save query is now 'OK' instead of 'View'.
    • Back stepping changes to Call stacks have been implemented.
    • Right order in language option menus Menu: Messages / Write Messages / Options / Dictionary has been implemented.
    • Title row "Countdown timer" in German is now changed.
  • Messaging
    • Change in handling Unicode characters upon SMS sending in order to support accented characters not included in the standard GSM Alphabet. The SMS editor now automatically detects if Unicode characters are entered (E.g. special characters not in the GSM alphabet). If Unicode characters are entered in an SMS, the whole SMS message will automatically be converted to Unicode characters, in order for all characters to be sent correctly. Due to the automatically handling of Unicode characters there is no longer a manual menu options for character support in message settings.
    • Unicode SMS's holds more data (approx. the double); hence Character counter/SMS counter in upper right corner is now able to show up to 7 SMS (up to 7 SMSs is used for a full 459 concatenated SMS using Unicode, non-Unicode still uses up to 3 SMS). This will have impact on receiving phones without Unicode capability.
    • Improvement to the handling of a GMS when received. END_KEY is able to delete the queue.
    • Cursor positioning correction in Message editor.
  • WAP
    • Discarding OTA-message with END-key has been improved.
    • Open the list, either by pressing green call button, or choosing options->open list. Then Use the up/down keys to scroll to an item not currently selected. Press the green call button to indicate that this item should be selected. The final state of the phone is: displaying the selection list.
    • Changes using call button in WML select or mark in selection lists.
    • The phone is capable to handle GIF file, which have the height or width bigger than 256 pixels.
    • WAP PUSH Default setting is "ON" in Service Inbox.
    • If started from long press 0 or home page, and the download page has a card/deck, a blank page is not shown after downloading content with preview rights only.
    • The scrolling password editor of the WAP setting has now been improved.
  • The following changes have been made to the stopwatch
    • When make more than 4 splits or laps, let the time run, then scroll up/down to reach the last and second last record. The last record is not showing the running time anymore.
    • 'Show last' option is shown in the options list
    • Option to restart timer after stopping stopwatch is now improved
    • After saving and confirming a stopwatch time (lap), the phone returns to the to state where the result and split/Lap times are shown.
    • Header text changes to the stopwatch application.
  • Downloading 3D screensavers from ClubNokia have now been improved
  • Saving Clipart to all indexes is possible, earlier it was possible to choose from clip-art index 9-14 only.
  • Operator name list updated:
    • New operators: "T-Mobile UK" (234/31), "T-Mobile UK" (234/32), "RUS: INDIGO" (250/19), "IN-DOLPHIN" (404/68), "IN-DOLPHIN" (404/98), "SyriaTel" (417/01), "YEM-SABA" (421/01), "UZMACOM" (434/00), "UZMACOM" (434/02), "UZB-UZD" (434/07), "TANGO LAO" (457/08), "STP CSTmovel" (626/01)
    • Name changed: "GR VODAFONE" "vodafone GR" (202/05), "NL Vodafone" "vodafone NL" (204/04), "P VODAFONE" "vodafone P" (268/01), "VODAFONE MLA" "vodafone MT" (278/01), "ESSARH" "ESSAR" (404/01), "INA AirTel" "AirTel" (404/02), "INA AirTel" "AirTel" (404/03), "ESSARU" "ESSAR" (404/15), "AT&T" "IDEA" (404/22), "AT&T" "IDEA" (404/24), "ESSARR" "ESSAR" (404/60), "RPG MP" "IDEA" (404/78), "INA AirTel" "AirTel" (404/90), "INA AirTel" "AirTel" (404/92), "INA AirTel" "AirTel" (404/93) "INA AirTel" "AirTel" (404/94) "INA AirTel" "AirTel" (404/95) "INA AirTel" "AirTel" (404/96) "INA AirTel" "AirTel" (404/97) "INA AirTel" "AirTel" (404/98) "GP" "BGD GP" (470/01) "CLICK" "Egy Vodafone"(602/02)

Warning: some firmware versions (probably all in this moment) have by default set SMS encoding to Unicode. It makes, that SMS will be much shorter (single SMS will contains 70, not 160 chars) and can be not decoded correctly by all phones.

Some Polish WWW pages also say, that some sold phones can send second part of linked SMS more than once. It's not confirmed now.

3510 | NHM-8 | *#0000# | 350843
Vp2.31b 14-02-02
Vp2.50a 08-03-02
Vp2.55 15-03-02
V3.02 27-05-02
V3.11
  • Call and network management:
    • Wake Up Tone (WUT) volume was too high, and has been reduced.
    • Improvement for audio in SALT after interrupt of WUT.
  • Games:
    • Space Impact updated
    • New game release (download response improved)
  • Messaging:
    • Improvement to MMS - Arabic
  • General User Interface (UI)
  • User Interface for calculator has been updated
  • Calendar alarm is now ascending tone
  • Text release: Arabic MMS saving improved
V3.34 09-07-02
  • Call and network management:
    • Audio: side tone adjustment. Audio improvement to eliminate acoustic feedback (howling tones)
    • Audio: General gain tuning +2dB for all ringing tones
    • Audio: Ringing tune volume for headset/loop set adjusted
    • Improvement for downlink audio using headset.
  • GPRS
    • Improvements to SI13 refresh on ext-BCCH
    • Improvement to camping on PCCCH
    • Improvement to cell reselection
    • Total PLMN search timer value is optimized for every used band combination.
    • Optimization to 900->1800 cell reselection time
    • Direct hopping improvement
  • Games:
    • Additional information in Cart race instructions, has been included.
  • Messaging:
    • MMS ľ The Phone allows to save picture independent of the speed of the select soft key presses.
    • Phone can erase picture attached to SMS
    • Improvements in Chat feature
    • Improvements in save function of received pictures
  • General User Interface (UI)
    • Phone allows fast scrolling of the ringing tune list during a headset is connected at the same time
  • Other changes
    • Lights will no longer be turned on when a key is pressed and key guard and screen saver is active
V3.36
  • Call management:
    • Audio improvement for headset/loopset ringing tune volume. Volume turned up.
  • Messaging:
    • Concatenated SMS saved to outbox does not delete another concatenated SMS, which is already in outbox
    • Saving the same image (MMS) many times quickly after each other, has been improved
    • SMS: Vibra and alert tone improvement
    • MMS File Saving: Improvement when trying to save a 29K picture when filled up with 30K MIDI files
  • Phonebook
    • Improvement when pressing # key after Open list is selected
  • Pictures:
    • In Screen Saver max value has been changed to 59.59 minutes
    • Confirmation note is displayed when erasing picture from large folder
    • Animated gif is now displayed correctly
  • Scroll bar has been added to Calendar Day Notes
  • Stopwatch improvement when using lap or split timing
  • Signal Bar is displayed when retrieving MM
  • Monophonic ringing tones (MIDI converter + OTA change) OTA downloaded ringing tones will be converted into MIDI tones, which means a higher volume level
V3.37 06-08-02
  • Improvement in downloading monophonic ringing tones:
  • The playback of downloaded monophonic ringing tones has been changed. Sometimes the phone played a little bit different tone after playback than the intended ringing tone (see also NHM-8 SB-015).

    • Note: Above mentioned improvement does not have effect on any ringing tone, which is already downloaded, when flashing the phone with new software version. This improvement has effect on only ringing tone, which is downloaded after the software update.
  • A delay in the playback, when using a downloaded monophonic ringing tone, has been shortened.
V4.24 19-12-02
  • Call and network management
    • Call waiting: When the phone handles two calls (one active and one on hold) and third MT call is made. While the 3rd call is waiting the first and second calls are released (using Option: End all calls). Call alert is displayed and ringing tone is activated for the waiting call
    • First item in In call Menu has been changed to Phonebook
    • Call to operators dial-in number is not possible using WAP over CSD when Fixed dialling is activated on.
  • MMS
    • .png files supported
    • Saving of received picture messages improved
    • Receiving MMS:
      • Improved function after receiving a bogus MMS-retrieve.configuration
      • Not receiving MMS from the Nokia 7650: The Nokia 3510 does not support ISO-10646-UCS-2 encoded text.
      • MMS sent from email including only empty lines as a text and a picture is accepted
    • File saving: Improved return from query upon pressing back when replacing tone
    • Shorter delay in animations
  • SMS
    • SMS alignment in Hebrew improved
    • SMS erase: The phone goes direct to 'options' when this is requested
    • Concatenated SMS improvement
  • WAP
    • Improvements when exiting the browser with the end key - while number is being dialled
    • Handling of memory improved when playing Pocket Football
  • Phonebook
    • Improvement when sending Business card (language pack R only)
    • Improvement in searching of phonebook in SMS sending with traditional Chinese
  • Update according to new Chinese font requirements
  • Service nos.: #-key press for details jumps to Number state
  • Handling of calendar memory improved
  • Hindi input supported
  • SIM lock implementation updated
  • Audio improvements of Headset and Loopset volume in speech
  • Brazilian language package added
  • Support for new Flash components added
BUGS:
  • when there are used MIDI ringtones to incoming calls (like Nokia Tune or ringtones uploaded by user) and "incoming call alert" in actual phone profile is "off", they're played with volume 1.
  • when you have assigned ringtone to some number in phonebook, enter phonebook and person with this number and try to play assigned ringtone. It's played sometimes even after leaving menu...
  • T9: When have Polish T9 enabled in SMS, disable it using # key and go into menu for selecting T9, English is displayed. After enabling T9 by # again Polish is displayed there
  • when select polyphonic ringtone for phonebook entry, often after leaving menu this ringtone is played and buzzer is not disabled (you hear noise)
BUGS available in 3.37, not checked for 4.24:
  • cell messages have different tone than SMS. You can't set it and even when phone has in phone off tones, you hear "BEEEPPP" after receiving message. Simply has to remember to disable function at all, if want to have silent...
  • Cell Info is very often aligned to left, not centered (it happen after receiving SMS)
BUGS REMOVED:
  • Calendar: Week info in month display is not displayed (when set starting calendar week to Saturday) or is displayed incorrectly (example: please go into 30.09, enter this day (day notes view), return to month view, press Down key. Cursor will go into 1.10. Week info will change from 40 to 43)
  • When connection with GPRS failed (for example, tried to use it with prepaid card from Polish Era GSM, which doesn't have GPRS function), trying sending network codes (for example, code "*101#") fails with message "No network coverage". You have to reboot phone then.
  • When you have keypad tones enabled in profile, often after unlocking keypad and pressing first key, key tone is played continuously.
Changes:
  • much worse support for SMS folders - very often after reading SMS you have wait few moments and see 'Returning to folder', after opening folder phone often read it and display 'Opening', phone reboots, when you read Inbox folder, delete sms and there are many new incoming sms during this time.
  • in Menu 8 (Organiser) phone don't display date just after displaying it (sometimes you have to wait short moment for it)
  • when write something before entering PIN, phone doesn't give any key press sound
  • when phone display network and battery bars with 'SMS message received' or 'Info message received' request, they're (bars) moved one pixel. When you press 'C' key after seeing it, you can see that they (bars) return to normal place then.
  • problems with writing WAP settings and bookmarks to phone over cable
3510i/3530 | RH-9 | *#0000#
V1.03 05-09-02
V3.40
V3.51
  • MMS
    • Soft Notification Note in Memory full state. Phone displays 'Multimedia memory full, view waiting msg.'
    • Inserted image's name character coding right when using non-ASCII characters. Non-ASCII characters will be shown as '_'.
    • MMS settings sets are possible to save when GPRS always online activated
  • WAP
    • Handling of WAP push when receiving more than one file improved
  • Phonebook
    • 'Yes' soft key has been added when saving duplicate in Phone book
  • JAVA
    • Hyphenation of SkyDivers note texts have been changed.
  • Keyguard active indicator is displayed when creating emergency call
  • When Unlock has been press and then *' is shown.
  • SW info (*#0000# in Chinese). Font size has been changed to fit the display.
  • View note when alarm expires is possible when having the keypad locked. Note can be viewed by pressing 'View'.
  • Gallery: Not enough memory, delete X.X kB is displayed when opening in Multimedia Player and memory almost full and selecting item to delete.
  • Ringing tone and vibra continues until 'Answer key' is pressed even when number keys are pressed repeatedly at incoming call.
  • Support for new flash components added
3610 | NAM-1 | *#0000#
3650 | NHL-8 | *#0000#
CB1.8 E5118026300B 23-07-2002
3810 | NHE-9 | *#3810#
V6.20 21-03-97
V6.32 06-06-97
V6.61 19-08-97
Back to the top/Na początek


  1. What is firmware ?
  2. What is DCT3, DCT4, ... ?
  3. What is NSE-1, NHM-1, ... ?
  4. What are characteristic features and bugs of DCT3, DCT4,... ?
  5. What are changes/bugs for specific phone models ?
  6. General IMEI informations
  7. How can I check firmware version ?
  8. Can I change firmware in my phone at home ?
  9. Can I change language version in my phone ?
  10. Is changing firmware expensive ?
  11. What is DSP ROM ?
  12. Information sources
Nokia 1xxx/2xxx, Nokia 31xx/32xx/33xx, Nokia 34xx/35xx/36xx, Nokia 5xxx, Nokia 60xx/61xx/62xx, Nokia 63xx/65xx, Nokia 7xxx, Nokia 8xxx, Nokia 9xxx
Phone (telefon) | Model number (Oznaczenie) | Firmware version code (kod do sprawdzania wersji oprogramowania) | TAC in IMEI (TAC w IMEI)
5110 | NSE-1 | *#0000# | 449218, 490520, 490542, 490546, 490547 (Germany), 490549 (Germany), 490550 (Germany)
V3.02 06-02-98
V3.06 04-03-98 (ROM3)
V4.51 26-03-98 (ROM3)
V4.59 01-06-98 (ROM3)
  • Phone goes crazy if you scroll the received SMS with 160 dots.

    • Telefon wariuje przy przewijaniu odebranego SMSa zawierającego 160 kropek.
  • Phone clears "Headset" text from display after disconnecting HF.

    • Telefon kasuje napis "Mikrozestaw" z wyświetlacza po odłączeniu zestawu słuchawkowego.
  • Half Rate codes (#HRC0# and *HRC0#) don't work - to enable this channel you have to use WinTesla or other software

    • Nie działają kody do obsługi Half Rate (#HRC0# i *HRC0#) - do włączenia tego kanału trzeba użyć np. WinTesli albo innego oprogramowania

V4.62 14-08-98 (ROM3)

V5.04 14-09-98 (ROM3)

  • **04*pin*pin*pin# code doesn't work

    • Kod **04*pin*pin*pin# nie działa
  • Added test 89 in NetMonitor.

    • Dodano test 89 w monitorze sieci.
  • 4 lines with parameters in test 2 in NetMonitor (earlier there were 2 only there).

    • 4 linijki z parametrami w teście 2 monitora sieci (wcześniej były tam tylko dwie).
  • Added *#sim0clock# code

    • Dodano kod *#sim0clock#
V5.07 22-11-98 (ROM3)
V5.07 20-11-98 (ROM4 ?)
  • New 'Text version' parameter in test 89 of NetMonitor

    • Nowy parametr 'Text version' w teście 89 monitora sieci
  • CCCH channel always used, when network doesn't support cell broadcasting (in V5.04 CBCH channel was used with enabled "Info service"or "Cell info display" options)

    • Używany jest zawsze kanał CCCH, gdy sieć nie obsługuje nadawania komórkowego (w wersji 5.04 używany był kanał CBCH po włączeniu opcji "Info service" albo "Cell info display")
  • When you set "Incoming call alert" to "Ascending" and "Ringing volume" to higher volume than 2, phone correctly changes volume from volume 1 to set (previously it changed it only one level)

    • Przy ustawieniu "Sygnał nadejścia połączenia" na "Rosnąco" i "Głośność dzwonka" na więcej niż poziom 2, telefon poprawnie zmienia głośność od poziomu 1 do ustawionego (wcześniej zmieniał ją tylko o jeden poziom)
  • LAC and CID in test 11 in NetMonitor are in decimal format.

    • LAC i CID w teście 11 monitora sieci są podawane dziesiętnie.
  • Newer versions(?):
    • set profile to "Silent"
    • reset phone settings via cable
    • Phone will display "silent" mark on display with "Personal" profile selected...

V5.10 23-12-98 (ROM3)
V5.11 19-02-99 (ROM3)
V5.11 18-02-99 (ROM4)

(OLDER ?) Different meaning of Product Profile Settings - can't change LCD Contrast
(STARSZE ?) Inne znaczenie Product Profile Settings - nie można zmienić kontrastu LCD

V5.20 03-06-99 (ROM4)
V5.22 01-07-99 (ROM3)
V5.24 09-09-99 (ROM3)
V5.24 03-09-99 (ROM4)

(NOWSZE TEŻ ?) BŁĄD: Niedokładne tłumaczenie w Menu 1-7-2 i Menu 1-4-1

(NEWER TOO ?) OTHER: This phone has working clock with date and interesting thing is, that you can't set date from menu (you have to use gnokii)
(NOWSZE TEŻ ?) INNE: Telefon ma poprawnie działający zegar z datą, przy czym daty nie można ustawić z menu (ale np. przy pomocy gnokii)

(NEWER TOO ?)ALARM BUGS:

  1. first:
    1. set alarm
    2. disable phone
    3. when phone will alarm you, press "Snooze"
    4. enable phone, until will alarm you again (6 minutes)
    5. don't see "Snooze active" and alarm sign on the screen !
  2. when you're in the menu, alarm will enable, you will hear sound, but won't see any info ! When leave menu, will see message, but without sound...
  3. when keypad is locked and phone alarm you, you can disable it using 1-9, *, 0, # keys
V5.26 15-12-99 (ROM4)

V5.27 04-02-00 (ROM3) (probably last ROM3 version)
V5.27 03-02-00 (ROM4)

Added code *#7760# for displaying Production Serial Number.
Dodano kod *#7760# do pokazywania numeru seryjnego.

V5.28 17-04-00 (ROM3 ?) (does it exist ?)
V5.28 18-02-00 (ROM4)

Can't open simlocks using NokiaTool only - must use EEPROM method

Added info new new GSM operators. For example:
Dodano identyfikatory nowych operatorów. Na przykład:

ERONET, Mobilis, WATANIYA, K`CELL, LAO GSM, EMTEL, DHIMOBILE, Celtel, JAWWAL, CELLTEL, Swazi-MTN, TT, ZANTEL, DIGITEL, ECONET

Changes names for some GSM operators. For example:
Zmieniono nazwy niektórych operatorów. Na przykład:
D1-TELEKOM ==> T-D1
D2 PRIVAT ==> D2
MaxTouch ==> Orange
SENTELgsm ==> SENTEL
HK TELECOM ==> C&W HKT

(NEWER TOO ?) BUG:When edit long SMS (about 160 chars) and press Up/Down key very long (until will scroll all SMS context - 160 chars) without releasing, phone will restart after it - info from SkyBoy
(NOWSZE TEŻ ?) BŁĄD: Przy edycji długiego SMSa (około 160 znaków) po naciśnięciu klawisza Góra/Dół i przytrzymaniu (bez zwalniania), aż cały SMS (160 znaków) zostanie przewinięty, telefon zresetuje się... - informacja od SkyBoy

V5.29 24-07-00 (ROM4)
MT Unicode USD activated

GSM operators field updated:
Uaktualnione nazwy operatorów:
CT-GSM ==> CMCC
LIBTEL ==> LIBERTEL

V5.30 28-09-00 (ROM4)

GSM operators field updated
Uaktualnione nazwy operatorów

(V5.07) "SIM card registration failed" message is shown when the SIM card or phone is unknown or rejected from the network.
(V5.07) Komunikat "Rejestracja karty SIM nieudana" , gdy karta SIM lub telefon nie może być zalogowany w sieci

BUG (all versions ?): some SMS on SIM in Outbox can hang phone, when try to read them (checked for N5110). Example (mygnokii can be download from my www): try to use "mygnokii --savesms "test" --hangsms < file" and read saved SMS

Interesting facts: firmware seems to be cut version of firmware from more expensive phones. There still some help texts inside, texts from some functions (does it mean, that phone support them ?) - ("Anykey answer", "Rename this set"- it can be done via cable !), text with name of "full" profiles - the same question (Meeting, Outdoor, Pager, General), texts "Save to another memory?, Saved to phone memory,Saved to SIM Card"...

There were two hardware versions: ROM3 and ROM4. ROM4 were numered with leading "0" (for example, "05.30"), ROM3 without it (for example, "5.27")

5110i | NSE-2
V5.53 11-01-01
5120 | NSC-1
V03.47 15-07-99
5130 | NSK-1 | *#0000# | 495503, 495508, 495509, 449210
V3.08 03-04-98
V4.11 12-06-98
V5.00 01-09-98
V5.30 23-04-99
V5.51 03-08-99
V5.60 14-10-99
V5.61 18-11-99
V5.71 10-04-00

Interesting facts: firmware seems to be cut version of firmware from more expensive phones. There still some help texts inside, texts from some functions (does it mean, that phone support them ?) - ("Anykey answer", "Rename this set"- it can be done via cable !), text with name of "full" profiles - the same question (Meeting, Outdoor, Pager, General), texts "Save to another memory?, Saved to phone memory,Saved to SIM Card"...

There were two hardware versions: ROM3 and ROM4. ROM4 were numered with leading "0" (for example, "05.30"), ROM3 without it (for example, "5.27")

5160 | NSW-1
V3.47 15-07-99
5190 | NSB-1 | *#5190# | 010063
V3.41 07-02-98
V4.01 22-10-98
V5.01 02-11-98

V5.24

NetMonitor in Menu 11 (in older firmware in Menu 10).
Monitor sieci w Menu 11 (w starszych wersjach w Menu 10).

V5.51 15-04-99
V5.81 20-09-99

Downloadable operator logo and ringtone

V6.11 28-04-00

Added EFR support

V6.71 25-01-01

Added T9 dictionaries

5210 | NSM-5 | *#0000# | 350778, 350881
V5.12 17-01-02
V5.13 27-01-02
V5.16 20-03-02
  • SAT Event Download added
  • Picture message receiving improved
  • OTA-settings & Profile logo receiving improved
  • Russian and Ukrainian SMS input improved
  • Countdown timer improved
  • Arabic and Hebrew SMS input added
  • Sending repeated calendar note via IR. added
  • Receiving training type calendar entry via SMS improved
  • Line2 call waiting (de)activating from menu added
  • Iceland calendar and date functions improved
  • Sending CLI Logos ('Sending failed') improved
  • Spanish Clear-key corrected
  • SIM ATK improvements
  • Ukrainian calendar menu (View by week) corrected
  • Operators list updated
V5.18 08-04-02
  • Audio loop test: microphone bias is turned on during the test
  • Audio levels tuned
  • Game high score icon repositioned while sending it
  • Handset answering button works while incoming Call Alert has been set "OFF"
  • In WAP: Text wrap ON by default
  • Memory size for calendar notes increased
  • Call Hold menu & Multiparty improvements
  • Improvement to FDN (Fixed Dial Number) mode
  • Call waiting & barring on line 2 improved
  • Countdown timer improvements ("change time")
V5.20
  • Editing received concatenated SMS improved
  • Improvements in Picture Message saving
  • Entering FDN numbers without PIN2 impossible
  • Improved Missed Calls handling with Czech language
  • Arabic T9 icon correction
  • Composer improvements in Russian and Ukrainian languages
  • Countdown timer improved
  • Operator List Updated:
    • Orange 240/03
    • Hutch 404/13
    • HUTCH 404/86
    • AF AWCC 412/01
    • CAMSHIN 456/18
    • telsom 637/82
    • EZI-CEL 651/02
    • MTS AD 294/02
    • SETAR GSM 362/01
    • TeleG 746/02
    • I.C.E 712/01
    • SETAR GSM 363/01
    • UNITEL 631/02
    • TELE2 250/20
    • TJK MLT 436/03
    • H3GA 505/06
  • New Country Names:
    • AF 412
    • CRI 188
    • ABW 363
    • AGO 631
    • TJK 436
  • Operators name changed:
    • QUEST-GRT GR Q-TELECOM 204/12
    • Orange RO RO ORANGE 226/10
    • One 2 One T-Mobile UK 234/30
    • EURO S Vodafone 240/08
    • BRA Oi Oi 724/31
    • NWGSM MegaFon 250/02
    • ST-GSM1800 SignTel 525/02
    • Ivoiris Orange CI 612/03
    • TD CELTEL CELTEL TCD 622/01
    • O2 - DE o2  de 262/07
    • SPACETEL 94 SYRIA 417/02
    • HELLO TH GSM 1800 520/23
    • OMNITEL vodafone IT 262/07
    • VODAFONE vodafone AL 276/02
    • ST-GSM SingTel-G9 525/01
    • SingTel SingTel-G18 525/02
    • Mobilis Orange CAM 624/02
    • ZM ZAMCELL ZM CELTEL 645/01
REMOVED BUG: earlier after putting space into SMS counter decreased by 2.

BUG: When you use personal tone in message alert, and you select any from the 7 tone composer slot, it doesn't play the whole tone if it is long. Only few tones are played.

V5.22

  • The regulation of Chinese font set was enforced recently by the authority of China. The size of font is unchanged but drawing of Chinese characters has been updated to follow the new standard. Update means that only some characters have been changed from end user point of view
  • Improvements in Greek language package (phone book sorting and calendar text)
  • Operator list updated:
    • New Operators "MTS BY" (257/02) "TUNISIANA" (605/03) "AFRICELL" (607/02) "MR MATTEL" (609/01)
    • New country name: "MR" (609)
    • Operator name changed (Old name New name MCC/MNC): "E VODAFONE" "vodafone ES" (214/01) "GSY-TEL" "C&W" (234/55) "PRONTO GSM" "Manx Pronto" (234/58) "INA AIRTEL" "AirTel" (404/31) "AIRTEL" "AirTel" (404/45) "AIRTEL" "AirTel" (404/49) "94 SYRIA" "SYRIATEL" (417/02) "SyriaTal" "SYRIATEL" (417/93) "Egy Vodafone" "vodafone EG" (602/02) "CELTEL RC" "CELTEL CD" (629/01) "CELTEL CD" "CELTEL RC" (630/02) "UTL_TELECEL" "UTL Telecel" (641/11)
5510 | NPM-5 | *#0000#
V3.43
  • Silence or annoying beep is removed, when starting player for the first time through menus.
  • Improvement to headset connection timeout. (In some cases when recording had started from FM radio and then headset was removed, recorder should have stopped after three minutes, but it crashed).
  • Language package M (Tagalog, Bahasa Indonesian, Bahasa Malaysian) added.
BUG: If you enter Menu 8 (music) and try to enter music-reader (Menu 8-1), without any music in memory, phone return an error message then enter in stand-by, without remaining in Menu 8. The same if you enter in menu "radio" without headset connected.

V3.45 04-12-01

  • Language packages F, G, I, J, K and P implemented
  • English has been added to package B
  • English and German has been added to packages I and J
  • Comma and period character handling modified. Period can be entered to AoC query
  • Logical name replaced by new name in WAP
  • Special case for character '+' handling added to Russian, Croatian, Serbian and Slovenian languages
  • Improvement to Radio application. Also Copyright note has been changed
  • Improvement to SIM Toolkit
  • The order of if-clauses changed in APPL_START_CMD. Now USB is checked first
  • Unnecessary "Reconnect Charger" -error message removed
  • Functionality of radio improved (radio changed channel, if headset mic was inplugged)
  • Possibility to enter numbers into WML input element, that has format m*m or M*M, added
  • Following characters (dot, comma, plus, minus) has been added to key conversion in WAP
V3.47
  • Improvements in Calculator. Dot is now handled in proper way, when setting exchange rates
  • Line-in recording functionality has been improved
  • Sometimes audio was not switched to phone's earpiece, if headset was removed during a phone call
  • Music player did not always restart after a call was initiated and then ended
  • Unplugging headset during a phone call turns now music player on Pause
  • FDN now allows all calls to be made from FDN phonebook
  • Improvements in showing Cl@ss 0 SMS messages
  • USSD with more than 30 digits is now possible
  • STK "Refresh" command improved
V3.48
  • Service provider's name is now shown permanently on the display
  • Operands of calculator can be typed now from the keyboard. Not only by selecting operands through the menu.
  • Now ringing tone for incoming calls can be also heard, if user's own headset is used together with Adapter cable (ADA-2).
  • Two new language packages has been added: Greek and Russian/Ukrainian
V3.50 13-03-02 or 11-02-02
  • Chr table improvement in SIM ATK menu application. Now it is possible to enter character behind Chr key in SIM ATK menu.
  • Text improvements:
    • If there is no memory left, when saving a downloaded WAP picture to phone's memory, an English error note "Memory full. Replace picture?" is split into two lines.
    • Russian text improvements
  • WAP and OTA improvement. Received OTA settings which data call with speed 14.4 kbps for WAP: data speed 14.4 kbps will be replaced with default value 9.6 kbps, because NPM-5 supports only 9.6 kbps as data call speed
  • Dot/+ improvement in entering IP address and dial-up number (K language package). In case English is activated from K language package (K package includes Russian, Ukrainian and English), it is now possible to enter a dot (.) into IP address and a plus (+) into dial-up number
  • Operator list updated
V3.53
  • Euro (Ç) symbol support added to Advice of Charge-query
  • Seven new ringing tones can be saved to phone instead of 6
  • Number input improvement in USSD
  • "Unplug data cable first" note is now shown, if USB is connected and radio key and music player keys are pressed shortly after another
  • Improvements to display times for tracks over one hour-long
  • SIM ATK command "Refresh" functionality improved
  • Online indicator in WAP is shown after use of browser menu option 'Go to Address'
  • Space bar opens now the highlighted item in WAP. Number keys 1 and 3 no longer perform the same operation
  • Up to 45 SMS messages can be stored in SIM card
  • List of operator names updated
Back to the top/Na początek


  1. What is firmware ?
  2. What is DCT3, DCT4, ... ?
  3. What is NSE-1, NHM-1, ... ?
  4. What are characteristic features and bugs of DCT3, DCT4,... ?
  5. What are changes/bugs for specific phone models ?
  6. General IMEI informations
  7. How can I check firmware version ?
  8. Can I change firmware in my phone at home ?
  9. Can I change language version in my phone ?
  10. Is changing firmware expensive ?
  11. What is DSP ROM ?
  12. Information sources
Nokia 1xxx/2xxx, Nokia 31xx/32xx/33xx, Nokia 34xx/35xx/36xx, Nokia 5xxx, Nokia 60xx/61xx/62xx, Nokia 63xx/65xx, Nokia 7xxx, Nokia 8xxx, Nokia 9xxx
Phone (telefon) | Model number (Oznaczenie) | Firmware version code (kod do sprawdzania wersji oprogramowania) | TAC in IMEI (TAC w IMEI)
6050 | NME-1
6080 | NME-2 | *#0000#
V5.14 03-03-97
6081 | NME-2E | *#170602112302#
V5.14 03-03-97
6090 | NME-3
V5.00 30-11-99
6100 | NPL-2 | *#0000# | 350991
V3.22 12-11-02
V4.01
6110 | NSE-3 | *#0000# | 490518, 490523, 490526, 490527, 490545
V3.11 14-11-97
V3.14 28-11-97

First shipping version of the software.
Pierwsza wersja oprogramowania w sprzedawanych telefonach.

V4.05 07-01-98
V4.06 16-01-98
V4.25 01-01-98
V4.33 11-03-98 (ROM3)

Improves the reception quality.
Poprawiona jakość odbioru.

SMS message alert volume now linked to ringing volume.
Głośność sygnału SMS połączona z głośnością dzwonka.

Minor changes in Profiles menu.
Niewielkie zmiany w menu profili.

'Long & Loud' SMS alert is now called 'Ascending'
Dźwięk dzwonka SMS 'Long & Loud' zmieniony na 'Ascending'

'Warning Tones' is now 'Warning and Games Tones'
'Warning Tones' zmienione na 'Warning and Games Tones'

The 'No Service' areas between cells seem to have disappeared.When the phone does go 'No Service', it will very quickly log onto a new cell, usually within a few seconds.
Telefon szybciej się loguje do nowej komórki po odzyskaniu zasięgu.

The desktop charger now works correctly when the phone is inserted with the battery connected.
Ładowarka biurkowa pracuje poprawnie, gdy podłączany jest do niej telefon z włożoną baterią.

BUG: Nokia Cellular Data Suite 1.2 (NCDS) infra red function has now gone intermittent. This has been confirmed this by using a V3.14 phone which works perfectly with the installed version of the NCDS. Basically if I connect the phone using the RS232 cable the NCDS works fine. If you then disconnect and re-connect using IR, also no problem. If you then disconnect and re-connect a 2nd time using IR you get no connection. The IR symbol on the phone flashes, then goes static, then flashes again.
BŁĄD: Połączenie przez podczerwień z NCDS 1.2 nie działa dobrze (podczas gdy w telefonem z oprogramowaniem 3.14 nie ma problemów), natomiast połączenie kablem ciągle funkcjonuje bez zarzutu. Jeżeli odłączysz i połączysz ponownie podczerwień, nie ma problemu. Jeżeli próbujesz natomiast jeszcze raz, problem się pojawia. Symbol podczerwieni w telefonie mruga, później wyświetla się na stałe i znów mruga.

V4.51 26-03-98 (ROM3)
V4.59 01-06-98 (ROM3)
V4.73 22-04-98 (ROM3)

(V4.06) Correct call counters (Received+Dialled calls=All calls)
(V4.06) Poprawne liczenie długości połączeń (Odbierane+Wykonywane połączenia=Wszystkie)

(V4.33) IR-Software improved
(V4.33) Poprawnione oprogramowanie do obsługi IR

(V4.33) Charger recognition improved.
(V4.33) Poprawiono rozpoznawanie ładowarek.

(V4.33) Headset features improved.
(V4.33) Poprawiono obsługę zestawu słuchawkowego.

(V4.33) Same standard SMS alert as 8110i.
(V4.33) Niektóre dźwięki SMSów jak w Nokii 8110i.

(V4.33) Better energy saving functions.
(V4.33) Lepsze funkcje oszczędzania energii.

(V4.33) Better conference call features.
(V4.33) Poprawiono obsługę połączeń konferencyjnych.

(V4.33) Better SMS status report.
(V4.33) Lepsze raporty SMS.

(V4.33) Display of saving status (phone or SIM).
(V4.33) Wyświetlanie statusu zapisu (telefon albo karta SIM).

(V4.33) HFU-2 improved.
(V4.33) Poprawiona obsługa zestawu samochodowego HFU-2.

(V4.33) Better charging with standard, car charger and "cold" battery.
(V4.33) Lepsze ładowanie ze standardową albo samochodową ładowarką i zimną baterią.

(V4.33) Faster network connection.
(V4.33) Szybsze połączenie z siecią.

(V4.33) Safer network connection at a low signal strength.
(V4.33) Bezpieczniejsze połączenia z siecią na obszarach o słabym sygnale.

(V4.33) Longer single ringtone with vibra pack.
(V4.33) Dłuższy sygnał dźwiękowy przy używaniu baterii wibracyjnej.

(V4.33) Corrected the problem of the battery indicator bar flickering between one and two bars with a Li-ion battery.
(V4.33) Poprawiono problem ze wskaźnikiem poziomu naładowania baterii (wcześniej przy baterii Li-ion migał pomiędzy jedną i dwoma kreskami)

(V4.33) No more changing Half Rate settings via keypad.
(V4.33) Nie działają kody do aktywacji/deaktywacji kanałów Half Rate z klawiatury.

(V4.33) Improved audio quality when using the EFR Speech Codec.
(V4.33) Lepsza jakość dźwięku przy używaniu EFR.

(V4.33) Reception of CCH blocks after cell reselection in weak field has been improved.
(V4.33) Poprawiono odbiór bloków CCH po powtórnym wyborze komórki na obaszrach o słabym sygnale.

(V4.33) Improved the maintenance charging when using the ACP-7 charger.
(V4.33) Poprawione ładowanie podtrzymujące z ładowarką ACP-7.

(V4.33) More frequent battery low warning beeps added during a call made with a Li-ion battery.
(V4.33) Częstsze ostrzeżenia o wyładowaniu baterii przy połączeniu i baterii Li-ion.

(V4.33) Improved SMS storage time handling. If the user has not selected a storage time, the phone uses the maximum storage time set by the network.
(V4.33) Jeżeli uzytkownik nie wybrał czasu ważności SMSa (przy wysyłaniu), telefon przyjmuje maksymalną wartość przyjmowaną przez sieć.

(V4.33) Improved recovery of SIM card in error situations.

(V4.33) Fixed bug in SMS editing screen where the cursor is one character to far right.
(V4.33) Poprawiono błąd przy edycji SMSów w sytuacji gdy kursor jest odległy jeden znak od prawej strony.

V5.00 28-05-98 (ROM3)

An updated GSM operators' list.
Uaktualniona lista operatorów.

V5.22 18-08-98 (ROM3)

An updated GSM operators' list.
Uaktualniona lista operatorów.

V5.24 19-09-98 (ROM3)
V5.24 14-09-98 (ROM4)

Implemented code *#sim0clock# which shows whether the SIM card inserted supports clock stopping.
Dodano kod *#sim0clock# do sprawdzania, czy zegar karty SIM może być zatrzymany.

Headset detection improved.
Poprawione wykrywanie zestawu słuchawkowego.

Performance in weak signal area improved.
Poprawiono czułość przy słabym sygnale sieci.

Improvements to short message handling.

Tone levels tuned (distinct difference now between levels 5 and 4).
Zmieniono poziomy dzwonków (wyczuwalna różnica między poziomem 4 i 5).

(V4.73) Different energy consumption in test 23 of NetMonitor.
(V4.73) Inne zużycie energii w teście 23 monitora sieci.

V5.30 23-12-98 (ROM3)

An updated GSM operators' list.
Uaktualniona lista operatorów.

V5.31 19-02-99 (ROM3)
V5.31 18-02-99 (ROM4)

Added Menu 4-3-6 ("Active line"), which allows to select active line on SIM card (ALS function)
Dodano Menu 4-3-6, które pozwala wybrać numer na karcie SIM (funkcja ALS)

An updated GSM operators' list.
Uaktualniona lista operatorów.

V5.40 25-05-99 (ROM4)

V5.47 01-07-99 (ROM3)
V5.47 30-06-99 (ROM4)

(OLDER ?) Different meaning of Product Profile Settings - can't change LCD Contrast
(STARSZE ?) Inne znaczenie Product Profile Settings - nie można zmienić kontrastu LCD

Some phones with it (I don't know, if it's connected with firmware version or ROM) doesn't have more than 19 menus in NetMonitor and some first tests are cut - see more

V5.48 08-09-99 (ROM3)
V5.48 03-09-99 (ROM4)

New ringing tones.
Nowe dzwonki.

Added support for Euro char in SMS

Note: In very old firmware versions (3.x) you have test 18 in NetMonitor. In newer (4.x, 5.x) it was removed...
Informacja: W bardzo starych wersjach firmware (3.x) dostępny był test 18 w monitorze sieci. W nowszych (4.x, 5.x) został on usunięty...

BUG: Some older/all (?) firmware had bug in Calendar in Birthday option: it it was set to the last day of February on non-leap-years (for example 29.02.2000), calendar will inform about it 1'st March (1.03.2000). Must use "Reminder" instead of "Birthday".

BUG: Some older/all (?) firmware had bug: Phone goes crazy if you scroll the received SMS with 160 dots.
BŁĄD: Niektóre starsze/wszystkie (?) wersje zawierały błąd: Telefon wariuje przy przewijaniu odebranego SMSa zawierającego 160 kropek.

There were two hardware versions: ROM3 and ROM4. ROM4 were numered with leading "0" (for example, "05.30"), ROM3 without it (for example, "5.27")

6120 | NSC-3 | *#6120#
V1.18 01-07-99
6130 | NSK-3 | *#9999# | 495502
V3.26 10-02-98 (ROM3)
V3.27 18-02-99 (ROM3)
V3.28 24-02-98
V3.32 03-04-98 (ROM3)
V4.11 10-06-98 (ROM3)
V5.00 08-09-98

(V4.11) NetMonitor in Menu 11 (in older firmware in Menu 10).
(V4.11) Monitor sieci w Menu 11 (w starszych wersjach w Menu 10).

V5.30 23-04-99 (ROM3)
V5.30 23-04-99 (ROM4)
V5.60 14-10-99 (ROM3)
V5.61 22-11-99 (ROM3)

BUG: Some older/all (?) firmware had bug in Calendar in Birthday option: it it was set to the last day of February on non-leap-years (for example 29.02.2000), calendar will inform about it 1'st March (1.03.2000). Must use "Reminder" instead of "Birthday".
6138 | NSK-3
6150 | NSM-1 | *#0000# | 449208 (Finland), 493002, 493006 (Germany), 493009
V3.02 08-07-98
V3.06 10-08-98
V4.01 23-09-98
V4.02 01-10-98
V4.11 05-11-98
V4.12 02-12-98

Added corect recognizing phase 2+ SIM cards.
Dodano poprawne rozpoznawania karty SIM fazy 2+ GSM.

V4.13 16-12-98

BUG: Calling Menu 10-3 causes the phone to hang and you will have to remove the battery.
BŁĄD: Wywołanie Menu 10-3 zawiesza telefon (pomaga dopiero wypięcie baterii).

V4.14 18-12-98
V5.02 02-02-99

(V4.13) Added Menu 4-4-6 ("Confirm SIM service actions") with Menu 4-4-6-1 ("Asked") and 4-4-6-2 ("Not asked") options.
(V4.13) Dodane Menu 4-4-6 ("Powiadomienia o zmianach") z Menu 4-4-6-1 ("Widać") i 4-4-6-2 ("Nie widać").

V5.10 14-06-99
V5.16 22-06-99

(V4.13) NetMonitor in Menu 12 (in older firmware in Menu 11) - you have SIM Services (SIM Application Toolkit) in Menu 11.

V5.17 01-07-99
V5.20 20-09-99

NetMonitor in Menu 13 (in older firmware in Menu 12). Menu 12 seems to be used for something called LifeChart or WellMate (it seems to be some service connected somehow with health - some device connected to phone and measured some health parameters ?)

  • FSE-Erkennung verbessert
  • Kalender-Schaltjahr-Korrektur fuer Geburtstage
  • Handover fuer SFR verbessert
  • GSM 7bit Default-Alphabet-Erweiterungs-Unterstuetzung (EURO-Zeichen)
  • USSD (Unstructured Supplementary Service Data) Fehler behoben
  • Location update reject mit Cause 'IMSI unknown in HLR' wird dem User mit "SIM CARD REGISTRATION FAILED" angezeigt.
  • Update Operator-Liste
V5.22 10-11-99

(V4.13) Better support for some 16kB SIM card with SIM Application Toolkit (example: SIM cards from Italian TIM)

(NEVER TOO ?) BUG: When receiving an over the air ringing tone and selecting playback directly, the first tone would be partially cut off during the playback (only when the keypad tones were activated)

Production Serial Number String added (*#7760# code)
Dodano kod *#7760# do pokazywania numeru seryjnego.

Calendar birthday reminder, related to the last day of February on non-leap-years, will now be set to right day
Notatki w kalendarzu dotyczące urodzin odnoszące się ostatniego dnia Lutego w latach nieprzestępnych jest teraz ustawiany we właściwym dniu.

Improvement to character conversion. Earlier blank display was shown when UCS2 type (e.g. Greek characters) of SMS was received.
Poprawiono konwersję znaków. Wcześniej pokazywany był pusty ekran, gdy SMS typu UCS2 (np.ze znakami greckimi) został odebrany.

Multiple multi-page Cell Broadcast reception improved.
Poprawiono odbiór wielostronicowych połączonych komunikatów nadawanaia komórkowego.

An updated GSM operators' list.
Uaktualniona lista operatorów.

(V5.17)Different names ringtone: "Polska" instead of "Polka"...

V5.23 20-03-00 (except NSM-1NY ORANGE, product code 0502581)
V5.23 17-05-00 (ROM6?)

(NEWER TOO ?) BUG:When edit long SMS (about 160 chars) and press Up/Down key very long (until will scroll all SMS context - 160 chars) without releasing, phone will restart after it - info from SkyBoy
(NOWSZE TEŻ ?) BŁĄD: Przy edycji długiego SMSa (około 160 znaków) po naciśnięciu klawisza Góra/Dół i przytrzymaniu (bez zwalniania), aż cały SMS (160 znaków) zostanie przewinięty, telefon zresetuje się... - informacja od SkyBoy

Język polski (wszystkie wersje ?): Niedokładne tłumaczenie w trzech miejscach (Spis tel./Opcje/Stan pamięci, Spis tel./Wykasuj oraz Menu 1-6-2) i błąd (albo rzadko używana forma) w pomocy do Menu 6 (....Opcja dwóch graczy wymaga dwu telefonów....)

Partnership network search improved

"Grande walse" renamed as "Nokia tune"

(?) "Happy birthday" changed to "Auld lang syne"

GSM Operator list updated:

  • New Operators (new countries: LAO (457), MV(472), SZ (653), TN (605)):
    • Operator name -> MNC/MCC
    • ERONET -> 218/03
    • Mobilis -> 624/02
    • WATANIYA -> 419/03
    • K`CELL -> 401/02
    • LAO GSM -> 457/01
    • EMTEL -> 617/10
    • DHIMOBILE -> 472/01
    • Celtel -> 650/10
    • JAWWAL -> 425/05
    • CELLTEL -> 413/03
    • Swazi-MTN -> 653/10
    • TT -> 605/02
    • ZANTEL -> 640/03
    • DIGITEL -> 734/02
    • ECONET -> 648/04
    • Vodafone -> 216/70
  • Operator name changed
    • Old name -> New name
    • D1-TELEKOM -> T-D1 (262/01)
    • D2 PRIVAT -> D2 (262/02)
    • MaxTouch -> Orange (404/20)
    • EMARTEL -> TMTTOUCH (502/13)
    • SENTELgsm -> SENTEL (608/02)
    • GT-BCS -> UA-GT (255/05)
    • HK TELECOM -> C&W HKT (454/00)
    • Blu S.p.A -> I BLU (222/98)
(V5.22): can't send group graphic via IrDa -> "Group graphic sending failed" message

Info from users: in PL language "Mikrofon wyłączon" and "Odgłusz"

VP5.23, 25-09-00
with animated menus, picture messaging, T9 dictionary, new ringtones and game (see http://www.nokia.de/mobile_phones/produkte/6150/6150_su.html).

Problems with SIM Application Toolkit & netmonitor (tested with Italian SIM cards). With:

  1. 16k SIM from Wind (called Hi-Wind and working on 1800 Mhz networks only) - no services (no menu 10) and netmonitor on 11
  2. SIM from Omnitel Pronto Italia (OPI) shows only 9 menus, the 9th being Infrared, no netmonitor
VP5.23 12-12-00
Seems to have correctly support for SAT now

Some older firmware versions had problems with SMS from Quios (Alphanumeric SMS, I quess): when user tried to read, phone hang and removing/inserting battery was necessary.

Older firmware/all (?) had bug: "Received+Dialled calls" were different than "All calls"

In Internet there is also available version of P5.23 with Polish language and T9 dictionary (created by Nuggie).
6160/6162 | NSW-3 | *#9999#
V1.12 01-02-99
V3.01 09-07-99
V3.02 10-12-99
6185/6188 | NSD-3AX | *#837#
V430SD3a2.nef 05-18-99
V440SD3a3.nef 10-26-99
V441SD3a3.nef 11-12-99
V542SD3d3.nef 08-02-00

BUG: The earpiecie volume isn't the same for different phones:
  • For 435/441 firmware: If the phone is powered up with the volume set to level 10, you end up with markedly lower maximum volume. If the phone is powered up with the volume set at level 9 or lower, the maximum volume is much louder
  • For 430: You needed to also power up the phone in Field Test Mode to get the maximum volume.
(?) Alpha Tag Menu (seen after *3001#12345# code) is not available ?
6190 | NSB-3 | *#6190#
V4.02 06-04-98
V4.22 01-07-98
V4.30 19-08-98
V5.03 09-11-98
V5.10 14-06-99
V5.24

NetMonitor in Menu 11 (in older firmware in Menu 10).
Monitor sieci w Menu 11 (w starszych wersjach w Menu 10).

V5.30

Support for caller groups logos.
Wsparcie dla log grupy.

V5.53 15-04-99

Custom ringtones and the Startup logo are all now uploadable to the phone directly using a data cable.
Własne dzwonki i loga startowe mogą być teraz bezpośrednio wgrywane do telefonu przez kabel.

The max volume is slightler louder than previous
Maksymalna głośność jest teraz większa.

Added Menu 4-3-7 (Notifications on SIM update)
Dodano Menu 4-3-7.

V5.83 17-09-99

Added support for operator logo (uploading via cable or general support)
Dodano obsługę loga operatora (możliwość wgrywania przez kabel albo ogólną obsługę)

V5.93 22-11-99
V6.13 28-04-00
V6.73 25-01-01

6210 | NPE-3 | *#0000# | 350138, 350147, 350612, 449333 (Germany), 449337, 449338
V2.95 16-02-00
V3.00 16-08-00
V3.01 21-08-00

BUGS (NEWER TOO ?):

  1. Sporadic vibrating during SMS receiving or calling although the vibration was switched off
  2. Call waiting service (Menu 4-3-4) doesn't work correctly (it should "Requests the network to send a beep during a call when another call is coming"). When use profile Meeting (with Incoming call alert = Beep once), during call can hear beep and phone is vibrating when another call is coming. But with another setup of "Incoming call alert" there isn't beep. Only on display another call is flashing.

    3. Temporary solution: Callers group have own icons. If you turn off showing icons, auditible signaling is OK. Other solution is to put off number from caller group
  3. When profile is switched to "Meeting" where is "Incoming call alert" switched to "Beep once", don't hear beep during call when battery is low and double beep when battery is empty. Phone turn off unawares.
  4. When "Delivery reports (1-8-5)" is switched to "on" and phone receives a delivery report, menu item "Games-Settings (6-4)" disappears. It is showed again when turn off and turn on phone.
  5. When keypad is locked and you put phone into carkit, keypad is active. When take it from carkit then, it's sometimes locked again, sometimes not.
  6. When phone is in the carkit, you can sometimes lock keypad
  7. When you take from carkit phone with locked keypad, very often can't unlock keypad and you have to restart phone
  8. In Polish language in Menu 5 ("Call diverts") there two the same submenus (3 and 5) "Divert when not answered" with different contenst
  9. When for example you received a SMS, when you unlock the phone's keypad, you must wait till you see "1 message received" before you can push 'read'. Otherwise you'll go to the menu.
  10. When you enable cell-info, you won't see any info anymore about which profile you're in.
  11. Sometimes, when receive SMS and starts to read it, you have info "menu contains...." (help for Inbox menu)

SOME OLDER VERSIONS HAD BUG: sometimes the phone couldn't show the names of the person whose calling eventhough the person's name IS on the phonebook. So instead of showing the caller's name the phone was only showing "+62.... call"

BUG (all version ?):

  1. Dropping the last character of the domain name when using relative URLs! Example: A link like /cgi-bin/wap_news.pl on a page http://www.wapterror.de/wml/index.wml sould be constructed as http://www.wapterror.de/cgi-bin/wap_news.pl. Phone makes it http://www.wapterror.d/cgi-bin/wap_news.pl (missing e on .de)
  2. Can't delete templates of SMS and Picture Images
  3. Sometimes, even when vibra is disabled in profile, it enables
  4. DTMF doesn't work , when have enabled keypad tones
  5. Phone sometimes doesn't want to connect to WAP (message "check settings")
  6. If you assigned downloaded ringtone for caller group and deleted if (ringtone) from phone, it stops ring and vibrate. Can't change ringtone from phone's menu then (must use Logo Manager or different software)

V3.04 (16-10-00 ????)
  • Improved Half Rate audio quality
  • Updated operator list
V3.08
  • (V3.04) Improvement to Arabic/Hebrew Memory status layouts
  • (V3.04) Improvements to Voicetags
  • (V3.04) Improvements to SMS
  • (V3.04) Only one indicator is at the end of Selection window when moving to second candidate first time in the editing mode
  • (V3.04) Input method indicator in top left corner is disappeared in Rename operation
  • (V3.04) DLR-3 is detected as a headset after one headset call
  • (V3.04) UNICODESIM: SDN only names of length less than 8 are shown
  • (V3.04) Improvements to browser setup: \"Menu\" -> \"2\" -> \"Scroll\" corrected
V3.74 22-09-00
V4.04 06-10-00

BUG (NEWER TOO ?): Make these steps:

  1. create new folder in Messages/My folders
  2. create message and move to this folder
  3. enter into this folder
  4. edit this message
  5. save it
You can't now enter to any folder. Must restart phone. Note, that bug exist only, if this folder is first on the folders' list. For other it's OK.

V4.08 25-10-00

V4.27 21-12-00

  • Turkish, Greek, Czech and Polish T9 added
  • Spanish language and T9 added
  • LCD temperature compensation
  • LCD reset after powerup
  • Spaces couldn't be put in front of text in Dealer Welcome Note (DWN)
  • PIN-code couldn't be entered on a SIM-locked phone
  • It wasn't possible to call a SS string beginning with a "*" (e.g. *#61# etc.) stored on the FDN phonebook
  • Setup Menu command was not executed when already in SIM ATK menu
  • SIM ATK minimum polling interval increased from 5 to 10 sec
  • Improvements when trying to enter username in HTTP authentication
  • Dynamic text case handling improved
  • OPERATOR_NAME_MAX_LENGTH changed from 10 to 11
  • Timeout killer didn't work on *+-key in number queries
  • Games 'options' -menu disappeared when deleting delivery report in messages
  • Missing/strange menu items when sending SMS
  • Improvements to Arabic & Hebrew editor options
  • Letter insertion direction change in Arabic
  • Improvements to Arabic & Hebrew input (wrong ui-text was used for special characters)
  • Improvements to calendar when using fetch service with birthday note
  • Improvements when selecting Multiple copies
  • In SMS: Improvements when storing more than 50 items in the Template folder
  • Improved functionality in Names-list
  • If T9 is active '#'-key toggles now between T9 and normal input in Arabic/Hebrew and Chinese languages
  • Improved business card sending
  • No characters were received if Euro-sign was first character in a picture message
  • Improvements to Voice tag
  • Correction of Arabic Name & Number view, RTL marker inserted
  • Correction of number length for Idle number input
  • Bottom margin changed in Arabic editor from '2' to '1'
BUGS:
  • PL specific: brak informacji o wolnej pamięci telefonu (widać tylko "Wolne: ")
  • After enabling phone, entering PIN code (after "Enter PIN code" request) and when you will see network indicator, press many times (very fast) phone's keys (Red and Green key). You should see "Emergency calls only". It must done so fast, that Stop sign doesn't blink. If you don't see startup logo: phone doesn't give access to phone's menu and profiles, although it's logged into network.
  • when keypad is locked and you will press any key, you will see "Press Menu and then *". You can now press longer Power button and phone will disable !
  • when you make something, somebody call to you and you will press left soft key, phone hangs after receiving call...
  • sometimes after WAP session you can't lock keypad
  • after using Irda can't receive SMS
  • using BTS Test in netmonitor can damage phone (CONTACT SERVICE, etc.) !
V4.36 31-01-01
  • Handling of operator logo length improved
  • AT commands updated
  • Initialisation of Data SW when receiving/releasing the data switch
  • Fixed Dialling Numbers - View details shows wrong number if it is longer than 12 digits. Although SSC-String for call forwarding is on FDN list, call forwarding can not be performed either via menu or via string
  • Flashing panel when erasing a phonebook item
  • Impossible to call to SMS 'use number'
  • Delayed SMS
  • SMS Delivery reports
  • Wrong indication of max characters in SMS
  • Font size selection not working for received SMS
  • Error in DLR-3 usage in the middle of the IR usage
  • Modified AT commands for DHU functionality (TCH Loopback)
  • Automatic answer does not work in car profile
  • Some spelling in languages improved
  • Call without simcard, note "Emergency calls only" won't disappear
  • Freezes when faulty Business Card is received
  • Possible to switch phone off during keypad is locked
  • Updated MoU list (DUAL_operators) (Operator Cosmorom)
  • SIM ATK: submenus become trash
  • Cancel all CF's at once:
  • Performed on Line1: If CFU for Line2 is activated the sign is deleted too
  • Performed on Line2: CF's for Line1, data and fax are cancelled: Line2 not affected
  • *#06# should show IMEI even when SIM card is not inserted
  • USSD short strings supported
  • STP support (e.g. used in Mercedes)
  • CLI logo over IR send/receive
  • Ringing tones over IR - receive
  • Shortcut on 'Send' for go to bookmark
Bug:
  • after ending Snake II game enter options and last view. When it will be displayed, the light will be not off.
  • in German D2 Network problems with message receiving (after receiving one no more are received).
(?) Improvements in netmonitor

V5.01 15-03-01

  • The first WAP call cometimes fails after answering/missing a MT PSTN call
  • When trying to delete a received picture message the phone sometimes freezes
  • When erasing unread SMS from phone by cable or IrDA, SMS icon stays on display
  • Added function for UI to check, if Data cable is connected or not
This version can cause following intermittent errors:
  • Divert freezes the phone
  • SMS receive freezes the phone when reading
  • SMS editing freezes the phone
V5.02 02-04-01

All changes from V4.36

  • (?) first three changes available in 5.01
  • Not possible to change the date of the calendar
  • DTMF tones stop working during call
  • Memory overwrite when using Russian text
  • When PC Suite changes the profile name it is not updated to phone UI before restarting the phone
  • Strange behaviour when entering number and then <SEND> to PIN query in start-up
  • By HSCSD data transfer is flow ctrl problems (data loss by upload and bi-directional)
  • The first WAP call sometimes fails after answering/missing a MT PSTN call
  • When trying to delete a received picture message the phone hangs
  • When erasing unread SMS from phone by cable or IrDA, SMS icon stays in UI
  • Wrong font used for emergency call
  • Sometimes when phone is set to local mode (e.g. by WinTesla) the phonebook server is not initialised. This makes it impossible to store CLI icons
  • Not possible to insert new words to the dictionary, if phone SW has been updated to 4.27
  • Business card received over IR handled as a Ringing tone
  • Speed dial not updated, if a SIM card entry's number is edited to NULL
  • SMS Notifications are not routed to PC Suite
  • Bluetooth implemented (there is also special hardware "Nokia Connectivity Pack" required for it !)
  • Added support in the IrDA subsystem for sending CLI logos to Nokia 6110
Observations from users (V4.36):
  • new parameter in test 8 in netmonitor
  • when create note in calendar, default year is 2001 (not 2000)
  • PL: zmieniona nazwa dla Menu 5-5. Wcześniej "kiedy nie odbieram", teraz "kiedy niedostępny"
  • BUG: when send SMS using phone memory (it should be empty), before receiving report, you have strange chars inside...
  • "ERA GSM" changed to "PL ERA GSM"
Note: The correction for line 2 icon (mainly seen in UK and Ireland), which was implemented in 5.01, is not implemented in 5.02

V5.17 01-06-01
V5.17 05-07-01 (ROM6?)

  • Added support for Package M - Telekom Jingle - Operator specific ringing tone
  • Changed language name spelling of Ukrainian language menu select
  • Operators language files updated.
  • Use one sort order for all languages in Q and S pack. Still problem with the letter "Q" in language pack Q!
  • Startup texts/graphics priority changed to: 1 User Welcome Note Text, 2 Dealer Welcome Note Text, 3 User Welcome Note Graphics.
  • A "DDI Call Create" message on the Fbus (typically used in STP) cause 6210 SW crash.
  • When a busy number was called twice the third CALL_CREATE_REQ is not responded in any way
  • Resets with WAP browsing and bookmark operations
  • Strange behaviour when entering number +SEND to PIN query in startup
  • Wrong font used for DTMF numbers when call is accepted. Now corrected to bold 8pt.
  • An unknown DTMF tone is sent at the pause when using carkit.
  • TWIN-BILL SIM Causes "SIM REJECTED" Error message when entering wrong PIN code.
  • Heavy load of phone entries from AT command interface resets phone.
  • Incorrect sub_block length in PND_NAME_FIELD
  • Indications ordered from STP are not unsubscribed/cancelled when phone is disconnected, causing garbage in data calls.
  • Wrong line 2 icon problem.
  • Car radio mute when voice dialling.
  • New features: WAP over USSD enabled.
Note: To restore WAP Bookmarks, WinTesla version 311.06.00 or later must be used!

(V4.27) New netmonitor test 95 and 130 (for Bluetooth)

Note (probably for ALL firmware versions): light sometimes doesn't turn on, when keypad is locked and power button pressed (like in older models). For me is NOT BUG. It's rather feature, which allows to save some energy. It happens (light doesn't enable), when:

  1. keypad is locked
  2. any key is pressed and "Press unlock and then *" or "Now press *" message will disappear
  3. power key is pressed
Press notice, that light is always enabled after pressing power key then, when message "Press unlock and then *" or "Now press *" is displayed. Because of it I think, it's good feature, which saves energy after accidentaly pressing this key (when press fast any key and power button or fast double power button, light is enabled).

BUG:

  • when change caller group data and set incorrect (not existing in this model) ID for ringtone, it's not possible to change it from phone's menu. Bug existing for example, when upload backup data made in other model to it.
  • when have "Pending" delivery report, phone shows different contents (with "Pending" you have many strange chars)
  • PL specific: niedokładne tłumaczenie w pomocy do Menu 3 (wykrzystania) and Menu 6 (opcja dla dwu graczy)
V5.27 01-08-01
  • Improvements on key lock in combination with car kit. Keyboard will now lock correctly when removing the phone from car kit
  • Improved functionality when enabling frequency hopping
  • Improved speed for network search after power on, in a country different from the one where the phone was turned off
  • Improvement to IR after sending a business card to 9110
  • Dealer Welcome Note remains after the user has restored factory settings
  • Improvement to SMS: pressing * in SMS options insert template does not any more stick the menu
  • Voicetags improved restoring from PC
  • Improved Data Download via SMS Cell Broadcast
  • Call Barring service string accepts now an empty password
  • SS requesting disabled, when a SIM has not been inserted
  • Operator list updated:
    • New operators
      • "SPACETEL" (417/02)
      • "VUT SMILE" (541/01)
      • "GH-MOBITEL" (620/03)
      • "ORENSOT" (250/11)
      • "VODAFONE" (276/02)
      • "TR AYCELL" (286/04)
      • "CU/C_COM" (368/01)
      • "U-CALL" (539/01)
      • "GAB TELECEL" (628/02)
      • "CELLCO" (630/05)
      • "Digicel" (706/02)
    • Operator names changed
      • Old New
      • "Dutchtone" "Orange NL" (204/20)
      • "ERA GSM" "Era" (260/02)
      • "TH WCS" "TH ORANGE" (520/10)
    • New country name
      • "VUT" (417)
Note 1: When flashing 05.27 into a phone, that has never been in service in normal network (e.g. a swap phone or other brand-new phone), flashing might not terminate correctly. This can be avoid by letting the phone to go into service before flashing or by using a normal SIM card (not test SIM) in the phone during flashing.

Note: To restore WAP Bookmarks, WinTesla version 311.06.00 or later must be used!

V5.36 14-11-01
When flashing 05.36 into a phone that has NEVER BEEN IN SERVICE ON A LIVE NETWORK (e.g. a swap phone or other brand new phones) the flashing might not terminate correctly. The problem only occurs when using WinTesla for flashing. A work around for this problem is to make the phone go into service before flashing or having a live SIM in the phone while flashing.

In order to restore WAP Bookmarks, the latest WinTesla version (311.06.00) must be used!

  • Changes to operator and country names:
    • New operator:
      • XFERA (214/04)
      • TELE2 (246/03)
      • MCM (262/13)
      • Quam (262/14)
      • SI VEGA 070 (293/70)
      • Telcell GSM (362/51)
      • UTS (362/91)
      • PK-UFONE (410/03)
      • SyriaTel (417/93)
      • DIGITEL (515/05)
      • ORANGE (520/99)
      • FSM Telecom (550/01)
      • OTA NET (603/02)
      • GAMCEL (607/01)
      • ECONET NG (621/20)
      • NG NITEL (621/40)
      • COG LIBERTIS (629/10)
      • MOBITEL - TZ (640/02)
      • CELTEL TZ (640/05)
      • Itineris RUN (647/00)
      • F-OMT (647/02)
      • Cell C (655/07)
      • PORT-HABLE (722/35)
    • Name changed:
      • AIRTEL -> E VODAFONE (214/0
      • Orange -> orange (228/03)
      • TDK-MOBIL -> TDC MOBIL (238/01)
      • mobilix -> Orange (238/30)
      • Q GSM -> TELE2 (248/03)
      • TELECEL -> P VODAFONE (268/01)
      • AMERIS -> F-Orange (340/01)
      • INA SPICE -> INA AIRTEL (404/31)
      • M.PLUS -> BATELCO (426/01)
      • DiGi 1800 -> DiGi (502/16)
      • EXCELCOM -> proXL (510/11)
      • ORANGE -> Orange (520/99)
      • OMEGA -> LoneStar (618/01)
      • CAMNET -> MTN CAM (624/01)
      • CELLCO -> CELLCO GSM (630/04)
      • Itineris RUN -> Orange re (647/00)
    • New country name:
      • NA (362)
      • PK (410)
      • FSM (550)
      • GMB (607)
      • ARG (722)
      • BRA (724)
    • Country name changed:
      • NIG -> NG (255)
      • NA -> ANT (362)
      • F -> REU (647)
  • Improper UI-disconnection of data cable causing IrDA to disconnect corrected.
  • Locked UI while in call on Mobilkom Austria network using A1 Plus SIM corrected.
  • Missing Chinese punctuation characters in WAP corrected.
  • Problem with Phone Book reading via AT commands corrected.
  • Problem with SMS indicator reading via AT commands corrected.
  • Chinese sorting in Phone Book when using the letter Q improved.
  • Wrong text in Call Cost Limit query corrected.
  • Problem with making calls from Name&Number display in Arabic corrected.
V5.44 29-11-01
  • Possibility of acoustic feedback from keypad and warning tones in HFU-2 reduced. Typically that feedback appeared when the car radio speakers were used for phone audio
  • Handling of long numbers in the Abbreviated Dialling
  • Number list on SIM improved. The last digit of a very long number string might have changed in some cases
V5.56 25-01-02
  • Improvement to Network Identity over the air in NITZ (Network Identity and Time Zone)
BUGS: sometimes "alarm" bips only once.

Note:
  • after changing SIM card memory type is set to "SIM card". Correct it manually or set security level to "phone" (when SIM card was used earlier, memory type won't be changed).
  • after calling WAP WAP access number is added to Called Numbers
BUGS:
  • Menu shortcuts problem: Menu 1-8-x (example Menu 1-8-7) directs to Menu 1-8-1
  • Shortcut Menu 2-5-1-1-1 hangs phone !
  • when you send null text SMS (SMS without any text - 0 chars) to 6210, it's correctly received (netmonitor shows it), but there is NO INFO about it. So, you simply can check, if phone is enabled or not (because you can receive delivery report from it).
6250 | NHM-3 | *#0000#
V1C54 23-02-00
V3.00 15-09-00
V3.12 08-11-00
  • (V3.00) Improvement in weak field
  • (V3.00) Improvements to sound level meter and keyguard code
  • (V3.00) Service dialing numbers in SIM read correctly
V4.00 06-12-00
  • Improvements to Task Journal:
  • Searching 'by customer' was shown 'by work'
  • Default value was missing when entering amount of materials
  • Flaw in information note when pausing a task
  • When entering the material id, last given id is being default
  • Shortcuts did not work
  • SMS sending did not work with special characters
  • Arabic SMS sending couldn't turn up and down the pages
  • Wrong number font in language packages R and S
  • Phone came from clock menu to Automatic keylock -menu with 'Back' button
  • When adding comment there was text 'OK' instead of 'Save' in left softkey
  • Speed dial names touched service/battery bar
  • Improvements to Automatic keylock:
  • Keypad was locked while in menu
  • Strange behaviour when simultaneous alarm and calendar remainder
  • In Stopwatch shortcuts did not work
  • Charger activated and deactivated the vibra
  • Keyguard not activated when timed profile & missed calls
  • Improvement to Arabic/Hebrew Memory status layouts
  • Improvements to Voicetags
  • Improvements to SMS
  • Only one indicator is at the end of Selection window when moving to second candidate first time in the editing mode
  • Input method indicator in top left corner is disappeared in Rename operation
  • DLR-3 is detected as a headset after one headset call
  • UNICODESIM: SDN only names of length less than 8 are shown
  • Improvements to browser setup: - "Menu" -> "2" -> "Scroll" corrected
V4.01 28-12-00
  • Timed profile now stays activated after power off/on
  • Impression to be able to same more than 250 names corrected
  • Wrong header text in stopwatch erasing in some languages ("Erase times") corrected
V4.04:
  • Improvements in SMS: phonebook memory re-configuration
  • Improvements in Task Journal: "Task active on background" notification now displayed also when exiting the Task Journal by pressing "Back"
  • Display contrast factory default value changed from 6 to 4
  • Improved Keylock code shortcut
  • Operator name list updated (Cosmorom / Romania)
V4.05 20-03-01
  • Turkish, Greek, Czech and Polish T9 added
  • LCD temperature compensation
  • LCD reset after powerup
  • Spaces couldn't be put in front of text in Dealer Welcome Note (DWN)
  • PIN-code couldn't be entered on a SIM-locked phone
  • It wasn't possible to call a SS string beginning with a "*" (e.g. *#61# etc.) stored on the FDN phonebook
  • Setup Menu command was not executed when already in SIM ATK menu
  • SIM ATK minimum polling interval increased from 5 to 10 sec
  • Improvements when trying to enter username in HTTP authentication
  • Dynamic text case handling improved
  • Timeout killer didn't work on *+-key in number queries
  • Games 'options' -menu disappeared when deleting delivery report in messages
  • Missing/strange menu items when sending SMS
  • In SMS: Improvements to calendar when using fetch service with birthday note
  • In SMS: Improvements when selecting Multiple copies
  • In SMS: Improvements when storing more than 50 items in the Template folder
  • Improved functionality in Names-list
  • If T9 is active '#'-key toggles now between T9 and normal input in Arabic/Hebrew and Chinese languages
  • Improved business card sending
  • No characters were received if Euro-sign was first character in a picture message
  • Improvements to Voice tag
  • Correction of Arabic Name & Number view, RTL marker inserted
  • Correction of number length for Idle number input
  • Handling of operator logo length improved
  • AT commands updated
  • Initialisation of Data SW when receiving/releasing the data switch
  • Fixed Dialling Numbers - View details shows wrong number if it is longer than 12 digits. Although SSC-String for call forwarding is on FDN list, call forwarding can not be performed either via menu or via string
  • Flashing panel when erasing a phonebook item
  • Earlier it was impossible to call to SMS 'use number'
  • Improved SMS Delivery reports
  • Wrong indication of max characters in SMS
  • Font size selection not working for received SMS
  • Error in DLR-3 usage in the middle of the IR usage
  • Modified AT commands for DHU functionality (TCH Loopback)
  • Automatic answer does not work in car profile
  • Some spelling in languages improved
  • Call without simcard, note "Emergency calls only" won't disappear
  • Freezes when faulty Business Card is received
  • Possible to switch phone off during keypad is locked
  • Updated MoU list (DUAL_operators)
  • SIM ATK: submenus become trash
  • Cancel all CF's at once:
    • Performed on Line1: If CFU for Line2 is activated the sign is deleted too
    • Performed on Line2: CF's for Line1, data and fax are cancelled: Line2 not affected
  • *#06# should show IMEI even when SIM card is not inserted
  • USSD short strings supported
  • STP support (e.g. used in Mercedes)
  • CLI logo over IR send/receive
  • Ringing tones over IR - receive
  • Shortcut on 'Send' for go to bookmark
  • In Task Journal: User data memory reconfiguration (now more space for user data)
  • Reconfiguration to language packages:
    • LP C: Turkish T9 added, Spanish menu and T9 removed
    • LP F: Greek T9 added, Spanish T9 removed
    • LP H: Czech T9 added, German T9 removed
    • LP I: Russian menu removed
    • LP J: Polish T9 added, German menu added
    • LP L: created for Spain and Portugal
  • New text release 130301
V5.00 10-07-01 (ROM6?)
  • Mainly update to get GCF approva
  • Operator max. name lenght change 11 a 1
  • SIM Poll Interval chang
  • New text release 160301
  • Dual Operator list update
V5.02
  • SMS sending improved (SMS sending jammed occasionally)
  • Light stayed on occasionally
  • Improvement to alternate speech-fax call
  • O- language package added
  • Operator list updated (#44)
V5.03 06-12-01
  • Improvement to keylock code memory allocation
  • Operator list updated (#46)

Menu 14 (Netmonitor) doesn't have picture
Back to the top/Na początek


  1. What is firmware ?
  2. What is DCT3, DCT4, ... ?
  3. What is NSE-1, NHM-1, ... ?
  4. What are characteristic features and bugs of DCT3, DCT4,... ?
  5. What are changes/bugs for specific phone models ?
  6. General IMEI informations
  7. How can I check firmware version ?
  8. Can I change firmware in my phone at home ?
  9. Can I change language version in my phone ?
  10. Is changing firmware expensive ?
  11. What is DSP ROM ?
  12. Information sources
Nokia 1xxx/2xxx, Nokia 31xx/32xx/33xx, Nokia 34xx/35xx/36xx, Nokia 5xxx, Nokia 60xx/61xx/62xx, Nokia 63xx/65xx, Nokia 7xxx, Nokia 8xxx, Nokia 9xxx
Phone (telefon) | Model number (Oznaczenie) | Firmware version code (kod do sprawdzania wersji oprogramowania) | TAC in IMEI (TAC w IMEI)
6310 | NPE-4 | *#0000# | 013323 (?), 350695, 350841
V1.23 19-03-01
V4.00

According to some people, all versions up to this have incomplete Bluetooth support

V4.10 04-01-02

BUGS:

  • the phone crashed when i recorded a second voice message after an older one which is 1 minute of length. after i did that, i couldnt delete the second recording, and the screen would turn black.. another [ok] and the phone would restart.
  • It seems incompatible with 32k sim. (Nokia says 32k SIM are incompatible with operator TIM and OMNITEL)
  • Some other bugs are related to use of car-kit (CARK-91), as strange "echo", when navigating in menus sometimes the phone enable external speaker and disable the "radio/stereo .."
  • I just select the menu , I select Extras then I select Wallet and I enter my code. First option is Cards but if I select that than the phone just reboots.
V4.15
  • RS232 Serial Cable connection improved (connection did not work properly during startup)
  • Wakeup graphics implemented (support for operator variants added)
  • When voice dialled in a car, the radio did not mute
  • Memory improvements
  • Long pressing power button first turned phone off and then on. Now no matter how long time the power button is pressed to turn off the phone, the phone stays off.
  • Support for Language package T (Australia and New Zealand) added
  • Support for Arabic UI added
  • Improvements to SMS
BUGS:
  • When send business card over SMS or infrared, name is changed.
  • In Greek PPM pack (only !):
    • can't set time in "timed" profile
    • phone reboots in speed dials settings menu
    • software in phone or PC is incomplete - problems with Greek chars in phonebook during synchronization over IR with PC
V4.20 04-03-02
  • Improvements to GPRS (including e.g. PCCCH)
  • Improvements to connections with DLR-3; sometimes sending with DLR-3 did not work properly
  • Improvements when using Car Kit 91;
    • voice tuning has been improved
    • Radio mute improved
  • Improvements to Memory management; overall reliability in internal memory improved
  • Recognition of GPRS over Bluetooth (for PDA and Laptops) improved
  • Support for Bookmarks and Service Inbox items, pushed to phone, added
  • Improvements to IMSI detach; in some cases IMSI detach message was not send from the phone. Now IMSI detach message is always send from phone to network just before phone is switched off.
  • Operator list updated
NOTE: Here is Poland (at least) some phones put to service for service upgrade are sent to central service. Possible reason: Nokia made series of these phones, which has probably something wrong with hardware and doesn't enable after flashing. If have any problems with phone, give it for flashing ;-)

BUG: When I write a message in SMS menu and I save I`t as a calendar note, than I try to send it over bluetooth and there are no other bluetooth devices, so naturaly the sending fails. BUT than when I try to enter the calendar menu again the phone restarts. The same thing sometimes happens when I try to send it to ericsson t68 which is also a bluetooth device

V4.31

  • Bluetooth:
    • After the pairing had been disconnected earlier text "Device not available" was shown. This text has been changed to "Disconnected"
    • When pairing the iPaq and the phone, there was a 5 seconds time-out, which made it difficult to enter the passkey on the phone within this timeframe. This time-out has been removed.
    • Improved stability when disconnecting from Bluetooth accessory
  • Cable Connectivity:
    • Improvement to the detection of the DLR-3 data cable connection
  • Car Kit 91:
    • Antenna Motor Control (AMC) is turned on when the phone is placed in the car kit holder
    • If the phone is powered up in the car kit, the radio mute does not stay on after the first call was ended
    • If receiving a call during an active call, the microphone in the car is not muted anymore (previously the active call was muted for 2-3 seconds if Call Waiting Service was active). Now there is a 'beep' signalling that another call is received.
    • The microphone is muted until call is started; therefore the audio behaviour has been improved while dialling
    • Background noise in call has been improved
    • Improved stability when charging (also in car kit)
    • Improved voice tag recording - recording of the voice
    • tags are now started earlier after pressing 'Start'
    • Improved detection of headset
V5.01
  • Bluetooth: Improved detection of other Bluetooth devices
  • Calendar: Response behaviour in Lithuanian calendar improved
  • Setting files: Setting files: 0507017.ini and 0507008.ini updated
  • Picture Messages: Improved functionality when receiving defective picture message
  • Voice Tags: The function of the phone has been improved in case that voice tags in Italian language shall be deleted

BUGS (I don't know firmware version - confirmed for Greek PPM. In English PPM shows "Message too long", when try to edit/send such long SMS):
  • Menu->Calendar->Make a note->Memo.
  • Write a 256 characters wide memo.
  • Options->Save, then scroll to it (select it -that is) and Options->Send note->Send as text.
  • Look now the SMS editor characters counter on the top-right of the screen, it should have a negative value (-131)!

    • Options-> ... Phone resets!
6310i | NPL-1 | *#0000# | 350780, 350984, 350997
V3.10 08-03-02
V3.25 15-03-02
V4.07 17-04-02
  • Interoperability improvement with new Openwave WAP Gateways (version 5.1xx onwards. There was an interoperability problem between NPL-1 and Openwave's new WAP gateway release supporting SAR (Segmentation and Re-assembly) in GPRS session mode permanent, which prevented users from downloading of MIDlets bigger than 8 kB over these gateways. Note: This problem has nothing to do with existing Openwave WAP gateways not supporting SAR (these GWs have implemented an upper file-size limit of 8 kB). The updated Openwave gateways have the SW versions 5.1xx (according to Nokia information of 18 April, 2002)
  • Dynamic Menu Text for SIM ATK allowed. Text for the SIM ATK menu was not configurable. This has been hanged in SW version 4.07 to dynamic; menu text stored on the SIM card is used if present.
  • Translation of "Extras" menu in Hungarian language changed. Same Hungarian translation (=text string) was used for "Extras" and "Accessories". Now menu item Extras has correct translation in Hungarian
BUGS (my and from Aiwnas and other people):
  • Connecting to PC:
    • no backup/restore for user ringtones.... (PC Suite 4.4.8003 from 6310i CD)
    • no support for backup/restore for Java applications (4.4.8003). Update: download 4.81 from Nokia www
  • SMS:
    • Sometimes (2-3) for no apparent reason, v.4.07 dies (phone reset) after or during the use of the SMS editor (why?)
    • When receiving a multipart message, i.e. sent by a 3310 or so, and you delete those messages, when receiving a new sms, the last part of the multipart-message is again unread!
  • Games:
    • If the phone unexpectedly quit during a "Snake 2", two players game its better to turn it off and on again since sometimes its Infrareds remains endlessly active (their icon flash for ever -- 3 hours after the unexpected quit my phone still queried for an Infrared device) draining the phone battery!!
    • During a 6210 2 players Snake II game sometimes 6310i or 6210 unexpectedly quitted to the game menu for no apparent reason.
    • 6210 cannot connect to a 6310i Snake II game, the vice verse is possible (comment: IMHO, it's not bug, but rather messy solution from Nokia - games in another phone should be searched by name, not by phone model)
    • Game services doesn't connect...
  • Java: Downloading Java applications can result in a hand which needs a phone restart.
  • difficult putting bigger (thicker) SIMs (it's easy to damage contacts on the left side, when look into rear of phone). In 6210 it was OK
  • The Greek 6310 timed-profile and speed-dial bugs are corrected
  • There are rumors from blue-tooth users that this firmware cannot see sometimes other blue-tooth devices correctly or at all (like Ericsson T-39 I think) but I cannot be sure since I haven't yet the opportunity to test it first hand..
  • Once the phone lost its GSM connection for some time (I've only tried 1800Mhz) it wouldn't find any network and must be switched off and on again to be ready.
  • All single-line messages are justified in the left upper corner instead of centered on the screen like with all the other phones; this makes them sometimes hard to read and is at least confusing.
  • The HDC-9P headset cannot be used to answer or hangup a phone call. You can press the button long to enable voice-dialing, but if you have an incoming call, you cannot answer it with the button on the headset or you cannot hangup a call with the button on the headset.
  • Calendar: For no apparent reason if you quit from the Calendar to the phone menu (Back button) you will instantly see the main phone screen before the Calendar menu animation appear (happened once for a few times -why?).
NOTE: Here is Poland (at least) some phones put to service for service upgrade are sent to central service. Possible reason: Nokia made series of these phones, which has probably something wrong with hardware and doesn't enable after flashing. If have any problems with phone, give it for flashing ;-)

V4.80 11-07-02

  • Bluetooth
    • Hands free
      • Improved usage of Bluetooth hands free profile: BT authorization for Hands Free profile is now required
      • Voice recording and recognition improved (Microphone is now switched on earlier)
      • Changed disconnect code (improved support for Peiker car-kit)
      • Interoperability with Visteon CarKit improved
    • Interoperability
      • BT compatibility with Compaq Ipaq, Palm m130/m505 and Toshiba BT SD card improved
      • BT interoperability improvement: BT compatible with
      • Toshiba Portege 4000
      • Improved stability in BT connected notebook suspend scenarios
    • Misc. Bluetooth
      • Improved dialog 'pairing' of identically named devices
      • Improvement dealing with multiple BT devices
      • Flag to hide Bluetooth functionality in all menus (Israel variant)
      • Setup of dialup network connections while in alarm snooze enabled
  • Calendar
    • Calendar birthday notes improved
    • Occasional lost calendar alarms during synchronization via PCSuite improved
    • Calendar update: improvement of memory consumption for calendar entries
    • Text update: Russian calendar (month name updated)
    • Occasional lost calendar reminders during synchronization via PCSuite improved
  • Call and network management/GPRS
    • GPRS Connectivity improved
    • External GPRS configuration improved
    • Network connection of MS improved when a GPRS session attempted
    • Data call behaviour in Siemens MSC environment improved
    • Improved FTP download
    • Making TriBand emergency calls improved: all bands rescanned before the call
    • Improved GPRS connection success rate in weak areas
    • Improvement for audio in SALT.
  • CarKit-91
    • Sound quality improved
    • The audio signal of an active call is not muted anymore if a second call is coming in.
  • CPHS/CSP
    • Enabled the hiding of 'delivery reports' menu, 'message sent as' and 'reply via same center' menu items via Customer Service Profile (CSP)
    • Sending of business cards via IrDa and Bluetooth now possible if SMS disabled CSP
  • Data
    • Improved AT command interpreter
    • Improvements in DTMF sending
  • Messaging
    • SMS
      • SMS concatenation functionality added. Up to 3 SMS can be concatenated for sending/receiving.
      • Improved deleting of attached pictures in messages
    • Vcards
      • Improved formatting of Vcards from PDAs
      • Improved inter-operability with v2.1 business cards
    • Miscellaneous Messaging
      • Scrolling performance in folders improved
      • Improved sending of picture messages from PC-Suite (Graphics) to phone
  • MIDPJava
    • jar/jad file download from other devices improved
    • Language pack ENG1 added
  • Operator Name Table
    • New operator (MCC/NC)
      • "I.C.E" (712/01)
      • "SETAR GSM" (363/01)
      • "UNITEL" (631/02)
    • Removed operator
      • "I.C.E" (188/01)
    • Name changed:
      • From "O2 - DE" to "o2 - de" (262/07)
      • From "SPACETEL" to "94 SYRIA" (417/02)
      • From "HELLO" to "TH GSM 1800" (520/23)
    • Country number (MCC) changed:
      • "CRI" from 188 to 712
  • WAP:
    • Improvement for ending WAP browsing by pressing red end button
    • Improvement for WAP/Java session during periodic location update
    • Improvement of WAP browser required by some WAP sites
  • Miscellaneous
    • Date & Time Settings menu changed. Date and time can now be set within one settings submenu.
    • Sort order of entries on SIM improved
    • Welcome note editor UI improved
    • Voice tag list integrity improved
    • Snake2 high score sending via soft button is enabled
Short summary: few nice things added (like linked SMS), increased a lot speed of scrolling ALL menus, some old bugs removed:
  • (according to some people - I didn't test it) can have 10 user ringtones now, not 5
  • (Croatian or Serbian) Translation of "Applications", it was "Primjene" which is correct to some point, but sounds rather stupid. Now it's much better, "Programi".
  • When enter menu for editing SMSC name, it's empty (without old value)
  • After buying phone I had to use menu to reset its' settings to ENTER caller groups settings (phone didn't allow me and I even though to put it into service - first day!)
  • ToDo menu - Very slow (slower even that in 6210 menus) scrolling
  • sometimes in phonebook cursor is set one position before position. Additionaly similiar problem to SMS (very slow scrolling), when use list view
  • when unlock keypad and "Keypad active" is displayed, phone doesn't react on "Menu" and some other keys (have to press Red button to make it faster).
  • SMS:
    • (English and Greek PPM) The SMS folders (every folder, specially the Inbox & Sent) contents appears very slowly on the handset screen.. so slowly that you can scroll to empty positions and wait for their names or numbers to appear before you can select them! (I bet it's a bug since the speed for the rest GUI & Java applications seems fine to me [I preferred 6510 approach which showed an "opening" message, pre-loading every time all folder contents rather than this new irritating way])
    • SMS folders - very slow scrolling and screen refreshing. Very often during fast pressing keys (or a little after) phone reboots
  • Calendar: There is a minor graphic glitch on this firmware calendar (a bit similar to the one of 6510 v3.30). On some certain dates (like 09-06-2002, 10-06-2002 or 17-06-2002..) the moving inverted box (selection box) has fewer left-most pixels than the ones of the empty current day indicator box producing so a rather noticeable graphic glitch!
  • AT+CGMM returns 6310
  • Games: (English and Greek PPM) If you try to select "1 Player" item from the Snake 2 game fast, some times your first click will be ignored from the device instead you must not hurry but enter in the Games menu, Select Snake II, see the Snake II animation and then make your selection, if however you do not exit completely from the Games menu this waiting is not necessary next time!!
  • T9: The Greek T9 Implementation is buggy making it useless since it cannot guess a variety of simple or complicated Greek words (the English, Deutsch, France T9 however dictionaries seems to work well -I can't swear for the last two however).
  • in Warranty menu full IMEI is displayed
but some old bugs still existing:
  • Sometimes the 'power-on' NOKIA handshaking logo animation seems to losing fps.[specially whean you add voice notes] while other times animates smoothly (why?)
  • On Greek PPM only: You can dial numeric values! For example:
    1. On the main screen (standby) type 1,2
    2. Press the DIAL button (Green handset).
    3. The phone tries to dial the number..
    4. After a while (nothing happens) we return on the previous screen, with the dialled numeric value ready to be dialed again.
  • T9: During Greek text input with or without the Greek T9 enabled the Characters selection screen (the one that appears after you press the * key during input) is mangled showing only the first 23 of its symbols! However if you input a capital letter before pressing * ..full character set appears! (I am sure NOKIA did something awfully wrong with the Greek PPM this time!!)
Some others things (didn't checked for 4.07):
  • SMS:
    • Phone contains now support for Unicode SMS, but THERE IS NO OPTION in menu (like in cheap models), which allow user to select, if Unicode should be used or not. The only mark of using it or not is counter for left chars during writing SMS. There is also bug connected with it: when add one national/special Unicode char to SMS, mode is changed to Unicode. When delete it, charset doesn't return to normal SMS alphabet.
    • saving SMS to phone from PC can even damage phone
  • sometimes phone return to PC incorrect info about set speed dial
  • Calendar notes: notes with repeat work incorrectly - example: set note with alarm to 16.09.02 09:00. I set repeat to 1 week. In the night between 16.09 and 17.09 and I had it reminded (on 23:59). I deleted repeat, rebotted phone. The same. I had to remove it at all.
Also there is changed MIDLets file structure and Java Settings can't be restored during changing firmware from 4.07 or older version.

V4.81 30-07-02
This version seemed to be available in Canada and Africa. No info in Europe services and Nokia Europe.

V5.10 11-09-02 (grrrr, do you remember Wold Trade Center and 11-09-01 ?)

  • Bluetooth
    • Accessory profile (Bluetooth headset) improved
    • BT authorization for audio accessories improved
    • BT reconnect after audio transfer implemented
    • Bluetooth pairing improved
  • Calendar
    • Handling of calendar notes improved
    • Sending of calendar note via IrDA improved
  • Call and network management/GPRS
    • GPRS Dial-Up stability improved
    • Number grouping displaying (MTC) improved
    • Cell reselection while in packet transfer mode improved
    • Network registration improved
  • SIM/SIMLock
    • SIM Lock generation via Phoenix improved
    • Own number list handling improved
  • Messaging
    • SMS alignment behavior (determination of Hebrew/Latin formats) improved
    • SMS/email archiving/deletion improved
    • SMS icon notification handling improved
    • T9 dictionary set default to off
    • Receiving of operator logos improved
    • Behavior of waiting notification (voice mailbox, email, fax) improved
    • Restructuring of the waiting notifications menu (voice mailbox, fax, email)
    • Bookmark sending improved
  • MIDPJava
    • Java Midlet execution during incoming call improved
    • PC Suite Application Installer improved
    • Java http post API improved
  • WAP
    • WAP certification handling improved
    • WAP connection in Viag gateway improved
  • Wallet Application Code generation improved
  • Text corrections
  • Menu navigation improved
  • Accessory interoperability improved
  • Time Handling (Alarm Clock and Calendar) improved
  • Memory Optimization
  • Several improvements in E-OTD (only usable in some variants)
  • Update of Menu Numbering/Titles
  • Customer Profile management improved
  • PC Suite Content Copier improved
  • PC Suite Application Installer improved
  • Improvement of Factory Settings Restoring
  • Improvement in E-OTD measurement
  • Operator name list updated:
    • New operators: "T-Mobile UK" (234/31) "T-Mobile UK" (234/32) "RUS: INDIGO" (250/19) "IN-DOLPHIN" (404/68) "IN-DOLPHIN" (404/98) "SyriaTel" (417/01) "YEM-SABA" (421/01) "UZMACOM" (434/00) "UZMACOM" (434/02) "UZB-UZD" (434/07) "TANGO LAO" (457/08) "STP CSTmovel" (626/01)
    • Name changed: "GR VODAFONE" "vodafone GR" (202/05) "NL Vodafone" "vodafone NL" (204/04) "P VODAFONE" "vodafone P" (268/01) "VODAFONE MLA" "vodafone MT" (278/01) "ESSARH" "ESSAR" (404/01) "INA AirTel" "AirTel" (404/02) "INA AirTel" "AirTel" (404/03) "ESSARU" "ESSAR" (404/15) "AT&T" "IDEA" (404/22) "AT&T" "IDEA" (404/24) "ESSARR" "ESSAR" (404/60) "RPG MP" "IDEA" (404/78) "INA AirTel" "AirTel" (404/90) "INA AirTel" "AirTel" (404/92) "INA AirTel" "AirTel" (404/93) "INA AirTel" "AirTel" (404/94) "INA AirTel" "AirTel" (404/95) "INA AirTel" "AirTel" (404/96) "INA AirTel" "AirTel" (404/97) "INA AirTel" "AirTel" (404/98) "GP" "BGD-GP" (470/01) "CLICK" "Egy Vodafone"(602/02) "TELCEL GSM" "Telcel GSM" (334/020) "NuevaTel" "NUEVATEL" (736/010)
  • New country name: "STP" (626)
Fixed bugs:
  • SMS: can save 2 or more linked sms to one folder. Earlier: when save two linked sms sequences into one SMS folder with incorrect header (for example, from PC) or save two linked sms sequences with the same ID into one SMS folder (for example, from phone editor), THEY'RE NOT VISIBLE FROM PHONE MENU
  • Wallet access is not possible (many times) after rebotting phone
  • In Menu 13-4 and submenu Certificaties (I can't give shortcut - NOT available) after setting you see "Selected memory selected..."
  • Games: in Racket game light doesn't turn off after few seconds, when doesn't press key (it should be used Light setting from game settings here - it's ignored)
  • selection menu for chars in SMS (* key) doesn't contain double chars
Existing bugs:
  • Critical:
    • cell messages (Menu 1-10) have different tone than SMS. You can't set it and even when phone has in phone off tones, you hear "BEEEPPP" after receiving message. Simply has to remember to disable function at all, if want to have silent...
    • T9: When have Polish T9 enabled in SMS, disable it using # key and go into menu for selecting T9, English is displayed. After enabling T9 by # again Polish is displayed there. Not checked for 4.80
    • When set clock format to 12 hours and display clock on the display, "am/pm" info can disappear on the screen. Example: make it and enable infrared, Bluetooth, set alarm clock, countdown timer and block keypad.
  • Language:
    • Java: Converter in English version - when try to use Volume, there is Area used (probably should be Area for type conversion menu used)
  • Other:
    • Even if you switch off speed-dial, you can still call the stored numbers not by long pressing their key number but by typing their number and the pressing the YES button (Green Handset) [ I think it's a bug because if you enter an empty speed-dial number and press YES the phone returns "Speed dial not assigned. Assign it now?" message, implying that this is a speed-dial feature (even if speed-dial is switched-OFF by the user)].
    • with the bluetooth carkit (CARK-112) there are a number of issues: When using the ALS line 2 service the radio mute function fails to work. As the sound is routed through the radio in my installation this is a major problem! When a call is received on Line 2 the radio mutes but the call is cut-off after 90 seconds. When a call is originated from the handset the radio only mutes when the call connects so you don't hear the ringing.
    • After deleting default sms template cursor is moved in folder list.
    • Calendar:
      • The calendar allow you to set an 'End date' of 31-12-2099 for Memos, etc.. even if there is no way to access dates after 31-12-2090 (Ideal to the 6510 v3.30 bug).
      • Week info in month display is not displayed (when set starting calendar week to Saturday) or is displayed incorrectly (example: please go into 30.09, enter this day (day notes view), return to month view, press Down key. Cursor will go into 1.10. Week info will change from 40 to 43)
      • Please make such things:
        1. Go to "Calendar"
        2. Find an empty day
        3. Options->Make a note->Memo->Select
        4. Subject: "anything you like" (for example: TEST)
        5. Options->Save->End date: (default)->Ok->No alarm->Select
        6. Select your note (it's should be already selected)
        7. Options->View->Options->Repeat->Never
        Now study your View-Day notes screen (the screen that follows after ->Never), there should be a useless (there is only one item in the list) right scroll bar (with a very small knot indicator) and no time information on the upper right part of the screen
    • On the main screen (standby) type for example 999#, you will get an "Invalid selection" error but without any audio beep.
    • Menu 6-2 when doesn't connect correctly leave menu at all
    • Welcome note and Countdown timer - no T9
    • if you turn Bluetooth 'on' (listening for connections) and leave the phone 'on' continuously for more than about 1 day, the phone stops accepting Bluetooth connections from other devices. You have to turn the phone 'off' then 'on' again for Bluetooth to start working. Probably happens when the Bluetooth system clock rolls over (after about 23 hours 20 minutes)
    • ToDo menu - no possibility of scrolling "around" (from first position to last by pressing Up key and vice versa).
    • Error:
      • Lock the handset keyboard (Menu + *) (this will switch "On" for approx. 25'' the phone lights)
      • Now quickly unlock the handset keyboard (Menu + * again) (--that is before the phone lights switch "Off")
      • Now wait for the phone to switch its lights Off automatically.
      • Now click fast the On/Off (power) button on the top of the phone.. the expected menu (profiles & "switch-off") shall appear but without the phone turning its light On as it should!
    • Main screen currency converter accepts * or , as valid (zero) numerics when it should indicate an "Invalid input value" error (like it does for the # character)!! For example:
      • On the main screen (standby) type either * or ,
      • Options -> In domestic
      • Currency conversion of * or , results zero (0)!
Other notified changes:
  • menu for selecting chars in SMS (available under * key) doesn't contains national chars, when select national (example: Polish) language
  • all T9 settings (in sms, calendar, etc.) are shared
  • no Unicode in SMS
Also some other things, which can be assigned to bugs:
  • char "#" has different behaviour in phonebook/speed dials (displays default number for entry), wap bookmarks (displays bookmark name menu) and calendar (goes to current day)
V5.22 15-11-02
  • Countdown Timer application has been improved (for Finnish language only)
  • MIDLet changes: Jerusalem has been removed from the capital list
  • SIM ATK: The SIM REFRESH functionality has been improved
  • The Voice Recording and Play Back has been improved (also for the Voice Dialing feature)
  • Product specific ini -file and label printing file updated
  • New HW version is supported
Note: American region phones with product codes 0506766, 0506745 and 0508003 are not allowed to flash with MCU SW version 5.22. Those must be updated with MCU SW version 5.20.

BUGS still existing:

  • If you have the phone on keyboardlock and put it into the carkit the keylock is disabled. After removing it from the carkit it should come back on keyboard lock but then most of the times it doesn't. The keyboard lock is disabled but cannot be enabled anymore till you turn off the phone and turn it on again.
  • Cell Info is very often aligned to left, not centered (it happen after receiving SMS)
  • Menu 4-8-4 contains wrong translation in Polish PPM (should be "zamknięta"), after selecting Menu 11-1-2 (disabling Bluetooth) you can see "Włączono Bluetooth" (Bluetooth enabled"). Additionaly in some places you can see such words: "part1- part2". It means, word is not divided into two parts2 (the place on screen is enough), but displayed in one screen line "asif" divided - example in Menu 4-4-2
6360 | NPW-2 | *#0000#
V01.09 08-03-02
6510 | NPM-9 | *#0000# | 350697
V3.22 10-01-02
V3.30 30-01-02

BUGS (thanks to Aiwnas):

  • In Greek PPM pack (only !):
    • can't set time in "timed" profile
    • software in phone or PC is incomplete - problems with Greek chars in phonebook during synchronization over IR with PC
    • When you decide to replace a radio station, the %U characters appear above it's name on the verification prompt string (could these characters be related to C printf function unsigned (%u) format specifier?).
  • If you receive a new SMS while browsing the Inbox this won't appear until you exit and reenter since the SMS stack/list is not automatically updated.
  • If you turn the radio on and unplug the headset the radio will still continue to function! To switch it off hold down NO -as usual
  • The maximum calendar date limit seems to be the 31-12 of 2090 (every further date is ignored -you are thrown to 2090 always and there is no way to browse your calendar further) however your Memos may set to expire even after it! (2091..2099 dates are considerate valid by the firmware for Memo expiration apart from the fact that you cannot access them:-) the vice versa (dates before 2000) does not work (firmware displays an error message). What is the true limit of the calendar - the 2099 or 2090.. if it's the first then there is a bug on dates after 31-12-2090 -you cannot access them .. else the vice versa -the firmware shouldn't permit Memos finishing after 2090
  • When you add something in calendar to dates from 20 to 31 and select it (it will be displayed using bold font), some of their pixels are not inverted. For numbers 1 to 19 it's inverted OK.
  • BUG (confirmed for English and Greek):
    • Menu->Calendar->Make a note->Memo.
    • Write a 256 characters wide memo.
    • Options->Save, then scroll to it (select it -that is) and Options->Send note->Send as text.
    • Look now the SMS editor characters counter on the top-right of the screen, it should have a negative value (-131)!
    • Options-> ... Phone resets!
  • BUGS (Greek PPM):
    • Sometimes the calendar "wkXX" indication is lost:
      • Set to 'Greek' language.
      • Calendar->Go to date->31-05-2002->OK
      • Now scroll using the Down or 6 keys to the 1st of June.
      • The "wkXX" indication disappears until you scroll to the 3rd of June.
      • If now however you scroll back again to the 1st of June the "wkXX" indication appears correctly!
    • The calendar months names "April" and "August" appear capitalized on the Greek PPM.
    • The a.m. & p.m. indications are left not translated!!
  • BUG:
    • Menu->Calendar, now find a day that does not have anything set (appointments, birthdays, notes, etc).
    • Now, Options->Day notes->Options->Make a note, make two Memo notes named for example "TEST 1" & "TEST 2" (Options->Save->End date->Ok->No alarm->Select etc..)
    • After you insert the second Memo, select the first one (TEST 1) and watch the right-most selection knob! It should be pointing to "TEST 2" instead of "TEST 1".
    • Now, Back and renter to the same day (Options->Day notes), now the knob follows our item selections correctly (when we select "Item 1" it points next to it, when we select "Item 2" it points next to it again, etc).
    • Select now again the "Test 2" entry and once again Options->View and then Back! The selection knob is once again reversed showing "Test 1" as selected (and vice versa)! The above problem some times appears to more than 4 entries and in several places where the firmware displays lists. but since I relay on the 6510 calendar a lot I understood it there :-). I bet there is a small bug that resets the knob to position "Test 1" after we view "Test 2" item on 03.03 firmware.
  • BUG:
    • Select "Names".
    • Now, very fast select "Voice tags" by pressing "Select" 3 with 4 times.
    • The phone will either power-off it self or reset.
  • bug in the "PAIRS II" game:
    1. Menu->Games->Select game->Pairs II
    2. Time trial->New game
    3. Finish the first level (it's quite easy)
    4. When the level 2 is loaded quit back to the game menu (right soft key)
    5. Select Instructions
    6. View each instructions screen with out haste (see every animation etc..)
    7. When you return to the game menu, after seeing the final instruction screen (with the spectacular explosion animation) with out scrolling your selection (it should already be selected), select again the Instruction menu item..
    8. The phone shall either power-off or reset! It doesn't happen, when you finish one level before you review the game instructions (BTW. After playing one game the final instruction screen animation speeds up a bit .. could this be the cause of the problem?)
V3.35
  • Call and network management: Call related service -
  • USSD: Font of network reponse was too small
  • Phonebook: Improvements when browsing phonebook memory
  • Games: Minor game functionality improvements
  • Games: Changes to Query Panel font
  • Messaging: Cell broadcast improvement with GPRS Always online
  • General memory improvements (PPM)
  • Wakeup graphics implemented
  • Arabic UI support
  • To-Do list: Changes to Panel Font
  • To-Do: Memory full was displayed incorrectly
  • Rom-font used for displaying USSD command replies
V4.00
  • WAP improvements
  • Phone powered off, if reset occurred at certain stage of startup
  • Use of long USC2 strings in SMS messages improved
  • Intergation to Versit 4
  • Accept Hearder change for SyncML MIME type
  • New Logical text caused wrong softkey handling for WTAI MakeCall
  • Use Number feature did not work in ISA3 Call Server
  • Number 100 couldn't be displayed
  • Automatic restart improved
  • If two OTA ringing tones were sent after each other, the later was not received
  • Use number didn't work in picture messages
  • Use of "Reset wallet" code improved
  • Improvements to Call Counter
  • Single selection list showed only three lines
  • Softkey functionality improved
  • GPRS connections improved
  • Allow white space within URL parameter list to WMLS functions
  • Improvement in Arabic: Stopwatch timer did not use Arabic digit
  • Not all animated GIFs were shown
  • WTLS re-send timers (got from WTP) were too long
  • Digital Signature feature improved
  • EMCL-form filling with certain WML-formatting improved
  • Sorting Slovak/Slovene characters was incorrect when English was the selected language
  • Vcard version element handling improved
  • Improvements to OTA receiving
  • Reading/viewing state and volume key combination improved
  • If phone goes to reset loop, it does not power on anymore after certain amount of resets
V4.05 30-05-02

Corrected bug in the "PAIRS II" game (described with 3.30 version)

V4.06 18-06-02

  • Improvement to SMS (In some case there were problems to switch on the phone after a picture was moved from "template" to "archive" folder)
Note: Another thing is when sending business cards from numbers stored in either phone or simcard by text msg. The text (Names) are somewhat converted when sending to another Nokia (tested with 8210 and 3310), for example, "Tanee mob." in 6510 becomes "MOB;TANEE" on 3310 and "mob;Tanee" on 8210. The latter one also when send it by IR. The numbers are always received correct, even when leading +66... is included.

V4.12 02-09-02

GPRS:

  • Timer T3186 is reset when camping to the new cell starts.
  • Improvements to SI13 refresh on ext-BCCH.
  • Improvement to camping on PCCCH: now possible to camp on cell after PSI1 and PSI2 are received. Earlier PSI1, PSI2 and PSI3 were all needed.
  • RAC_ valid invalidated after every detach (local or procedure).
  • Improvement to MS functionality: in NW, which continuously rejects the TBF establishment by sending immediate assignment reject.
  • Improvement to cell reselection in case where C2 parameters are used for cell prioritisation.
  • When MS lost coverage and returns service in a new RA and network mode of operation is I, then RAU is performed with update type combined RA/LA updating. If RA is not changed then update type is combined RA/LA updating with IMSI.
  • Total PLMN search timer value is optimised for every used band combination.
  • Pending or suspended PLMN search is started if own SI search is ongoing during TBF release.
  • Improvement to SI search in case where SI13 is received with changed BCCH_CHANGE_MARK.
  • Improvement to cell reselection in case where reselection reason is abnormal cell reselection.
  • Attempt counter for unresponded attach request, detach request and routing area update request was increased after every request. Now attempt counter is increased after 5 requests.
  • Improvements to RAU procedure in case where NMO changes from NMO2 to NMO1.
  • Improvement in own SI search clearing when target cell reading is started in TBF mode.
  • Improvement in reception of too many erroneous PSI blocks.
  • Optimisation to 900->1800 cell reselection time.
  • Direct hopping improvement: The length of the reassembled block is correctly updated to the actual output block length field, which is used in decoding of the message.
  • Improvement in PFI value handling in Packet Resource Request.
  • Pending channel configuration optimised neighbour SYNC or PSW measurement during TBF causing long cell reselection time.
  • Improvements in Early Classmark sending in PCCCH.
  • Improvements in handling the rejection cause #15 "No suitable cells in LA".
  • Improvements in timing offset threshold for early SCH measurement in a PDTCH configuration. Now neighbour synchronisation is not missed in certain situations.
  • If network transmits a message with incorrect values in non-GPRS cell options IE, then non-GPRS cell options IE is marked as not being present in the message. Implementation changed to cope with incorrect message.
  • Not able to handle Immediate Assignment if it came in two parts (two-message assignment). Now two message assignments handled correctly.
  • Improvements in handling of the MPH_NEXT_CELL_REQ message in PCCCH cell.
  • Cell reselection not allowed to perform a barred cell during ongoing DL TBF.
  • Handling of the combined RAU accept during MM state "Receive RR Activation Response" improved.
  • Neighbour measurements are resumed after non-DRX->DRX (PCCCH).
  • When SMS character coded NITZ or flexible PLMN name had 7 spare bits in the last octet, then the name length was calculated 1 character too long. Therefore in display an extra '@' character was shown when name length was 7, 15, 23, 31 or any other (8 * n - 1) length.
  • TA update procedure changed. Latest sent TAI info is reused now as long as it is valid even if we get new values for the other direction. This change avoids gaps in the earlier procedure in receiving continuous TA blocks when taking the new TAI values in use.
  • When PCCCH is accessed RSSI values are changed so that reselection is triggered. After successful reselection to another cell auto PSI1 -procedure is completed correctly.
  • With several band combinations maximum PLMN search time is correctly set when e.g. next cell request received during suspended PLMN search.
  • The cell, where SI/PSI13 is received, is supposed to support GPRS. Earlier GPRS support was marked as true only if PBCCH description is present in the SI13.
Messaging:
  • SMS stability improvement
  • Saving empty SMS to calendar improved
  • SMS headers improved
Other changes:
  • Automatic keyguard timing improvement (Setting time to 5.28 is also possible)
  • Timed profile is also possible when clock is hidden.
  • Stopwatch improvement (change in German behaviour in when deleting lap times)
  • Voice commands improvement when memory is full
  • Radio improvement: renaming saved stations improved
  • Display text and icon improvements
  • Operator list updated

Some people (with Greek PPM only) report also, that sometimes such things can happen with their phones (don't know firmware versions):

for no particular reason during a Snake game or a full Voice recording operation to reset leading to:

  1. Partially phone-book deletion (several entries are deleted or they are inaccessible with a "Selected position empty" or something-like that string which leads to reset, even if the memory usage meters works fine..)
  2. Loose of the SMS options configuration (fortunately the SMSes remain intact -in both incidents)
  3. Crash when they try to access the Voice recording facility! (no voice recording feature anymore :-(
  4. Crash after 5 minutes of Bumper game play (first the screen light goes off and then the phone resets -according to one description).
  5. Several other problems (I bet they imply general instability with crashes & resets and power-offs).
Both of the user sent their equipment (6510) to NOKIA service centers...

However they did not report firmware version but both of them indicated very clearly what they did before the disastrous reset occur.

In one incident the phone-book was almost successfully recovered via Logomanager software (IrDA connection worked fine, few numbers were unrecovered) while on the other one: 6510 refused any IrDA connection (it reset again purging its phone-book entries [360 phone numbers were lost according to the misfortune user :-( ]).

6610 | NHL-4U | *#0000#
Vp01.79 12-04-02
V3.08
V3.09
  • MMS:
    • Send key usage in MMS Editor changed
    • Default value for allow multimedia reception has been changed to 'In home network', earlier the default value was 'Yes'
  • Java & Games:
    • Changes in Bounce MIDlet, the ball is now running smoothly
    • Stability of ringing tone selection in Gallery improved
V4.18 07-12-02
  • Call and network management
    • Automatic redials can be made, when fixed dialling numbers are activated
    • New calls can be made without new limits after deactivation of Call cost limit
    • Menu functions 'Activate' and 'Cancel' are available in Call waiting application when ALS is active
    • Calling name presentation feature added
  • MMS
    • Message size has been increased from 30 kB to 45 kB
    • Menu item: save image added to MMS saved items folder to save images to Gallery
    • Images file lists are sorted same way than in Gallery
    • Received messages font size depends on the used font settings
    • Font size stays same regardless of place where the message is read
    • Reply option is possible only for received messages
    • Image file list is displayed also after changing the language
    • Name of message sender is shown also when phone memory is in use
    • Received PNG files can be attached to messages
  • SMS
    • In memory full situation SMS tone is played even when only first part of concatenated SMS is received
    • Message time stamp is always updated when the other parts of concatenated message are received
    • Header text is shown in the topics of info messages
    • Fixed dialing number support added
    • Alert tone can be selected from Gallery
  • WAP
    • Default value of session mode has been changed to permanent
    • Browsing can be continued normally without any action after receiving MMS
    • Pressing end key while downloading quits the download
    • Pages with 256 color images can be opened
    • Pages without any titles can be book marked
    • Information note is displayed, when trying to send too long bookmark as a text message
    • Wap over CSD connection stays on after MMS sending
  • Data
    • Images and applications can be transferred between phone and PC using Data cable DKU-5
  • Games
    • Bounce version is now 1.8
    • General improvements in level 6 (Ball handling, trampoline improvement)
    • A wandering spike improvement in level 8
    • Jump improvement in level 9
    • Improvement of the interaction between the ball and the screen in level 10
  • Java
    • Wrapper class can be used in MIDlets, for example to renewal of license. Now wrapper class waits for the user response (OK or cancel) and after selecting ok, charging is done and application is executed.
    • There is now 6 bookmarks for images, tones, games and applications services
    • Separate bookmarks for games and applications services implemented
  • Phonebook
    • Ringing tones from gallery can be set to different caller groups
    • Sort order of special Chinese characters has been changed in Chinese phonebook
  • SIM
    • SIM Application Toolkit
      • Layout changes in wait bar Improvement to PLMN search time and network refresh procedure
    • The menu 'Confirm SIM service actions' can be now enabled or disabled for customer variants
  • GPRS
    • Help text has been added to 'GPRS connection' menu choice item
    • When running MIDlet that is interacting with the network, first press of the end key ends GPRS connection and second press of end key quits the MIDlet
    • Note 'Always online not available' is displayed on the screen, when end user tries to select Always online option in NMO3+PCCCH/PBCCH cell
    • Improvement to GPRS attach/detach collision handling
    • Changed page mode handling in case of downlink immediate assignment where IA Rest Octects are not present
    • Improvements to GPRS detach procedure. Combined detach type is now always used when needed.
    • Improvement to Extended Paging handling in non-DRX mode
    • Improvements to Location Services
    • Improvement to handling Routing Area Update Reject cause #14
    • The name of the activated WAP service setting can be displayed in the WAP service text notification, when connection is done to WAP service
    • Item Home in the Service menu can be replaced with the 'name' of the active service setting
  • Languages
    • Translation of 'Gallery' menu in Hungarian language changed to be Galéria
    • Translation of 'Silence' in Hungarian language changed to be Némít
    • Am/pm texts were changed to Latin in Hindi language
    • Pressing '0' will give horizontal line in traditional Chinese language
    • NOKIA 11x12 bitmap Chinese font has been replaced by standard 11x12 bitmap font
    • Am/pm text are displayed in idle in Greek language, when 12 hour time format is in use
  • Screen saver is activated normally when phone is in Full Car Kit CARK126
  • White color in black and white operator logos is now transparent
  • Handling of ringing tones and vibra are improved
  • Operator list updated:
    • New operators: "MTS BY" (257/02) "WTTCKy" (310/11) "T-Mobile" (310/31) "AT&T" (310/38) "T-Mobile" (310/58) "ARDGMC" (310/64) "USA ONELINKI" (310/460) "W V W" (310/530) "DobsonUS" 310/560) "TUNISIANA" (605/03) "AFRICELL" (607/02)
    • New country/operator: "TELECOM BDA" (350/01) Bermuda "BDA" GSM1900, "MOBILITY" (350/02) Bermuda "BDA" GSM1900, "MR MATTEL" (609/01) Islamic Republic of Mauritania "MR" GSM900/1800
    • Name changed: "E VODAFONE" "vodafone ES" (214/01), "GSY-TEL" "C&W" (234/55), "PRONTO GSM" "Manx Pronto" (234/58), "INA AIRTEL" "AirTel" (404/31), "AIRTEL" "AirTel" (404/45), "AIRTEL" "AirTel" (404/49), "94 SYRIA" "SYRIATEL" (417/02), "SyriaTel" "SYRIATEL" (417/93), "Egy Vodafone" "vodafone EG" (602/02), "CELTEL RC" "CELTEL CD" (629/01), "CELTEL CD" "CELTEL RC" (630/02), "UTL_TELECAL" "UTL Telecal" (641/11)
6650 | NHM-1 | *#0000#
Vp1.202 20-09-02 PR1 P1.2
Back to the top/Na początek


  1. What is firmware ?
  2. What is DCT3, DCT4, ... ?
  3. What is NSE-1, NHM-1, ... ?
  4. What are characteristic features and bugs of DCT3, DCT4,... ?
  5. What are changes/bugs for specific phone models ?
  6. General IMEI informations
  7. How can I check firmware version ?
  8. Can I change firmware in my phone at home ?
  9. Can I change language version in my phone ?
  10. Is changing firmware expensive ?
  11. What is DSP ROM ?
  12. Information sources
Nokia 1xxx/2xxx, Nokia 31xx/32xx/33xx, Nokia 34xx/35xx/36xx, Nokia 5xxx, Nokia 60xx/61xx/62xx, Nokia 63xx/65xx, Nokia 7xxx, Nokia 8xxx, Nokia 9xxx
Phone (telefon) | Model number (Oznaczenie) | Firmware version code (kod do sprawdzania wersji oprogramowania) | TAC in IMEI (TAC w IMEI)
7110 | NSE-5 | *#0000# | 448895
V4.07 20-10-99

Internal Nokia test version
Wersja testowa Nokii

V4.51 18-06-99
V4.58 14-07-99
V4.61 23-08-99
V4.62 24-08-99
V4.67 28-09-99

First shipping version of the software.
Pierwsza wersja oprogramowania w sprzedawanych telefonach.

V4.69 05-10-99 (not in German language)

Improvements in WAP browser (with WML)

V4.70 28-10-99

  • If you setup your phone in mode "silent", and you have an alarm set up, the phone ring at preset time.
  • if you receive a call from a CLI ending with '0' (zero), the phone doesn't display the name of caller.
  • If you setup the "navy roller" to "last (AS: dialed ?) calls", some times the display remain blanks, and you have to close/open the flip.
  • No 'R' (roaming indicator) in NetMonitor
V4.72 10-11-99 (not in German language)
V4.73 15-11-99

(V4.70) BUG REMOVED: Earlier: Max. 12 messages can be stored in self created SMS-folders.

V4.75 23-11-99 or 07-01-00

V5.11 16-12-99

Internal Nokia test version
Wersja testowa Nokii

V4.76 13-01-00

(V4.73) Improvement to Manual Network selection search
(V4.73) Poprawiono wyszukiwanie sieci przy ręcznym ich wyborze

(V4.73) Improvements to CLI Graphics:
(V4.73) Poprawki następujących błędów:

  • CLI group tone can't be changed

    • Dźwięk nie może być zmieniony w grupach osób
  • Can't make call by pressing "send" key in CLI member list

    • Nie można zadzwonić przez naciśnięcie "wyślij" w menu grupy osób członkowie
  • "End" key doesn't work right in Caller Group General Note

    • Klawisz "Koniec" nie działa poprawnie w ogólnych notatkach grupy osób dzwoniących
  • Phone reset when there are two or more active downloaded ringing tones in Caller groups

    • Telefon się resetuje, gdy są dwa albo więcej wgranych przez użytkownika dzwonków w grupach osób dzwoniących
  • CLI group tones list problems

    • Problemy z listą dzwonków grupy (pozycje są przesunięte - po wybraniu jakiegoś telefon faktycznie ustawia kolejny na liście)
(V4.73) The Call Waiting functionality in the car kit is now improved concerning radio mute
(V4.73) Poprawiono funkcję połączeń oczekujących w zestawie samochodowym

(V4.73) Dialled numbers removed in Roller menu.
(V4.73) Wybierane numery zostały usunięte z Roller menu.

(V4.73) The user is now able to insert a phone number into a SMS message by searching the phonebook for the number.
(V4.73) Użytkownik może teraz wstawić numer telefonu do wiadomości SMS przez znalezienie go w książce telefonicznej.

(V4.73) Improvement of Calendar using am/pm clock
(V4.73) Poprawki w kalendarzu przy używaniu 12-godzinnego formatu czasu

(V4.73) Improvement of speed dial function when same name is assigned to speed dial twice
(V4.73) Poprawki w funkcji szybkiego dzwonienia, gdy ta sama pozycja jest przypisana do dwóch klawiszy szybkiego wyboru.

(V4.73) BUG REMOVED: Earlier:

  • "?" (Euro) and "\" are converted to space characters when storing or sending a SMS
  • when you write a SMS and select "insert number" from menu and select the number from addressbook, phone displays

    • strange characters on soft keys and go locked for some minutes/sometimes self-reset after 1-2 mins.To unlock, you should remove battery. To avoid this bugs you should select "insert number", then select the name from addressbook and then goto "options", "display details", select the "number" then "select" it.
  • If you're activting IR-receive, yo'll get a error ""remove datacable"" even it is not connected."
  • When deleting an entry from a call register list and closing the slide while the deletion is in progress (after 'ok') the phone hangs up when changing the menukey from 'Lock keys' to Menu'.
  • When deleting a space before a uppercase char with active T9-dictionary, the char will be changed to lowercase
  • Clock: hour/minute separator "." instead of ":"
  • Sometimes when sending a SMS: SMS get sent (will be received, too), phone is crashing. Remove battery, afterwards the SMS isn't in the outbox. Maybe more often when sending sms to more receivers. At power-up alleged no PIN-request.
BUG (ONLY THIS VERSION): Crash with deactivated PIN-request

BUGS:

  • keyboard is locked, when delete not answered calls or inside WAP services
  • phone is locked after first WAP session
V4.77 25-01-00

BUG FIXED: "Clear operator logo" works now (from Operator Logo Uploader).

BUG REMOVED: Earlier: Cell Broadcasts: Settings are cleared after power cycling.

BUGS:

  • there is a problem with name of caller groups, i.e. you can change or add the group name, but when you select it inside other menus, the phone doesn't display the added group.
  • if you select "vibra-call", you cant ear the ring-tones until you select a group without vibra-call.
V4.80 23-02-00

Improvement of browsing after ending an incoming call.

Wakeup Graphic is now maintained after 'Restore Factory Settings'

Changed ringing tones - Grande Valse renamed to Nokia tune

Phone alert for a future calendar note, which has been transferred during flashing, is now improved.

Improvement of birthday notes expiry when having birthday notes in the past. In previous release two birthday notes were shown if having note in the past and other note expires.

OTA ringing tones is not playing continuously after being saved.

Tone loop with OTA tones. OTA tones are now being played in full length when it is being tested in profiles.

Indication of incoming FAX call improved.

Profile dependant indications is now corrected. e.g. Beep in Meeting Profile. Earlier: If you setup your phone in mode "meeting" (with "Bip x 1") and there is incoming call from a "group different" from the default, the phone ring with the melody selected for that group.

Ringing Tone Check in Profile setting is now also only played twice as an example when the phone is 'charging' or another message is displayed.

BUG REMOVED: Earlier:

  • In the profile "Conference" calls , that numbers are in a callergroup, are ringing not "short", but normal. Looks like the previous used profile's settings are used again.
  • In profile "Quiet": phone is ringing at calendar-appointments. Should be quiet, too. "Conference" is ok (short tone)
  • In firmware 4.76 and 4.77 (4.73 and earlier were OK) phone crashed when received more (3) Vcards or calendar-appointments over IR
  • (V4.70) After removing the battery, the currency and unit-settings are lost often.
BUGS:
  • if you reach pos 129 in PHONE MEMORY, the phone doesn't recognize numbers and name and groups. if you activate the SIM, all is OK.
  • THIS bug is related to 4.80, not to 4.70:
    • assign name X to a mem pos. Y and a phone number N
    • change the phone number of X to M
    • try to call X with speed dial Y
    • the phone call the number N
V4.84 07-04-00

Improvement to Advice of Charge. Charging on prepaid SIM cards is now improved

Improvements to Manual Network Selection

Improvement to Operator Logo in display. The operator logo is now shown when the service provider is read from SIM

Call waiting tone can now be heard in silent mode

Longer vibrating time. When phone is in "Beep once" mode and vibra is on, the phone will now vibrate 250 times before stopping

Animation in Services menu too fast. Changed timing from 125 to 160 milliseconds

Improvement to warranty transfer of WAP settings

Car Radio Mute is now activated when continuing a handheld call in the cradle (car kit)

(NEWER TOO ?) BUG: Send a calendar note from Nokia 6110 via a SMS to your 7110. The calendar in 7110 will stop showing calendar notes...

Test for size of SMS memory (from http://www.vosper.prv.pl):
SMS messages - 47 in different folders
Templates - 10
Delivery reports - 36
Additional folders - 2
After 39 SMS phone deactivated function Move !
Full size of memory is 93 (including 10 templates)
-------
Second test for SMS only: 84 SMS + 10 templates

BUG REMOVED. Earlier:

  • Vibration is running in the rhythm of the music, at very quiet or short ringtones it is vibrating extrem short or not at all
  • (V4.70) After disconnecting battery (without power-off) the volume is often set to standard.
V4.85

Info from http://www.linux.org.uk/diary/: Seems firmware 4.7x randomly dies on some AT commands. With 4.85 wait for 'OK' then delay 1/10th second before sending a command. If you imediately respond to OK with a reply the phone misses it.

V4.88 19-06-00 or 16-06-00 or 02-06-00

(V4.84) User setting transfer improved (Permanent Memory Management update). All data saved apart from wake-up graphics

(V4.84) Test for size of SMS memory (from http://www.vosper.prv.pl):
SMS messages - 62 in different folders
Templates - 10
Delivery reports - 18
Additional folders - 2
After 49 SMS phone deactivated function Move !
Full size of memory is 90 (including 10 templates)
-------
(V4.84) Second test for SMS only: 80 SMS + 10 templates

BUG REMOVED: Earlier

  • The phone freezes sometimes, when assigning rintones to callergroups. Maybe depending somehow on the settings of callergroups and groupgraphics. Sometimes continue after 1-2 mins. Maybe better results when using the power-key than with Menu 3.
  • "Opposite: the levels are in wrong order (1-3-4-2; 2 is the most complicated one)"

(V4.80) BUG REMOVED: Earlier:

  • Names of loaded ringtones were shown as rectangles sometimes, i.e. after a firmwareupgrade, when ringtones were deleted, but the callergroups still pointed to them.
  • ""Confirmations of SIM service actions"" is not working sometimes, although enabled - phone is sending SMS without asking.
  • Reminder-alert rings loud even while doing a call.
(V?.??) BUG REMOVED. Earlier: "No connections possible after a Wap-Call (for approx. 15 min), although receiving-level is up. Alleged the phone is still sending then (noticeable on the noise in a radio). If you have a failed login attempt ('no response' or 'page cannot be displayed') only ?

Changed text while sending SMS
from
letter bar (shorter)
Sending
message
to
letter bar (longer)
Sending message

BUGS:

  • it seems the a received call from a CELLULAR number ending with '0' (zero), is not recognized from the phone, but if you received a call from a NON CELLULAR number all is OK. Appears as if incoming call as CLI of 11 digits, they arent't recognized.
  • if you are playing a game, and there is an incoming call, the phone reset itself.
  • Rarely, when arrive an incaming call, the phone reject the call and lock up the keyboard, if it wasn't already locked.
V4.94 02-10-00 or 27-09-00 or 28-09-2000

Carkit Audio optimisation

Text files in language packages updated (localised group names, ...)

IRDA data transmission improved

Correction to Viag Homezone

Operator list updated

Update of WAP browser:

  • Handling of "No cache" and "Redirect" commands
  • Handling of WAP session after an incoming call
  • Handling of <onenterforward> command
  • Handling of long URLs
  • Handling of HTTP post size limitation
  • Handling of deep navigating
Now max. 838 chars (earlier only 160) can be written into inputfields...

Update of SIM handling SW, including SIM ATK corrections

BUG: In WTLS mode sends an additional byte in the Client-KeyExchange packet. Some WAP gateways seem to have a workaround for this bug (E-Plus works, Debitel not). Netlife WAP-Server has a workaround too...

Can render tables in WAP now.

Jeden z użytkowników na polskich grupach dyskusyjnych porównał ją ze starszymi wersjami tak:
One of 7110 compared it to the earlier firmware:

  • WAP browser organised like in N6210

    • Właściwie przeglądarka WAP zorganizowana jest podobnie, a właściwie chyba tak samo jak przegladarka WAP w N6210.
  • added <CENTER> support

    • Dodano obsługę tagu <CENTER>
  • Added function "Go to the address" in menu

    • Dodano możliwość wpisania adresu strony bezpośrednio z menu (wcześniej trzeba było najpierw założyć zakładkę) - opcja "Idź do adresu"
  • You can NOT LOAD images - new Menu 10-3-2 (previous 10-3-2 moved to 10-3-3) Appereance settings with Show Images Yes/No

    • Dodano możliwość NIEWCZYTYWANIA grafiki - opcja w nowym Menu 10-3-2
  • Image can be link

    • Dodano obsługę grafiki jako linka
  • When phone read pages, you don't see "snake" and "Connecting with...", but globe

    • Podczas wczytywania stron nie pojawia się "wężyk" i napis "łączy się z usługami" tylko w prawym górnym narożniku globusik
  • WAP connections are MORE STABLE

    • generalnie DUŻO STABILNIEJSZE połączenia WAP niż dotychczas
  • Can send and receive bookmarks in WAP settings

    • możliwość wysyłania i odbierania zakładek w ustawieniach WAP
Test for size of SMS memory (from http://www.vosper.prv.pl):
SMS messages - 128 in different folders
Templates - 10
Delivery reports - 52
Additional folders - 3
Phone didn't deactivate function Move !
Full size of memory is 190 (including 10 templates)
-------
Second test for SMS only: 142 SMS (or more - test wasn't end) + 10 templates

(V 4.88) BUG REPAIRED: In older versions more numbers for one name broke call with Green button:

  1. Add more numbers to one name (standard number other than type 'general').
  2. Change "Type of view" to "Name and number".
  3. Press Green button (Call) or the NaviRoller long with this number.
  4. Phone "starts" to call, but instead of printing the number, it prints only name and after few seconds it returns to name.
  5. Go to "last calls" (or "Redial" and "Options - Edit Number").

    6. The called name has number starting with "/".
Solution for it was: use the NaviRoller 2 times to get through the menu

BUG REMOVED: Earlier:

  • When made these steps: Receiving Vcard - show - break off by closing slide -> the Vcard-name appeared in some menus, until power cycling (i.e. in a SMS-folder, while the display is building up a SMS, in the top line, instead of the SMS-title)
  • When a number, which was assiged to a speeddial, was deleted, the speeddial remained and pointed to nothing. When called such a speeddial the phone crashed sometimes (after the Error message "Number missing").
  • When deleting a phonebook-entry with a assigned speeddial (but let the name itself stored), pressing the NaviRoller (set to speeddial), and closing the slide while the "Number missing" Message is displayed, the display gets empty when the slide is closed and the Text has changed from "Lock. Keys" to "Menu". When someone calls, the display gets on again. Ok after powercycling.
  • Assigning ringtones to callergroups after a firmwareupgrade: sometimes some of the ringtones are deleted, but the callergroups and profiles still pointing to them -> Phone crashes when trying to assign the tones.

    • Solution for it was: assign all profiles and callergroups to a standard-tone, power cycle the phone, load the individual 5 tones new, and assign profiles and groups new.
  • If you renamed group, the old (preset) name was still shown in menus (i.e. "Alert for").
  • "?" (Euro) and "\" in the SMS listview are shown as rectangles.
  • When entering CAPTIALS with active T9-dictionary, and a word with the german Umlaut ""ß"" is found, this letter is leaved noncaps.
  • After Wap access sometimes the display gets empty when the slide is open, normal display only for a short time when it is closed. Ok after powercycling. (i.e. when opening the 'suchmaschine' link at <http://mopilot.com/wml/index.wml>)
  • Data-calls using IR breaks down after some Minutes (""IR connection lost""). Alleged only when sending data, receiving works. Alleged ok, when using a ir-speed of 9600 baud.
  • When security-level set to "Phone": you can't get the Memory Status (phone answers with "protected memory"). When set to "Memory", it is possible. Should be vice versa.
  • The call divertion icon is cleared after powercycling, or no service condition. Appears again after status-check.
  • Autoanswer with the headset does not work if the keyboard is locked (altough activated in the profile): in Menu 3-6-1-8, if you select YES, phone DISABLE automatic answer, if you select NO, phone ENABLE automatic answer.
  • (was OK in V4.73 and earlier, not OK in 4.88) Closed user group: after entering the groupnumber, the left OK-button doesn't work, only the NaviRoller.
  • (V4.80) german text wrong: "auf Netzant- wort <new line> warten" (english: "Requesting")
  • if you disable the ringer and receive a SMS, the phone doesn't beep.
  • problems related to customs caller gruoup appears solved
  • "warning on incoming" call work ok also with "grouped" names.
NaviRoller for Redialing (Menu 4-3-5) official not possible anymore since FW v4.73 not possible again...

Keyboard can only be locked after closing the slide with the Softkey only, not anymore with the NaviRoller (like earlier).

BUG (ONLY THIS VERSION):

  • Changing a Speeddial-Entry with 'search' does not work (''selected memory empty'). Deleting and assigning new works.
  • "WAP: Bug in relative URL's with leading ""/"": ""http://www.abc.com/"" and the Link to ""/sub.wml"" targets to ""http://www.abc.co/sub.wml"""
  • Snake2: after playing, the cup is shown without the reached points.
  • Sending business cards: Option related to "full details" and "predefined number" are inverted. (V04.88 doesn't have this bug)
BUG (IN THIS AND NEWER VERSIONS):
  • When receiving a SMS with locked keypad, unlock it, and immediately press the left softkey, the phone shows the menu instead of the SMS. ('Menu' instead of 'Show')
  • all (Infrared-) "Print" menu's are missing
  • If the keyboard is locked with "Menu *", it is not unlocked when opening the slide.
  • SMS with more numbers - Options/Use number - Number is shown - Options/Add to name: Namelist is empty and softkeys are not working
  • French language: reply text ""Sans/Avec"" in Jeux/Param?tres/Audio mixed up (i.e. when selecting ""Sans"" the phone replys ""Avec Audio"") (Games/Settings/Sounds On/Off)
  • Games: start-animation is not smooth
V5.00 09-11-00

Improvements to Data/Fax call functionality

Extended URL length

Improved cache control (max age=0 functionality improved)

Weak encryption (40 bit) now displayed correctly

DTMF tones usable during emergency call

Vibra settings adjusted (it doesn't enable/disable, when want)

Improvements to the phonebook search function (use Search function and press some key (phone will jump do the first entry starting with this char), now use Delete function - cursor doesn't return to names starting on A)

'PIN code request change to PUK code request after emergency call' corrected

Games (two players): Text for winners/losers added

Different alghoritms for games ? On the page http://www.vosper.prv.pl you can find, how to win in Opposite in 4'th level in firmware 4.77, 4.84 and 4.94. Author writes, that in 5.00 it doesn't work.

(V4.88) Games: in Games menu have new setting, which can enable/disable sounds (earlier you had to change it in settings of profiles)

(V4.88): in WAP can enable wrapping long texts - new Text wrapping On/Off option in Menu 10-3-2

(V4.88). BUG: when download correctly group logo to phone, right half of first line to the bottom of the screen is clean....

(V4.88) if you receive SMS you CAN'T type twice left function key to get message, you HAVE to wait second between keystrokes.

Test for size of SMS memory (from http://www.vosper.prv.pl):
SMS messages - 112 in different folders
Templates - 10
Delivery reports - 68
Additional folders - 2
Phone deactivated function Move after 171 SMS !
Full size of memory is 190 (including 10 templates)

(V4.88) Different menu: earlier in "Phonebook->Options" there was "Print" function

BUG REMOVED: Earlier:

  • Vcard sent from 7110 to 61x0 with SMS is received as normal SMS instead of a Vcard (mostly "not showable") Combinations 61x0 to 7110, 61x0 to 61x0 and 7110 to 7110 worked OK in earlier versions.
  • When searching the phonebook, the displayed list should jump to the given letters, but should not be filtered with them.(like on 2110 or 61x0). After pressing 'options' and 'back', or waiting 30 seconds, the phone switches into this mode. In this version the phone holds the position after clearing the entry.
  • While playing games (ringtone and message alerts are beep once, light is enabled), the lights turn off after few seconds when an SMS is received. In this version game is interrupted...
  • (V4.88) If someone called you with CLIP active and you had no time to answer, this call will be under Missed Calls, displayed with (no number). If you try to erase it, over 50% chance will be that on display will be something like (sequence of squares) and if you press Ok phone hangs. Only battery removing helps.
  • (V4.88) in Norwegian language only: phonebook search with more than 1 char will give a "No match" error-reply
BUGS (which still exists):
  1. It is not possible to add a pbx extention to a stored number.Only possibility: call - hang up immediately - redial - options - edit number - correct - dial
  2. When editing names, after "Done" you're in the standby-mode, instead of been put into the names-list. Very annoying when editing much names, one after the other.
  3. Vcard sent from 7110 to 61x0 with IR: german Umlauts incorrect (i.e. ä -> =E4). Works with 61x0 to 7110, 61x0 to 61x0 and 7110 to 7110
  4. Received Vcards are stored in the internal Phonememory, even when "SIM-Card" is selected.
  5. When keying in a character into a textbox (phonebook, WAP) using the num-keys, and you want to key in the same character again, you'll have to wait until the Cursor jumps to the next position, even when this 2nd input is done using the naviroller. This must-wait is not necessary.
  6. SMS-alert "Ascending" does not ascend, it is loud from the beginning, just longer then standard.
  7. Profile name is overwritten by the cell info (displayed in the same line, although the display is big enough). On the 6150, 2 lines were used (as long as the opeartor logo wasn't enabled).
  8. Roller functions set to speeddial - select a name (Number is displayed) - dial with pressing the NaviRoller twice shortly doesn't work (only with green Key, or pressing the NaviRoller long).
  9. Call waiting message is shown on the display, but the phone doesn't beep, if number is assigned to caller group with caller logo. If caller group logo is turned off, it works correctly.
  10. (V4.94 and NEWER) Long names are clipped after the last visible blank space since 4.94, if they are too long to display (i.e. in the quick-dial list). Formerly the Names were simply clipped on the end of line. It's more 'pretty' now, but longer names with same begin can't be told apart any more. Best thing would be a automatic adjustion of the fontsize to the textlenght.
  11. When the Phonebook is set to be viewed by "Name and Number", it's still shown "Name only" when sending a SMS.
  12. Press NaviRoller (set to "quick menu") 1x (Messages), press "Write", key in something, press "Options" and "Send options" --> not working, you're in writing mode again and only writing, deleting and red key are still working
  13. SMS: blank characters on the begin of a new line are not visible (i.e. ASCII-Art SMS)
  14. "SMS folders: lists are not sorted They are listed in the order, when the SMS have been moved into the folder. But when some SMS have been deleted, the 'gaps' are filled first."
  15. "Moving and deleting of SMS templates doesn't work.When moving, a copy is made. (""Delete"" should not be displayed, and instead of ""move"" ""copy "")"
  16. Cell Broadcasts: Settings are replacing the SIM-card
  17. When the SMS-memory is full, and you try to store another SMS, you'll get the errormessage "Sent, no space to copy" (although nothing was sent).
  18. When Alarm is on, the phone does a short slight beep at midnight, if it is switched off. After that, it can't powered on for about 20 seconds.
  19. sending groupgraphics via IR should be possible according to the manual, but the menu is missing (via SMS it's ok). Receiving via IR is also not possible - only via SMS. With 61x0 sending and receiving via IR works.
  20. WAP: In hidden password-inputfields (with *s, like yahoo's email page) digits can only be keyed in by pressing the respective key several times, and not (like anywhere else) by holding the key for a second.
  21. security-level set to "Memory": when viewing the internal phonememory, the securitycode should be requested.
  22. "After sending DTMF-tones, you cant set the volume. (You'll have to clear the digits first, otherwise it acts as Cursormovement, what is not useful in DTMF)"
  23. After power on, when turning the NaviRoller the first time, or opening the slide (without pressing any other key before, so disable PIN), the phone beeps shortly. Later, it never beeps when doing this.
  24. (V4.88) When turning the NaviRoller while displaying a helpscreen, the lights are flickering.
  25. NaviRoller as "Quick Menu", on "Home" and "Bookmarks" the right Softkey changes from "Exit" to "Back" (like in online-mode), but is without a function then.
  26. When replying to a SMS, and an other message profile than the standard one is selected, the phone numer is not proposed anymore.
  27. "Reminders" in te calendar have no alert, even not a time. Was ok on the 61x0.
  28. Calendar-birthdays sent from 61x0 to 7110 with IR: year is not imported to the 7110.

    29. Works with 8210 to 7110, 7110 to 7110, 61x0 to 61x0, and 7110 to 61x0.
  29. leap year bug: birthday i.e. on 3.3.2000, remind-date before 28.2. I.e. 15.2. Store and edit again -> remind-date has changed to 14.2., and with every edit one additional day.
  30. In Italian T9: "I'm" is always "I-am"
V5.01 08-12-00
V5.01 09-01-01 (ROM6?)
  • Optimal Operator name length changed from 10 to 11 characters
  • Enabling of inserting space in subject when writing e-mail via WAP in Australia
  • Improved dual SIM handling
  • New UI Text release
  • Operator list updated
BUGS V04.88 - V05.01
Problems with addressbook,
After (and only after) using software linke 7110explorer or similar, ther are problems with name and numbers. numbers are displayed instead of names upon incoming calls. Phone restart to work correctly after a total reset from wintesla or o NkProfile

BUG: Test 45 in NetMonitor doesn't work correctly.
BŁĄD: Test 45 w monitorze sieci nie działa poprawnie.

There are/were also some other bugs. I can't tell, if they're corrected or not. If have experiences with it, please report it to me:

WAP: if you have call waiting enabled, use WAP and somebody will call to you, he will heard busy signal

Alarm Clock: If the alarm goes when the phone is switched off, and the "Snooze" button is pressed, the phone will not turn back on until the alarm resounds, or the phone is rebooted.

Phone Book:

  1. When someone calls only the number is displayed. This doesn't happen to every name. It also doesn't matter if there are multiple or single entries under the name or in which caller group it is. The number's aren't in the memory twice.
  2. If you use the roller for speed dialing, sometimes when you scroll to a number other than the first one and press the green call key, the phone automatically phones the number at position one.
  3. When using the phonebook with the SIM card, sometimes when trying to select a number to dial, the screen goes blank and the phone shuts down. The battery needs to remove to get it to work again.
  4. How to delete more names from phonebook (the same to roller => select name => Options => Delete => confirm):
    1. Names => Delete => One by one
    2. First entry of phonebook is shown
    3. Select name to delete by roller
    4. Press Delete & confirm
    5. Goes to 2. (first entry again!!!) instead of printing next name
Back Light: The back light has been known to refuse to turn off, until the battery is removes.

Answer Phone: If you get an answer phone message on line two, the phone does not select the correct line as it pretends to, you have to select the correct line before attempting to listen to your message.

SMS:

  1. If you write an SMS and then choose options, insert number you can happily insert a number that you type, but if you select 'search' to allow you to insert a number from the address book the address book is displayed but with corrupt menu options and no screen border, the phone crashes and requires a reboot. Occasionally it will either a) reboot itself or b) (if the Network Monitor is active) perform a memory dump to the screen. The phone works fine with the insert name option.
  2. E-mail longer than 21 chars in cutted off (checked for 4.77, 4.80, 4.84)
    1. Add e-mail longer than 21 chars to some name.
    2. Go to: Roller => select the name => Options => Send e-mail.
    3. Only first 21 chars is pasted into SMS.
    4. Go to: Roller => select the name => Roller => select e-mail entry => Roller => Send e-mail.
    5. E-mail is pasted correctly.
  3. It's not possible to store logo, graphics or ringtone into SMS inbox, you can only send it as SMS (function "Store-to-sms-inbox" is some programs doesn't work). Checked for 4.73, 4.76, 4.77
  4. When SMS beep (any mode - normal, ascending etc.) is enabled in Silent profile, phone doesn't make any sound when the message is received. Checked for 4.84
IRDA:
  • After ending of data tranfer over IrDA, it's not possible to send SMS over IrDA, you have to switch off & on the phone (Palm V on other side). Checked for 4.73
  • When you send reminder to Nokia 6110 via IrDa, date of it 1.01.2050...
Call Standby: When you are on the phone, and someone else tries to phone you the phone beeps (Warning tones have to be on) there are three ways to deal with this either send the incoming caller to your answer phone, hang-up on the current call and take the new on or conference call both together. However it has been known that when the current caller hangs up, you lose both calls, or at least your can not activate the waiting call. and if one person hangs up in conference calling, they all go!

Roller: Assign function "short menu" to roller, press roller, go to "menu". There is no menu 11 (SIM toolkit, Paegas Info etc.). Checked for 4.73, 4.77, 4.80, 4.84

Vibrating call alert:

  1. If your battery is low, then there isn't enough power to use the Vibrate mode so the phone switches it of automatically to save energy. Very Clever.
  2. Vibrate ringing sometimes turn on or off even it's disabled/enabled in profile. Checked for 4.70, 4.80, 4.84. Solution: enable vibra again, or powercycle the phone.
  3. No vibrating, although enabled, and even power-cycling doesn't help. Solution: select an other ringtone in the profiles.
  4. if you cusomize the "silent mode", when you select it the vibra-call is deactivated. if the phone is turned off and then on the vibra-call is activated. Checked for 4.84
Games:
  • The back light turns off during a games of opposite or racket, even if the option is set for the lights to be on (solution: open slider, then play a game; not play a game, when open the slider)
  • Either the light doesn't turn on at all, or the light switches of in the middle of the game.
Groups: If you assigned downloaded ringtone for caller group and deleted if (ringtone) from phone, it stops ring and vibrate. Can't change ringtone from phone's menu then (must use Logo Manager or different software). Checked for 4.94

Language specific:

  1. When Czech is selected, y' is not in the "standard chars" list. It's in "special chars". So you can't type it with pressing 9 & rolling to y'. It's correct when Slovak language is selected. Checked for 4.70, 4.80, 4.84
  2. When Czech is selected, it's not possible to look up name starting with "Ch" in phone book by typing "ch" in list... Checked for 4.80, 4.84
  3. Order of chars on key 3 in Composer is "d, d~, e, e', f, 3" and depends on Language settings. Fixed for Czech from 4.76 (correct d, e, f, d~, e', 3), but Slovak is still broken... Checked for 4.70, 4.73, 4.76, 4.77, 4.80, 4.84
Ringtones:
  • Change of ringtone for group Family returns from menu and it's not possible to open this group till next power-on. Checked for 4.77, 4.80, 4.84. Use Logomanager to alter the ringtone. this fixes the bug. After using Logomanager you can then manually change it via the phone.
  • If you assign downloaded ringtone to group, you have active call waiting function and somebody from this group will call to you, you don't have info about it. Must assign one original ringtones and then is OK. Checked for 4.84
DLR-3 support and AT (all versions ?):
  • you have to wait minimum 400 millisecs after DTR drop before you send an AT command to the phone or it will hang.
  • earlier firmware versions were unable to return SMS from the phone memory but returned the SIM ones.
7160 | NSW-5 | *#9999#
V1.05 22-11-00
V1.07 22-03-01
7190 | NSB-5 | *#0000#
V3.30 06-11-00
7210 | NHL-4 | *#0000#
Vp01.65 08-03-02
V3.08
Probably this version was withdrawn:
------------------------------------
T-Mobile UK has withdrawn the Nokia 7210 from sale due to continued instability of the handset.

Technical reasons for withdrawal of the Nokia 7210 are as follows:

  • Radio interface freeze where the handset appears to be functioning normally but cannot receive or make calls (particularly noticeable when GPRS is activated)
  • Intermittent software crashes
  • High level of picture message delivery failures
Customers experiencing the above issues may return their units back to the point of purchase, where they should be managed under the standard returns procedure.

T-Mobile will review a re-launch of this product in January (2003) subject to the satisfactory solution of the technical issues.
------------------------------------
All info about new firmwares is available in info for the 6610 (NHL-4U)

7650 | NHL-2 | *#0000# | 350774
V2.03b 05-03-02
V3.06 07-06-02
V3.12 18-06-02
V3.16 15-08-02
  • MMS default access point is automatically activated
  • "no_save" -tag handling support included to WAP browser
  • IMEI-SV identification is incremented from 00 (SW 03.12) to 01 (SW 03.16)
  • Fixes certain issue in the SW. which might have caused the phone to jam totally, if the end user constantly keeps on adding new documents (pictures, ringing tones etc.) to his/her phone despite the device has already given several warnings about user memory being low and that the user should release memory.
NOTE: The user area will be 128 kB smaller in 3.16 SW compared to 3.12 SW

V4.36 11-10-02
V4.37 24.10.02

V4.39

  • (V3.16) MMS
    • Receiving and sending multiple MMS messages simultaneously - outgoing MMS handling in outbox improved.
    • When MMS message is sent to email, attachments are shown in remote email client (dependant on email server)
    • MMS client sends name suggestions for files in MMS, files appear now with .txt, .jpg, .smil, .amr instead of .dat (final appearance depends on used MMSC).
    • Simultaneous usage with WAP improved, if MMS connection has been opened first.
  • (V3.16) SMS: Phone can now handle SIM cards with abt. 100 SMS memory places.
  • (V3.16) E-Mail
    • Authenticated SMTP connection is supported.
    • Support for older SMTP handshaking improved.
  • (V3.16) SIM/SIM ATK
    • Improved functionality when using SIM ATK with Schlumberger SIM cards.
    • Phone checks the captioned characters in Get Input-field before sending (e.g. "p", "w", "?").
  • (V3.16) GPRS
    • Improved returning to service if MS had lost service during active GPRS connection.
    • Improved PDP context deactivation.
    • When GPRS "when available" is activated and afterwards cell info is activated, message changed to "Cell info may not always be shown while GPRS connection is active".
  • (V3.16) WAP
    • Improved WapGW response handling in case abort received from network.
    • Used language is sent in WAP headers.
    • Interoperability with CMG WapGW improved.
  • (V3.16) Bluetooth
    • Bluetooth server functionality improved when sending file during phone call.
    • Obex disconnection handling improved when using credit base flow control.
  • (V3.16) Java
    • HTTP POST handling improved for Midlets.
    • UTF-8 character encoding support in MIDP added.
    • Java download handling improved when install notification is included in jad-file
  • (V3.16) ALS
    • ALS support improved
    • Call barring requests can be independently set up on line 1 or 2.
  • (V3.16) CPHS
    • CPHS Network Name Display support added.
    • CSP removes Call Waiting setting item when needed.
  • (V3.16) Home Zone support implementation updated.
  • (V3.16) SIS installation includes now a version check. If Series60 installables with version information has not been updated, a warning note is displayed when installing SIS (full details from Forum Nokia).
  • (V3.16) Image upload handling to Club Nokia improved.
  • (V3.16) Current consumption optimisation (Light after Key-lock 15 s => 5 s, Ambient Light Sensor default setting to "Minimum").
  • (V3.16) IMEI-SV identification value sent to network has been changed to 08 (with SW 03.16 it was 01).
  • (V3.16) Language issues:
    • Russian: All T9 letters are appeared under correct buttons.
    • Hungarian: Key mappings changed (key "4").
    • Hungarian: Contacts, Find option recognises Hungarian 'double characters'.
    • Czech: Phonebook, sorting order of Czech double character "ch" in the Phonebook Names list changed.
    • Czech: Supplementary services: Missing word in call barring, General Settings: translations in call barring changed.
    • Greek: language mapping changed in T9 dictionary.
    • Greek: Alphabetical ordering changed.
Back to the top/Na początek


  1. What is firmware ?
  2. What is DCT3, DCT4, ... ?
  3. What is NSE-1, NHM-1, ... ?
  4. What are characteristic features and bugs of DCT3, DCT4,... ?
  5. What are changes/bugs for specific phone models ?
  6. General IMEI informations
  7. How can I check firmware version ?
  8. Can I change firmware in my phone at home ?
  9. Can I change language version in my phone ?
  10. Is changing firmware expensive ?
  11. What is DSP ROM ?
  12. Information sources
Nokia 1xxx/2xxx, Nokia 31xx/32xx/33xx, Nokia 34xx/35xx/36xx, Nokia 5xxx, Nokia 60xx/61xx/62xx, Nokia 63xx/65xx, Nokia 7xxx, Nokia 8xxx, Nokia 9xxx
Phone (telefon) | Model number (Oznaczenie) | Firmware version code (kod do sprawdzania wersji oprogramowania) | TAC in IMEI (TAC w IMEI)
8110 | NHE-6, NHE-6BX | *#8110# | 490137
V4.24 13-08-96
V4.25 09-09-96
V4.36 23-10-96
V5.31 06-01-96
V5.62 05-05-97
V6.01 27-02-98
V6.21 16-10-98

V5.26 04-08-97

8110i | NHE-6, NHE-6BM | *#8110# | 490502
V24.03 16-07-97
  • First known version.
  • This version had some problems showing the service provider in the display. Instead it showed some empty space. ???
V24.04 08-08-97
  • An updated GSM operators' list.
  • Problem with missing service provider name in display solved.
V24.11 09-09-97
  • An updated GSM operators' list.
V24.23 21-10-97
  • An updated GSM operators' list.
V25.00 12-02-98
  • An updated GSM operators' list.
  • Ringtone 10 was changed..
V25.10 03-06-98
  • An updated GSM operators' list.
V25.20 16-10-98
8146 | NHK-6 | *#170602112302#
V4.02 06-02-97
V5.00 13-03-98
8148 | NHK-6 | *#8110#
V4.02 06-02-97
V5.00 13-03-98
8148i | NHK-6V | *#8110#
V3.10 09-12-97
8210 | NSM-3 | *#0000# | 449306
V5.08 16-11-99 or 17-11-99
V5.11 09-12-99
V5.16 15-02-00
  • Improvements in network drop cases
  • Ringing tone 'Grande Valse' renamed to 'Nokia tone'
  • Info numbers configuration updated so that the length of the number is now 20 (like the name length)
  • Voice dialler can be activated now only by longpressing of right softkey
  • Headset button can be detected in Headset profile also if ringing tone "silent" is chosen
  • 'Vibra Alert' menu removed from CAR-profile
  • Improvement to 9110 Ringing tone sending. It is possible to handle a tone even if the GEOS header is sent
  • Improvement to CPHS functions
  • Operator list updated
BUG: When you edit a large SMS, and you move the cursor for about 60-70 characters, when you stop moving the cursor, and try to write in that place, wrote appears 3 spaces in front of the cursor (as if cursor was there, but it's not - it's 3 characters behind!). Info from jsp_m

V5.20 17-04-00

  • Improvement to phi_si component so that emergency call can be done more than once, if there is no SIM card
  • Improvement to copying long numbers from phone's memory to SIM memory (earlier a wrong note was shown)
  • Earlier when accessory (Data Suite) was connected during OTA ringing tone demo "Accessory connected" -text replaced the name of the ringing tone on the display. This has been corrected now.
  • When automatic redial was attempting the second redial the memory entry name was replaced by "Call 1". Now the memory entry name is shown.
  • Operator list updated
BUGS AVAILABLE:
  1. if someone call from a number that end with "88", you can't see the name of caller even if there is a name in memory. Another user claims same problem but with number ending with "98".
  2. if you activate "silent mode", from power-on key, than receiving a call, than come back to "Normal mode", the "ringer" will be to level 1 instead of default of 4 or 5
  3. Recharge time to much long (5 hours, manual says 2.30 hours) this not a bug, really (you can see with netmonitor), during first 2.30 hours there is the main recharge of battery (BLB2 Li-Ion 650 mA), and last 2.30 hours is a maintenance charge. (this if powered-off phone).

    4. If you recharge with power-on phone, needed time will be 2.30 hours, (charge indicators stop flashing)
    If you recharge with power-off phone, needed time will be 5.00 hours, (charge indicators stop flashing)
  4. voice tags: somethings, even if voice tags are on phone-memory, (instead of SIM-memory), when you change SIM card, you miss all voice tags (deleted).
  5. T9: if you should use a different language for menus and T9, every time you change the SIM the T9 language are re-setted to menus language.
V5.21 03-05-00 or 25-04-00
  • Support for Intel ComboMemory
  • Fixed "buzzing" sound heard sometimes while establishing a call

BUG AVAILABLE: If you activate "silent mode", from power-on key, than receiving a call, than come back to "Normal mode", the "ringer" will be to level 1 instead of default of 4 or 5)

V5.25 20-09-00

  • Tone "Orient" replaced with "Moon & Clouds"
  • Improved copying long phonebook entries from SIM to phone (increased speed)
  • Default ringing tone after menu reset was changed into "Ring ring" in every PPM package
  • No more than 5 ringing tones (and other OTA things) can be received in a row without saving or discarding them
  • Left softkey now activates IR link during incoming datacall
  • Improvement to printing from 7110 to 8210/8850
  • Datacalls possible after using PC Suite without rebooting the PC
  • Operator list updated
Info from users: in PL language "Mikrofon wyłączon" and "Odgłusz"

V5.26 19-10-00

  • Corrections to cases where the ringing tone/keypad tone stayed at lowest level
  • COLP Note display increased 1.5 s to 30 s (help screens of menus apear twice faster than before)
  • Improvements to emergency calls
  • Operator list updated

V5.27 16-02-01

  • Support for DSP code for ROM6 added
  • Earlier, when using PPH-1 in certain circumstances, a tapping sound could be heard via loudspeaker
  • Operator name length changed from 10 to 12 characters
  • New text release in use (there was key-9 spelling mistake in Russian language)
  • Earlier in certain circumstances SMS editor was left in a wrong (Unicode) mode
  • Operator list updated
    • Operator name changed
      • Old name   New name     MNC/MCC
      • Vodafone   Vodafone HU  216/70
      • GSM-MS1    GSM MS1      218/05
      • FEast      Far East     250/12
      • ERA GSM    PL ERA GSM   260/02
      • DIGIFONE   IRL Digifone 272/02
      • Mobilkom   FL1          295/05
      • MODICOM    INA SPICE    404/14
      • MobileNet  INA SPICE    404/31
      • EAE        KSA EAE      420/07
      • C&W HKT    HK TELECOM   454/00
      • UNICOM     CHN-CUGSM    460/01
      • GTGSM      GH ONEtouch  620/02
      • Celtel     CELTEL GA    628/03
      • Celtel     CELTEL CD    630/02
      • ANTARIS    BUSAFA       642/02
    • New operator added
      • Operator name MNC/MCC
      • ProMonte      220/02
      • YUG 03        220/03
      • MONET         220/04
      • FI AMT        244/14
      • RUS DTC       250/10
      • Primtel       250/92
      • TXXI          250/93
      • MD MOLDCELL   259/02
      • Viking        274/04
      • go mobile     278/21
      • GEO 03        282/03
      • TELE GRL      290/01
      • telecom FL    295/01
      • Montel        295/02
      • LI TANGO      295/77
      • JM DIGICEL    338/50
      • MPTGSM        414/01
      • JO MobCom     416/77
      • MN MobiCom    428/99
      • IR-TCI        432/11
      • IR KISH       432/14
      • BUZTEL        434/01
      • ISAT M3       510/21
      • MALITEL ML    610/01
      • CI CORA       612/01
      • BF CELTEL     613/02
      • BJ BENINCELL  616/03
      • TD CELTEL     622/01
      • TD LIBERTIS   622/02
      • CELTEL RC     629/01
      • CELTEL CD     630/02
      • CD OASIS      630/89
      • Safaricom     639/02
      • UTL_TELECEL   641/11
      • ZM ZAMCELL    645/01
      • MG Madacom    646/01
      • MG ANTARIS    646/02
      • MTC NAMIBIA   649/01
      • BW VISTA      652/02
    • Country name changed
      • Old name   New name   MCC
      • H          HU         216
      • BA         BIH        218
      • I          IT         222
      • M          MT         278
      • FIJ        FJ         542
      • GO         GA         628
    • New countries added
      • Country name MCC
      • JM 338
      • MM 414
      • MN 428
      • IR 432
      • ML 610
      • BF 613
      • BJ 616
      • TD 622
      • RC 629
      • CD 630
      • ZM 645
      • MG 646
      • NA 649
    • Mobile Network Code changed
      • Old code New code Operator
      • 634/1    634/10   MobiTel
Here are observations from jsp_m:
  • new netmonitor test 140
  • no helps in netmonitor
  • net monitor tests cycle much faster now
  • (NEWER TOO ?) BUG:When edit long SMS (about 160 chars) and press Up/Down key very long (until will scroll all SMS context - 160 chars) without releasing, phone will restart after it - info from SkyBoy

    • (NOWSZE TEŻ ?) BŁĄD: Przy edycji długiego SMSa (około 160 znaków) po naciśnięciu klawisza Góra/Dół i przytrzymaniu (bez zwalniania), aż cały SMS (160 znaków) zostanie przewinięty, telefon zresetuje się... - informacja od SkyBoy
V5.28 24-05-01
V5.28 27-06-2001 (ROM6?)
  • 'Sending picture message' note stays anymore on the screen after the picture message has been sent, when there is an incoming call, while sending the message
  • New text release: Slovakian key text's alphabet order same as Czech
  • Part of SMS-tone in Class 0 messages was missing. There were two simultaneous tones at once (SMS message received and note tone) when Class 0 SMS was received
  • In certain situations, when active call was on hold and business card was received, the 'Business card received' disappeared too quickly
  • When business cards/calendar notes are sent via IR more characters are now received
  • When sending Birthday notes over IR, the year was sometimes received incorrectly if the year included 0 (zero)
  • Operator list updated
    • Operator name changed
      • Old name     New name     MNC/MCC
      • Macau SMC    SmarTone     455/00
      • ADAM         TIMECel      502/17
      • Itineris     Orange F     208/01
      • PL ERA GSM   ERA GSM      260/02
      • B-COM        LV TELE2     247/02
      • ALJAWWAL     ALJAWAL      420/01
      • WP-1800      DTAC         520/18
      • MG ANTARIS   ANTARIS      646/02
      • Ben-NL       Ben NL       204/16
      • MOBILAND     STA-MOBILAND 213/03
      • WIND         I WIND       222/88
      • Connex GSM   CONNEX       226/01
      • DiAx Swiss   sunrise      228/02
      • GLOBTEL      SVK GT       231/01
      • One          ONE          232/05
      • one2one      One 2 One    234/30
      • ZAO SMARTS   SMARTS       250/07
      • Kuban-GSM    KUGSM        250/13
      • VODA M       VODAFONE MLA 278/01
      • AirTel       AIRTEL       404/45
      • AirTel       AIRTEL       404/49
      • HK TELECOM   CSL          454/00
      • HK SMC       HK SMARTONE  454/06
      • KGT-ONLINE   KGT-Online   466/88
      • Hello        HELLO        520/23
      • TT           TUNTEL       605/02
      • Alize        ALIZE        608/01
      • Omega        OMEGA        618/01
      • Rwandacell   R-CELL       635/10
      • KenCell      KENCELL     639/03
      • SFR RU       SFR REUNION  647/10
      • CelTel       CELTEL       650/10
    • New operator added
      • Operator name MNC/MCC
      • ARIA          286/03
      • Macau SMC     455/00
      • HT Macau      455/03
      • NE CELTEL     614/02
      • FI 2G         244/12
      • NTC           250/16
      • FO FT-GSM     288/01
      • SPACETEL      421/02
      • LIPPO TEL     510/08
      • SGP-M1-3GSM   522/04
      • LIBERTIS      628/01
      • SPACETEL BI   642/01
    • Country name changed
      • Old name New name MCC
      • UKR      UA       255
      • FR       FO       288
      • MDG      BI       642
    • New countries added
      • Country name MCC
      • NE           614
      • YE           421
    • Mobile Network Code changed
      • Old code New code Operator
      • 338/50   338/05   JM DIGICELL
Here are observations from jsp_m:
  • no helps in netmonitor
  • no more "Pending" delivery reports (?)
V5.29 18-09-01
  • Improved network scanning (Earlier when the phone was out of network coverage and keys were pressed too fast, in some cases the phone made a reset, because each key press caused a network search. Now key presses cause a new network search only once a minute)
  • Operator list updated
    • Operator name changed
      • Old name New name MNC/MCC
      • ONE one 232/05
      • ERA GSM era 260/02
      • TH WCS TH ORANGE 520/10
      • Dutchtone Orange NL 204/20
      • TDK-MOBIL DK TDC 238/01
      • M.PLUS BATELCO 426/01
      • CAMNET MTN CAM 624/01
      • CELLCO CELLCO GSM 630/04
    • New operators added
      • Operator name MNC/MCC
      • ORENSOT 250/11
      • VODAFONE 276/02
      • TR AYCELL 286/04
      • CU/C_COM 368/01
      • U-CALL 539/01
      • GAB TELECEL 628/02
      • CELLCO 630/05
      • Digicel 706/02
      • SPACETEL 417/02
      • VUT SMILE 541/01
      • GH-MOBITEL 620/03
      • DIGITEL 515/05
      • ORANGE 520/99
      • ECONET NG 621/20
      • COG LIBERTIS 629/10
      • MOBITEL - TZ 640/02
      • CELTEL TZ 640/05
      • Itineris RUN 647/00
      • F-OMT 647/02
      • Cell C 655/07
    • Country name changed
      • Old name New name MCC
      • NIG NG 255
      • F REU 647
    • New countries added
      • Country name MCC
      • CU 368
      • VUT 417
    • Mobile Network Code changed
      • Old code New code Operator
      • 621/00 621/30 MTN NG
      • 634/10 634/01 MobiTel
V5.30
  • Improvement to eliminate horizontal black line across the display when the phone is switched off
  • Operator list updated
V5.31
  • LCD contrast tuning support added (works only with Service Software version 3.23 and Philips displays)
  • New display text release (corrects help text issue - in games menu, in slovakian language). Here are some observation from Polish users:
    • "Spis tel./Dodaj nowe" -> "Spis tel./Dodaj pozycję", Ekran wprowadzania nowej pozycji do książki lub szukania: "Opis" -> "Opis (nazwa)", Menu Wiadomości: "Wpisz wiadomość", "Zredaguj wiadomość"
  • Operator list updated

In netmonitor (all versions ?) in test 55 you have small type (one 's' too much in last line) in help and info displayed in first line only

On some V 5.11 and 5.16 once you have missed the signal, the phone make difficult to re-sync it, and you must turn off and then on to re-sync. This is no a bug of this firmware, because there are many 8210 v5.11 and 5.16 that works much-fine

Another bug (feature ? ;-)): when save Name entry to phonebook in phone's memory, you see "Saved to phone" display. It has icon from older Nokia phones (unchanged) - phone with the antenna drawn...

Bug (all versions ? - tested for 5.25): when send too long ringtone for phone, in "preview" menu it's cut and played, after saving to location playes only one note...

According to some WWW sites phone seems to work with firmware from Nokia 8850. I don't have any other info, do not ask me.
8250 | NMS-3D | *#0000#
V3.12 19-01-01
V3.08 13-12-00

V3.12

Improvements in Irda and activating voice dial via on/off button in HDC-5...

V3.18 03-04-01

Improvements in Irda, SIM Toolkit, OTA calendar notes...

V3.20 29-05-01

Better support for Nokia PC Suite over IrDA

V5.00 16-09-01

V5.02 28-01-02

V5.04

  • LCD contrast tuning support added. Note: Contrast tuning works only with Wintesla Service Software version 3.23 or newer and Philips displays.
  • Cell Broadcast topic name fix (9 vs. 5 characters)
  • Fix for Phonebook entry name replace when two copies
  • Picture message text saving improved during flashing
  • Picture message data is always stored as unicode text
  • GSM Operators field updated
    • New Operators: TSTT 374/12, INA AirTel 404/02, INA AirTel 404/03, ETLMNW 457/02, TLCL-BEN 616/02, BRA Oi 724/31
    • Operator name changed: NL TELFORT -> O2 - NL 204-12, Orange -> BASE 206/20, dialog -> Orange RO 226/10, orange -> Orange CH 228/03, PAEGAS-CZ -> T-Mobile CZ 230/01, SVK GT -> Orange SK 231/01, BT CELLNET -> O2 - UK 234/10, DTC -> RUS_SCN 250/04, FLASH -> UKR-WellCOM 255/02, Interkom -> O2 - DE 262/07, Eircel -> IRL Vodafone 272/01, IRL Digifone -> O2 - IRL 272/02, IL Cellcom -> Cellcom 425/02
    • New Countries: TTO 374
8290 | NSB-7 | *#0000#
V5.07 08-08-00
V5.06 19-06-00
V5.15 30-01-01
8310 | NHM-7 | *#0000# | 350604, 350700, 350777
V2.90 08-09-01
V3.05 23-09-01

BUGS:

  • If you select "warning of call" = "Bip x 1" and select "caller groups" from phonebook menu and try to customize group, the vibra-call activate itself. You must turn off the phone to stop it.
  • after renaming caller group "family" as "personal", adding the members of group and customizing the ringtone. Now, the first time that select "personal", the phone return to initial state, and the second time reset itself.
  • low voice recoder quality
V3.07 03-10-01
  • Improvements in voice recorder stability (quality ?)
  • Improvements in SIM card reading stability
  • Improvements in SIM Application toolkit dynamic menu
  • Improvements in SEND USSD
  • Changes to meet some test cases
BUG (also existing in V3.05):
  • when you are (near) losting signal, the phone reset itself, also, in that case, is much difficult re-sync the signal. Partial solution is to select "Manual Operator" instead of "Automatic"
  • if you turn on the phone with headset plugged in, the phone reset itself continously.
BUG:
  • After customizing a ringtone (with logomanager) and entering "caller groups", the phone reset itself. Possible reason: incorrect ringtone ID.
  • In calendar, enter a birthday: date and year. When finished, age of the person entered is one more than it should be! And sometime calendar is set to the year after!
V4.04 29-10-01
  • Call and network management:
    • Operator name not shown if service provider name has the priority
    • UCS2 support for service provider name added
    • CPHS feature: operator name reading from SIM support added
    • Exception handling for Operator name showing improved
    • Minor improvements to multi call handling
  • GPRS:
    • Handling of GPRS indicators improved
    • Block Check Sum error while using CS2. Values of the spare bit field are changed to mach all network implementations
    • Cell re-selection in case of lost of service
    • Occasional service drop while Extended BCCH blocks used
    • MT call failures, while Extended Paging used
    • Old TLLI deleted too early, causing breaks in data transmission
  • Phonebook:
    • Improvements to search functionality
    • Improvements to caller group logo sending and receiving
    • Improvements to Service Dialling Numbers
    • Minor improvements to phone number showing (caller identification)
    • correction of displaying icons for numbers "WORK" and "CELLULAR"
  • Messages:
    • Stability improvements to message erasing and picture message handling
    • Voice mailbox improvements
  • Call Register:
    • Lists cleaned if new SIM card used
    • AoC Currency showing and default limits showing improved (displaying "remaining credits" with SIM that has "cash display" in their menus)
  • Profiles and settings:
    • Ringing tone order changed
    • Improvements to OTA ringing tone handling
    • Louder alarm tone
    • Fixed dialling number stability improvements
    • Help text for fixed dialling numbers added
    • Hands free indicator didn't disappear in some cases
    • Minor improvements to Automatic language selection
  • Games and calculator:
    • Snowboard game added
    • Game tones follow only the games tone setting
    • Exception handling in high score sending improved
    • Improvements to lights handling and some text modifications
    • Minor calculator look&feel improvements
  • To-do list and calendar:
    • Minor look&feel To-do-list improvements
    • Some text and look&feel improvements e.g. current date highlighting
  • Radio and extras:
    • Exception handling of radio improved
    • Font modifications in Countdown timer
    • Indexing in Voice recordings list improved
    • Stability improvements to voice recorder alarm support
    • Voice recognition can be activated only when in idle mode
    • Exception handling in voice commands and voice recorder improved
  • Services and SIM toolkit:
    • Header lines added to services
    • Improvements to Send USSD functionality
    • SIM ATK CB download support added
  • WAP push:
    • 16-bit characters in title corrected and some denial of service vulnerabilities corrected
    • Manual login mode Now possible also with GPRS
    • Screen backlight turned on when username/p@ss word prompt displayed
  • WAP bookmarks and cookies:
    • Some denial of service vulnerabilities corrected
    • Problems with maximum length of bookmark URL's corrected
    • In certain WAP pages Cookies were causing problems
    • Over the air (OTA) set-up: Mal formatted set-up messages were causing problems while viewing the set-up content
    • WTAI public library:
    • GPRS PDP Context unnecessarily closed after mobile originated voice call
    • Voice call establishment from WAP bookmarks corrected
  • Error messages:
    • "Unknown abort" messages correctly mapped to descriptive error notes
    • Two separate error messages displayed next to each other
    • Viewing business card through WAP:
    • Icons corrected for WORK and CELL numbers
  • WML Scripting:
    • Problems with pressing End key while script were running corrected
    • WML variables now updated correctly while WML script is running
  • Other changes:
    • Support for new languages / market areas added
    • 5 Volt SIM cards blocked by 8310, ref. GSM 11.12 section 4.5. 'SIM card not supported' text displayed
    • CPHS support improved
    • Plug-in HF Car Kit PPH-1 recognition improved
    • Showing of battery low warning note improved
    • Several text, font and other minor look&feel improvements
    • Several minor stability improvements
Last (?) version with this bug: when using 32k sim, sometimes the phone display "SIM not ready". Problem exist only, when PIN code was disabled. Enabling access with PIN code solved this type of problem

BUGS:

  • The problem related to losting signal is still present (but in lower way), sometimes turning off and on the phone is needed to resync the signal.
  • it's necessary to press key '5' to confirm selection of players in Snowboard, then all is OK in this game
  • problems after closing GPRS (you must reset phone):
    • phone displays "SIM rejected"
    • phone can't send SMS
    • phone can't make or receive calls
  • problems when you use both SIM and phone memory. Use only one memory - suggested PHONE memory
V4.53 15-12-01
  • Call and network management:
    • Private in Conference call improvement
    • Speed dial number recognition improvement
    • AoC (cash display system) improvements
    • Field strength signal bar configuration changed
    • "SIM card registration failed" text added in the case when IMSI not found in HLR
  • GPRS:
    • Improvements in inter-SGSN RAU/unexpected N-PDU functionality
    • Continuous timing advance improvement
    • Improvements in handling of Extended BCCH
    • Improvements in combined attach in network mode I
    • Always online functionality changed: When Always online is selected from WAP settings and the phone is powered up only GPRS attach is performed PDF context is made when the user makes WAP over GPRS connection and context is deactivated when user exists the WAP browser
    • Recommended PBCCH/PCCCH feature set activated, Nokia has tested the Recommended PCCCH Feature Set functionality against basic configurations available in IOT laboratories
  • WAP:
    • Improvement to OTA bookmarks (over SMS?)
    • Bookmark sending fails when SMS center number is not given in advance
    • Problems when entering maximum length bookmarks
    • Improvement to bitmap downloading
    • WAP over GPRS with manual login improvement
    • WAP Push
    • Unicode support added to WAP Push Messages
    • Push message reception by default ON
    • GPRS related corrections (example: better ending)
    • Corrections to end-key functionality when having voice call during WAP browsing
    • Support for WTAI-call from bookmarks
  • DATA:
    • Improvements to AT-command interpreter: ATZ, AT&F, +CGDCONT, +CGQMIN and +CGQREQ, ATE, AT+CREG, AT*99#, AT&V
    • Change in handling of GPRS dial-up when CSD dial-up is active
    • Correction to WAP connection over CSD
    • Improvement in resetting of CID values
    • Improvement in V.120 data call
  • Phonebook:
    • Improvements when copying entries
    • Improvements in Pop-up search (mainly in APAC languages)
    • Improvements when browsing phonebook memory
    • Hungarian and Slovak alpha order improvements
  • Games:
    • Menu shortcuts added to games
    • Score Sending removed from Snowboard
    • Minor game functionality improvements
  • Messages:
    • Message waiting indicators improvements (CPHS)
    • Voice mailbox number saving to SIM (CPHS)
    • Corrections in languages with Unicode characters
    • Stability and look improvements in SMS editor
    • Cell broadcast improvement with GPRS Always online
  • Other changes:
    • Opening and closing parenthesis correction in Hebrew
    • Improvements in SIM ATK
    • Improvements in handling line 2 (ALS)
    • Voice volume control corrections
    • Caller Group Ringing Tone correction
    • Improvements to operator name display
    • NITZ improvements
BUGS: It seems solved problem of resync signal, but still present are "resets"

V5.06 07-03-02

  • Call and network management:
    • Improvements in Call Cost Settings, current value visible
    • Improvement in Call Divert
    • Stability improvements in Private in Conference Call
    • Improvement in call menu
    • Improvements in USSD
    • Improvements in manual PLMN search
  • GPRS:
    • GPRS Attach and PDP Context Functionality at the service lost. PDP context not reactivated in service lost.
    • Improvements in GPRS roaming and roaming notes
    • Improvements in cell re-selection speed
    • Improvements in attach reject handling from network
    • Improvements in dial-up & voice call simultaneously handling
    • Improvements in data transfer with fixed allocation
    • Improvements in base band hopping
  • WAP:
    • Locked user settings are viewable
    • Browser conform to WAP 1.3 spec for go element attribute cache-control (no-cache)
    • Scrolling up and down in select lists improved
    • Improvement in showing animated GIF's
    • Improvements in WAP browsing. WAP Header line sometimes overlapping with globe graphic.
    • HTTP accept header for "Service Indication" added to indicate the support (MIME type: application/vnd.wap.sic)
  • DATA:
    • Improvement to situation where data call is on and then someone (e.g. WAP UI) is starting to release the call
  • GPRS commands:
    • ATZ does not reset to default configuration
    • Improvement in ATZ (call control) implementation
    • Improvement in WAP over CSD disconnection
    • +CGREG support added
  • PhoneBook:
    • Quick Saving to SIM corrected
    • Stability improvement in speed dial
    • Index numbers corrected in menu in Arabic
    • Stability improvements with CLI logos
  • SMS Messaging:
    • Improvements in Message menu
    • Stability improved with Use number and Details view with some languages
    • Message sorting changed in inbox
    • Stability improvements in receiving corrupted messages
    • Stability improvements when using T9
    • Improvements in SMS receiving
    • Receiving no-titled ringing tone improved
    • Web address is also sent when sending business card
  • OTHER:
    • Improvement in the function of End key in some cases.
    • Improvement in showing received ringing tones
    • Minor improvement in timed profile
    • Improvement in Operator logo display
    • Improvement on key handling in Voice Command menu
    • Correction on IR. activation with voice command
    • Improvement on key handling while recording
    • Stability improvement on Voice Commands
    • Correction in voice tag recognition after changing SIM
    • Correction in Restore Factory Settings
    • Many decimal points not anymore possible in calculator
    • Calculator with Arabic and Hebrew improved
    • Improvements in SIM ATK GET INPUT, extra dots removed
    • Improvements on renamed profile names
    • SIM ATK Correction when asking SMS Center number, if SMSC number not set
    • Correction on countdown timer
    • Improvement on alarm setting
    • NITZ Time Zone improvement
BUGS:
  • If you turn the radio on and unplug the headset the radio will still continue to function! To switch it off hold down NO -as usual
V5.11 27-05-02
  • Support for new type of flash device added.
  • Updated list of operators
V5.54 31-07-02
  • Timer T3186 is reset, when camping to the new cell starts
  • Improvements to SI13 refresh on ext-BCCH
  • Improvement to camping on PCCCH; now possible to camp on cell after PSI1 and PSI2 are received. Earlier PSI1, PSI2 and PSI3 were all needed
  • RAC_valid invalidated after every detach (local or procedure)
  • Improvement to MS functionality: in NW, which continuously rejects the TBF establishment by sending immediate assignment reject
  • Improvement to cell reselection in case where C2 parameters are used for cell prioritisation
  • When MS lost coverage and returns service in a new RA and network mode of operation is I, then RAU is performed with update type combined RA/LA updating. If RA is not changed then update type is combined RA/LA updating with IMSI
  • Total PLMN search timer value is optimised for every used band combination.
  • Pending or suspended PLMN search is started, if own SI search is ongoing during TBF release.
  • Improvement to SI search in case where SI13 is received with changed BCCH_CHANGE_MARK.
  • Improvement to cell reselection in case where reselection reason is abnormal cell reselection.
  • Attempt counter for unresponded attach request, detach request and routing area update request was increased after every request. Now attempt counter is increased after 5 requests.
  • Improvements to RAU procedure in case where NM0 changes from NM02 to NM01.
  • Improvement in own SI search clearing when target cell reading is started in TBF mode.
  • Improvement in reception of too many erroneous PSI blocks.
  • Optimisation to 900->1800 cell reselection time.
  • Direct hopping improvement: The length of the reassembled block is correctly updated to the actual output block length field, which is used in decoding of the message.
  • Improvement in PFI value handling in Packet Resource Request
  • Pending channel configuration optimised neighbour SYNC or PSW measurement during TBF causing long cell reselection time.
  • Improvements in Early Classmark sending in PCCCH
  • Improvements in handling the rejection cause #15 "No suitable cells in LA"
  • Improvements in timing offset threshold for early SCH measurement in a PDTCH configuration. Now neighbour synchronisation is not missed in certain situations.
  • If network transmits a message with incorrect values in non-GPRS cell options IE, then non-GPRS cell options IE is marked as not being present in the message. Implementation changed to cope with incorrect message.
  • Not able to handle Immediate Assignment if it came in two parts (two-message assignment). Now two message assignments handled correctly
  • Improvements in handling of the MPH_NEXT_CELL_REQ message in PCCCH cell.
  • Cell reselection not allowed to perform a barred cell during ongoing DL TBF.
  • Handling of the combined RAU accepts during MM state "Receive RR Activation Response" improved.
  • Neighbour measurements are resumed after non-DRX->DRX (PCCCH)
  • When SMS character coded NITZ or flexible PLMN name had 7 spare bits in the last octet, then the name length was calculated 1 character too long. Therefore in display an extra '@' character was shown when name length was 7, 15, 23, 31 or any other (8 * n - 1) length
  • TA update procedure changed. Latest sent TAI info is reused now as long as it is valid even if we get new values for the other direction. This change avoids gaps in the earlier procedure in receiving continuous TA blocks when taking the new TAI values in use.
  • When PCCCH is accessed RSSI values are changed so that reselection is triggered. After successful reselection to another cell auto PSI1 -procedure is completed correctly.
  • With several band combinations maximum PLMN search time is correctly set when e.g. next cell request received during suspended PLMN search. The cell, where SI/PSI13 is received, is supposed to support GPRS. Earlier GPRS support was marked as true only if PBCCH description is present in the SI13.
  • Improvements for SMS stability
  • Compact business cards are received as normal SMS
  • Alarm Clock Indicator at start up improvement. Indicator was sometimes displayed briefly at start up even Alarm Clock was not activated.
V5.57 15-08-02
  • China input improvement: in SMS editor "?" is shown instead of an empty "box"
  • SIM lock improvement
  • Operator list updated:
V5.80
  • USSD:
    • Send USSD returns complete response
    • "*" character is handled correctly in USSD input
  • SMS:
    • Erased concatenated SMS's are not shown when new one comes
  • GPRS:
    • FDN support for GPRS connection
    • Call and network management:
    • Call using ALS line 2 are handled correctly
    • DTMF imporvement; beep sound stops when accessing voice message box
    • Call divert status is shown correctly
    • In Chinese UI mode the setting "Hide clock" works correctly with Calendar alarms
    • USC-2 support for ringing tone title
    • SIM Wake Up message is displayed longer time.
  • Operator list updated:
    • New operators: "MTS BY" (257/02) "TUNISIANA" (605/03) "AFRICELL" (607/02) "MR MATTEL" (609/01)
    • Operator name changed: "E VODAFONE" "vodafone ES" (214/01) "GSY-TEL" "C&W" (234/55) "PRONTO GSM" "Manx Pronto" (234/58) "INA AIRTEL" "AirTel" (404/31) "AIRTEL" "AirTel" (404/45) "AIRTEL" "AirTel" (404/49) "94 SYRIA" "SYRIATEL" (417/02) "SyriaTal" "SYRIATEL" (417/93) "Egy Vodafone" "vodafone EG" (602/02) "CELTEL RC" "CELTEL CD" (629/01) "CELTEL CD" "CELTEL RC" (630/02) "UTL_TELECEL" "UTL Telecel" (641/11)
    • New country name: "MR" (609)
8810 | NSE-6 | *#0000#
V3.01 08-07-98
V4.03 10-08-98
V4.05 26-11-98
V5.00 29-09-99
V6.02 31-03-00
  • improvements in displaying CB
  • improvements in calendar - non lap year
  • ....

BUG: Some older/all (?) firmware had bug in Calendar in Birthday option: it it was set to the last day of February on non-leap-years (for example 29.02.2000), calendar will inform about it 1'st March (1.03.2000). Must use "Reminder" instead of "Birthday".
8850 | NSM-2 | *#0000# | 448901
Look to the info for Nokia 8210 - they have almost identical firmware (with some details)

BUGS in V.5.26 (19-10-00) (Thanks to AIWNAS):

  • If you activate the IrDA connection (Menu 9) twice in a row (while the phone queries for an IrDA connection -that is) the IrDA icon will go static (blink stops!) until each IrDA activation times-out. During the static IrDA icon, the phone will still function properly.
  • You can add a nameless and numberless entry on the phonebook "virtually" since nothing is written to the SIM or the phone memory
  • Normally when you make multiply copies of a phonebook entry, the phone adds a copy number next to it (like TEST->TEST1->TEST2->TEST3 etc..) this number is omitted if the entry is nameless (so you end-up having multiply nameless entries of the same number in the SIM & Phone memory without any copy distinction).
  • When you finish an established IrDA communication with a computer (or as I suspect with anything that makes heavy two way -send/receive- use of the IrDA port) it is recommended to switch off and on again your phone else it will crash after 5 to 15 minutes (only solution if it happens: battery removal) - this bug was also reported to me from an 8210 user (I do not know his firmware version).
  • The Greek "requesting" string is incorrectly translated.
  • If you add a voice-tag to a numberless phonebook entry and latter on try to call it using the voice-dial capabilities, the phone will not try to call that entry (and inform you then that it is impossible -- like it does on a manual call attempt) but it will offer you a chance to call the last recently called number (throws you to the last dialed numbers list)
8855 | NSM-4 | *#0000#
V5.13 27-01-02
V5.16 06-03-02
V5.18 08-04-02
8890 | NSB-6 | *#0000#
V11.01 14-02-00
V12.05 22-05-00
V12.07 08-08-00
V12.15 21-02-01
  • Improvements to USSD
  • RELEASE COMPLETE message is sent to network to end the USSD dialogue, when a NULL USSD string is received from UI
  • Releasing USSD dialogue with 'Back' softkey fixed
  • Cell selection improved (Sometimes it took long time for the phone to acquire the network when the phone was out of coverage for long time)
  • Improvements to IrDA (IrPhonet fixed)
  • Improvements to SIM Application toolkit (handling of Provide Local Information improved, handling of Setup Call Redial improved)
  • Handling of downloaded ringtone improved
  • Strange characters are not displayed (when the special character screen was not full, highlighting the last characters caused strange characters displayed on the screen)
  • Improvement to handling of IR (Left softkey didn't activate IR-link while incoming data call)
  • Calling Name Presentation (CNAP) supplementary service support added
  • Caller group list feature added
  • Czech and Russian removed from PPM package D
  • New PPM package G created with languages English, German, Czech and Russian
V12.20 19-09-01
  • Plug-in HF Car Kit PPH-1
    • Audio tasks changed. There was incorrect handling of the case when accessory was off
  • SIM card
    • Sometimes there was an 'insert SIM card' error, if connection to SIM were lost for more than approximately 30 seconds e.g. because of movement of the battery. Now if last indication from SIM to phone is "SIM removed", then the phone does not care about the SIM init failed indication
  • HPLMN
    • Phone lost service after HPLMN search, because it did not notice the situation, where only forbidden location areas were found in periodic HPLMN search. Checking has been modified, when HPLMN is on the list.
  • Phone reset
    • When phone was out-of-coverage, excessive searching caused reset. Now searching mechanism has been modified
  • Emergency call
    • Changes in Current country indication. It was not possible to make an emergency call to a special emergency call number (e.g. 999), after phone was switched on in a new country, before current country was told to the phone.
  • Multiparty call
    • During call clearing multiparty connections were checked. Now if only one connection in multiparty is found, its multiparty status is cleared
  • SMS
    • There was wrong time in SMS report. Pending status has been now changed
    • Part of SMS-tone in cl@ss 0 message was not heard, because there were two simultaneous tones at once (SMS message received and note tones). The message received information note has been changed now into a note without tone
  • Picture message
    • Sending picture message note stayed on screen after sending. Sending control has been changed now
  • Phonebook
    • Phone number comparison has been decreased from 10 digits to 7 digits
  • Calendar
    • Calendar Item sending via SMS/IR did not work correctly (characters were lost). The definition of note length has been changed now
  • Calendar/IR
    • Year of birth was miscalculated when it was sent via IR, when the year contained zeroes (e.g. 1970, 2000 etc). Decoding variables has been changed now
  • Voice dialling
    • Voice dialling did not work when headset was connected and the phone was in sleep mode. Now polling of voice tapping is removed, when headset is connected
  • Operator names and wake-up graphics has been updated
  • Email over SMS -feature added
    • Possibility to add an email address to up to 50 phone book entries
    • When you want to send an email, scroll through the phone book to the names with the @ symbol. This is network dependent service
  • Service menu
    • Service (TTML browser) main menu removed
8910 | NHM-4 | *#0000# | 350698
Vp2.60 07-02-02
V3.04 04-04-02
V3.06
  • Support for new type of flash device added (improvement for production)
  • Updated list of operators
V3.57
GPRS:
  • Timer T3186 is reset when camping to the new cell starts.
  • Improvements to SI13 refresh on ext-BCCH.
  • Improvement to camping on PCCCH: now possible to camp on cell after PSI1 and PSI2 are received. Earlier PSI1, PSI2 and PSI3 were all needed.
  • RAC_ valid invalidated after every detach (local or procedure).
  • Improvement to MS functionality: in NW, which continuously rejects the TBF establishment by sending immediate assignment reject.
  • Improvement to cell reselection in case where C2 parameters are used for cell priorisation.
  • When MS lost coverage and returns service in a new RA and network mode of operation is I, then RAU is performed with update type combined RA/LA updating. If RA is not changed then update type is combined RA/LA updating with IMSI.
  • Total PLMN search timer value is optimised for every used band combination.
  • Pending or suspended PLMN search is started if own SI search is ongoing during TBF release.
  • Improvement to SI search in case where SI13 is received with changed BCCH_CHANGE_MARK.
  • Improvement to cell reselection in case where reselection reason is abnormal cell reselection.
  • Attempt counter for unresponded attach request, detach request and routing area update request was increased after every request. Now attempt counter is increased after 5 requests.
  • Improvements to RAU procedure in case where NMO changes from NMO2 to NMO1.
  • Improvement in own SI search clearing when target cell reading is started in TBF mode.
  • Improvement in reception of too many erroneous PSI blocks.
  • Optimisation to 900->1800 cell reselection time.
  • Direct hopping improvement: The length of the reassembled block is correctly updated to the actual output block length field, which is used in decoding of the message.
  • Improvement in PFI value handling in Packet Resource Request.
  • Pending channel configuration optimised neighbour SYNC or PSW measurement during TBF causing long cell reselection time.
  • Improvements in Early Classmark sending in PCCCH.
  • Improvements in handling the rejection cause #15 "No suitable cells in LA".
  • Improvements in timing offset threshold for early SCH measurement in a PDTCH configuration. Now neighbour synchronization is not missed in certain situations.
  • If network transmits a message with incorrect values in non-GPRS cell options IE, then non-GPRS cell options IE is marked as not being present in the message. Implementation changed to cope with incorrect message.
  • Not able to handle Immediate Assignment if it came in two parts (two-message assignment). Now two message assignments handled correctly.
  • Improvements in handling of the MPH_NEXT_CELL_REQ message in PCCCH cell.
  • Cell reselection not allowed to perform a barred cell during ongoing DL TBF.
  • Handling of the combined RAU accept during MM state "Receive RR Activation Response" improved.
  • Neighbour measurements are resumed after non-DRX->DRX (PCCCH).
  • When SMS character coded NITZ or flexible PLMN name had 7 spare bits in the last octet, then the name length was calculated 1 character too long. Therefore in display an extra '@' character was shown when name length was 7, 15, 23, 31 or any other (8 * n - 1) length.
  • TA update procedure changed. Latest sent TAI info is reused now as long as it is valid even if we get new values for the other direction. This change avoids gaps in the earlier procedure in receiving continuous TA blocks when taking the new TAI values in use.
  • When PCCCH is accessed RSSI values are changed so that reselection is triggered. After successful reselection to another cell auto PSI1 -procedure is completed correctly.
  • With several band combinations maximum PLMN search time is correctly set when e.g. next cell request received during suspended PLMN search.
  • The cell, where SI/PSI13 is received, is supposed to support GPRS. Earlier GPRS support was marked as true only if PBCCH description is present in the SI13.
Messaging:
  • Improvements for SMS stability.
  • Compact business cards are received as normal SMS.
  • China input improvement: In SMS '?' is shown instead of an empty 'box'
Other changes:
  • Alarm Clock Indicator at start up improvement. Indicator was sometimes displayed briefly at start up even Alarm Clock was not activated.
  • SIM lock improvement
  • Operator list updated
    • New Operators: "T-Mobile UK" (234/31) , "T-Mobile UK" (234/32), "RUS: INDIGO" (250/19), "IN-DOLPHIN" (404/68), "IN-DOLPHIN" (404/98), "SyriaTel" (417/01), "YEM-SABA" (421/01), "UZMACOM" (434/00), "UZMACOM" (434/02), "UZB-UZD" (434/07), "TANGO LAO" (457/08), "STP CSTmovel" (626/01), "TELE2" (250/20), "TJK MLT" (436/03), "H3GA" (505/06), "I.C.E" (712/01), "SETAR GSM" (363/01), "UNITEL" (631/02)
    • Removed operator: "I.C.E" (188/01)
    • Name changed: "GR VODAFONE" "vodafone GR" (202/05), "NL Vodafone" "vodafone NL" (204/04), "P VODAFONE" "vodafone P" (268/01), "VODAFONE MLA" "vodafone MT" (278/01), "ESSARH" "ESSAR" (404/01), "INA AirTel" "AirTel" (404/02), "INA AirTel" "AirTel" (404/03), "ESSARU" "ESSAR" (404/15), "AT&T" "IDEA" (404/22), "AT&T" "IDEA" (404/24), "ESSARR" "ESSAR" (404/60), "RPG MP" "IDEA" (404/78), "INA AirTel" "AirTel" (404/90), "INA AirTel" "AirTel" (404/92), "INA AirTel" "AirTel" (404/93), "INA AirTel" "AirTel" (404/94), "INA AirTel" "AirTel" (404/95), "INA AirTel" "AirTel" (404/96), "INA AirTel" "AirTel" (404/97), "INA AirTel" "AirTel" (404/98), "GP" "BGD GP" (470/01), "CLICK" "Egy Vodafone" (602/02), "OMNITEL" "vodafone IT" (222/10), "VODAFONE" "vodafone AL" (276/02), "ST GSM" "SingTel G9" (525/01), "SingTel" "SingTel G18" (525/02), "Mobilis" "Orange CAM" (624/02), "ZM ZAMCELL" "ZM CELTEL" (645/01), "O2 DE" "o2 de" (262/07), "SPACETEL" "94 SYRIA" (417/02), "HELLO" "TH GSM 1800" (520/23)
    • New country name: "STP" (626), "TJK" (436), "ABW (363), "AGO (631)"
    • Country number changed: "CRI" 188 712
BUG: with the bluetooth carkit (CARK-112) there are a number of issues: When using the ALS line 2 service the radio mute function fails to work. As the sound is routed through the radio in my installation this is a major problem! When a call is received on Line 2 the radio mutes but the call is cut-off after 90 seconds. When a call is originated from the handset the radio only mutes when the call connects so you don't hear the ringing.

V4.02

  • USSD:
    • Send USSD returns complete response
    • " * " character is handled correctly in USSD input
  • SMS:
    • Erased concatenated SMS's are not shown when new one comes
  • GPRS:
    • FDN support for GPRS connection
  • Call and network management:
    • Call using ALS line 2 are handled correctly
    • DTMF improvement. Beep sound stops when accessing voice message box
    • Call divert status is shown correctly
  • Bluetooth:
    • Bluetooth authorisation request is displayed also when in Menu
    • Rejecting a call from BT handsfree does not make a missed call
  • In Chinese UI mode the setting "Hide closk" works correctly with Calendar alarms
  • UCS-2 support for ringing tone title
  • Operator list updated:
    • New Operators: "MTS BY" (257/02) "TUNISIANA" (605/03) "AFRICELL" (607/02) "MR MATTEL" (609/01)
    • Name changed: "E VODAFONE" "vodafone ES" (214/01) "GSY-TEL" "C&W" (234/55) "PRONTO GSM" "Manx Pronto" (234/58) "INA AIRTEL" "AirTel" (404/31) "AIRTEL" "AirTel" (404/45) "AIRTEL" "AirTel" (404/49) "94 SYRIA" "SYRIATEL" (417/02) "SyriaTal" "SYRIATEL" (417/93) "Egy Vodafone" "vodafone EG" (602/02) "CELTEL RC" "CELTEL CD" (629/01) "CELTEL CD" "CELTEL RC" (630/01) "UTL_TELECEL" "UTL Telecel" (641/11)
    • New country name: "MR" (609)
Back to the top/Na początek


  1. What is firmware ?
  2. What is DCT3, DCT4, ... ?
  3. What is NSE-1, NHM-1, ... ?
  4. What are characteristic features and bugs of DCT3, DCT4,... ?
  5. What are changes/bugs for specific phone models ?
  6. General IMEI informations
  7. How can I check firmware version ?
  8. Can I change firmware in my phone at home ?
  9. Can I change language version in my phone ?
  10. Is changing firmware expensive ?
  11. What is DSP ROM ?
  12. Information sources
Nokia 1xxx/2xxx, Nokia 31xx/32xx/33xx, Nokia 34xx/35xx/36xx, Nokia 5xxx, Nokia 60xx/61xx/62xx, Nokia 63xx/65xx, Nokia 7xxx, Nokia 8xxx, Nokia 9xxx
Phone (telefon) | Model number (Oznaczenie) | Firmware version code (kod do sprawdzania wersji oprogramowania) | TAC in IMEI (TAC w IMEI)
Communicator 9000 | RAE-1 | *#682371158412125# | 490169
V4.01 15-09-97
V4.55 04-02-97

Some older firmware had BUG: When phone received SMS, it didn't display correctly its' date, if it was after 1.1.2000

Some older/all (?) firmware had BUG: in sleep mode after 28.02 change date change always to 1.03 (not to 29.02 in non-leap-years). Date must be set manually then.

Communicator 9000i | RAE-4, RAB-1N | *#682371158412125# | 490169
V6.34 16-09-97
V6.51 02-02-98
V6.70 15-07-98

Some older/all (?) firmware had BUG: in sleep mode after 28.02 change date change always to 1.03 (not to 29.02 in non-leap-years). Date must be set manually then.
Communicator 9000il | GE-9 | *#682371158412125# | 010024
V6.34 16-09-97

Some older/all (?) firmware had BUG: in sleep mode after 28.02 change date change always to 1.03 (not to 29.02 in non-leap-years). Date must be set manually then.
Communicator 9110 | RAE-2 | *#0000# | 490143, 490543
V3.07 17-01-99
V4.01 02-02-99
(???)V4.05 19-03-99

V4.15:

(V4.02) In clock application, home contry 'United Kingdom' is shown completely.
(V4.02) Careline numbers updated.
(V4.02) Apostrofe to Finnish keyboard.
(V4.02) Numbers in French keyboard.
(V4.02) Home country list changed.
(V4.02) Internet access improvements in some IAPs.
(V4.02) Print settings improvements in image printing.
(V4.02) Composed tunes can be sent via SMS also if contact selected from SIM.
(V4.02) WWW performance improvements.
(V4.02) Keyboard scanning times adjusted.
(V4.02) BIOS v2.22

V5.01 08-06-99

  • Improvements for audio in car kit use.
  • Backlight is deactivated when locked device is removed from cradle.
  • Empty list situation, in list of own numbers-application, now handled correctly.
V5.02 28-08-99
V5.06 09-12-99
V5.10 06-10-00

After receiving some Smart Messaging SMS in older/all (?) firmware versions the communicator-side changes to mail-application WITHOUT ANY SIGN of a received SMS.
Communicator 9210 | RAE-3 | *#0000# | 350149 (Finland)
V2.91P 12-03-01
V2.97 02-04-01
V3.03 25-04-01
V3.18 05-06-01
V3.54 05-07-01
  • Perbaikan untuk membuka email yang sudah didelete secara lokal
  • Call masuk tidak berbunyi di PDA setelah reboot
  • Perbaikan di bagian contact sehingga bisa menampung banyak nomor telephone, sebelumnya bisa jadi hang
  • PDA bisa dikunci tanpa password
  • Autolock UNtuk interval "1 minute" and "2 minutes" tidak bekerja
  • PIN di SIM hanya ditanyakan pada telephone di bagian luar tidak di PDA
  • PIN Code diminta 2 kali
  • Aplikasi SMS langsung ditutup setelah mengirim SMS sebagai reply
  • Layar tidak menjadi blank ketika autolock aktif
  • Call masuk tanpa nomor ringtone yang dimainkan hanya Nokia Tune
  • Proses restore berhenti ketika ada call masuk.
V3.62:
  • Device reset improved (In some cases device did not restart when battery was removed)
  • Network tone routing improved (When PDA cover was open, all network tones were not routed correctly to Hands Free Speaker)
  • The User Busy (Engaged) Tone playtime changed (When a call is made to busy number User Busy Tone playtime is longer)
  • Java Telephone API tests improved
  • SMS alphanumeric address improvement (SMS message sender name is shown correctly also when name is used as sender instead of number)
  • PDA Telephone displays call even phone is idle (PDA display was sometimes showing call active even though call ended from phone side)
  • Timer improved (Ocassionally jamming in games reduced by improved timers)
V4.13 18-12-01
  • General stability improvements
  • SIM card detection improvement
  • Call costs management improvement
  • PIN code request handling improvement
  • Volume control was not working in CMT if you got "missed calls" when answering a call
  • Call register (recent calls) functionality improved and lists length reduced
  • Device lock functionality improvement
  • When Clock alarm was deactivated on PDA side, CMT light was not switched off
  • Deactivation of keypad lock produces squares to screen
  • Receiving and saving cl@ss 0 messages improvement
  • Messages were able to sent to number in Tel field (not only Tel GSM)
  • Memory management improvement
  • Clock Time management improvement
  • Keypad lock functionality improvement
  • Power reset management improvement
  • Speed dialling functionality improvement
  • Call divert indicator behaviour improvement
  • Ringing tone functionality improvement
  • Charging functionality improvement
  • SIM lock functionality improvement
  • Formatting + application installation behaviour improvement
  • ALS: Activating/Deactivating call waiting for Line2 correction
  • Backup restore functionality to/from memory card improvement
  • World clock time zones updated
  • FDN location numbers modified
  • Spanish version: Event entries can now be cleared from log
  • Now all stored numbers on SIM card are displayed
  • UI texts (incl. Notes and error messages and help texts) updated
  • Incoming SMS with sender number is now displayed correctly
  • Voice mailbox list functionality improvement
  • Line Selection functionality improvement
  • Turkish special character conversion in Mail sending improvement
  • Copy message centre number from SIM improvement
  • Self made profile functionality improvement (in some situations you were not able to activate or delete self made profile)
  • Nokia Tune is not played in Meeting profile anymore
  • 'Conference commands' button not anymore dimmed when calling to busy number
  • Phone number max length set now correctly when response is received from SIM
  • WAP: Image loading improvement
  • WWW: default value for "Empty history on exit" changed to "Yes"
  • WAP Browser accepts now also source port 66
  • Printing: Page setup improvement
  • Functionality of short message with alphanumeric address in From field improvement
  • WAP mail functionality improvement
  • SMS functionality improved (includes several minor improvements e.g. Reading SIM messages, deleting concatenated SMS handled better, SMS sending from outbox etc.)
  • Web: In some situations the file download was done twice, now it is done only once
  • WAP OTA message settings can now be saved
  • WAP: Prefix "https://" URL handling improvement
  • Calendar booking functionality improved
  • Character conversion between GSM alphabet and Unicode improvement
  • Email: Move and copy & some other functionality in IMAP remote mailbox improvement
  • PPP call-back idle timeout is increased
  • Word Processor does not save unnecessary extra empty document anymore
  • Memory handling improvement
  • WAP OTA Setting Home page is now using the correct access point
  • Creating folders in remote IMAP4 inbox is now possible
  • The maximum size per message field is not applicable, when "Get mail" is defined to fetch "message titles and stay online". The option is now dimmed in this situation
  • WAP: Scandinavian character support in WAP mail sending improvement
  • WEB/PPP: Authentication to PPP-servers improved
  • Mail: .html attachment handling improvement
  • Calendar: Alarms adjusted now correctly when changing from set time "No" to set time "Yes"
  • Ending of data call handling improvement
Language variants are supported according to following table: Europe NA English, Europe NB German, Europe NS Finnish, Europe NO Orange, Europe NX Scandinavian ( English ), Europe NH German ALS, Europe NC French, Europe NF Spanish, Europe NR Italian, Europe NE Swedish, Europe NM Danish, Europe NN Norwegian, Europe NG Portuguese, Europe NT Turkish, Europe NP Dutch, Europe NV Hungarian, Europe NQ Czech, Europe NJ Polish, Europe NVF Vodafone, Europe NK Movistar, Europe ND TIM, APAC NU English

This release requires also that the memory card application software be updated, before using the 9210 with the new MCU software upgrade.

You should not use older sw version applications (3.18, 3.54 or 3.62) from the sales package CD-ROM.

These old application versions will not work correctly with this new 4.13 SW version and you should delete any old backup that you might have in your PC, and not restore to the updated 9210 as this will effectively "downgrade" the memory card applications.

You should also make a new backup of the upgraded 9210 device, and upgraded memory card to the PC.

All_memory_card_data.SIS file and the new version of PC Suite V1.20 is also available from Forum Nokia web page http://www.forum.nokia.com

9210i | RAE-5 | *#0000#
V5.25 25-02-02
V5.34
  • Mailbox synchronising improved in IMAP4 mail accounts. IMAP4 mailbox was re-synchronised from scratch, old mail headers (including downloaded content) were discarded and mail headers were fetched again from IMAP4 mail server. This happened when mails had been deleted from IMAP4 mail server using some other IMAP4 client.
V5.54
  • Mail:
    • "Send as mail" option now available in contacts and calendar immediately after mail account created
    • Email notification message, number of received emails is now shown correctly
    • Default mail account is not used automatically for all reply and forward mails
    • Mail connection and viewers improvements
  • WAP:
    • WAP address with port number and without http:// supported
  • Clock and date:
    • Time & date setting dialog added to startup, if conflicts notified with time & date
    • Minimum date set to 1.1.1985 (previously 1.1.1980)
    • Clock time & date functionality improved
  • Call and network management:
    • Fax call handling improved
    • New call handling simultaneously with active call improved, when using fixed dialling
    • Call diverts and Recent call lists functionality improved
    • Improvements for call answering functionality
    • DTMF sending reliability from PDA side improved
    • Call cost handling improved between phone side and PDA
    • Phone side earpiece volume levels increased by 4 dB
  • Indicator, display notes and other notification functionalities improved
  • Secure proxy support added
  • Improvements for document handling and opening files
  • Minus (" - ") separator can be used for IAP phone number
  • Improvements to Lock code functionality
  • Welcome notes prioritisation improvements
  • PIN code functionality improvement: able to enter PIN from phone side in case switching to another country and manual network selection is selected
  • Secure memory card: Paste function disabled from password dialog
  • SMS alert volume: if several messages received at the same time the volume for new SMS alert is as set in profiles
  • Calendar booking improvement: If Cal booking message received in two parts and parts are coming in wrong order; the cal booking message is received correctly
  • Improvements to WWW browser
  • Operator list updated
Card Phone 1.0 | RPE-1
Card Phone 2.0 | RPM-1 | 449144
Back to the top/Na początek


  1. What is firmware ?
  2. What is DCT3, DCT4, ... ?
  3. What is NSE-1, NHM-1, ... ?
  4. What are characteristic features and bugs of DCT3, DCT4,... ?
  5. What are changes/bugs for specific phone models ?
  6. General IMEI informations
  7. How can I check firmware version ?
  8. Can I change firmware in my phone at home ?
  9. Can I change language version in my phone ?
  10. Is changing firmware expensive ?
  11. What is DSP ROM ?
  12. Information sources
Nokia 1xxx/2xxx, Nokia 31xx/32xx/33xx, Nokia 34xx/35xx/36xx, Nokia 5xxx, Nokia 60xx/61xx/62xx, Nokia 63xx/65xx, Nokia 7xxx, Nokia 8xxx, Nokia 9xxx
Phone (telefon) | Model number (Oznaczenie) | Firmware version code (kod do sprawdzania wersji oprogramowania) | TAC in IMEI (TAC w IMEI)
100 | THX-9L
450 | TFH-9 | *#9999#
V1.04 03-02-97
540 | THF-11 | *#9999#
V1.01 18-11-97
550 | THF-10 | *#9999#
V1.04 09-06-97
640 | THF-13
650 | THF-12
V1.05 08-12-98
800 | NHE-1XB
V4.92 01-06-95
1011 | NHE-2
1610 | NHE-5 | *#170602112302# | 490139
V3.92 17-03-96
V4.12 30-05-96
V5.02 26-06-96

(V4.12) SMS sending added.
(V4.12) Dodane wysyłanie SMS.

V5.15 25-02-97
V5.23 02-11-98

1611 | NHE-5SX
V4.03 12-08-97

V4.05 09-11-98 (new 1611?)

V5.02 26-06-96

Some firmware versions display full network names.
Niektóre wersje oprogramowania wyświetlają pełne nazwy sieci.

V5.23 02-11-98

1630 | NHE-5NA | *#170602112302#
V5.13 10-12-96
V5.23 02-11-98
1631 | NHE-5SA
16?? | NHE-5NX | 490152
V5.13 10-12-96
2010 | NHE-3 | *#9999#
2110 | NHE-1XN | *#9999#
Vm4.95 02-07-96
V5.56 03-12-96
2110i, 2110e for GSM 900 | NHE-4 | *#170602112302#
V5.11 27-09-95
V5.62 05-05-97
V5.70 15-11-97
  • Improvement in FDN (Fixed Dial Number) option
  • Improvements in AoC function
  • Operator list updated
  • Forced cell resection to a carrier, which is in different location area, enabled
  • Call barring's activation string **03**OLD_PW*NEW_PW*NEW_PW# enabled
  • Improvement for DTX status handling related to the SI TYPE 6 and CHANNEL MODE MODIFY messages.
  • Premonitoring used always on the BCCH (Broadcast Control Channel) frequency of a hopping TCH (Traffic Channel)
  • Improvement in DTX channel coding
  • Improvement in CBCH (Cell Broadcast Channel) Gain Control
  • Improvement in PLMN search while receiving CBCH
2110i, 2110e for GSM 900 | NHE-4NX | *#682371158412125# | 490130
V5.31 06-01-96
V5.48 25-04-96
V5.49 09-10-96
V5.56 03-12-96
V5.62 05-05-97
V5.70 15-11-97
2110i, 2110e for GSM 1800 | NHK-IEA | *#682371158412125#
V4.38 25-03-94
V4.50 25-05-94
V4.60 12-01-95
V4.62 06-06-95
2140 | NHK-1XA
Vm4.92 01-06-95
2148 | NHK-1
2148i | NHK-4
2160 | NHC-4NE
Back to the top/Na początek


NetMonitor in Nokia phones (4/7)

Main page

NetMonitor in Nokia phones (4/7)

[Part 1] [Part 2] [Part 3] [Part 4] [Part 5] [Part 6] [Part 7]

  1. What is it ?
  2. Do I need it ?
  3. Does my phone use more power with NetMonitor enabled ?
  4. How to activate it ?
  5. Which NetMonitor version can be activated in my phone ?
  6. Does NetMonitor activation void warranty ?
  7. NetMonitor menu in my phone has different number than 10. Is it normal ?
  8. NetMonitor menu in my phone has 11 number, hovewer previous position has 9 number. Is it normal ?
  9. How to use it ?
  10. Can I damage my phone ?
  11. Glossary
  12. Description of the individual tests
  13. You can also use a program...
  14. Can I use NetMonitor without SIM card inserted, without PIN number entered or when SIM card is not active ?
  15. How can I disable NetMonitor ?
  16. Do I need to disable NetMonitor before sending my phone to the service ?
  17. Is it possible to re-activate NetMonitor after disabling it ?
  18. Is NetMonitor available in analog Nokia phones ?
  19. Does NetMonitor allow to use phone like broadcast station ?
  20. I don't have all described tests in my phone. Why ? Can I increase their number ?
  21. Does NetMonitor allow to identify place, where is my interlocutor ?
  22. Does NetMonitor allow to identify place, where am I ?
  23. What are NetMonitor codes ?
  24. Is it the truth, that in phones with additional hardware changing frequency band NetMonitor doesn't work correct ?
  25. Where can I find description of FBUS/MBUS protocol and commands connected with NetMonitor ?
  26. I have non existing networks on the list of forbidden networks...
  27. How to check frequency band (900 or 1800 Mhz), where phone work in this moment ?
  28. Can I use DLR-2/DLR-3 cables for activating netmonitor ?
  29. Can I activate netmonitor using Init File Editor (Nokia 9110) ?
  30. Can I force phone to use one frequency band (900 or 1800 Mhz) only ?
  31. How to change settings in tests ?
  32. My phone has very short snandby time - it is possible to see the reason of it ?
  33. Is netmonitor available in English version only ?
  34. Information sources
  35. Additional information
  36. Does using/activating netmonitor cost anything ?
  37. Does using netmonitor is legall ?
  38. Which entries on SIM card are used in netmonitor tests ?
  39. Can I activate netmonitor in 3310 using soft working with 3210 ?
  40. After activating netmonitor/BTS TEST my phone can't find network...
  41. Netmonitor shows different battery capacity than info on it...
  42. NetMonitor in Nokia 6310, 8310,...

Test 8

In Nokia 6185/6188 it looks like follows:

CDMA
TADD TDROP
TCOMP TTDROP
WW1 WW2 WW3

AMPS
1STBY_RX7244
XNRML_RX006C
X_N_RX_O004C
X_N_RX_F0020

CDMA

  • TADD - threshold to add a new active PN (raw value ex: 28 = Ec/Io at -14 dB), [TDROP] : threshold to drop an active PN (raw value ex: 32 = Ec/Io at -16 dB)
  • TCOMP - an other threshold to add an active PN when a candidate PN becomes stronger than an active PN
  • TTROP - timer to drop a PN when power of this PN goes below TDROP
  • WW1 - value of the seach window for the active PN
  • WW2 - value of the seach window for the neighbour PN
  • WW3 - value of the seach window for the remaining PN.

In Nokia 6210:

CCCH
Ts  01234567
Rx  xxxxxxxx
Tx  xxxxxxxx
mCh x mPw xx
9600/14000

TS for Rx
TS for Tx
MainCh/PwrLv

it is connected with data transmission. In line with Rx and Tx you see, which Time Slots are used for it (for receiving and transmiting).

When phone doesn't use HSCSD (High Speed Circuit Switched Data), only one time slot is used both for transmiting and receiving (it's visible also in test 1 then).

When use HSCSD, only this test gives full information about it... You can check here, what can be maximal theoretical speed for downloading and uploading data (number_of_used_slots * 9600 or number_of_used_slots * 14000)...
mCh seems to be "main" time slot among them used for transmission (one that seems to be always used for both ways - probably can be viewed as the slot that would be used if no HSCSD were used, and all other slots are "extra" slots to increase number of sent/received data). It seems to be displayed in test 1 too...
mPw seems to be the power level for the "main" time slot (it seems to be displayed in test 1 too - units are the same).... The power levels for all 8 individual slots can be found in test 9.

First line shows channel displayed in test 1 too. It's available in new firmware only (5.02).

In Nokia 9210:

Ts  01234567
Rx  xxxxxxxx
Tx  xxxxxxxx
mCh x mPw xx
HSCSD call
Rx timeslots
Tx timeslots
MainCh TS Pw

Test 9

In Nokia 6185/6188 it looks like follows:

CDMA
006 330 270
047 062 062
342 102 030
062 062 062
AMPS
1PT_1_OK724E
RPT_1_FA0042
TIME__2_0000
MER2HIGH0002

CDMA

Tracked PN Offsets (lines 1,3) and EC/SO (Energy per chip per noise). An EC/SO of 062 likely means not really usable? lower numbers are better strengths). See test 2 for PN offset information.

In Nokia 6210:

mCh x mPw xx
 xx xx xx xx
 xx xx xx xx

MainCh/PwrLv
PwrLv TS 0-3
PwrLv TS 4-7

and is connected with HSCSD (High Speed Circuit Switched Data) and shows power levels for each time slot used in data transmission (more info about data transmission in Nokia 6210 is visible also in Test 8). Units here seems to be the same to units in test 1 (power level used for "main" time slot in transmission is displayed also there).

In Nokia 9210 test looks like in 6210, help is different:

MainCh Tw Pw
TS1  2  3  4
  5  6  7  8
HSCSD PW Lev

Test 10
Network information (concern current or recently monitored network)

TMSIaaaaaaaa
T321:bbb/ccc
PRP:d  ee ff
 ggggg  hhh
TMSI(hex)
T3212ctr/tim
PaRP DSF AGC
  AFC   Ch

  • aaaaaaaa - TMSI: a number assigned to each phone logged to the network (it can be done, for example, after power on, a call, sending/receiving SMS, requesting some services, PLU). Value from the SIM card (each new number is written there) in hexadecimal format. If assigning this number fails (for example because transmitter was turned off in test 45 or SIM card is not active), 'xxxxxxxx' is shown here and the phone displays 'No network coverage' message (when you try to make a call).
  • bbb - value of the so called T3212 counter: the phone periodically informs the network about its location (makes a PLU). 'bbb' counter means time from last update and can be a value from 1 to 'ccc' (where 1 means 6 minutes, 2 - 2 * 6 min = 12 min, etc.). This counter is also cleared after each connection, sending/receiving SMS or requesting a network services - for example call diverting (but the counters from test 64 don't change). The value doesn't change (it's always equal 0) with not active SIM card.
  • ccc - max T3212 counter value: period of time, after which the phone sends information about its location - makes a PLU (range from 1 to 240, where 1 means 6 min between updates and 240 means 24 hours (240*6min)). This value is received from the network (if it is 0, the network doesn't require information about phone location). For Polish networks Era GSM and Plus GSM it's equal 30 (3h), for Idea 2h. Displayed normally even, when SIM card is not active.
  • d - Paging Repeat Period, sometimes called DRX (Dincontinuous Receive): period of time, after which the phone turns its receiver on to check whether someone is calling us (range from 2 to 9 - the higher, the longer time between these checks so the phone uses less power: PRP=2 means about 0.95 s, a PRP=9 equal 4.25 s.). Interesting thing is that max standby times are usually calculated by the manufacturers for this parameter equal 9.
  • ee - DSF (Downlink Signalling Failure). If it is negative, 0 is shown. Max value of this parameter is 45. When the phone uses TCH channel, xx is displayed.
  • ff - AGC (Automatic Gain Control) - automatic gain control of the phone receiver. The stronger the signal from BTS, the lower this value. It is displayed correctly only when the phone uses TCH/SDCCH channel (for example: during a call) and can be a value from 0 to 96 (dB ?).
  • ggggg - in some English descriptions it's "VCTCXO AFC DAC control" - a value between -1024 and 1023. In help it's described as AFC (Automatic Frequency Control) - automatic adjusting phone's receiver to the frequency of the signal transmitted by BTS. The more this value differs from 0, the more frequency corrections have to be made by the receiver (it depends on the channel used in communication with BTS - see test 1) to "match" the BTS.
  • hhh - CH (channel): number of channel used in communication with cell (decimal)

In Nokia 2110i/2140:

Pagrepp. d
T:aaaaaaaa
T3212: bbb
PagRepPer.
TMSI
T3212

In Nokia 3110 this test looks like follows:

TMSI:aaaaaaaa
T3212:bbb/ccc
PRP:d  ee ff
w gggg  hhh z
TMSI(hex)
T3212 ctr/tim
PagRP DSF AGC
S AFC   CH  B

If the phone after power on wasn't logged to any network, some default values are displayed here (except for TMSI).

Some of these values can be also found in Nokia service programs (for example in WinTesla - in menu "Testing" / "RF Information").

In test 64 you can check, how many times your phone has sent an information about its location. If you have sent an SMS, you can check (exact to 6 min), when you did it (if it wasn't earlier than value 'ccc' for your network) - check 'bbb' parameter value.

And here is this test for Nokia 6185/6188:

CDMA
414 084 222
062 060 062
420 366 252
062 062 062
AMPS
1X_XSTBY000D
SYNC_LOS0031
DEC_SAME0000
VOTED_BT0000

CDMA

Tracked PN Offsets (lines 1,3) and signal strengths.

Test 11
Identification of the currently used (last monitored) network

CC:aaa NCbbb
  LAC:ccccc
  CH : deee
  CID:fffff
 MCC    MNC
LocAreaCode
ServChannel
   CellId

  • aaa - MCC (Mobile Country Code): code of the network home country (260 for Poland) - decimal.
  • bbb - MNC (Mobile Network Code): network code (different for networks with the same MCC - for example, in Poland: 01 for Plus GSM, 02 for Era GSM and 03 for Idea).

    Generally values here are decimal. Sometimes are exceptions (when and why ?) and you can find hexadecimal value here: if you will convert it into decimal and result treat as hexadecimal value (convert it into decimal value again), you will have decimal value of this parameter (for example, 3F hex=63 dec; 63 hex=99 dec).

    When you use phone working in PCS 1900 system (for example, Nokia 6190), this number can be 3-digit long. It's decimal (always ?). If it consist of two digits, you will see "?" instead of last (for example, you will see "37?" for "37")

  • ccccc - LAC (Location Area Code): code of the current cell area (decimal or hexadecimal). The size of this area (with the same LAC) depends on the network. After changing LAC, the phone makes Location Update.
  • d - H, if frequency hopping is enabled (otherwise empty). This information can be also found in test 1 and test 12.
  • eee - CH (channel): number of channel used in communication with cell (decimal)
  • fffff - CID (Cell Identifier): number of the current cell (each cell in given area has its own unique ID number) - shown decimal or hexadecimal.

LAC and CID format (if they're displayed decimal or hexadecimal) depends on your phone's model and its software version (for instance: Nokia 3210 and Nokia 5110 with newer software display decimal values, while Nokia 5110 with 4.59 (and older) firmware and some previous models (like Nokia 3110) use hexadecimal format).

GSM phones recognize the network using MCC and MNC codes (list of these codes can be found at http://kbs.cs.tu-berlin.de/~jutta/gsm/gsm-list.html). Network names shown on phone's display (like 'ERA GSM', 'Plus GSM' or 'Idea') are stored in phone's memory (they're set by the producer - cellular network doesn't send any name, just these two numbers). In order to correctly recognize a new network, you must upgrade the firmware of the phone (or it won't display network name). Some older phones, like Nokia 2110i (or newer models without firmware upgrade) display names like PL-03 (they recognize that MCC=260 is Poland (which has international code PL), but they don't know the network name - only its MNC). One (?) text name can also be changed using appropriate programs:

  • WinTesla - from main menu "Dealer"/"Operator Settings"
  • program from http://www.mobil.cz/triky/nokia000511.html (works with Nokia 3110/8110)

In Polish version of this manual the description of BTSes contains URLs of pages with BTSes lists - with their locations, LAC and CID (for Polish networks).

If the phone after power on wasn't logged to any network, some default values are displayed here.

In Nokia 2110i/2140:

aaa eee bb
LAC:  cccc
CellI:ffff
MCC CH MNC
LocAreaCod
CELL IDent

In Nokia 3110 this menu looks like follows:

CC:aaa NC:bbb
  LAC:cccc
  CH :deee
w CID:ffff  z
 MCC     MNC
 LocAreaCode
 ServChannel
S CellId    B

And here is for Nokia 6185/6188:

CDMA
162 054
062 062
186 084
062 051
AMPS
11_BETTR0000
SYNC_SAM0000
MSG__BTR0000
SFLG_BTR0000

CDMA

Tracked PN Offsets (lines 1,3) and signal strengths (only, when phone is in CONV state)

Test 12
Parameters of currently used (last monitored) network

CIPHER :aaa
HOPPING:bbb
DTX    :ccc
IMSI   :ddd
CipherValue
HoppingValue
DTXValue
IMSIAttach

  • aaa:

    • OFF: phone doesn't transmit
    • A51: phone transmits, data are coded using A5/1 algorithm (more complicated version)
    • A52: phone transmits, data are coded using A5/2 algorithm (a version designed for use in some "doubtful" countries - potential future enemies (like Iraq)). It's easier to decode and crack, but still secure (not cracked) - but I can be wrong !

  • bbb - informs, whether frequency hopping is enabled (ON) or disabled (OFF)
  • ccc - informs, whether DTX is used (ON) or not (OFF) by phone
  • ddd - informs, whether IMSI attach is allowed (ON)

All the values in this menu are updated only when the phone uses TCH channel.

If the phone after power on wasn't logged to any network, some default values are displayed here.

More information about A5/1 and A5/2 algorithms can be found at www.scard.org/gsm/.

In Nokia 2110i/2140:

CIPHER aaa
HOPPIN bbb
DTX    ccc
CIPHERING
HOPPING
DTX ON/OFF

In Nokia 3110 this test looks as follows:

CIPHER :aaa
HOPPING:bbb
DTX    :ccc
w IMSI :ddd z
CipheringValu
HoppingValue
DTXValue
S IMSIAttachB

In Nokia 6185/6188 in AMPS it looks different:

1IN_FAIL0044
DYN_FAIL01C7
MIN2_FAI0045
DYN2_FAI01CB

Test 13
Information about DTX in currently used (last monitored) network

aaaaaaaaaa
DTX(DEF):bbb
DTX(BS) :ccc

DTXMode
DefaulDTXSta
DTXValFromBS

  • aaaaaaaaaaaa: information, whether the phone uses DTX:

    • DTX:ON - yes, it uses
    • DTX:OFF - no, it doesn't use
    • DTX:DEF - yes or not (depends on default setting - bbb parameter)
    • NOTALLOWED - the phone cannot independently decide to use DTX or not (BTS doesn't allow this)

  • bbb - default DTX setting: ON or OFF.
  • ccc - DTX value from BTS (on uplink - a channel used in communication in direction phone-BTS):

    • MAY - BTS lets the phone "decide", whether to use DTX or not
    • USE - BTS forces DTX usage
    • NOT - BTS doesn't allow to use DTX

If the phone after power on wasn't logged to any network, some default values are displayed here.

In Nokia 2110i/2140:

cccccccccc
MS DEF:bbb
dddddddddd
DTX STATUS
DEF STATE
BS PARAM

  • cccccccccc - the same to aaaaaaaaaa. Values: "DTX ON", "DTX OFF", "DTX DEF" lub "NOTALLOWED"
  • dddddddddd - the same to ccc. Values "MS MAY USE", "SHALL USE" or "SHALL NOT"

If BTS allows this (if the last parameter's value is MAY), you can decide whether to use DTX or not by entering this menu in a direct mode.

Test 14
By entering this menu in direct mode, you can change aa parameter value from 01 (default) to 00 (or vice versa).

 SCREENING
 INDICATOR
   IS aa

Use menu to
  change
 Screening
 indicator

In Nokia 2110i/2140:

SCREEN IND
SET TO  aa

CHANGE
SCREENING
INDICATOR

Test 15

In Nokia 5190/6190:

aaa bbb cccc
ddd eee f
gg hh ii
jjjjjjjjjj
CH RxL TxPwr
MdSt SAT DCC
ST   TxA RxA
  CS STATE

When you don't have additional module (it's between "main" phone and battery), you will see "AMPS display not available" here. After connecting it you will see values connected AMPS:

  • aaa - channel used for communication with cell (0 during standby)
  • bbb - level of received signal in dB
  • ccc - level of the transmitted signal (0 during standby)
  • eee - SAT, x during standby
  • f - DCC (Digital Color Code) on the ACCH channel (0-3, - = not locked), x during standby
  • jjjjjjjjjj - cellular state:

    • IDLE - standby
    • CALL GOING - exchange of data required to make call
    • IN CALL - during call
    • PCH INIT - scanning available paging channels ? (for example, after call)
    • CCH INIT - scanning control channels ?
    • ACCESS - accesing network ?

and 6210:

  Tx27178506
ReTx42645758
  Rx27178505
RTRq27178504
Sent frames
Re-transmis.
Rec. frames
Re-send reqs

In Nokia 6250 help is the same to help from 6210, but screen with values is EMPTY.

In Nokia 2110i/2140:

xxx SIM yy
LAC:  zzzz
wwwwwwwwww
MCC    MNC
LocAreaCod
Upd status

Values here can be different from these in test 11. They're taken from file Location information (6F7E) on SIM card.

  • xxx - MCC
  • yy - MNC
  • zzzz - LAC (hexadecimal)
  • wwww - state of Location Update
    • Updated - value from SIM (bits b3 - b1) 0 0 0, meaning: done Location Update in Location Area, which is shown on the screen
    • NotUpdated - value 0 0 1, meaning: Location Update not done or didn't end with success
    • PLMN Not A - value 0 1 0, meaning: LPLMN not allowed
    • LA Not All - value 0 1 1, meaning: Location Area not allowed
    • Reserved - value 1 1 1, reserved for future use
    • Undefined0 - value 1 0 0, undefined value
    • Undefined1 - value 1 0 1, undefined value
    • Undefined2 - value 1 1 0, undefined value
    • LA NotRead - file wasn't read from SIM

Test 17

USERS OF NOKIA 6210 HAVE TO READ FIRST NOTES WRITTEN ON THE END OF DESCRIPTION FOR THIS TEST. IN OTHER CASE THEY CAN DAMAGE THEIR PHONES.

This menu lets the phone test one concrete channel used in communication with cell (the phone doesn't seek channel with the strongest signal, but uses the channel chosen by you: you can use channels 1-124 for GSM 900 and 512-885 for GSM 1800). Each GSM network has its own assigned channels from these ranges (which means that each two networks in one country can't use the same channels - for example, in Poland Plus GSM cannot use Era GSM channels and vice versa).

 | GSM 900 (1-124) | GSM 1800 (512-885)
TIM (222-01) | 8-64 (16 most important cities) or 8-50 (outside them) | 736-760
Omnitel (222-10) | 66-118 (16 most important cities) or 77-118 (outside them) | 861-885
Wind (222-88) | 52-75 (outside 16 most important cities) | 761-810
Blu (222-??) | - | 811-860
Plus GSM (260-01) | 1-14 and 37-67 (37 and 67 for testing) | 749 - 760, 850 - 884 ?
Era GSM (260-02) | 15-36 and 68-90 (15 and 36 for testing) | 736 - 748, 811 - 847 ?
Idea (260-03) | 91-114, 115-124 from January 2004 | 733, 763 - 810

You can enter numbers of channels belonging to any network (if you enter a channel of forbidden network, you will see all network parameters, but obviously you won't be able to establish connection (except for emergency calls)). After enabling this test your phone won't be able to make handovers.

To enable this test, proceed as follows (sometimes this procedure doesn't work - but turning the phone off and then on often helps; I don't know why):

  • save (change) desired channel number on position number 33 of the SIM card's phone book in decimal format (not in phone's memory!) - if you save '0' there, this test will be inactive! However, this step is not necessary, if this number was stored there earlier - you can check this with 33# code). Remember, that phone checks used format. Here are some examples of correct entries: "1", "700".
  • go to test 17
  • once again enter test 17 directly
  • switch your phone off and then back on

To disable this test:

  • enter test 17 directly
  • switch the phone off and back on (sometimes it isn't needed - phone should disable test, when loose signal on this channel; but it's better to do that to avoid potential problems)

Don't know position to save channel number in Nokia 9xxx

Some interesting results can be achieved, when (guess why ?):

  • you enable this test
  • then you switch test 19 to REVERSE
  • turn off the test, but not the phone (by entering test 17 one time in a direct mode)

In this case the phone "jumps" from one channel to another and monitors channels of different networks - you can see LAC and CID codes of the cells. Furthermore, the phone cannot log to its home network (though it displays parameters of its channels). Several times I got "Insert SIM card" or "SIM card rejected" messages - it may be some bug in firmware. After turning the phone off and then on everything works fine.

The above tip can be used for fast battery discharging (however your phone won't be accesible in the network).

If you want to check some informations about different than your network, you can use different tip too:

  1. select the test, where will be displayed interesting for you information about this network
  2. go to the manual network selection (for example, Menu 4-2-4-2 in Nokia 5110)
  3. select interesting for you network
  4. wait few seconds (some time is required to start logging into this network) and press "Quit" (NOT (c) key) or wait, until phone will display any message (for example, that logging wasn't successfull)
  5. press fast (c) key to leave phone's menu

Information about interesting for you network will be displayed during few seconds...

I heard about some cases, when this test turned itself spontaneously on after loosing the signal by the phone. I didn't experience this, but if this has ever happened to you, just save 0 on 33rd position of the SIM card's phone book.

Since Nokia 51xx/61xx phones don't allow choosing the position for the phonebook entry, I want to suggest:
  1. check whether you already have some number stored on this position (using 33# code)
  2. if the phone displays 'Invalid location', you have to add new entries to the phonebook until you hit this position and the phone doesn't display this message (repeating 1st step after each new entry)
  3. after displaying the number, you have to find out who's number is this. You can do it in two ways:

    1. just recall (or check the whole phonebook)
    2. turn off the transmitter in test 45 and call this number (the name assigned to this number will be show on screen - you will also find it on the 'Last dialed' list)

  4. edit the phone book (this position) - you can change the name or the (channel) number
  5. if the phone asks you, whether to replace the old number or to save it on new location, choose the former option

To store number on chosen location you can also use other Nokia phone (for example 2110), other cellular phones or appropriate software. For example: in Nokia Cellular Data Suite you can export list of phone numbers to file, open it in editor, change and upload to phone. It's simple, isn't it ?

  BTS TEST
    aaa

Use menu to
toggle BTS
test ON/OFF

  • aaa - can be set to "ON" or "OFF"

This test can be very usefull when:

  • you want to use some particular cell (for example to test whether it is possible to use a cell located 20 km away)
  • you'd like to avoid roaming (which is much more expensive) - for example when you are close to the border (and the phone constantly logs to the network of the neighbor country, because it has a stronger signal) - you just switch your phone to the channel used by your network...
  • other available network has very strong signal (for example -85 dBm) and the signal of your home network is very weak (-100 dBm) - your phone can have serious problems with logging to your network until you use this test
  • you want to monitor the state of some very weak channel - I received some mails, that the lowest measured with this method signal strength was -118 dBm

In Nokia 2110i/2140:

BTSTESTaaa

Tells if
BTS test
is ON/OFF

Number of channel must be saved in 98 position of B memory.

Many users of Nokia 3210 say, that in this model there are problems with enabling and disabling this test - part of firmware connected with it has probably some bug(s)... I read even in one newsgroup such post (here is in translation):

Few people after enabling test 17 made reclamations in service, that phone doesn't work. The most interesting is (I'm sure, that in one case) reclamation was taken into consideration !!!! - phone was exchanged !!!

In new models (Nokia 3310, 6210, 6250, 8210) it's a little different:

BTS TEST
   aaa

CH :  bbbb

...but you can use it very similiar (to enable):

  • enter it directly. You should see:

    BTS TEST
    REQUESTED

    CH :  bbbb

    where instead of "bbbb" parameter you should see value read from position 33 from phonebook from SIM card (or "xxxx", when value there was wrong, SIM card was not ready, etc. - of course, you will not enable this test then).

  • restart phone - "aaa" parameter should change to "ON"

To disable this test you should:

  • enter directly into it
  • restart phone - "aaa" parameter should change to "OFF"

BE CAREFULL IN MODEL 6210 WITH THIS TEST In firmware 4.27 (older probably too, I don't know, if it's corrected in newer) phone can display CONTACT SERVICE after using it or there could be different problems with it. Here are three known examples:

  • after enabling test everything was correct. After writting number 0 and resetting phone (it was one method for disabling this test in older models) CONTACT SERVICE was displayed. User put SIM card into another phone, changed 33 position in phonebook to CORRECT channel number (1-124, 512-885), put SIM back to 6210 and normally used it (second 6210 with the same symptoms wasn't repaired after making it).
  • in this concrete example Nokia 6210 displayed info about finding channel 79. User written its' number in phonebook on 33'th position. After third reset of phone CONTACT SERVICE was displayed. SIM card was put into Nokia 5110 and channel number was changed to 76 (this channel was visible in this phone). When SIM card was put back into Nokia 6210 phone, it was possible to enable it. In this test phone displayed 'BTS TEST ON CH:79' (channel 79 was also visible in test 3).
  • after enabling this test phone was restarted. After entering PIN it hanged, "Code accepted" was displayed and it squeaked. And the same problem was visible after each reset. User disabled netmonitor via cable. After it phone phone very often wasn't able to find network and user had to disable it. Solution was disconnecting battery for about 1 hour. Problems with finding network were visible during about next 2 weeks.

In Nokia 9210 help looks like follows:

  BTS TEST
    mode

  carrier no.

Test 18

This menu allows you to turn on constant backlight of the screen and keyboard (LIGHTS ON). This can be used for very fast battery discharging. We can also use it as a flashlight - for example to check a schedule, your location on a map, to be visible on the road :-), etc. But there is one condition: any of the NetMonitor tests must be visible on the screen.

In many phones (for example, not in Nokia 6210): if you turn this test on and then back off, the light will go out (it won't react on key presses) for several minutes (good for games - saves battery)...

The light can be also constantly enabled, if you connect a car kit (or simulate it - check test 75) and "Light" setting (Menu 2-5 in Nokia 5110) will be set to "All". This will work without NetMonitor (and any of its test) enabled!

Changes to this menu can be made by entering it directly.

   LIGHTS
    aaa

Use menu to
  toggle
  lights
  ON/OFF

  • aaa - can be set to either "ON" or "OFF" (default)

In Nokia 2110i/2140:

LIGHTS aaa

Control
Lights
Status

Test 19

Each operator before giving a new or repaired base station (BTS) for normal use, tests its cells. GSM phones read this information and avoid using these cells. However, using this menu, you can set your phone to use such cells, too (DISCARD option) - sometimes it allows you to "improve" the coverage and range of your network .

If you want your phone to use only such barred cells, just set this menu to REVERSE (but you won't be able to make or receive calls if there are no tested cells in your neighborhood - good phone lock ?).

ACCEPTED means that your phone uses only normal cells, which are allowed for use (it works like any other phone).

Information about cell status is broadcasted on BCCH channel as a CELL_BARRED parameter value. The settings of this menu can be changed by entering it directly (but if you have previously enabled test in test 17, current cell may have other status than the chosen here (for example: you chosen barred cells only, but the phone uses a normal one)).

New settings are applied during next signal quality measurements (you can advance this by making a call, forcing the phone to search for a network or by holding the antenna with fingers for certain amount of time).

Sometimes your phone may not be able to find cells with particular status - it will show parameters of the cells with such status belonging to other network (once I've set this menu to REVERSE and the phone started displaying data of barred cells in forbidden for my SIM card network, because there were no tested my home network cells in my neighborhood). Information about cell status can be found in test 1 to test 5.

  CELL BARR
  ACCEPTED

The phone works as any other GSM phone (default) - only normal cells

  CELL BARR
  REVERSE

The phone uses only tested cells

  CELL BARR
  DISCARD

The phone uses all existing cells (both normal and barred ones)

Use menu to
toggle cell
barr status
DIS/ACC/REV

In Nokia 2110i/2140:

CELL
BARRING
ACCEPTED
CELL
BARRING
REVERSED
CELL
BARRING
DISCARDED
DISCARD
CELL
BARRING

Test 20
Information about battery and phone charger mode

 aaa   bbbbb
Tccc     ddd
Ceee    Wfff
gggg    hhhh
BatVol ChMod
BTemp ChTime
ChrgVol Pwm
 BTyp  BFDC

  • aaa - battery voltage (V/100 - for instance 7.19V is displayed as 719). Range 0.00 - 9.99 V. When value decreases, your battery is more discharged - you have less standby/speech time to next charging...
  • bbbbb - information about battery charging:

    • xxxxx - charger not connected or charging disabled
    • BatCk - checking battery charge level (after each TCH channel usage (a call) when charging NiMH battery)
    • BSIFa - charging interrupted (battery BSI (Battery Size Indicator: one of battery connectors connected with ground (BGND) to resistor inside battery - phone measure its opór and can read battery type)) measurement failed)
    • CelBr - charging interrupted (one or more cells broken inside battery)
    • ChaCk - EM checks charger
    • Charg - charging
    • ColdC - charging a cold battery
    • ColdM - battery is cold, maintenance charging
    • CurFa - charging interrupted (charger current measurement failed)
    • DisCh - discharging
    • Faile - error
    • FastC - fast charging
    • FullM - battery full, maintenance charging
    • F_Che - checking fast charging process
    • HotM  - battery is hot, maintenance charging
    • I_Che - initialization of charging parameters test (then the phone displays 'Charging')
    • InitC - charging process initialization
    • L_Che - checking parameters of LiIon battery charging
    • LiAFu - fff parameter (Pwm) level is higher than max limit for a full battery
    • LiDCH - DCH charging (some kind of maintenance charging ?) of LiION battery
    • LiFul - fff (Pwm) parameter exceeded the max limit for a full battery during given period of time
    • LiHot - charging hot (warm) LiION battery
    • LithC - charging LiION battery
    • LiTxO - charging LiION battery, transmitter active (connection in progress)
    • LNFTx - charging LiION battery (but the phone uses as much power, as it receives from charger), transmitter active (connection in progress)
    • M_Che - maintenance charging process test
    • MaBFD - maintenance charging (BFD)
    • Maint - maintenance charging
    • TmpFa - charging interrupted (phone's wasn't able to read natê¿enie of resistor NTC inside battery connected to BTEMP and BGND battery connectors and wasn't able to calculate battery temperature)
    • TxNoF - charging NiMH battery (but the phone uses as much power, as it receives from charger), transmitter active (connection in progress)
    • TxOnC - charging NiMH battery, transmitter active (connection in progress)
    • VolFa - charging interrupted (error checking voltage from charger)

  • ccc - battery temperature (for example T+27 means +27 degrees centigrade). Sometimes (when the phone was turned off and not used for a long time (no connections, low power consumption), this parameter can match outdoor temperature (so you will have a thermometer). If you need a temperature in Fahrenheit degrees, you can use following formula: F = 32 + 9C/5 (where F and C are Fahrenheit and Celsius degrees). The temperature of LiION battery is also given in test 23.
  • ddd - charging time in hours (first digit) and minutes (2 last digits). This counter is cleared when charging process begins (but not always - it doesn't happen if:

    • previous charging process wasn't complete
    • mains parameters don't meet some requirements

    I have also experienced that Nokia 6110 doesn't clear this counter after changing the battery (for example from LiION to NiMH). It continues after connecting the charger and stops when the battery is full or when you disconnect the charger.

  • eee - charging voltage (V/100). The battery isn't charged with a direct current, but with a pulse current (this indicator constantly changes). Range 0.0 - 18.7 V. When charging is complete, maintenance charging begins.
  • fff - Charge control output (decimal - range 000 - 255)
  • ggg - capacity of the battery in mAh (some English descriptions and NetMonitor help in Nokia 3110 write, that it's BSI battery multiplied by 4): in case of LiION battery you will find here the same value as on battery casing in NiMH batteries this value can differ even by 200 mAh and change depending on the temperature (it it connected with battery's memory effect ?). Unfortunately, it doesn't change always immedietaly after changing battery... See also question Netmonitor shows different battery capacity than info on it...
  • hhhh - this counter lets us calculate remaining charging time: when charging current is less than predefined limit, this timer will be started. If timer reaches 0, charging will be stopped (it should be according to some English descriptions, but I observed it very rarely).

In Nokia 3110 this menu looks as follows:

  aaa  bbbbb
 Tccc   ddd
 Ceee  Wfff
w gggg hhhh z
BatVol ChMode
BTemp ChrTime
ChrgVol  Pwm
S 4BSI BFDC B

  • bbbbb - in N3110 this field can additionally contain NOTCH (no charging)

In Nokia 9110 this menu looks as follows:

aaa   bbbbbb
Tccc    ddd
i Ceee  Wfff
 gggg   hhhh
BatVol  ChMod
BTemp   ChTime
ChrgVol Pwm
BTyp    BFDC

  • i - information, whether travel charger is connected (1) or not (0)

Fast charging (FastC in NetMonitor) means charging with bigger current and with clever charger it doesn't damage your battery.

When battery charging is ended, maintenance charging starts (it's normal, that phone uses some energy and battery's discharging process starts; still connected charger can complete energy losses).

In Polish version of this manual you can also find links to some pages in Polish language explaining some topics connected with charging and batteries.

For curious people: some of the data, which are displayed here, can also be found in Nokia service programs (like WinTesla - menu "Testing" / "ADC Readings...").

This test allows us to check the charger. You can also verify some of the battery parameters like:
  • capacity
  • efficiency (of the battery cells)
  • voltage (if you are - say - on a trip, here you can check whether battery voltage is suitable for your flashlight)

Test 21
Charging parameters (I noticed, that these values are correct only after making a call while charging - they change only then (after ending call display last registred values))

 aaaa  bbbb
  ccc   ddd
  eee   fff

MTDif MPDif
BUpV  BDownV
AverV SumMF

  • aaaa - difference between measured and required charging voltage
  • bbbb - difference between measured voltage and the result of the previous measurement, fraction is not displayed
  • ccc - the highest measured voltage in battery (with charging battery and using it in the same time it can change)
  • ddd - the lowest measured voltage in battery
  • eee - average voltage
  • fff - the sum of the parameters from test 22 (range 0.00 - 9.99, for example 1.53 is displayed as 153) - my own observations show, that DerivCount (Eaaa) parameter is not counted here. If this counter reaches 1.00 or 0.99, 'Battery full' message is displayed and bar indicator on the right side of the display stops.

In Nokia 9210 help looks like follows:

MTDif MPDif
BUpV  BDownV
AverV SumMF
Charger type

Last line has such values like "NoChrgr" (no connected charger), "ACP-9" (ACP-9E charger)

Test 22
Charging parameters and indicators

 Eaaa  Cbbb
 Dccc  Rddd
 Ieee  Afff
 Tggg  Vhhh
DeriC ChAm
 VDif VDrop
 VDTi AvDif
 Temp Volt

  • aaa - DerivCount
  • bbb - ChargeAmount
  • ccc - VolDiffToMax
  • ddd - VolDropCnt
  • eee - VolDiffTime
  • fff - AverDiff
  • ggg - temperature
  • hhh - voltage

Here you can find several charging parameters and indicators. All these fields (except for DerivCount) range is from 0.00 to 1.00 (dot is not shown - for example 0.23 is displayed as 023). After disconnecting the charger these fields can contain various values. Letters E, C, D, R, I, A, T and V are displayed when the number is shorter than four digits.

I received info, that in some (all ?) Nokia 6150 phones with firmware 4.13 (LiION battery) there are ALWAYS displayed these values (is it bug in this version of firmware ?):

 E251  C254
 6399  6896
 I255  A256
 1024  8447

In Nokia 9210:

   15   00
    0   0
    0   0
        0
SlPer  SysSt
 N/A  N/A
 N/A  N/A
RtcError

Test 23
Information about the battery

 aaaa  bbbb
 cccc  dddd
eee fff gggg
hhh iiiijjjj
TxOn   TxOff
ChCur  Stdby
Age CAP Curr
Tmp CmAhTarg

  • aaaa - voltage from the battery when transmitter is active (a.aaa mV)
  • bbbb - voltage from the battery when transmitter is inactive (b.bbb mV)
  • cccc - charging current (c.ccc mA). If the charger is not connected, 0 is shown. In Nokia 3210 ALWAYS equal 0 (I think, that firmware in this model has some bug).
  • dddd - expected voltage from the battery in standby mode (d.ddd mV). You can check whether your SIM card 's clock can be stopped in test 51.
  • eee - estimate battery age (0 - new, 100 - old) for LiION batteries (the value of this counter is probably based on measurements of work/discharging time of the battery and its capacity (shown in test 20); this is only a reference!) or 33 for NiMH batteries.
  • fff - battery charge level in percent (in older phones, like Nokia 5110, 25 - 1 bar, 50 - 2 bars, 75 - 3, 100 - 4 bars on the right side of the screen; in never, like Nokia 6210 - 100 - 6 bars, 80 - 4 bars, 60 - 3 bars, 40 - 2 bars, 20 - 1 bar). This indicator (and parameter) is very inaccurate during charging process (it reaches 100 almost immediately) - better use ii and jjj parameters then.
  • gggg - temporary power consumption indicated by PSM (according to some English descriptions in decimal parts of mA; I think that this field shows values in mA - see on calculation of approximate battery work time below)
  • hhh - LiION battery temperature (also shown in test 20 - sometimes both these indicators are different) or 0 (for NiMH battery)
  • iiii - how many mAh were "loaded" to the battery until now. If it is approximately equal to jjj, the latter parameter raises (or charging is complete). This parameter is cleared after each use of TCH channel (for example: after a call) while charging (with NiMH battery) - you can use this tip to extend charging time almost ad infinitum. I noticed it with Nokia 6110 and LiION battery (when I turned off and on phone during charging process) too. This value is updated every 14 seconds (Nokia 5110 with standard charger).
  • jjjj - battery capacity value (in mAh) by which next charging stage is complete (see description of the previous parameter). I noticed, that it's cleared during LiION battery charging (when I turned off and on phone during charging process) in Nokia 6110.

For curious: some of the data, which are displayed here, can also be found in Nokia service programs (like WinTesla - menu "Testing" / "ADC Readings...").

Here you can check your battery type (LiION or NiMH).

Approximate power consumption (this can be changed and modified by many other factors) while using individual channels (Nokia 5xxx and 6xxx):

  • during transmission (TX parameter value - phone transmission power - can be checked in test 1) - using SDCC and TFR channels (Nokia 6110):

    TX | power consumption (gg parameter)
    over 19 | 92
    16-18 | 99
    14-15 | 105
    13 | 114
    12 | 123
    11 | 136
    10 | 151
    9 | 173
    8 | 198
    7 | 232
    6 | 269
    5 | 300

    Conclusion: battery work time depends in a very high degree on the network parameters (most advertising materials contain standby time measured for the phone transmitting with lowest power (highest TX)).

  • AGCH: 310 mA in Nokia 5110 and 6110
  • CCCH i CBCH: Nokia 6110 phones with older software (like 4.73) show 20 and 34 accordingly. I don't know whether this is caused by some bug in their firmware (these values are most probably given in mA/10) or the power consumption is really that high (because Nokia 5130 shows 34 too). Anyway, I checked, that Nokia 5110 (and 6110 v5.31) phones display 3 mA while using CCCH channel. I think that turning off "cell broadcasting" (if it is not supported by your network) can be very "profitable" for your phone (longer standby time etc.) - look here). When the phone collects BTS identification data (for BTS, which will be now used - has stronger signal than previous - see C2 description for details), this value changes to 220 mA (but only for a short while).
  • NSPS: 55 in both Nokia 5110 and 6110 (is this value in mA or in mA/10 ?)

Turning on backlight takes 90 mA more, and while charging another 17 mA should be added.

In Nokia 3210 these data are different for different person (does it depend on firmware version, frequency ?)
standby | reading BTS identification data | turning on backlight
52 mA | 90 mA | +155 mA
8 or 9 mA | ? | +159 or +160 mA
53, sometimes (rarely, during short time) 8 mA | 93 mA | +158 or +159 mA
8 mA | ? | +154 mA

If you know the power consumption, you can calculate approximate battery work time:
  • 900 mAh / 225 mA = 4 hours of talk time (on average)

    • Please note, that when using SDCC channel the phone initially uses full power and the gradually reduces it.
  • 900 mAh / 5,45 mA = 165 hours of standby time (on average)

    • Remember, that the phone makes PLU even in standby mode.

Power consumption in Nokia 6185/6188:

digital, idle, backlight off = 0011;
digital, idle, backlight = 0093;
analog, idle, backlight off = 0103;
analog, idle, backlight on = 0187;
searching, backlight off = 0160-0200;
analog (fringe), talk = 0933;
digital, talk, backlight on = 0275

In Nokia 9210:

 640  3775
   0  3775
 8  49   0
46   0   0
CmAh   Vbatt
ChCur  Stdby
Tle CAP Warn
CMT PDA Tot

Test 24

3476    3481
BSI:     551
ET:        9
  111      1
V_inst V_avg
BSI value
Elapsed time
RST_m  RST_h

This is probably meaning of these parameters:

  • bbbb - (Voltage average ?) average value of voltage from battery ?
  • ccc - (Battery Size Indicator) info connected with battery
  • dddd - how many minutes phone work from enabling ? (minutes)
  • eeee - (Rest Standby Time minutes ?) does phone estimate here, how long phone can be in standby up to next charging ? (minutes)
  • ffff - (Rest Standby Time hours ?) does phone estimate here, how long phone can be in standby up to next charging ? (hours)

Test 25

    0      1
10059
 5664    641
    1      0
Chrgtp #Bars
alpha
zeta     phi
noblw  nobcr

Back to the top

[Part 1] [Part 2] [Part 3] [Part 4] [Part 5] [Part 6] [Part 7]

Marcin Wiacek (WWW)
Last modification: 6 October 2002


NetMonitor in Nokia phones (5/7)

Main page
NetMonitor in Nokia phones (5/7)

[Part 1] [Part 2] [Part 3] [Part 4] [Part 5] [Part 6] [Part 7]

  1. What is it ?
  2. Do I need it ?
  3. Does my phone use more power with NetMonitor enabled ?
  4. How to activate it ?
  5. Which NetMonitor version can be activated in my phone ?
  6. Does NetMonitor activation void warranty ?
  7. NetMonitor menu in my phone has different number than 10. Is it normal ?
  8. NetMonitor menu in my phone has 11 number, hovewer previous position has 9 number. Is it normal ?
  9. How to use it ?
  10. Can I damage my phone ?
  11. Glossary
  12. Description of the individual tests
  13. You can also use a program...
  14. Can I use NetMonitor without SIM card inserted, without PIN number entered or when SIM card is not active ?
  15. How can I disable NetMonitor ?
  16. Do I need to disable NetMonitor before sending my phone to the service ?
  17. Is it possible to re-activate NetMonitor after disabling it ?
  18. Is NetMonitor available in analog Nokia phones ?
  19. Does NetMonitor allow to use phone like broadcast station ?
  20. I don't have all described tests in my phone. Why ? Can I increase their number ?
  21. Does NetMonitor allow to identify place, where is my interlocutor ?
  22. Does NetMonitor allow to identify place, where am I ?
  23. What are NetMonitor codes ?
  24. Is it the truth, that in phones with additional hardware changing frequency band NetMonitor doesn't work correct ?
  25. Where can I find description of FBUS/MBUS protocol and commands connected with NetMonitor ?
  26. I have non existing networks on the list of forbidden networks...
  27. How to check frequency band (900 or 1800 Mhz), where phone work in this moment ?
  28. Can I use DLR-2/DLR-3 cables for activating netmonitor ?
  29. Can I activate netmonitor using Init File Editor (Nokia 9110) ?
  30. Can I force phone to use one frequency band (900 or 1800 Mhz) only ?
  31. How to change settings in tests ?
  32. My phone has very short snandby time - it is possible to see the reason of it ?
  33. Is netmonitor available in English version only ?
  34. Information sources
  35. Additional information
  36. Does using/activating netmonitor cost anything ?
  37. Does using netmonitor is legall ?
  38. Which entries on SIM card are used in netmonitor tests ?
  39. Can I activate netmonitor in 3310 using soft working with 3210 ?
  40. After activating netmonitor/BTS TEST my phone can't find network...
  41. Netmonitor shows different battery capacity than info on it...
  42. NetMonitor in Nokia 6310, 8310,...

Test 30
Audio API register display

 aaaa bbbb
 cccc dddd
 eeee ffff
 gggg hhhh
A1Cnf  A2Cnf
  ST   AU3
1Tone  2Tone
 Conf  HFVol

  • aaaa - API_AUD1_CTRL
  • bbbb - API_AUD2_CTRL
  • cccc - API_SIDETONE
  • dddd - API_AU3
  • eeee and ffff - API_1_TONE and API_2_TONE (see description below)
  • gggg - API_CONFIG: connected with sound setting from test 71 and 72: you will see here number (hexadecimal), which was displayed there below AUDIO ENHANCEMENT (in last selected menu). Here are some examples:

    normally (for example during standby) | wybieranie numeru | call
    5148 (cracks) - 20808 decimal | 5149 | 5140
    851A - 34074 decimal | 851B | 8512
    C6A4 (cracks) - 50852 decimal | C6AD | C6A4
    DB34 (cracks) - 56116 decimal | DB3D | DB34
    DF29 (after enabling phone) - 57129 decimal | DF29 | DF20
    F436 - 62518 decimal | F43F | F436
    F437 - 62519 decimal | F43F | F436

  • hhhh - API_HF_VOL: volume during call - you will count it from the "110 - hhhh" formula (subtract value of this parameter from 110). It's displayed too (during call only) in test 76. When you connect headset, values here change - volume can be count from "510 - hhhh" formula then (for car kit use "2210 - hhhh"). Type of connected audio accesories can be checked in test 75 too. Phone remembers volume for each audio accesory separately.

When you press any key, phone generates sound, which consist of two tones. Parameters eeee and ffff change then. First tone is short, second is emited all time, when you press key. When you press C, NaviKey, Up or Down keys, change parameter eeee only (value 0E10 - 3600 decimal) - sound consist of one tone only. And now the most important thing: you will divide displayed in these parameters values by 4, you will have frequencies in Hz conncected with pressing adequate keys in DTMF (Dual Tone Multi Frequency) system. I think, you use DTMF very often - it's used in tone system in all modern phones during calling number. Adequate values are in table (decimal) - parameter eeee is connected with vertical values, ffff with horizontal:

 | 1209 Hz | 1336 Hz | 1477 Hz
697 Hz | 1 | 2 | 3
770 Hz | 4 | 5 | 6
852 Hz | 7 | 8 | 9
941 Hz | # | 0 | *

Test 31

Serial port
   mode

   FBUS
   mode

Use menu to
 activate
 FBUS mode
for tracking

When there is enabled FBUS mode, DLR-2 cable (standard cable added to phone) works in FBUS mode with such software like Logo Manager.

Test 32

Test from Nokia 6250 (no help):

     0
0002922
3000
0205714

In 4'th line there is clock. Example: 0205714 means 20 hours 57 minutes 14 seconds of the day ...

Test 34
Information about FBUS connection between phone and computer.

aa bb cc dd
eee fff ggg
hhh iii jjj
k
CM LD LM NM
PEC FEC OEC
ACC RXS TXS
Mod

  • aa - current fbus media in hex
  • bb - last sender dev in hex
  • cc - last sender media in hex
  • dd - next media to be connected. Same as aa if the connection is not pending
  • eee - fbus parity error counter
  • fff - fbus framing error counter
  • ggg - fbus overrun error counter
  • hhh - fbus alive check counter
  • iii - received sequence number
  • jjj - sent sequence number
  • k - phone mode: S=slave, H=host

Description above is from some English documents. As you can see in some phones (like Nokia 5110) values in this test looks rather different, but help is the same. But, when you make connection with FBUS cable and make transmission, first line of values in this test changes to "1E0C1E -". When you will look into some FBUS protocol descriptions, you will see, that:

  • "1E" could mean datas send with FBUS protocol over cable
  • "0C" could mean, that FBUS cable is connected to phone

and it's the truth. So, it means, that this description is real (even, that test looks a little different).

Observation from Nokia 6150:

aabbccdd
eeffgghh i j
kk
l-m

  • aabbcc:
    • 000000 - no transmission after enabling phone
    • 1E0C1E - there was FBUS transmission
    • 140000 - there was infrared connection using NBS (business card, calendar entry, etc.)
    • 1C7F1C - there was 2-players snake game (host)
    • 1C001C - there was 2-players snake game (slave)
  • hh: 0 - no infrared transmission in this moment
  • i: increases for example after each sending data using infrared and NBS or ending transmission
  • j: P - infrared enabled, searching next device (blinking indicator in phone)
  • l: H - host in infrared transmission; S - slave in infrared transmission
  • m: T - infrared enabled, connection terminated (blinking indicator in phone)

In Nokia 9110 this menu looks different:

ll mm nn oo
ee ff gg
p  q
r s tt
PA RS DR PR
PE FE OE
Rx Tx
D U DC

  • p and q are probably iii and jjj

Links to pages with FBUS (MBUS) protocol are in the question 25.

If values in this test changed after enabling phone, it means, that it was connected to computer and datas were transmitted with FBUS protocol (not MBUS).

In Nokia 9210:

00 00 00
000 000 000
- - 00
H - -
CM LD LM
PEC FEC OEC
RS TS RESND
Mode TXB RXB

Test 35
Reason of last reboting internal firmware of phone.

 aaaaa
 bbbbbbbb

Reset reason
Task name

  • aa - reason:

    • NORM: probably normal power up
    • UNKNO: default value, reset reason is unknown
    • SWSIM: SIM contact failure reset. Shown, when phone has simlock and wrong mastercode was entered.
    • STACK: task stack overflow
    • SWIDL: idle task not running reset
    • HW lub WD: ASIC watchdog timeout. SW WD in Nokia 3310 ?
    • SWDSP: restart DSP recovery reset

  • bbbbbbbb - name of running task before reset (for example, "AUD TASK", "CC TASK" (confirmed), "DDI TASK", "DEV IO" (confirmed), "EM TASK", "FBUSTASK" (confirmed - after errors in cable transmission), "L1 CONTR", "L1 MEAS", "L1 SYSPA" (confirmed), "L2 TASK", "LOCAL" (confirmed - shown, for example, when phone had to restart because of error in firmware), "MDI RECE" (confirmed), "MDI SEND" (confirmed), "MM TASK" (confirmed), "OS IDLE" (confirmed), "PN TASK" (confirmed), "RR TASK" (confirmed), "RM TASK", "SIM L2" (confirmed), "SIM UPL" (confirmed), "SMS TASK" (confirmed), "TONETASK", "UI TASK" (confirmed) "PND TASK" (for example Nokia 6210), "WMLSTASK" (for example Nokia 6210), "IRDATASK" (for example Nokia 6210), "IRDA MGR" (for example Nokia 6210), "PH TASK" (for example Nokia 6210), "DGC TASK" (for example Nokia 6210), "DGNTB TA" (for example Nokia 6210), "DGFAX TA" (for example Nokia 6210), "SCKT SRV" (for example Nokia 6210), "PMM CLUP" (for example Nokia 6210), "PMM WRBA" (for example Nokia 6210), "ND TASK" (for example Nokia 6210), "PPC TASK" (for example Nokia 6210), "No task!" (for example Nokia 6210), "START UP" (for example Nokia 9210) or "UNKNOWN" (confirmed - after normal phone enabling)). We can notice, that tasks names are similiar to names in help to tests 84-86.

Test 36
Reasons of last reboting internal firmware of phone (you will find here information, how many times phone made restarts because of reasons from previous test).

 aa  bb  cc
 dd  ee  ff

 UN  WD DSP
SIM IDL STK

  • aa - unknown resets
  • bb - ASIC watchdog timeout resets (in some you can simulate it - see question 9 for details)
  • cc - DSP recovery resets. In Nokia 3310 displayed also in test 130.
  • dd - some English descriptions say, that it's connected with SIM contact failure reset (in some phones you can force reset because of this reason - see question 9). I noticed too, that this counter increases when to try to enter mastercode connected with simlock level 1 using #pw+2222222222+1# code (where mastercode is instead of 2222222222), when your phone has simlock.
  • ee - idle task not running resets
  • ff - task stack overflow resets

Counters are stored to EEPROM.

In Nokia 3310 some counters (DSP only ?) are displayed from end (for example, 01 is displayed as 10, 02 as 20, etc.)

You can reset counters from this menu using some Nokia service programs - for example, in Pc-Locals 1.3 enter to menu 8 ("Event Trace"), menu 5 ("Permanent Counter Table...") and press F6 key ("Clear Counters"). Unfortunatelly :(, "real" counters connected with mastercode entering attempts (Counter for example in WinTesla and WinLock) don't reset then...

In Nokia 9210 help is different:

 UN  WD DSP
SIM IDL STK
   Reset
  counters

Test 37
Reset (Nokia 9210)

   Causes a
  divide by
    zero
    reset
  Use menu
  to cause
  div by 0

You can restart your system by direct enter

Test 38
Memory dump

aaaaaaaaaaaa
aaaaaaaaaaaa
aaaaaaaaaaaa
aaaaaaaaaaaa
Memory dump

  • aaaa.... - hex dump of 24 successive memory locations

The start address of the dump is entered as 6 digit address value into location 30 into phonebook on SIM card (information, how to make it, are in test 17). An example: for address 0x0C89AB enter 0C2089AB value there... Dump address is changed only when you directly enter to this menu.

This display rather is not included in offcial firmware (I found only one phone with it). It can be switched on by defining flag DEV_FT_MEMORY_DUMP_IN_USE in ftd_conf.h.

In Nokia 9210:

  Causes a
 data abort
   reset

  Use menu
  to cause
  data abort
  reset

You can restart system by direct enter

Test 39
Reason of last connection end (asterisk means, that the diagnosis won't be sent to the network - it'll be only shown in phone) and making Location Update:

 CC:   aaa
 MM:   bbb
 RR:   ccc

CC CauseValu
MM CauseValu
RR CauseValu

  • reason from the CallControl-Layer - it's displayed in test 2 and test 63 too:

    1. from the GSM specifications (section 10.5.4.11/GSM 04.08):

      •  1: unassigned (unallocated) number
      •  3: no route to destination
      •  8: operator determined barring
      • 16: normal end of call (you were speaking or you heard some text - that dialled number was busy or something similiar)
      • 17: user busy

        • if it was outgoing call, dialled number was busy (phone even displayed 'Number busy')
        • if it was incoming call, a man, who dialled to you, heard busy signal - you were speaking or you rejected it (in Nokia 5110 or 5130 to make it you have to press C key, in Nokia 6110, 6130 or 6150 red receiver)

      • 18: no user responding
      • 19: user alerting (from specification - I had it with normal connection too (phone displayed 'No answer' ('Nie odpowiada')) or when incoming call was diverted to voice mailbox), no answer
      • 21: call rejected

        • phone wasn't in network coverage (message 'No coverage network'), when you tried to make call
        • you tried to call to non existing phone number or you heard busy signal

      • 22: number changed
      • 27: destination out of order
      • 28: invalid number format/number incomplete. Phone displayed 'Invalid phone number'
      • 31: unspecidied. It seems, that with this error connection is end by network (for example, when it's overcharged). Shown sometimes too, when you call for not supported for some tariffs numbers.
      • 34: no circuit/channel available to make call. Phone displayed 'Network busy'. I noticed too, that in my network RR value changed to 1 with this error. More about situations, when network is busy, I write in TS description.
      • 38: network out of order
      • 41: temporary failure
      • 42: switching equipment congestion (message "Network busy")
      • 44: requested channel not available
      • 47: ressource unavailable. I had it, when connection was "brutal" broken. Concrete: during call phone of my interlocutor disabled because of empty battery. My phone displayed 'Error in connection'
      • 50: requested facility not subscribed (you must subscribe it to use it) In some networks shown too, when you set not supported by network function (for example, "Own number sending" in Era-GSM network). Message "Check operator services".
      • 65: bearer service not implemented
      • 68: ACM equal to or greater than ACMmax
      • 69: requested facility not implemented
      • 88: incompatible destination

    2. from mine (and not only) experiences:

      •  28: I had it, when phone number was too long
      •  57: no asynchronous data transmission allowed (concrete: phone wasn't able to connect to WAP from this concrete SIM card)
      •  63: "Poza zasiêgiem sieci"
      • 79: error with message 'Check operator services'. You have it, when you enable ALS (Alternative Line Service) function, don't have second number on SIM card, select it and try to make call
      • 111:'Error in connection'

  • reason from the MobilityManagement-Layer - it's shown in test 64 too. It's from GSM specification (section 10.5.3.6/GSM 04.08):

    •  2: IMSI unknown in HLR (SIM card not active in network)
    •  3: illegal phone
    •  4: IMSI unknown in VLR
    •  5: phone's IMEI was not accepted
    •  6: illegal ME
    • 11: PLMN not allowed (you tried to log into network, which doesn't have roaming convention with your home network - your phone displays 'No access', when you try to select it manually; I don't know only, if this code is displayed only, when this network is saved on forbidden list on SIM card (see test 6)
    • 12: Location Area not allowed. You can check it in test 11.
    • 13: roaming not allowed in this Location Area
    • 17: network failure
    • 22: network congestion
    • 32: service option not supported
    • 33: service option not subscribed
    • 34: service temporarily out of order
    • 38: call cannot be identified (call RE)

  • reason from RadioRessourceManagement-Layer) - see GSM specifications: section 10.5.2.31/GSM 04.08:

    •   0: normal release
    •   1: unspecified
    •   2: channel unacceptable
    •   3: timer expired
    •   4: no activity on the radio path
    •   5: Pre-emptive release
    •   8: handover impossible, TA out of range
    •   9: channel mode unacceptable
    •  10: frequency not implemented
    •  65: call already cleared
    •  97: message type not compatible with protocol state
    • 101: no cell allocation available
    • 111: protocol error unspecified

When you will see "*" before third parameter from this test, it means (the most often), that call is in progress. Sometimes phone displays different values - I don't know their meaning :-(.

Values of counters are not saved in EEPROM. When phone makes another measure, doesn't reset them (changes only these values during next measure, which are connected with it; doesn't change the rest of them).

This test allows to find, why exactly your phone doesn't want to work - doesn't want to make calls.

Test 40
Resets handover counters (by direct enter)...

   RESET
  HANDOVER
  COUNTERS

  Use menu
  to reset
  handover
  counters

Test 41
Information about handover

Handover - it's transfer of radio connection (between phone and cell) from one cell to another (without breaking call). It's made, when:

  1. new radio connecting will give better quality (it's parameters are all the time checked by phone and base station)
  2. when phone is between few cells and can use "new" cells for him (it frees some place for phones, which can use "old" cell only)

When they're problems with transmission, decision about handover is made by phone (otherwise it's made by BSC). If you enabled using one channel by phone (test 17), handovers are not made.

There are 4 types of handovers:

  • Intra cell - Intra BSC handover (called handoff too): it's the smallest handover inside one cell. Receiver is "thrown over" from one channel to another (gennerally to another frequency inside one cell). Decision, if it should be done, is made by BSC.
  • Inter cell - Intra BSC handover: receiver is moved from one cell to another. Decision about it is made by BSC. Connection with first cell is broken after moment, when connection with another is made (displacement between two BTSes inside one BSC).
  • Inter cell - Inter BSC handover: displacement of connection between two cells, which are not served by the same BSC. In this case handover is moved by MSC, but decision about it made by first BSC. Connection with first BSC (and BTS) is broken before moment, when connection with another BSC (and BTS) is made.
  • Inter MSC handover: receiver moves from cell served by MSC/VLR to another controlled by another MSC/VLR. It's more complicated situation. We can notice, that MSC is connected to GSMc over PSTN. In this case is visible, that another MSC can't receive information from first normally.

    What will happen, when connection will be moved to target MSC/VLR ?

    Because both MSC belongs to the same network, connection is kept. To move it from one to another MSC special number HON (HON=CC+NDC+SN, CC - country code, NDC - network code, SN - subscriber's number) must be generated. It's similiar to roaming number (it's connection between two MSC too). During handover between two MSC connection can't be broken (phone connection realised by network's subscriber).

HandOOk: aaa
PrevCh : bbb
HONotOK: ccc
HOIntra: ddd
HandOvOKCntr
PrevChanCntr
HandOvNOKCnt
HOIntraOKCnt

  • aaa - counter for successful handovers
  • bbb - counter for successful back to previous channel attempts (number of actual used channel is displayed, for example, in test 1)
  • ccc - counter for failed handovers
  • ddd - counter for successful Intra cell - Intra BSC handovers or assignments

Counters will stop when they reach their maximum (999). To initialize them to zero, use test 40 (or test 60).

In dual phones (like Nokia 6150 or 3210) test 41 looks different and is connected with Inter cell - Intra BSC, Inter cell - Inter BSC and Inter MSC handovers:

 aaaa  bbbb
 cccc  dddd
eeefffggghhh
iiijjjkkklll
G>G InterD>D
G>D  OK  D>G
InterHoFail
BackToPrev

  • aaa - counter of successful handovers from GSM 900 to GSM 900
  • bbb -counter of successful handovers from GSM 1800 to GSM 1800
  • ccc - counter of successful handovers from GSM 900 to GSM 1800
  • ddd - counter of successful handovers from GSM 1800 to GSM 900
  • eee - counter of failed handovers from GSM 900 to GSM 900
  • fff - counter of failed handovers from GSM 1800 to GSM 1800
  • ggg -counter of failed handovers from GSM 900 to GSM 1800
  • hhh - counter of failed handovers from GSM 1800 to GSM900
  • iii - counter of successful back to previous channel attempts (number of actual used channel is displayed, for example, in test 1) from GSM 900 to GSM 900
  • jjj - counter of successful back to previous channel attempts from GSM 1800 to GSM 1800
  • kkk - counter of successful back to previous channel attempts from GSM 900 to GSM 1800
  • lll - counter of successful back to previous channel attempts from GSM 1800 to GSM 900

Counters will stop when they reach their maximum (9999 dla dwóch pierwszych linii, 999 dla dwóch ostatnich). To initialize them to zero, use test 40 (or test 60).

In Nokia 3310 sum of all handovers is also displayed in test 131 (?).

In Nokia 3110 this test looks like follows:

HandOOk: aaa
PrevCh : bbb
HONotOK: ccc
T200: eeee
HandOvOKCntr
PrevChanCntr
HandOvNOKCnt
T200Cntr

  • eeee - I write about T200 counter in test 43

and here's for Nokia 6185/6188:

BSI 01000
VBAT 388
BTEMP 018
BATT 2 CHG 0

  • BSI - Battery capacity. Example: '1600' for 1500 mAh; '984' for 900 mAh, and '1000' for 880 mAh
  • VBAT - battery voltage (/100V).
  • BTEMP - battery temperature in C
  • BATT - type of battery: 1500 mAh=2; 900 mAh=1; 880 mAh=5
  • CHG - battery charge status: 2 - charging with desktop charger, 1 - charging with fast charger, 0 - not charging

Test 42
This test is in dual phones (for example, Nokia 6150 or 3210) only and is connected with first kind of handovers (Intra cell - Intra BSC):

 aaaa  bbbb
 cccc  dddd
eeefffggghhh
iiijjjkkklll
G>G IntraD>D
G>D  OK  D>G
IntraHoFail
BackToPrev

  • aaaa - counter of successful Intra cell - Intra BSC handovers from GSM 900 to GSM 900
  • bbbb - counter of successful Intra cell - Intra BSC handovers from GSM 1800 to GSM 1800
  • cccc - counter of successful Intra cell - Intra BSC handovers from GSM 900 to GSM 1800
  • dddd - counter of successful Intra cell - Intra BSC handovers from GSM 1800 to GSM 900
  • eee - counter of failed Intra cell - Intra BSC handovers from GSM 900 to GSM 900
  • fff - counter of failed Intra cell - Intra BSC handovers from GSM 1800 to GSM 1800
  • ggg - counter of failed Intra cell - Intra BSC handovers from GSM 900 to GSM 1800
  • hhh - counter of failed Intra cell - Intra BSC handovers from GSM 1800 to GSM 900
  • iii - counter of successful back to previous normal channel (you can check number of actual used channel for example in test 1) attempts inside one cell (INTRA CELL) from GSM 900 to GSM 900
  • jjj - counter of successful back to previous normal channel attempts inside one cell (INTRA CELL) from GSM 1800 to GSM 1800
  • kkk - counter of successful back to previous normal channel attempts inside one cell (INTRA CELL) from GSM 900 to GSM 1800
  • lll - counter of successful back to previous normal channel attempts inside one cell (INTRA CELL) from GSM 1800 to GSM 900

Counters will stop when they reach their maximum (9999 for two first lines, 999 for two last). To initialize them to zero, use test 40 (or test 60).

In Nokia 6185/6188 this test looks like test 20.

Test 43

Some English descriptions write about this test:

T200MS: aaaa
T200BS: bbbb
T200MS: cccc
T200BS: dddd
T200 MS GSM
T200 BS GSM
T200 MS DCS
T200 BS DCS

  • aaaa - for GSM 900: counts how many times T200 in phone has expired and therefore L2 transmission has been repeated.
  • bbbb - for GSM 900: counts how many times T200 in BTS (network) has expired and therefore L2 transmission has been repeated.
  • cccc - for GSM 1800 called earlier DCS (in dual phones only): counts how many times T200 in phone has expired and therefore L2 transmission has been repeated.
  • dddd - for GSM 1800 (in dual phone only): counts how many times T200 in BTSie (network) has expired and therefore L2 transmission has been repeated.

Counters will stop when they reach their maximum (9999 for two first lines, 999 for two last). To initialize them to zero, use test 40 (or test 60).

I noticed, that some things are a little different: in all 900, 1800, 900/1800 MHz phones, I saw, info is displayed ONLY in two first lines. Help is a little different too:

T200 MS
T200 BS

or:
T200Cntr MS
T200Cntr Net

or:
T200Cutr MS
T200Cutr Net

In Nokia 6185/6188 this test looks like test 21.

Test 44
You change value from 01 (default) to 00 (or vice versa) by direct enter to this test.

 REVISION
LEVEL IS aa

Use menu to
   change
  Revision
   Level

In Nokia 6185/6188 this test looks like test 22.

Test 45
This test allows to simulate situations. when phone can normally receive network signal (but network can't receive any information from phone). It's very realistic (even in test 1 in ddd parameter an asterisk (*) is displayed, when you try to make connection), but not always (in test 10 you will see 'xxxxxxxx' instead of TMSI, when T3212 counter in first parameter will be expired).

You can change it by direct enter.

TRANSMITTER
  ENABLED

(default setting)

TRANSMITTER
  DISABLED

Use menu to
 enable or
  disable
transmitter

When you enable it, phone won't be able, for example, to update location (see test 64) and make calls. It will allow to:
  • "blockade" phone to the moment of another enabling it (for example, when you want to observe network parameters, but you don't want to be accessible for others - when somebody will call to you, for network your phone will be outside range)
  • fast remind you of number written to phonebook (it's written on leaf, but you don't remember name of person assigned to): simple call it. When phone will choose number, it will display this name; it will be written on list odf last dialed numbers too.

This test DOESN'T WORK CORRECTLY in Nokia 3210, 3310 and 7110 (you change setting, but it doesn't give described above results).

In Nokia 6185/6188 this test looks like test 23.

Test 46

BAND CLASS a
CS SUBSTATE
EM STATEnnn
TX POWER DB

  • BAND - used cellular system: C= 800MHz CDMA, P=1.9GHz CDMA, A=800MHz AMPS
  • CS SUBSTATE - cellular state: IDLE, CONVE, PAGE, PILOS, TIME_, SYNC_, RELE, etc
  • EM STATE - emiter state: SLOT 1, SCANNING, RATE 1 (8k codec), RATE 2 (13k codec) or EVRC.
  • TX POWER DB - TX power: usually between -75dB and +4dB

Test 48
In Nokia 3110 this test looks like test 7.

Test 51
Information about SIM card

aaa bbb ccc
 dddddddd
 e f  gg hh
  i   jjjj
VSel Bau SAl
SCond  CStop
PIN12  PUK12
 ATR  FE/PE

  • aa - SIM voltage selection type (3, 3/5 or 5)
  • bbb - division coefficient, which define speed of communication phone with SIM card (372, 64, 32 or 0) saved in ATR (first sequence send by SIM card after reset - Answer To Reset). When you will divide clock frequency (maximal 3,25 MHz = 3 250 000 Hz) by it, you will have speed of transmission (for example, 3 250 000 Hz / 372 = 8736,5 bods) WARNING ! YOU CAN'T CHANGE SPEED OF COMMUNICATION PHONE WITH SIM CARD AND VALUE OF THIS PARAMETER !
  • ccc - information, whether SIM clock stop is allowed (it saves energy) during standby (YES or NOT - possible or not). This information is displayed (in Nokia phones and not only) using *#SIM0CLOCK# code - when you will see "SIM clock stop allowed", SIM card allows to make it. Some Nokia 6110 phones (it depeneds on their firmware) can not support correctly this code - they display, for example, "Result unknown". Phone disables SIM card clock automatically - you can't make it manually !
  • dddd - information about clock stop condition:

    • UP
    • DOWN
    • DOWN(UP) - in tested by me SIM cards
    • UP(DOWN)
    • xxxxxxxx

  • e - number of left PIN1 code entering attempts. When it's bigger than 9, you will see only last digit of it (for example, I found some prepaid cards with 10 value). Maximal number of entering code attempts depends on concrete SIM card (it can be set to any value), but the most often it's equal 3. In some SIM cards you can disable answering for this code (for example, you can select it in Menu 4-3-1 in Nokia 5110). When it's equal 0, phone shows "Sim card blocked" and asks for PUK1. If it was entered correctly, this counter is reset to maximal value. Disabling and enabling phone doesn't reset it !
  • f - number of left PIN2 code entering attempts (when SIM card doesn't support PIN2 functions, you will see "x" here). You can check, if these functions are supported, using call cost function too (if they're not, phone displays "Not allowed"). If you wanted to use them and your card doesn't support them (you will see "x" here), you (or your operator ;-) rather) have to change it. Maximal number of entering code attempts depends on concrete SIM card (it can be set to any value), but the most often it's equal 3. When this counter is equal 0, phone asks for PUK2. When this code was entered correctly, counter is reset to maximal value. Of course, even when it's equal 0, you can normally use SIM card (PIN2/PUK2 are independent of PIN1/PUK1), when you know PIN1. Disabling and enabling phone doesn't reset it ! If SIM card has blocked PIN2/PUK2 codes, you can enter to the menus contains supported by these codes functions (but after changing next settings you will see error).
  • gg - number of left PUK1 code entering attempts. Maximal number of entering code attempts depends on concrete SIM card (it can be set to any value), but the most often it's equal 10. Phone asks for it, when counter of left PIN1 code entering attempts is equal 0 (phone shows "Sim card blocked"). When this counter is equal 0 too, SIM card can be blocked (phone shows "Sim card rejected") or (it depends on card) asks for PUK2. When this code was entered correctly, counters of left PIN1 and PUK1 codes entering attempts are reset to maximal values. Disabling and enabling phone doesn't reset it !
  • hh - number of left PUK2 code entering attempts (when SIM card doesn't support PIN2 functions, you will see "x" here). Maximal number of entering code attempts depends on concrete SIM card (it can be set to any value), but the most often it's equal 10. When it's equal 0, using PIN2 functions can be impossible on this SIM card (ask operator for help). Additionaly, when you were asked for PUK2, when counters of left PIN1 and PUK1 codes entering attempts were equal 0 and now left PUK2 code entering attempts is equal 0 too, using this SIM card can be impossible (you have to replace it to new). When it was entered correctly, counters for this code and PIN2 (when you entered PUK2, because PIN2 was blocked) are reset to maximal values or counters for this, PIN1 and PUK1 are reset (when you entered PUK2, because PIN1 and PUK1 were blocked). Disabling and enabling phone doesn't reset it !
  • i - ATR repeat counter (ATR is first sequence sent by SIM card in answet to reset - Answer To Reset) (0-9)
  • jjjj - number of retransmissions/parity errors in transmission with SIM card (when the happen, two first chars are equals FE (Frame Error) or PE (Parity Error), two last number of retransmission/errors)

If you don't have SIM card in the phone, you will see "ERROR1" in this test.

If phone has problems with communication with SIM card, this test can look like follows (i and jjjj parameters are described above):

ERROR1 5  55
55
  i   jjjj

CStop parameter (information, if SIM card clock is disabled in this moment) is displayed in help only. Why ? Probably somebody didn't remember about it...

Here are some observations for SIM voltage selection type (first parameter) Nokia 5110 and tested SIM cards:

After enabling phone reads some information from SIM card (for example, number saved on it SMS messages, numbers from phonebook) - when you try to read something, what is written there (for example, phonebook), "SIM card not ready" message is displayed then (and first parameter shows 3). I noticed, that phone can't display names assigned to numbers in phonebook too (for example, when you call somebody) and shows, that "Inbox" and "Outbox" are empty (even, when some messages are saved there).

Later value of parameter changes to 3/5 - I suppose, SIM card clock is enabled then.

Phone disables it (in test value 3), when communicates with network (requesting services, sending or receiving SMS messages) because of saving energy (the same in NSPS state).

When you call to number assigned to name in phonebook (or phone recognizes incoming number), value to the end of call is equal 3/5 (otherwise it changes to 3). After end of call is always equal 3. Logical conclusion: after enabling phone saves in own memory checksum for all numbers from phonebook (it's enought to make for 7 last digits - they're used to identify number in Nokia phones). If this checksum is the same to checksum for number, you're calling (or incoming number), phone reads name from phonebook...

And the last observation: without connection (see above) value of first parameter is equal 3/5 (is some energy loose ? Probably yes... But why counter from test 20 doesn't show any change in their consumption ?)

When you try to open "Outbox" or "Inbox", phone doesn't enable clock, when they're empty (that's why I think, that phone saves into own memory number of saved SMS messages too).

Many information about SIM card are displayed by SIMedit (unfortunatelly, in Czech language only :-( )... Parameters like ATR you can study using SIM Scan (it's on the www.net.yu/~dejan or http://members.tripod.com/~dejank/ pages). They both work with SIM card readers only...

If you want to see "Insert SIM card" and (sometimes) "SIM card rejected" messaeges, try to make such activities (checked for Nokia 5110):

Press very delicately the locking catch of the battery and start to slide the battery downwards very slowly (stop, when you will hear silently crack).

In this moment you should see first message and phone will start to inform about problems with communication with SIM card (you will see "ERROR1" here)...

In Nokia 9210 help looks like follows:

VSel Bau SAl
SCond(CStop)
PIN12  PUK12
 ATR  FE/PE

In Nokia 6185/6188 this test looks like follows:

TASK0 0134
TASK1 015C
TASK2 0138
TASK3 0170

Test 52
Reads datafield from SIM card

Read SIM-
data field
to SIM-SCM

Use menu to
read SIM-
data field
to SIM-SCM

This display reads a binary datafield from SIM card to SIM SCM memory (SCM = Short Code Memory and it means phonebook on SIM card).

Prior using this display the identifier of datafield has to be stored as an alpha-identifier of SCM location number 34 of SIM memory. The datafield must be written in hexadecimal notation. The identifiers can be found from the GSM 11.11.

The contents of datafield is stored as a data-identifier of SCM location number 35 of SIM memory. The contents are displayed in hexadecimal notation. The maximum length of the datafield is 10 bytes, but the length depends on the name length of the SIM memory. In case the datafield cannot be read the alpha-identifier of SCM location is NOT DONE.

The information of how the read succeeded can be read from the SCM location 36 of SIM memory and on the display for a short period.

The following results are possible:

OK | datafield was read correctly
NOT BINARY | datafield is either formatted or cyclic
NOT FOUND | datafield was not found from SIM card
CARD ERROR | something weird happened, card did not respond as expected
NO RIGHTS | not enough rights to read the datafield (PIN2,adm..)
NOT STORED | could not store into the result memory place
NO ADDRESS | could not read the address from the SCM-location
UNKNOWN | unidentified error

For the time being following binary datafields exist in SIM. In future there could be more. All of these are not necessarily on all SIM cards.

2FE2 | ICC identification | (10 bytes)
6F05 | Language preference | (variable length)
6F07 | IMSI | (9 bytes)
6F20 | Ciphering key Kc (it's read from card after entering PIN) | (9 bytes)
6F30 | PLMN selector | (variable length)
6F31 | HPLMN (home network ?) search period | (1 byte)
6F37 | ACM maximum value | (3 bytes)
6F38 | SIM service table | (2-4 bytes)
6F41 | Price per unit and currency table | (5 bytes)
6F45 | Cell broadcast message identifier selection | (variable length)
6F74 | Broadcast control channels | (16 bytes)
6F78 | Access control class | (2 bytes)
6F7B | Forbidden PLMNs (see test 7) | (12 bytes)
6F7E | Location information (TMSI, Local Area Information (consist of MCC, MNC & LAC - see test 11 for them), last Location Update status) | (11 bytes)
6FAD | Administrative data | (variable length)
6FAE | Phase identification | (1 byte)
6F43 | SMS status | (variable length)
Next two binary datafields are phase 2+ features which are not currently in use
6F3E | Group Identifier Level 1 | (variable length)
6F3F | Group Identifier Level 2 | (variable length)

In Nokia 6185/6188 this test looks like follows:

TASK4 0134
TASK5 015C
TASK6 0138
TASK7 0170

Test 53
Writes datafield into SIM card

   Write
 data field
from SIM-SCM
  to SIM
Use menu to
write data
field to SIM

This display writes data for a binary datafield in SIM card by using data in SCM memory of SIM card.

Prior using this display the identifier of datafield has to be stored as an alpha-identifier of SCM location number 34 of SIM memory. The datafield must be written in hexadecimal notation. The identifiers can be found from the GSM 11.11. In addition the data to be stored into SIM card has to be entered as an alpha-identifier of SCM location number 35 of SIM memory. The data has to be stored in hexadecimal notation.

The result of write operation can be seen from the alpha-identifier of SCM-location 36 of SIM-memory and on the display for a short period.

The following results are possible:

OK | datafield was read correctly
NOT BINARY | datafield is either formatted or cyclic
NOT FOUND | datafield was not found from SIM card
CARD ERROR | something weird happened, card did not respond as expected
NO RIGHTS | not enough rights to read the datafield (PIN2,adm..)
DATA ERROR | the data contents in SCM location is coded wrongly
NOT STORED | could not store into the result memory place
NO ADDRESS | could not read the address from the SCM location
UNKNOWN | unidentified error

If you want to see changes, often you have to restart your phone.

In Nokia 6185/6188 this test looks like follows:

TASK8 0134
TASK9 015C
TASK10 0138
TASK11 0170

Test 54
Information about memory blocks

aa bb  aa bb
aa bb  aa bb
aa bb  aa bb
aa bb  aa bb
ResF1  ResF2
ResF3  ResF4
ResF5  ResF6
ResF7  ResF8

Meaning of the individual lines (information about another blocks):

  1. 1, 2
  2. 3, 4
  3. 5, 6
  4. 7, 8

  • aa - number of reserved blocks
  • bb - number of free blocks in worst case

In Nokia 6185/6188 this test looks like follows:

TASK12 0134
TASK13 015C
TASK14 0138
TASK15 0170

In Nokia 5210:

00016 00138
70976 09920
64176 00480
21344 01180
Free# Used#
Fsize Usize
FMxSz UMxSz
MaxUs MaxSz

Test 55
Information about memory blocks (some phones don't have this test - they don't have such big memory)

aa bb  aa bb
aa bb  aa bb
aa bb  aa bb
aa bb  aa bb
ResF9 ResF10
ResF11ResF12
ResF13ResF14
ResF15ResF16

Meaning of the individual lines (information about another blocks):

  1. 9, 10
  2. 11, 12
  3. 13, 14
  4. 15, 16

  • aa - number of reserved blocks
  • bb - number of free blocks in worst case

In Nokia 7110 counters end on ResF11, in 6210/6250 on ResF15.

In Nokia 3110 this test looks like test 56.

In Nokia 8210/3310 help to this test is a little different (another firmware "bug" ? ;-))):

ResF9 ResF10
ResF11ResF12
ResF13ResF14
ResSF15ResF1

and values are displayed in first line only...

Test 56
Block display

 aaaaaa bbb
 cccccccc

 Ptr   Cntr
 Task

  • aaaaaa - pointer to memory where double deallocation was called, in hex format.
  • bbb - counter for failed deallocations.
  • cccccccc - name of task which last tried to double deallocate a block (you can find their list in test 35 description).

This test has correct values only, when counter bbb is different from 0.

In Nokia 3110 it looks like test 57.

Test 57
Memory status before reset

aaaaaaaaaaaa
aaaaa...
bbbbbbbb

 Status of
 stacks
 Block sets

  • aaaaaa... - Status of each stack before reset. First position contains the status of stack 0, second position the status of stack 1 and so on. The last position contains the status of System stack. Number of stacks depends on the current configuration of software. Possible values for each stack are:

    • 0: status OK, no overflow - it's normally !
    • 1: status not OK, stack overflow

  • bbbbbbb - status of each block set before reset. First position contains the status of block set 1, second position the status of block set 2 and so on. Possible values for each block set are:

    • 0: status OK
    • 1: block set full - it's normally !
    • 2: (de)allocation error or total memory corruption

This display is only valid when a unknown or a stack overflow interrupt has occured. In some phones you can make restart connected with stack overflow (see question 9) and see this test in "action"...

In Nokia 6210 this test is bigger and displayed on full screen...

In Nokia 6185/6188 this test is different:

16:3A 32:26
64:18 128:21
168:14
264:0E

Back to the top

[Part 1] [Part 2] [Part 3] [Part 4] [Part 5] [Part 6] [Part 7]

Marcin Wiacek (WWW)
Last modifcation: 6 October 2002


NetMonitor in Nokia phones (6/7)

Main page
NetMonitor in Nokia phones (6/7)

[Part 1] [Part 2] [Part 3] [Part 4] [Part 5] [Part 6] [Part 7]

  1. What is it ?
  2. Do I need it ?
  3. Does my phone use more power with NetMonitor enabled ?
  4. How to activate it ?
  5. Which NetMonitor version can be activated in my phone ?
  6. Does NetMonitor activation void warranty ?
  7. NetMonitor menu in my phone has different number than 10. Is it normal ?
  8. NetMonitor menu in my phone has 11 number, hovewer previous position has 9 number. Is it normal ?
  9. How to use it ?
  10. Can I damage my phone ?
  11. Glossary
  12. Description of the individual tests
  13. You can also use a program...
  14. Can I use NetMonitor without SIM card inserted, without PIN number entered or when SIM card is not active ?
  15. How can I disable NetMonitor ?
  16. Do I need to disable NetMonitor before sending my phone to the service ?
  17. Is it possible to re-activate NetMonitor after disabling it ?
  18. Is NetMonitor available in analog Nokia phones ?
  19. Does NetMonitor allow to use phone like broadcast station ?
  20. I don't have all described tests in my phone. Why ? Can I increase their number ?
  21. Does NetMonitor allow to identify place, where is my interlocutor ?
  22. Does NetMonitor allow to identify place, where am I ?
  23. What are NetMonitor codes ?
  24. Is it the truth, that in phones with additional hardware changing frequency band NetMonitor doesn't work correct ?
  25. Where can I find description of FBUS/MBUS protocol and commands connected with NetMonitor ?
  26. I have non existing networks on the list of forbidden networks...
  27. How to check frequency band (900 or 1800 Mhz), where phone work in this moment ?
  28. Can I use DLR-2/DLR-3 cables for activating netmonitor ?
  29. Can I activate netmonitor using Init File Editor (Nokia 9110) ?
  30. Can I force phone to use one frequency band (900 or 1800 Mhz) only ?
  31. How to change settings in tests ?
  32. My phone has very short snandby time - it is possible to see the reason of it ?
  33. Is netmonitor available in English version only ?
  34. Information sources
  35. Additional information
  36. Does using/activating netmonitor cost anything ?
  37. Does using netmonitor is legall ?
  38. Which entries on SIM card are used in netmonitor tests ?
  39. Can I activate netmonitor in 3310 using soft working with 3210 ?
  40. After activating netmonitor/BTS TEST my phone can't find network...
  41. Netmonitor shows different battery capacity than info on it...
  42. NetMonitor in Nokia 6310, 8310,...

Test 58

384:02
512:02
752:02

Test 59

0087
00 00 00 00

Test 60

 FIELD TEST
  DISPLAY
 COUNTERS
   RESET
Use menu to
reset field
test display
counters

By direct enter to this test you can reset counters from test 41 to test 43 and from test 61 to test 66.

If you reset these counters at the beginning of each month, you can compare the number of sent SMSes (test 65) and made calls (test 63) with your billing. Additionaly (in some prepaid cards - for example, in Polish Tak-Tak) you pay to your operator for few SMS messages (in this example 10), when you send first of them. When you will clear these counters in start of this period (before first SMS), you will know, when another money will be taken from your account...

Test 61

NOPSW  :aaaa
SYNCR  :bbbb
RESELEC:cccc

PSWMesgCntr
SyncMeasCntr
CellReselCtr

  • aaaa - hexadecimal counter of MDI_NO_PSW_FOUND messages from DSP
  • bbbb - decimal counter for synchronization measurement attempts. If value is over 9999 then four x are shown
  • cccc - hexadecimal counter for cell reselections

Counters values are saved in EEPROM memory, when phone is disabled. You can reset them using test 60. They're reset too, when they exceed their maximal values.

In dual phones you will have such test 61:

aaaaa  bbbbb
ccccc  ddddd
eeeee  fffff
ggggg  hhhhh
NOPswGSM DCS
Sync GSM DCS
reselG>G D>D
reselG>D D>G

  • aaaaa - for GSM 900: counter (decimal) for MDI_NO_PSW_FOUND messages from DSP
  • bbbb - for GSM 1800: counter (decimal) for MDI_NO_PSW_FOUND from DSP
  • ccccc - for GSM 900: counter (decimal) for synchronization measurement attempts. If this value is over 99999, then five x are shown.
  • ddddd - for GSM 1800: counter (decimal) for synchronization measurement attempts. If this value is over 99999, then five x are shown.
  • eeeee - counter (decimal) for cell reselections GSM 900 - GSM 900
  • fffff - counter (decimal) for cell reselections GSM 1800 - GSM 1800
  • ggggg - counter (decimal) for cell reselections GSM 900 - GSM 1800
  • hhhhh - counter (decimal) for cell reselections GSM 1800 - GSM 900

Counters values are saved in EEPROM memory, when phone is disabled. You can reset them using test 60. They're reset too, when they exceed their maximal values.

In Nokia 6210/8210:

NOPSW: 008A
SYNCR: 766
RESELEC:872D
RmMonTO:0000
PSWMesgCntr
SyncMeasCntr
CellReselCtr
RM Mon TOuts

In Nokia 3310 help is like in models 6210/8210, but displayed values are different:

  17
 135
5112

In Nokia 6185/6188 it's different:

V
aaaaaaaaaaaa
bbbbbbbbbb
ccccccc

  • aaaaaaaaaaaa - version of phone's firmware
  • bbbbbbbbbb - date of phone firmware
  • ccccccc - phone's codename (NSD-3AX)

This phone displays this info too, when you enter *#837# code. For more information about firmware in Nokia phones (including 6185/6188 models) click here.

Test 62

 PSW  :aaaa
 SYNCR:bbbb
 BCCH :cccc
 BCCHE:dddd
NeghbrPSWCtr
SyncMeasCntr
BCCHMeasAtmp
BCCHExtMeAtm

  • aaaa - counter for neighbour PSW measurement attempts
  • bbbb - counter for neighbour synchronization measurement attempts
  • cccc - counter for neighbour cells BCCH (quality of trasmission with them) measurement attempts (see description C1)
  • dddd - counter for extended neighbour cells BCCH (quality of trasmission with them) measurement attempts (see description C1)

Counters values are saved in EEPROM memory, when phone is disabled. You can reset them using test 60. They're reset too, when they exceed their maximal values.

In Nokia 3310 each counter is 5-digit number. Values are also aligned to right.

In Nokia 6185/6188 this test looks different:

DSP ROM 2
VERS 430
BETA 0014

Test 63

  aa    bb
  ccc   ddd
  eee   fff

CalRel RelDi
MOCAtmp MOOK
AllMT   MTOK

  • aa - you will find reason of last call release here (it's displayed in test 2 and test 39 too (in this last test you will find more explanations - see description of first parameter))
  • bb - another information about end of last call:

    • UN: unknown (for example: you didn't make any calls after enabling phone)
    • IN: internal reason (for example: you enabled in test 17 BTS test, phone didn't find network on given channel and you tried to make call)
    • MT: broken by network
    • MO: disconnection (ending call) from one of the phones

  • ccc - how many times you tried to make outgoing call from your phone
  • ddd - number of succesfull outgoing calls (how many times calls were really realised)
  • eee - number of all incoming calls (missed too)
  • fff - number of received incoming calls

When counters exceed their maximal values, they're reset (you can make it using test 60 too). Their values (it's about ccc and next counters only) are written to EEPRM, when phone is disabled.

In Nokia 3310 parameters are a little different located on the screen (when compare to info above).

In Nokia 6185/6188 this test looks different:

C1M 00
C1L 00
C2M 00
C2L 03

Test 64
It contains, for example, information, how many times you phone informed network about position (see description of test 10 too)

 aa bbb ccc
 dd eee fff

Nfai NL NLOK
PFai PL PLOK
 Loc update
  counters

  • aaa - error code (reset after enabling phone) of last incorrect Location Update (it changes only then, when some error happened during it). It can be found in test 39 too - it's value of MM parameter (there are code values with their description too)
  • bbb - how many times phone tried to make Location Update
  • ccc - how many times attempts of making Location Update were successfull
  • ddd - error during last PLU or IMSI Attach (17 means probably network busy)
  • eee - how many times phone tried to make PLU or IMSI Attach
  • fff - how many times attemps of making PLU or IMSI Attach were successfull

Values of these counters (excluding error codes) are stored in EEPROM, when phone is disabled. You can reset them using test 60 (it's made too, when they exceed their maximal values).

In Nokia 3310 parameters are a little different located on the screen (when compare to info above).

If you don't disable your phone and all time you are in your network time range, in this menu you will find information (in approximation), how long it's enabled (check in test 10, how often is reset T3212 counter (ccc parameter) and multiply that time by eee parameter from this menu). You can use to make it counter from test 82 too (it's more precise, but require enabling some test) or service menu (in phones like Nokia 6130 or 3210).

In Nokia 6185/6188 this test looks different:

C3M 00
C3L 00
C4M 00
C4L 03

Test 65
Test connected with SMS messages (without reports)

 aa bbb ccc
 dd eee fff
 gggg

SFai MO MOOK
RFai MT MTOK
Sched Msgs
SMS counters

  • aaa - error code during sending last SMS message (reset after enabling phone):

    •   1: 'Number not in use'
    •  21: 'Message not sent this time'. This error happens, when you try to send messages from prepaid card without this possibility, when you send message for incorrect number (SMSC is correct), SMSC is blocked on your network or when you send SMS with alphanumeric number over SMSC, which doesn't support it.
    •  28: 'Number not in use'
    •  38: 'Message not sent this time'. Error with sending message during SMSC blocked on your network.
    •  42: probably phone shows this error, when used SMSC is overworked (too many sent messages in the same time) and can't send your message in this moment
    •  50: 'Check operator services'. Error displayed after sending SMS from some prepaid cards without this possibility.
    •  96: 'Nieudane wys³anie wiadomo¶ci' ('Message sending failed'). The reason is wrong number of SMSC (+1).
    • 111: 'Message sending failed'. The reason is wrong target number or wrong number of SMSC
    • 166: 'Message sending failed'. Displayed when SMSC number was wrong or SMSC is blocked for your network.
    • 169: 'Message sending failed'. No money on prepaid account.
    • 178: 'Message sending failed'. Error displayed after sending SMS from some prepaid cards without this possibility.
    • 252: 'Message sending failed'. Displayed, when phone's transmitter was disabled in test 45 or phone can't find network (when BTS test in test 17 was enabled on channel without network)
    • 253: 'Message sending failed'. Displayed, when SMSC number was wrong.

  • bbb - number of SMS sending attempts. You should remember, that report about waiting for delivering SMS (pending) isn't sent from your phone and is not taken into consederation in this parameter (but information about success/defeat in its' delivering is taken - see description for eee and fff parameters). For example: you enabled in phone's menu function connected with SMS raports. You send SMS message now - phone increases this parameter. If it showed, that sending of message was successfull, increases value of ccc parameter too and phone saves report waiting for delivering sent SMS. If SMSC delivered it (or not) and sents about it report (Failed or Delivered), value of eee parameter increases too. If receiving or report was successfull, increases value of fff parameter too (phone checks all saved reports now. In majority of Nokia phones: if in some report with "pending" text SMSC and number, where SMS was sent, is the same to SMSC and number from received report, phone deletes "pending" report and saves received report into this place).
  • ccc - number of succesfull sent SMS messages (which were accepted by used SMSC and you will pay for them). For more info see description of previous parameter.
  • ddd - code of error during receiving last SMS message (reset, when phone is enabled):

    • 22: full memory for SMS messages (phone tried to receive message - increased value of eee counter, fff value didn't change). Information about it is on the top of phone's screen too (blinking envelope) and phone showed 'No space for new messages' message. When you save messages on SIM card, their sum in 'Outbox' and 'Inbox' depends on it (card). The most often, different networks gives SIM card with different space for SMS messages (for example, for Polish Plus GSM it's 10, for Era GSM 15 and for Idea 30). When you don't have space for messages, you can't add new (message 'Message memory full'). You have to delete one of saved messages there - when you won't make it, you can loose some incoming (remember, that sender of SMS message can set time, when network will try to delivery it; after it it will be deleted and you won't be able to receive it !).

  • eee - number of SMS messages receiving attempts. For more info see description of next parameter.
  • fff - number of correctly received SMS messages. Of course, all raports about success/defeat in SMS delivering, logos, ringtones, business cards and picture messages are sent in this form too (like adequate coded SMS) and are taken into consideration in this parameter (but each picture message sent, for example, from Nokia 3210 is written in 3 SMS messages !)
  • gggg - number of received cell broadcast messages (if they're supported by actual used BTS, you can check in test 7): how many times your phone received cell-info (in Nokia 5110 it can be enabled in Menu 4-2-2) and cell-broadcast (Menu 2-5 in Nokia 5110) messages

Values of these counters (excluding error codes) are written to EEPROM, when phone is disabled. You can reset them using test 60 (it's made too, when they exceed their maximal values).

I received info, that in some (all ?) Nokia 6150 phones with 4.13 firmware doesn't change value of gggg counter instead that they receive cellinfo messages (is it bug in this firmware version ?)

In Nokia 3310 parameters are a little different located on the screen (when compare to info above).

In Nokia 9210 parameters are 4 digits long...

If you want to know a little more about sending SMS messages (or find SMSC of different operators), visit www.vdheyden.demon.nl/sms/index1.htm site.

Majority of computer programs don't write to their users, if SMS message sending was successfull - this test will be only way to check it.

In Nokia 3110 this test looks like test 64.

In Nokia 6185/6188 this test looks different:

C5M 00
C5L 00
C6M 00
C6L 03

Test 66
Timeout counters connected with SMS messages (as you know, when you send them, you can set, how long network will try to delivery them - I suppose, that these counters are connected with it).

 aaa bbb cc
 ddd eee ff

TR1 TR2 TRA
TC1 TC2 SCH
SMS timeout
  counters

  • aaa - timeout counter for TR1M
  • bbb - timeout counter for TR2M
  • cc - timeout counter for TRAM
  • ddd - timeout counter for TC1M
  • eee - timeout counter for TC2M
  • ff - timeout counter for cell broadcast

Values of these counters are written to EEPROM, when phone is disabled. You can reset them using test 60 (it's made too, when they exceed their maximal values).

In Nokia 6185/6188 this test looks different:

CT1 82
CT2 00
RF 23

Test 67

REC 00
SEND 00
CTR 4C
STA 68

Test 68

CNT 00
ACK 00

M1M B3

Test 70
Temporary counters of DSP (contents of API memory locations r_dsp2ftd+0, r_dsp2ftd+1, r_dsp2ftd+2, etc. in hex format)

aaaaa  bbbbb
ccccc  ddddd
eeeee  fffff
ggggg  hhhhh
 Temporary
DSP counters
 R DSP2FTD

The display is to be used by special debugging DSP software which can put some useful information to the memory locations on API RAM. When this display is selected then MCU copies the contents of those memory locations into display with format specified above.

In Nokia 3110 this test looks like test 80.

Test 71, 72
Both tests allow to set DSP settings.

When you will directly enter to one of them, in both of them number below AUDIO ENHANCEMENT change - values depends on SIM card. You can now enter to one of them using arrows - sound emited by phone will change then (you can hear horrible noises and cracks). You can set values below AUDIO ENHANCEMENT too - save them (in decimal - maximal value is 65536) in 31 or 32 position in phonebook on SIM card (how to do it ? see description in test 17). Conf parameter from test 30 shows, what value was choosen here. You can back to normal sound, when you will disable and enable phone. Connecting headset or cat kit don't change sound effects with concrete values set here.

    AUDIO
 ENHANCEMENT
    aaaaa

Use menu to
control DSP
   audio
enhancements

In Nokia 9210 these tests look like follows:

AUDIO
ENHANCEMENT
DISPLAY 1
    aaaaa
Display 1
DSP audio
enhancements

In Nokia 3110 test 71 looks like test 81.

Test 73
Generic display for DSP Audio Enhancements

 aaa bb  aaa
cccc bb cccc
cccc bb cccc
 cccc cccc
DB1  B1  DB2
HEX1 B2 HEX2
HEX3 B3 HEX4
  HEX5 HEX6

  • aaa - general dB value, e.g. signal level in dB. decimal point and sign is not shown, ie. -10.5 is show 105.
  • bb - general byte value, used for combined flags. Value is in hex format.
  • cccc - general hex value.

Some English sources write about this test:
"The display is reset and restarted when call is taken (if NetMonitor display counters are enabled). When call is terminated the display is frozen to show last values. Display values will not be saved to the EEPROM."

...but I haven't seen it my phone and they were equal 0 all the time (is something additionaly required to enable this test ?)

In Nokia 3110 this test looks like test 82.

Test 74
DSP audio enhancements 1 (DRC)

  aaa  bbb
       ccc
  dd    ee

DSigL USigL
      NseLvl
 DTbl  UTbl

  • aaa - downlink (received by your phone) signal level.
  • bbb - uplink (sent by your phone) signal level
  • ccc - background noise (see description of DTX) signal level.
  • dd - downlink (received by your phone) DRC table value, shown in decimal integer, two digits.
  • ee - uplink (sent by your phone) DRC table value, decimal integer, two digits.

Three first parameters are in dB calculated using DRC level measuring block. Decimal point and sign is not shown, ie. -10.5 is show 105.

Some English sources write about this test:
"The display is reset and restarted when call is taken (if NetMonitor display counters are enabled). When call is terminated the display is frozen to show last values. Display values will not be saved to the EEPROM."

...but I haven't seen it my phone and they were equal 0 all the time (is something additionaly required to enable this test ?)

In Nokia 3110 this test looks like test 72.

Test 75
Audio path status

Mod:aaaaaaa
AudReq: bbbb
AccMod: cccc
H2Path: dddd
ExtAudStatus
AudioRequest
AccAudMode

  • aaaaa - external audio status (for some phones possible values are: HP, HF, HEADSET, EXT and HP_OFFHO)

    With Nokia 5110 these values vere observed:

    value
    normal state (nothing connected, cable MBUS/FBUS or changer connected) HP
    headset (phone displays Headset)
    You can simulate it
    connecting pins 1-2 on the connector on the bottom of the phone
    (when you see from the left side, when phone's screen is on the top)
    In Nokia 9110 you can use to make it test 92 too.     		HD (shortcut from HeaDset)
    car kit (phone displays Car)
    You can simulate it
    connecting pins 2-3 on the connector on the bottom of the phone
    (when you see from the left side, when phone's screen is on the top)     		HFU 1 (shortcut from Hands Free Unit 1)

    Described above methods of simulating presence sound accesories are correct for Nokia 5xxx, 6xxx and probably 9110 (but REMEMBER: you use them on YOUR OWN risk)

    When you connect (simulate) both accesories you have in phone function "Automatic answer" (Menu 4-1-6 in Nokia 5110) - it allows phone to answer automatically (without pressing key) incoming calls. In Nokia 9110 you can activate it using test 92 too.

  • bbbb - audio_request bitmap in hex
  • cccc - accessory audio mode
  • dd - path for HFU-2 (Hands Free Unit-2)

In Nokia 9210 help looks like follows:

ExtAudStatus
AudioRequest
AccAudMode
HFU2Path

In Nokia 3110 this test looks like test 73.

Test 76
Ear (= downlink) audio display

 Vab  Pccc
 Cddd CAeee
PAfff

EVol PeakVal
CutOff COAve
PkAver

  • ab - volume level (below information are correct for Nokia 5110):
    a | b
    speaker disabled | 0 | F
    sound like after pressing key (volume level 1) | 0 | 8
    sound like after pressing key (volume level 2) | 0 | 4
    sound like after pressing key (volume level 3 or enable loud sounds) | 0 | 0

    During connection a parameter has "A" value, parameter b allows to calculate set volume level (count it to the decimal value and substract 11 from it) - this last parameter can be checked in test 30 too. When you connect headset, parameter a has "C" value (formula for counting volume level during call is "10 - b" then). With car kit, a parameter is equal "2" and formula is "10 - b" too.

    When somebody calls to you (you didn't receive it yet), phone doesn't show volume of sound always (displayed valued are for disabled speaker) - I don't know, if it's firmware bug (5.07) or something different. Phone shows it (volume) only with some combinations of types of rings (Ringing, Asceding) and volume ring (I write values for both of these parameters: level 1 - A7, level 2 - A6, level 4 - A4, level 5 - A0).

  • ccc - peak value of downlink audio signal during last frame in dB, decimal point and sign is not shown, ie. -10.5 is show 105.

  • ddd - cut off counter value of last frame. This counter counts how many samples are saturated during last frame.

  • eee - moving average of cut off counter, decimal point and sign is not shown, ie. -10.5 is show 105.

  • fff - moving average of peak levels

Some English sources write about this test:
"The display is reset and restarted when call is taken (if NetMonitor display counters are enabled). When call is terminated the display is frozen to show last values. Display values will not be saved to the EEPROM."

...but I haven't seen it my phone and they were equal 0 (without first) all the time (is something additionaly required to enable this test ?)

Test 77
Microphone (= uplink) audio display

 Paaa  Abbb
 Cccc CAddd

MicPeak MAve
CutOff COAve

  • aaa - peak value of uplink audio signal during last frame in dB, decimal point and sign is not shown, ie. -10.5 is show 105.
  • bbb - moving average of peak levels, decimal point and sign is not shown, ie. -10.5 is show 105..
  • ccc - cut off counter value of last frame. This counter counts how many samples are saturated during last frame.
  • ddd - moving average of cut off counter

Some English sources write about this test:
"The display is reset and restarted when call is taken (if NetMonitor display counters are enabled). When call is terminated the display is frozen to show last values. Display values will not be saved to the EEPROM."

...but I haven't seen it my phone and they were equal 0 all the time (is something additionaly required to enable this test ?)

In Nokia 3110 this test looks like test 75.

Test 78
DSP audio enhancements (AEC)

aaa bbb ccc
ddd eee fff
ggg h i jjj
 kkkk llll
EAA Ada ERL
RxG TxG GLi
TxN Sta Mod
 RVAD TVAD

  • aaa - electro-acoustic attenuation of echo from DSP point of view in dB. Decimal point and sign is not shown. E.g. -10.5dB would be displayed as "105", -0.5 dB would be displayed as " 5". 20*log10( Q15 )
  • bbb - adaptive attenuation of echo. Decimal point is not shown. 20*log10( Q15 )
  • ccc - total echo return loss. Decimal point is not shown. 20*log10( Q15 )
  • ddd - RX (received) attenuator gain in dB. Decimal point and sign is not shown. 20*log10( Q15 aec_rx_gain )
  • eee - TX (sent) attenuator gain in dB. Decimal point and sign is not shown. 20*log10( Q15 aec_tx_gain )
  • fff - gain limit for RX and TX. Decimal point and sign is not shown. 20*log10( Q15 aec_gain_limit )
  • ggg - TX (sent) noise level (see DTX description for more info) in dB. Decimal point and sign is not shown. 20*log10( Q15 aec_tx_noise)
  • h - adaptive filter status. (Q0 aec_nlms_state) (bit UPDATE << 2) | (bit NLMS2 << 1) | (bit NLMS1)
  • i - comfort noise (see DTX description for details) generation (0 or 1) (Q0 AEC_TX_COMF_GEN)
  • jjj - AEC mode. (byte Q0 s_AEC_mode)
  • kkkk - shows 16 last RX VAD decisions in HEX format. Hex( Q0 aec_rx_vadreg )
  • llll - shows 16 last TX VAD decisions in HEX format. Hex( Q0 aec_tx_vadreg )

In my phone all these counters were equal 0 all the time (is something additionaly required to enable this test ?)

In Nokia 3110 this test looks like test 76.

Test 79
Audio equalizer display

aaaaa bbbbb
ccccc ddddd
-ee.e -ff.f

MiCutB MiCTA
EpCutB EPCTA
MiCLev EarLv

  • aaaaa - saturated samples before microphone equalizer in decimal 16 bit
  • bbbbb - saturated samples after microphone equalizer in decimal 16 bit unsigned integer format.
  • ccccc - saturated samples before earpiece equalizer in decimal 16 bit unsigned integer format.
  • ddddd - saturated samples after earpiece equalizer in decimal 16 bit unsigned integer format.
  • -ee.e - level of the microphone signal level detector in dB format. Requires log10 function in MCU. 16 bit signed value in DSP, 0 dB = 32768.
  • -ff.f - Level of the signal after earpiece equalizer in dB format. Requires log10 function in MCU. 16 bit signed value in DSP, 0 dB = 32768.

Some English sources write about this test:
"The display is reset and restarted when call is taken. When call is terminated the display is frozen to show last values. Display will not be saved to EEPROM. Saturated sample counters aaaaa - ddddd are counted in DSP and only the new counter value is sent to MCU. The microphone and earpiece signal levels are calculated in DSP and it sends the linear values to MCU which makes the linear to dB transformation (20*log10(x)) for the level values."

...but I haven't seen it my phone and they were equal 0 all the time (is something additionaly required to enable this test ?)

In Nokia 3110 this test looks like test 77.

Test 80

   TIMERS
   RESET

  Use menu
  to reset
 field test
   timers

By direct enter to this test you can reset counters from test 82. Phone makes it too, when you connect charger. Some English descriptions write, that it's made too, when battery is full (I didn't notice it).

In some new phones (like Nokia 3310 4.45) after using this test counters from test 82 are reset AND enabled (so, this test works as test 81 too).

In Nokia 3110 this test looks like test 83.

In Nokia 6185:

RLP RESET 00
RX 00 00 00
TX 00 00 00
FER  000

Test 81

   TIMERS
  aaaaaaaa

Use menu to
control test
  display
  timers

By direct enter to this test you enable (aaaaaaaa=ENABLED) or disables (aaaaaaaa=DISABLED) counters from test 82.

In Nokia 3110 this test looks like test 84.

In Nokia 6185:
NXT 0
NEW 0
UNA 0
TMR 0

Test 82

aaaaa bbbbb
ccccc ddddd
 TIMERS eee

PwrOn InServ
NSPS  TxON
   Timers
   Status

  • aaaaa - how long phone was enabled
  • bbbbb - how long phone was logged into network
  • ccccc - how long phone was in NSPS state
  • ddddd - how long phone's transmitter was enabled
  • eee - information, whether counters are enabled (ON) or not (OFF) (you can set it using test 81)

Each of these counters display time in aaabb format - bb changes in range 0-60 units; when reaches 60 units, it's reset to 0 and aaa increases by 1. In majority of models unit is 1 minute (each of counters display time as minutes and hours). In Nokia 7110 unit is half of minute, in some Nokia 3310 one minute and 7 seconds...

Some English descriptions write, that maximal value for counters is 99 h and 59 minutes. When first of them (aaaaa) will have this value, all of them will stop.

Unfortunatelly, these counters work only, when you have some test in netmonitor enabled (it means: when you will disable tests, values won't change even, when counters are enabled). It means, that you can have information here, how long you use netmonitor (first parameter), how long phone logged into network during this time (next)...

You you still want to measure time using this test, in test 83 select SHOW TASK MSG BUFS and enable test 87 (display will be empty then). Of course, there disadvantiges of it: you won't have identification incoming calls.

In service menu in Nokia 6130 (*#WARRANTY# code) and 3210 (*#WAR0ANTY# code) in "Life Timer" position you will find information, how long you make calls - digits before ":" mean hours, digits after it minutes). For example, 0001:35 means 1 h 35 minutes of calls. In Nokia 3310 (*#WAR0ANTY# code too) on start there is shown value 65536 there, and counter starts working, when calls were longer than 1 h.

In Nokia 3110 this test looks like test 85.

In Nokia 6185:
QU 00  DL000
NACK 00000
RC00 BR00000
W0000 C0000

Test 83

 SHOW TASK
 STACKS

 SHOW TASK
 MSG BUFS

 SHOW TASK
 FAST BUFS

Use menu to
select shown
 task info

By direct enter to this test you can make, that in test 84, test 85, test 86 and test 87 are displayed values of different counters:

  • "STACKS" - shows free stack space in worst case
  • "MSG BUFS" - shows the peak number of pending messages
  • "FAST BUFS" - shows the peak number of pending fast messages

In Nokia 3110 this test looks like test 86.

In Nokia 6185:
S00000 DL000
N00000 00000
R00000 D0000
00000

Test 84, 85, 86
Here is generally view of these tests:

 aaaa bbbb
 cccc dddd
 eeee ffff
 gggg hhhh

and here is their help:

IDLE  DEV_IO
LOCAL MDISND
MDIRCV  UI
 TONE   PN

or (Nokia 6210/8210):

IDLE  DEV_IO
LOCAL MDISND
MDIRCV  UI
 TONE   PND

or (Nokia 6250):

IDLE  DEV?IO
LOCAL MDISND
MDIRCV  UI
 TONE   PND

or (Nokia 9210):

IDLE  STRTUP
DEV_IO LOCAL
MDISND  -RCV
UI      TONE

 FBUS   AUD
L1CTRL L1MEA
L1SYSP  L2
 CC     MM

or (Nokia 3210):

IRDA  FBUS
AUD  L1CTRL
L1MEA L1SYSP
L2    CC

or (Nokia 6210/6250):

WMLS    PN
IRDA IRDAMGR
FBUS    AUD
PHCTRL  L2

or (Nokia 8210):

IRDA IRDAMGR
FBUS     AUD
PHCTRL    L2
CC        MM

or (Nokia 8810):

IRDA  IRMGR
FBUS  AUD
L1CTRL L1MEA
L1SYSP  L2

or (Nokia 9210):

PN     MBUS
FBUS    AUD
AUDCOMM  PH
L2       CC

 RR     RM
 SMS    EM
SIMUPL SIML2
 DDI

or (Nokia 3210):

MM    RR
RM    SMS
EM    SIMUPL
SIML2 DDI

or (Nokia 6210/6250):

 CC   MM  RR
RMC  SMS  EM
SIM SIM2 DDI
DGC  NTB FAX

or (Nokia 8210):

RR        RM
SMS       EM
SIMUPL SIML2
DDI      DGC

or (Nokia 8810):

CC     MM
RR     RM
SMS    EM
SIMUPL SIML2

or (Nokia 9110):

 RR     RM
SMS     EM
SIMUPL SIML2
 DGC  DGNTB

or (Nokia 9210):

MM        RR
RM       SMS
EM    SIMUPL
SIML2    DGC

  • aaaa, bbbb,... - task 0, 1, ...

Numbers tell how many stack memory locations have been empty in the worst case. So, if number is zero, stack has been full. Values are not written into EEPROM, when phone is disabled.

In Nokia 3110 test 86 looks like follow:

MCUSW  aaaaa
DATE   cccccc
CHKSUM dddd
DSP    eee
MCUSWVersion
DateOfMCUSW
MCUSWChecksum
DSPSWVersion

Meaning of parameters aaaaa,cccccc, dddd and eee you will find in test 88.

Test 87

 aaaa  bbbb

  FIQ  IRQ

  • aaaa - OS_SYSTEM_STACK

In Nokia 8810 it looks different:

 ffff  gggg
 eeee  dddd
 aaaa  bbbb

 DDI   DGC
 DGNTB DGFAX
 FIQ   IRQ

In Nokia 9110 this test is different:

 cccc  dddd
 aaaa  bbbb

 DGTB  DGFAX
 FIQ   IRQ

In Nokia 9210:

DGNTB  DGFAX
DCS   PMMCLE
PMMWR HELPER

In Nokia 7110 looks like follows:

1040010363800
  700  800
  220
    476   480
DGN  DGF  SCKT
PCL  PWB
PPC
FIQ    IRQ

and in Nokia 6210/6250:

SRVSCK PMMCL
PMMWR   ND
PPC
FIQ    IRQ

and in Nokia 8210:

NTB      FAX
PMMWR     ND
FIQ      IRQ

Values of counters are not saved to EEPROM, when phone is disabled.

Test 88

aaaaa bbbbbb
Date  cccccc
ChkSum dddd
eeeeeeeeeeee
MCUSW  PPM
MCUSW_Date
MCU_Checksum
DSP_Version

  • aaaaa i cccccc - version and release date of MCU software (codes for their checking and changes among their different versions are here)
  • bbbbbb - version of downloaded PPM (Post-programming Memory) packet: Nokia Mobile Phones prepares different language versions of firmware for phones. They're saved in "packets" - each of them contains messages and support for few languages. Why is it done ? It's simple: internal memory in our phones is still too small for all languages support. You will see version of PPM packet: it's the same number as version of MCU firmware. After it you have char (it can be "A", "B", etc. - for example, Polish language is in "B" packet).

    For curious: in older models (like Nokia 2110i) nobody prepared PPM packets and preparing another language version was connected with modyfing ALL firmware. I readed too, that phones with "generic" firmware had normally disabled services for some languages (for example, Greek) - it could be enabled with some Nokia service programs (like Pc-Locals 0.6).

  • dddd - MCU memory checksum (when it's wrong, phone display CONTACT SERVICE)
  • eeeeeeeeeeee - DSP software version

Information from this test are displayed in some Nokia service programs (like PC-Locals 1.3 or WinTesla) too.

In Nokia 6210 there are displayed "?" chars instead of "_" in help for this test...

In Nokia 9210:

Linda SW
aaaaa bbbbbb
ChkSum: cccc
HW: dddd
Linda SW
03.62 011009
ChkSum: 5324
HW: 4000
Linda SW
Version Date
Checksum
HW Version

  • aaaaa - firmware in PDA
  • bbbbbb - date of PDA firmware
  • cccc - checksum
  • dddd - hardware version

Test 89

HW: aaaa
TXT: Ubbbbbb

HW version
Text version

  • aaaa - phone hardware version (for example, the nevest Nokia 5110 I saw, display here 4220)
  • bbbbbb - information, when were prepared texts (probably operator names) displayed by phone

In Nokia 9210:

CMT SW
aaaaa bbbbbb
PPM:  cccccc
 dddddddd
CMT SW
03.21 011009
PPM:  03.62A
 40.1.501
CMT SW
Version Date
PPM Version
DSP Version

  • aaaaa - version of firmware in phone module
  • bbbbbb - date of firmware in phone module
  • cccccc - PPM with firmware in phone module
  • dddddddd - DSP firmware version

Back to the top

[Part 1] [Part 2] [Part 3] [Part 4] [Part 5] [Part 6] [Part 7]

Marcin Wiacek (WWW)
Last modification: 6 October 2002